/spider/bin/rdate -s 203.248.240.140

export LD_LIBRARY_PATH=/spider/daemon/curl/lib:/spider/daemon/libpcap/lib:/spider/daemon/libxml2/lib:/spider/daemon/openssl/lib:/spider/daemon/pcre/lib:/spider/daemon/sqlite/lib

cd /spider/daemon/lighttpd/cert/

C=$1 #us kr cn
CN=$2 #neptune speco
O=$3
localt=$4

pemip1=$5 # local ip
pemip2=$6 # rmc
pemip3=$7 # public

server='neptune'
password='F38aRhmiI*MzbOX0I8u521@'
days='7300'
signature='signature'

cat> $server.ext <<EOF
# [ v3_ca ]
# subjectKeyIdentifier=hash
authorityKeyIdentifier=keyid:always,issuer
# basicConstraints = critical, CA:TRUE, pathlen:3
# basicConstraints = CA:true
# keyUsage = critical, cRLSign, keyCertSign
# nsCertType = sslCA, emailCA

# [ v3_req ]
basicConstraints = CA:FALSE
keyUsage = nonRepudiation, digitalSignature, keyEncipherment, dataEncipherment
# extendedKeyUsage=serverAuth
subjectAltName = @alt_names

[ alt_names ]
$pemip1
$pemip2
$pemip3
EOF

#/spider/sbin/openssl genrsa -des3 -passout pass:$password -out $signature.key 2048
#/spider/sbin/openssl req -x509 -new -nodes -passout pass:$password -key $signature.key -sha256 -days $days -out $signature.pem -subj "/C=$C/O=$O/CN=$CN" -passin pass:$password
/spider/sbin/openssl req -new -sha256 -nodes -out $server.csr -newkey rsa:2048 -keyout $server.key -subj "/C=$C/O=$O/CN=$CN"
/spider/sbin/openssl x509 -req -in $server.csr -CA $signature.pem -CAkey $signature.key -CAcreateserial -out $server.crt -days $days -sha256 -extfile $server.ext -passin pass:$password

/spider/bin/mv -f /spider/daemon/lighttpd/cert/sicunet.crt sicunet.crt.bak
cat $server.key $server.crt > ./sicunet.crt

chmod 755 ./sicunet.crt

/spider/bin/cp -f /spider/daemon/lighttpd/cert/signature.pem /spider/web/webroot/tmp_data/

date $localt
