#!/bin/bash

echo -e "Stop all apps..."

APPS=(spider-watchdog
      spider-monitor
      spider-e
      spider-fifo
      spider-dbback
      spider-updater
      spider-install
      spider-migration
      spider-cgi
      spider-help
      spider-node
      spider-cloud
      spider-credential
      spider-logapi
      spider-nvr
      openRTSP
      openssl
      lighttpd
      php-cgi)

for app in ${APPS[@]}; do
    pids=`/spider/bin/pgrep -f $app`
    for pid in $pids; do
        kill -9 $pid
        echo -e $app [$pid] killed
    done
done

