<?php


class aoutput extends controller
{

    // ----------------------------------------------------------------------------------

   public function index()
    {
        $vars['arr_floor']  	= $this->to_array_floor();
        $vars['arr_auxinput'] 	= $this->to_array_auxinput();
        $this->display($vars);
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Site=? AND Disable='0'");
            }
            else{
                 $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 ");
                
            }
            
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            if( $this->is_SuperAdmin() == true )
            {
                $list = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND Disable='0' ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           ORDER BY A.No DESC LIMIT ?, ?");
                
            }
            $list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Site=? AND Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND A.$field LIKE ?");
                
            }
            
            $count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            if( $this->is_SuperAdmin() == true )
            {
                $list = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND Disable='0' AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND A.$field LIKE ? 
                                                           ORDER BY A.No DESC LIMIT ?, ?");
                
            }
            
            $list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $arr_floor  	= $this->to_array_floor();
        //$this->util->alert($val['HostNo']);
        $arr_auxinput	= $this->to_array_auxinput();
        //$arr_auxinput	= $this->to_local_auxinput($val['HostNo']);

        foreach( $list as $key=>$val)
        {
            $val['DisableStr']  = ($val['Disable'] == "1" ? 'Off' : 'On');
            $val['AlarmStr']    = ($val['Alarm'] == "1" ? 'On' : 'Off');
            $val['FloorStr']    = $arr_floor[$val['Floor']];
            $val['StateStr']    = EnumTable::$attrState[$val['State']];
            $val['ModeStr']     = EnumTable::$attrAuxOutMode[$val['Mode']];
            $val['Client']      = $this->get_client($val['HostNo']);
			$val['Repeat']      = max($val['Repeat'], 1);
            $val['OnTimeStr']   = sprintf("%02d:%02d:%02d", $val['OnTime'] / 3600, ($val['OnTime'] % 3600) / 60, $val['OnTime'] % 60);
            
            if(!empty($val['AuxInput'])){
	            $val['AuxInputStr'] = $arr_auxinput[$val['AuxInput']];
            }else{
	            $val['AuxInputStr'] = '';
            }

            $list[$key] = $val;
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }
    
   public function find()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        
        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Site=? AND Disable='0'");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 ");
                
            }
            
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND Disable='0' ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable='0' 
                                                           ORDER BY A.No DESC");
                
            }
            
            $list->execute(array($_SESSION['spider_site']));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Site=? AND Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND A.$field LIKE ?");
                
            }
            
            $count->execute(array($_SESSION['spider_site'], "%".$word."%"));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND Disable='0' AND $field LIKE ? ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable='0' 
                                                           AND A.$field LIKE ? 
                                                           ORDER BY A.No DESC");
                
            }
            $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND Disable='0' AND $field LIKE ? ORDER BY No DESC");
            $list->execute(array($_SESSION['spider_site'], "%".$word."%"));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }
    
   public function find2()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        
        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Disable='0'");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0'");
                
            }
            $count->execute();
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Disable='0' ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0' 
                                                           ORDER BY A.No DESC");
                
            }
            $list->execute();
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput WHERE Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0'
                                                           AND A.$field LIKE ?");
                
            }
            
            $count->execute(array("%".$word."%"));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Disable='0' AND $field LIKE ? ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0' 
                                                           AND A.$field LIKE ? 
                                                           ORDER BY A.No DESC");
                
            }
            $list->execute(array("%".$word."%"));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------

   public function update()
    {
        $No         = $this->input->post('No');
        $Disable    = $this->input->post('Disable', '0');
        //$Alarm      = $this->input->post('Alarm', '0');
        $Alarm      = 0;
        $Name       = strip_tags(trim($this->input->post('Name')));
        $Name       = str_replace("'", " ", $Name);
        $Mean       = strip_tags($this->input->post('Mean'));
        $Floor      = $this->input->post('Floor');
        $State      = $this->input->post('State');
        $Mode       = $this->input->post('Mode');
        $OnTime     = intval($this->input->post('OnTime', 0));
        $OffTime    = intval($this->input->post('OffTime', 0));
        $Repeat     = intval($this->input->post('Repeat', 0));
        $AuxInput   = $this->input->post('AuxInput');

        if( empty($Name) )          $this->util->alert( $this->lang->menu->error_name_required, TRUE );
        
        if( $Mode == "1" )
        {
            if( empty($OnTime) )                    $this->util->alert( $this->lang->aoutput->error_ontime_empty, TRUE );
            if( $OnTime < 1 || $OnTime > 65535 )    $this->util->alert( $this->lang->aoutput->error_ontime_range, TRUE );
            $OffTime    = 0;
            $Repeat     = 0;
        }
        else if( $Mode == "2" )
        {
            if( empty($OnTime) )                    $this->util->alert( $this->lang->aoutput->error_ontime_empty, TRUE );
            if( $OnTime < 1 || $OnTime > 65535 )    $this->util->alert( $this->lang->aoutput->error_ontime_range, TRUE );
            if( empty($OffTime) )                   $this->util->alert( $this->lang->aoutput->error_offtime_empty, TRUE );
            if( $OffTime < 1 || $OffTime > 999 )    $this->util->alert( $this->lang->aoutput->error_offtime_range, TRUE );
            if( empty($Repeat) )                    $this->util->alert( $this->lang->aoutput->error_repeat_empty, TRUE );
            if( $Repeat < 1 || $Repeat > 999 )      $this->util->alert( $this->lang->aoutput->error_repeat_range, TRUE );
        }
        else if( $Mode == "3" )
        {
            $OnTime     = 3;
            $OffTime    = 0;
            $Repeat     = 2;
        }
        else if( $Mode == "4" )
        {
            $OnTime     = 0;
            $OffTime    = 0;
            $Repeat     = 0;
        }
        else if( $Mode == "5" )
        {            
            $OnTime     = 0;
            $OffTime    = 0;
            $Repeat     = 0;
        }

        $sth    = $this->conn->prepare("UPDATE AuxOutput SET Disable=?,Alarm=?,Name=?,Mean=?,Floor=?,State=?,Mode=?,OnTime=?,OffTime=?,Repeat=?,AuxInput=? WHERE No=?");
        $values = array($Disable,$Alarm,$Name,$Mean,$Floor,$State,$Mode,$OnTime,$OffTime,$Repeat,$AuxInput,$No);
        if( $sth->execute($values) )
        {
   	        //if ($No > 4) {
	        //    exec(SPIDER_COMM." send db");
            //}

            $this->log->set_log_message($Name);
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
            
            exec(SPIDER_COMM." auxout $No off");
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function delete()
    {
    }

    // ----------------------------------------------------------------------------------

   public function Disable()
    {
        $No             = $this->input->post('No');
        $Disable        = $this->input->post('Disable', '0');

        $sth    = $this->conn->prepare("UPDATE AuxOutput SET Disable=? WHERE No=?");

        if( $sth->execute( array($Disable,$No) ) )
        {
            $this->log->update(NULL, 'disable');
            $this->util->alert($this->lang->common->success_update);
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function to_array_floor()
    {
        $cfloor = $this->conn->prepare("SELECT * FROM Floor WHERE Site=?");
        $cfloor->execute(array($_SESSION['spider_site']));
        $cfloor = $cfloor->fetchAll(PDO::FETCH_ASSOC);

        $arr_floor  = array();
        foreach( $cfloor as $key=>$val)
        {
            $arr_floor[$val['No']]  = $val['Name'];
        }

        return $arr_floor;
    }
    
   public function to_array_auxinput()
    {   
        //HostNo
        $cauxinput = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable=0");        
        $cauxinput->execute(array($_SESSION['spider_site']));
        $cauxinput = $cauxinput->fetchAll(PDO::FETCH_ASSOC);

        $arr_auxinput  = array();
        foreach( $cauxinput as $key=>$val)
        {
            $arr_auxinput[$val['No']]  = $val['Name'];
        }

        return $arr_auxinput;
    }

   public function to_local_auxinput($val)
    {
         $Name	= $this->input->get('no');

        //HostNo
        $s = $this->conn->prepare("SELECT HostNo FROM AuxOutput WHERE Site=? AND Disable=0 AND Name=?");

        $s->execute(array($_SESSION['spider_site'],$Name));
        $HostNo   = $s->fetchColumn();

        //HostNo
        $cauxinput = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable=0 AND HostNo=?");    
        $cauxinput->execute(array($_SESSION['spider_site'],$HostNo));
        $cauxinput = $cauxinput->fetchAll(PDO::FETCH_ASSOC);

        foreach( $cauxinput as $key=>$val)
        {
            //$arr_auxinput[$val['No']] = $val['Name'];
            //$arr_auxinput = $val['Name'];

            $list[$key] = $val;

        }
        $arr_auxinput['list'] = $list;
          
        echo json_encode($arr_auxinput);
       
    }

    // ----------------------------------------------------------------------------------

   public function get_client($HostNo)
    {
        $list   = $this->conn->prepare("SELECT Name FROM Controller WHERE No = ?");
        $list->execute(array($HostNo));
        $name   = $list->fetchColumn();

        return $name;
    }

    // ----------------------------------------------------------------------------------

}


?>