<?php


class card_flash extends controller
{
    // ----------------------------------------------------------------------------------
    var $max_card = 0;
    var $max_user = 0;
    var $first_user = 0;
    
   public function index()
    {
        $vars['call_wizard']     = 0;
        $vars['UserNo']          = $this->input->get('UserNo', 0);
        $vars['attrUser']        = array();
        $vars['editable']        = $this->input->get('editable');
        
        $vars['attrReader']      = $this->to_array_reader_scan();
        $vars['attrCardFormat']  = $this->to_array_card_format();
        $vars['attrCardStatus']  = EnumTable::$attrCardStatus;
        $vars['attrAccessLevel'] = $this->to_array_A_level();
        
        if( $this->input->get('direct') === '1'){
            $vars['DefaultCardFormat'] = $this->input->get('FormatNo');
            $vars['cardnumber'] = $this->input->get('CardNumber');
        }else{
            $vars['DefaultCardFormat'] = $this->getDefaultCardFormat();
        }

        if( $this->input->get('reset') == '1' ) 
        {
            $this->display($vars, 'card_new', 'frame');
        }
        else
        {
            $this->display($vars, 'card', 'frame');
        }
    }
    
    public function delete_temporary_card()
	{
	    $reset = $this->input->get('reset',0);
	    
	    if($reset == 1){
		    $this->util->setFlashData('cards', array());
	    }
	    
	    echo '';
    }

    // ----------------------------------------------------------------------------------
    public function test_mm()
    {

        $vars['C'] = "C";
        $vars['O'] = "O";
     
        echo json_encode($vars);

    }

   public function select()
    {
        $view   = $this->input->get('v');
        $UserNo = $this->input->get('w');

        $cards  = $this->util->getFlashData('cards');
        $count  = count($cards);

        $attrReader      = $this->to_array_reader();
        $attrCardFormat  = $this->to_array_card_format();
        $attrAccessLevel = $this->to_array_A_level();

		$today = date('Y-m-d');

        foreach( $cards as $key=>$val )
        {
        	$val['PrevCardNo']      = $val['CardNo'];
            $val['CardStatusStr']   = EnumTable::$attrCardStatus[$val['CardStatus']];

            $val['CardTypeStr'] = EnumTable::$attrCardType[$val['CardType']];                
            
            $val['ReaderNoStr']     = $attrReader[$val['ReaderNo']];
            $val['CardFormatStr']   = $attrCardFormat[$val['CardFormatNo']];

            $val['PrevCardFormat']   = $val['CardFormatNo'];
            
            $val['NeverExpireStr']  = EnumTable::$attrYesNo[$val['NeverExpire']];
            $val['ActDateStr']      = (empty($val['ActDate']) ? '' : date("m-d-Y", $val['ActDate']));
            $val['ExpDateStr']      = (empty($val['ExpDate']) ? '' : date("m-d-Y", $val['ExpDate']));
			$val['SelectTypeName']  = EnumTable::$attrGroup[$val['SelectType']];
            $val['AccessLevelStr']  = $val['SelectType'] == '2' ? $this->get_groupaccess_str($val['AccessLevel']) : $this->get_access_str($val['AccessLevel']);
			$val['ALevelList2']     = $val['SelectType'] == '2' ? $this->get_groupaccess_values($val['No']) : $this->get_access_values($val['No']);

			if($val['NeverExpire'] == 0) {
				if($val['ActDate'] != '0' && $val['ActDate'] != '' && $today < date('Y-m-d', $val['ActDate'])) {
					$val['CardStatusStr'] .= ' ('. $this->lang->card->inactive .')';
				}
				if($val['ExpDate'] != '0' && $val['ExpDate'] != '' && $today > date('Y-m-d', $val['ExpDate'])) {
					$val['CardStatusStr'] .= ' ('. $this->lang->card->expired .')';
				}
			}
			$val['CardNoMask']      = str_pad('', strlen($val['CardNo']), '*');
            $val['CardNoStr']       = ($val['CardNo'] == NULL ? '' : $val['CardNo']."(".$this->util->GetCardFacilityCode($val['CardFormatNo']).")");
            
            $cards[$key] = $val;
        }

        $result['field']        = '';
        $result['word']         = $UserNo;
        $result['page']         = 1;
        $result['view']         = $view;
        $result['pages']        = '';
        $result['count']        = $count;
        $result['list']         = $cards;

        echo json_encode($result);
    }
    

    // ----------------------------------------------------------------------------------

   public function insert()
    {
		$max_card	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
		$max_user	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][5];
		$max_access	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][3];
        		                                   	
        $No = $this->conn->prepare("SELECT MAX(No) FROM Card WHERE Site=?");
        $No->execute(array($_SESSION['spider_site']));
        $No = $No->fetchColumn() + 1;
        
        $CardNo         = $this->input->post('CardNo');
        $CardFormatNo   = $this->input->post('CardFormatNo', 0);
        $CardStatus     = $this->input->post('CardStatus', 0);
        $CardType       = $this->input->post('CardType', 0);
        $KeyNumber      = $this->input->post('KeyNumber', 0);
        $NeverExpire    = $this->input->post('NeverExpire', 0);
        $Reason         = $this->input->post('Reason');
        $ActDate        = $this->to_timestamp($this->input->post('ActDateStr'));
        $ExpDate        = $this->to_timestamp($this->input->post('ExpDateStr'), 23, 59, 59);
        $UserNo         = $this->input->post('UserNo', 0);
		$SelectType     = $this->input->post('SelectType', 1);
		//$AccessLevel	= $this->input->post('ALevelList2', array());
		$AccessLevel	= $this->input->post('ALevelList3', array());
        //$AccessLevel    = $this->input->post('AccessLevel', array());
        $ReaderNo       = $this->input->post('ReaderNo', 0);


        

		if ($max_card <= $this->util->GetRecordCount('Card'))
    	{
    		$this->util->alert($this->lang->addmsg->error_limit_over_card . $this->util->GetRecordCount('Card'), TRUE);
    	}
    	if ($max_user <= $this->util->GetRecordCount('Card', "WHERE UserNo='".$UserNo."'"))
    	{
    		$this->util->alert($this->lang->addmsg->error_limit_over_user_card, TRUE);
    	}
        //모바일
        //$count  = $this->conn->prepare("select no from cardformat where Name='Mobile Credential Dummy' AND Mean='Dummy Format' AND TotalBitLength=36 AND FacilityCode=123");
        //$count  = $this->conn->prepare("select no from cardformat where TotalBitLength=36 AND FacilityCode=231");
		$count  = $this->conn->prepare("select no from cardformat where Name='Mobile Credential 36 bit'"); // yhoh 20201124
    	$count->execute();
        $count  = $count->fetchColumn();

        if($CardFormatNo != $count)
        {
            if( empty($CardNo) )            			$this->util->alert( $this->lang->card->error_card_no_required, TRUE );
        }
        else
        {
            $CardNo = 0;
        }
        
        
        ///if( empty($CardNo))            			$this->util->alert( "dddddddddddddsww", TRUE );

        if( empty($CardFormatNo) )            		$this->util->alert( $this->lang->card->error_cardformat_required, TRUE );
        //if( empty($UserNo) )            			$this->util->alert( $this->lang->card->error_user_no_required, TRUE );
        if( count($AccessLevel) < 1 )   			$this->util->alert( $this->lang->card->error_a_level_required, TRUE );
        if( count($AccessLevel) > $max_access)		$this->util->alert( $this->lang->addmsg->error_limit_over_accesslevel, TRUE );

		if( $CardStatus == 0 ) {
            if( $CardType == 5 ) {
                $NeverExpire    = 0;
                $ActDate	    = '';
                $ExpDate	    = '';
            } else {
                if( empty($ActDate) && $NeverExpire == 0 )  $this->util->alert( $this->lang->card->error_actdate_required, TRUE );
                if( $NeverExpire == 0 ) {
                    if( !empty($ExpDate) && $ActDate > $ExpDate )	$this->util->alert( $this->lang->card->error_date_value, TRUE );
                } else {
                    $ActDate	= '';
                    $ExpDate	= '';
                }
            }
		}

		$card_format	= $this->conn->prepare("SELECT * FROM CardFormat WHERE No=?");
		$card_format->execute(array($CardFormatNo));
		$card_format	= $card_format->fetch(PDO::FETCH_ASSOC);
		$max_card_number	= pow(2, $card_format['CardNumberLength']) - 1;

        if($CardFormatNo != $count)
        {
            if((int)$CardNo < 1 || (int)$CardNo > $max_card_number) {
                $this->util->alert( $this->lang->card->error_card_no_out_of_bounds . " [1-{$max_card_number}]", TRUE );
            }
        }

        $cardcount  = $this->util->GetRecordCount("Card", " WHERE CardNo='".$CardNo."' AND CardFormatNo='".$CardFormatNo."'");




        if( $cardcount > 0)						$this->util->alert( $this->lang->addmsg->error_exist_card_number, TRUE );
        

        $cards  = @$this->util->getFlashData('cards');
        
        if($cards){
	        foreach( $cards as $index => $value ) {
	            if( $value['CardNo'] == $CardNo && $value['CardFormatNo'] == $CardFormatNo ) {
	                $this->util->alert( $this->lang->addmsg->error_exist_card_number, TRUE );
	            }
	        }
        }
        
        $cards[] = array(
            'No'            => '-',
            'CardNo'        => $CardNo,
            'CardFormatNo'  => $CardFormatNo,
            'CardStatus'    => $CardStatus,
            'CardType'      => $CardType,
            'KeyNumber'     => $KeyNumber,
            'SelectType'    => $SelectType,
            'NeverExpire'   => $NeverExpire,
            'Reason'        => $Reason,
            'ActDate'       => $ActDate,
            'ExpDate'       => $ExpDate,
            'ReaderNo'      => $ReaderNo,
            'AccessLevel'   => $AccessLevel
        );

        $this->util->setFlashData('cards', $cards);

        $this->util->js('load_list("","",0);');
    }

    public function insert_one_click()
    {

            $max_card	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
            $max_user	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][5];
            $max_access	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][3];
                                                        
            $No = $this->conn->prepare("SELECT MAX(No) FROM Card WHERE Site=?");
            $No->execute(array($_SESSION['spider_site']));
            $No = $No->fetchColumn() + 1;
            
            $CardNo         = $this->input->post('CardNo');
            $UserNo         = $this->input->post('UserNo', 0);
            $CardFormatNo   = $this->input->post('CardFormatNo', 0);
            $CardStatus     = $this->input->post('CardStatus', 0);
            $CardType       = $this->input->post('CardType', 0);
            $KeyNumber      = $this->input->post('KeyNumber', 0);
            $NeverExpire    = $this->input->post('NeverExpire', 0);
            $Reason         = $this->input->post('Reason');
            $ActDate        = $this->to_timestamp($this->input->post('ActDateStr'));
            $ExpDate        = $this->to_timestamp($this->input->post('ExpDateStr'), 23, 59, 59);
            
            $SelectType     = $this->input->post('SelectType', 1);
            //$AccessLevel	= $this->input->post('ALevelList2', array());
            $AccessLevel	= $this->input->post('ALevelList3', array());
            //$AccessLevel    = $this->input->post('AccessLevel', array());
            $ReaderNo       = $this->input->post('ReaderNo', 0);

            if ($max_card <= $this->util->GetRecordCount('Card'))
            {
                $this->util->alert($this->lang->addmsg->error_limit_over_card . $this->util->GetRecordCount('Card'), TRUE);
            }
            if ($max_user <= $this->util->GetRecordCount('Card', "WHERE UserNo='".$UserNo."'"))
            {
                $this->util->alert($this->lang->addmsg->error_limit_over_user_card, TRUE);
            }
            //모바일
            //$count  = $this->conn->prepare("select no from cardformat where Name='Mobile Credential Dummy' AND Mean='Dummy Format' AND TotalBitLength=36 AND FacilityCode=123");
            //$count  = $this->conn->prepare("select no from cardformat where TotalBitLength=36 AND FacilityCode=231");
            $count  = $this->conn->prepare("select no from cardformat where Name='Mobile Credential 36 bit'"); // yhoh 20201124
            $count->execute();
            $count  = $count->fetchColumn();

            if($CardFormatNo != $count)
            {
                if( empty($CardNo) )            			$this->util->alert( $this->lang->card->error_card_no_required, TRUE );
            }
            else
            {
                //더미 포맷 정보 $count, 
                $check_card_count  = $this->conn->prepare("select count(*) from card where UserNo=? AND CardFormatNo=?");
                $check_card_count->execute(array($UserNo,$count));
                $check_card_count  = $check_card_count->fetchColumn();

                if($check_card_count >= 1)
                {
                    $this->util->alert( "Only 1 Temporary Mobile Credential card can be registered.", TRUE );
                }

                $CardNo = 0;
                    
            }
            
            
            if( empty($CardFormatNo) )            		$this->util->alert( $this->lang->card->error_cardformat_required, TRUE );
            if( empty($UserNo) )            			$this->util->alert( $this->lang->card->error_user_no_required, TRUE );
            if( count($AccessLevel) < 1 )   			$this->util->alert( $this->lang->card->error_a_level_required, TRUE );
            if( count($AccessLevel) > $max_access)		$this->util->alert( $this->lang->addmsg->error_limit_over_accesslevel, TRUE );

            if( $CardStatus == 0 ) {
                if( $CardType == 5 ) {
                    $NeverExpire    = 0;
                    $ActDate	    = '';
                    $ExpDate	    = '';
                } else {
                    if( empty($ActDate) && $NeverExpire == 0 )  $this->util->alert( $this->lang->card->error_actdate_required, TRUE );
                    if( $NeverExpire == 0 ) {
                        if( !empty($ExpDate) && $ActDate > $ExpDate )	$this->util->alert( $this->lang->card->error_date_value, TRUE );
                    } else {
                        $ActDate	= '';
                        $ExpDate	= '';
                    }
                }
            }

            $card_format	= $this->conn->prepare("SELECT * FROM CardFormat WHERE No=?");
            $card_format->execute(array($CardFormatNo));
            $card_format	= $card_format->fetch(PDO::FETCH_ASSOC);
            $max_card_number	= pow(2, $card_format['CardNumberLength']) - 1;

            if($CardFormatNo != $count)
            {
                if((int)$CardNo < 1 || (int)$CardNo > $max_card_number) {
                    $this->util->alert( $this->lang->card->error_card_no_out_of_bounds . " [1-{$max_card_number}]", TRUE );
                }
            }

            $cardcount  = $this->util->GetRecordCount("Card", " WHERE CardNo='".$CardNo."' AND CardFormatNo='".$CardFormatNo."'");

            if($CardFormatNo != $count)
            {
                if( $cardcount > 0)
                {
                    $this->util->alert( $this->lang->addmsg->error_exist_card_number, TRUE );
                }
            }
            
            $sth    = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,CardFormatNo,CardStatus,KeyNumber,SelectType,NeverExpire,Reason,ActDate,ExpDate,UserNo,ReaderNo,CardType) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $values = array($_SESSION['spider_site'],$No,$CardNo,$CardFormatNo,$CardStatus,$KeyNumber,$SelectType,$NeverExpire,$Reason,$ActDate,$ExpDate,$UserNo,$ReaderNo,$CardType);
            if( $sth->execute($values) )
            {
                $Name = $this->util->GetCardName($No);
                $this->log->set_log_message($Name);
                $CALNo = $this->conn->prepare("SELECT MAX(No) FROM CardAccessLevel WHERE Site=?");
                $CALNo->execute(array($_SESSION['spider_site']));
                $CALNo  = $CALNo->fetchColumn() + 1;
                $sth    = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (?,?,?,?)");
                foreach( $AccessLevel as $value )
                {
                    $sth->execute( array($_SESSION['spider_site'], $CALNo, $No, $value) );
                    $CALNo = $CALNo + 1;
                }
                //exec(SPIDER_COMM." send db");
                $this->util->js('load_list("","",'.$UserNo.');');
                if( $this->input->post('wizard') != '1' )
                {
                    $this->util->js('parent.update_list("'.$UserNo.'");');
                }
                $this->util->alert( $this->lang->common->save_completed );
            }
            else
            {
                $this->util->alert($this->lang->common->error_insert);
            }


    }
    // ----------------------------------------------------------------------------------

   public function delete()
    {
        $No             = $this->input->get('No');
        $UserNo         = $this->input->get('UserNo', 0);
        $Name           = $this->util->GetCardName($No);
        $CardNo         = $this->input->get('CardNo', 0);
        $CardFormatNo   = $this->input->get('CardFormatNo', 0);
        

        $cards      = $this->util->getFlashData('cards');
        $new_cards  = array();
        foreach( $cards as $index => $value ) {
            if( $value['CardNo'] == $CardNo && $value['CardFormatNo'] == $CardFormatNo ) {
                continue;
            }

            $new_cards[] = $value;
        }

        $this->util->setFlashData('cards', $new_cards);

        $this->util->js('update_list("");');
    }

    // ----------------------------------------------------------------------------------

   public function to_timestamp($date="", $hour=0, $min=0, $sec=0)
    {
        if ($date != "")
        {
        	$timeval = explode('-', trim($date));
        	
        	if (count($timeval) < 3)
        	{
        		return "";
        	}
        		
            $month  = $timeval[0];
            $day    = $timeval[1];
            $year   = $timeval[2];
            return mktime($hour, $min, $sec, $month, $day, $year);
        }
        return $date;
    }

    // ----------------------------------------------------------------------------------
/*
   public function to_array_user()
    {
        $list   = $this->conn->prepare("SELECT No, FirstName, MiddleName, LastName FROM User WHERE Site=? ORDER BY No");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
        	if ($this->first_user == 0)
	        	$this->first_user = $val['No'];
        	
        	if (!empty($val['MiddleName']) && $val['MiddleName'] != '')
	            $arr[$val['No']]    = $val['FirstName'].' '.$val['MiddleName'].' '.$val['LastName'];
	        else
	        	$arr[$val['No']]    = $val['FirstName'].' '.$val['LastName'];
        }
		return $arr;
    }
*/
	// ----------------------------------------------------------------------------------
	
   public function to_array_reader()
    {
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM Door WHERE Site=? AND Disable='0'");	// 모든 Door
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM Door AS A 
                                                       JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                       WHERE A.Site=? AND A.Disable='0' ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']]    = $val['Name'];
        }

        return $arr;
    }

	// ----------------------------------------------------------------------------------
	
   public function to_array_reader_scan()
    {
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM Door WHERE Site=? AND Disable='0'");	// 모든 Door
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM Door AS A 
                                                       JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                       WHERE A.Site=? AND A.Disable='0' ");
        }
        
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']]    = $val['Name'];
        }

        return $arr;
    }

    // ----------------------------------------------------------------------------------

   public function to_array_card_format()
    {
        $list   = $this->conn->prepare("SELECT * FROM CardFormat");
        $list->execute();
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']]    = $val['Name'];
        }

        return $arr;
    }

    // ----------------------------------------------------------------------------------

   public function to_array_A_level()
    {
        $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']]    = $val['Name'];
        }

        return $arr;
    }

    // ----------------------------------------------------------------------------------

   public function get_groupaccess_str($accesslevels = array())
    {
        $arr_str    = implode(',', $accesslevels);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND GroupKind=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site'],ConstTable::GROUP_ACCESS_LEVEL));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
    }

    // ----------------------------------------------------------------------------------

   public function get_access_str($accesslevels = array())
    {
        $arr_str    = implode(',', $accesslevels);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
    }

    // ----------------------------------------------------------------------------------

   public function get_groupaccess_values($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT B.No, B.Name FROM CardAccessLevel AS A JOIN GroupTable AS B ON A.AccessLevelNo=B.No AND GroupKind=? WHERE A.Site=? AND A.CardNo = ?");
        $list->execute(array(ConstTable::GROUP_ACCESS_LEVEL,$_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

		return $list;
    }

    // ----------------------------------------------------------------------------------

   public function get_access_values($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT B.No, B.Name FROM CardAccessLevel AS A INNER JOIN AccessLevel AS B ON A.AccessLevelNo=B.No WHERE A.Site=? AND A.CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

		return $list;
    }

    // ----------------------------------------------------------------------------------

   public function get_A_level_str($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['AccessLevelNo'];
        }
        $arr_str    = implode(',', $arr);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
    }

    // ----------------------------------------------------------------------------------

   public function get_A_level_select_value($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = "'". $val['AccessLevelNo'] ."'";
        }

        return "[". implode(',', $arr) ."]";
    }

    // ----------------------------------------------------------------------------------

	public function getDefaultCardFormat()
	{
		$no  = $this->conn->prepare("SELECT No FROM CardFormat WHERE IsDefault=1");
		$no->execute();
		$no  = $no->fetchColumn();

		return empty($no) ? '' : $no;
    }
    
    public function getCardFormat($val)
	{
        
        $no  = $this->conn->prepare("SELECT No FROM CardFormat WHERE FacilityCode=?");
        $no->execute(array($val));
        $no  = $no->fetchColumn();

		return $no;
	}

    // ----------------------------------------------------------------------------------

    public function check_card_info()
    {
        $CardNo   = $this->input->get("CardNo");
        $CardFormatNo   = $this->input->get("CardFormat");
        $count   = $this->input->get("count");

        


        $val = 0;

/*
        $card_format	= $this->conn->prepare("SELECT * FROM CardFormat WHERE No=?");
        $card_format->execute(array($CardFormatNo));
        $card_format	= $card_format->fetch(PDO::FETCH_ASSOC);
*/

        $card_format  = $this->conn->prepare("SELECT CardNumberLength FROM CardFormat WHERE No=?");
        $card_format->execute(array($CardFormatNo));
        $card_format  = $card_format->fetchColumn();

        $max_card_number	= pow(2, $card_format) - 1;

        if($CardFormatNo != $count)
        {
            if((int)$CardNo < 1 || (int)$CardNo > $max_card_number) 
            {
                $val = 1;
            }
        }

        $cardcount  = $this->util->GetRecordCount("Card", " WHERE CardNo='".$CardNo."' AND CardFormatNo='".$CardFormatNo."'");

        if($CardFormatNo != $count)
        {
            if( $cardcount > 0)
            {
                $val = 2;
            }
        }
        
        echo json_encode($val);
        

    }
}
?>