<?php

include APP_DIR.'/libraries/Uploader.php';

class card_holder_credential extends controller
{
    public function check_password()
	{
        $confirm_pw   = $this->input->get('Password');
        $val = 1;

        if( $_SESSION['spider_type'] == 'spider' )
		{
			$ctrl   = $this->conn->query("SELECT * FROM Controller WHERE ID = ? AND Password = ? AND No = 1");
			$ctrl->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false)));
			if( !($ctrl = $ctrl->fetch(PDO::FETCH_ASSOC)) )
			{                
                $val = 0;
			}
		}
		else
		{
			$webuser    = $this->conn->query("SELECT * FROM WebUser WHERE ID = ? AND Password = ? AND Site = ?");
			$webuser->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false), $_SESSION['spider_site']));
			if( !($webuser = $webuser->fetch(PDO::FETCH_ASSOC)) )
			{
                $val = 0;
			}
        }

        echo json_encode($val);
    }

    public function credential_email_send()
    {
        $No = $this->input->get('No');
        $Email = $this->input->get('Email');
        $DeviceNo = $this->input->get('DeviceNo');
        $InviteName = $this->input->get('InviteName');

		exec(SPIDER_COMM." ver", $output);
		$version = $output[0];
		if ($version[0] == "1") // E3
		{
			exec(SPIDER_COMM." credential single ".$No." ".$Email." ".$DeviceNo." '".$InviteName."'");
			return;
		}
        $UserNo = $No;
        $UserKey = $Email;

		$mail = new PHPMailer();
        $mail->From = "postmaster@remote-manager.net";
        $mail->Host = "smtp.mailgun.org";
        $mail->Port = "587";
        $mail->FromName = "Open Cesamee Team";
        $mail->SMTPAuth = true;
        $mail->Username = "postmaster@remote-manager.net";
        $mail->Password = "28d93db0abc1395bce9831cde6baccaa-07f37fca-52d7ccab";
        $mail->CharSet = "UTF-8";
        $mail->SMTPOptions = array(
			'mail_host'=> "smtp.mailgun.org",
			'Mail_smtpauth'=> true,
			'mail_username'=> "postmaster@remote-manager.net",
			'Mail_from'=> "postmaster@remote-manager.net",
			'mail_fromname'=> "Open Cesamee Team",
			'Mail_password'=> "28d93db0abc1395bce9831cde6baccaa-07f37fca-52d7ccab",
			'mail_charset'=> "UTF-8",
			'mail_ishtml'=> true,
			'ssl' => array(
				'verify_peer' => false,
				'verify_peer_name' => false,
				'allow_self_signed' => true
            ));
        $mail->Subject = 'Create Mobile Credential.';
        $mail->Body = "<!doctype html>
<html>
	<body>
	<p>This is an invitation from ".$InviteName." to create a mobile credential for your access control system.</p>
	<p>● Step 1: Download the app 'Open Cesamee' at the Android Play Store or Apple App Store.</p>
	<div style='padding-left: 30px;'>
		<p>Android Play Store: <a href = 'https://play.google.com/store/apps/details?id=com.sicunet.nyx' target = '_self'>Download Android App</a></p>
		<p>Apple App Store: <a href = 'https://apps.apple.com/kr/app/open-cesamee/id1529084372?l=en' target = '_self'>Download iOS App</a></p>
	</div>
	<p>● Step 2: After the app is installed, click on one of the links below on your mobile device. Depending on the type of phone and provider, if the first link does not work try the second link.</p>
	<div style='padding-left: 30px;'>
		<p>Link 1: <a href = 'credential://?DeviceNo=".$DeviceNo."&UserNo=".$UserNo."&UserKey=".$UserKey."&Format=36' target = '_self'>Create Mobile Credential</a></p>
		<p>Link 2: <a href = 'https://cloud.sicunet.com/mobilecredential?DeviceNo=".$DeviceNo."&UserNo=".$UserNo."&UserKey=".$UserKey."&Format=36' target = '_self'>Create Mobile Credential</a></p>
	</div>
	<p><b>Some email providers remove the hyperlink options from all email as a security precaution. If the links above do not work, open the app 'Open Cesamee' and enter the information provided below.</b></p>
	<div style='padding-left: 30px; font-weight: bold;'>
		<p>Device No: ".$DeviceNo."</p>
		<p>User No: ".$UserNo."</p>
		<p>User Key: ".$UserKey."</p>
		<p>Format: W36-9</p>
	</div>
	<p>After you enter the information, click 'Create'. You have now completed your enrollment.</p>
	<p>Thank you from the Open Cesamee Team!</p>
	</body>
</html>";   // Message body Content
        $mail->isHTML(true);
        $mail->addAddress($Email, 'Card Holder');
        $mail->Mailer = 'smtp';
		$mail->send();
    }
}
?>