<?php


class clientreplace extends controller
{

    // ----------------------------------------------------------------------------------

    public function index()
    {
	    $vars = array();
        $this->display($vars);
    }

    // ----------------------------------------------------------------------------------

    public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM Host WHERE No != '1'");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM Host WHERE No != '1' ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM Host WHERE No != '1' AND $field LIKE ?");
            $count->execute(array($this->util->parse_search_string($word)));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM Host WHERE No != '1' AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val )
        {
            $name   = $this->conn->prepare("SELECT Name FROM controller WHERE No = ".$val['No']);
            $name->execute();
            $name = $name->fetchColumn();
           // $val['Name2']      = $val['Name'];
           $val['Name']      = $name;
           $val['Name2'] = $val['Name'];
            $val['IP2']        = $val['IP'];
            //$val['TypeStr']    = EnumTable::$attrModelKind[$val['Type']];
            //$val['TypeStr2']   = EnumTable::$attrModelKind[$val['Type']];
			$val['TypeStr']     = EnumTable::$attrModelType[$val['Type']][$val['PortCount']];
			$val['TypeStr2']    = EnumTable::$attrModelType[$val['Type']][$val['PortCount']];
            
            $list[$key] = $val;
        }

        $result['field'] = $field;
        $result['word']  = $word;
        $result['page']  = $page;
        $result['view']  = $view;
        $result['pages'] = $pagination->get_pages();
        $result['count'] = $count;
        $result['list']  = $list;

        echo json_encode($result);
    }
    
    // ----------------------------------------------------------------------------------

    public function insert()
    {
    }

    // ----------------------------------------------------------------------------------

    public function update()
    {
        $No         = $this->input->post('No');
        $Mac        = $this->input->post('Mac');
        
        if( empty($Mac) )      $this->util->alert( $this->lang->menu->error_mac_required, TRUE );

        $sth    = $this->conn->prepare("UPDATE Host SET Mac=? WHERE No=?");

        $values = array($Mac,$No);
        if( $sth->execute($values) )
        {
            $this->log->set_log('client', 'replace');
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

    public function delete()
    {

    }

    // ----------------------------------------------------------------------------------

}

?>