<?php

include APP_DIR.'/libraries/CirciutType1.php';

class ctrl extends controller
{
	var $arr_plug       = array('0'=>'Off', '1'=>'On');

	// ----------------------------------------------------------------------------------

   public function index()
	{
		$vars['tamper']			= $this->to_tamper();
		$vars['power']			= $this->to_power();

		$this->display($vars);
	}

	// ----------------------------------------------------------------------------------

   public function select()
	{
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();
		
		if(!$this->is_SuperAdmin()){
	        $where = " and (ByAdminId = '".$_SESSION['spider_id']."' OR ByAdminId = '' OR ByAdminId IS null) ";
        }else{
	        $where = "";
        }

		if( empty($field) || empty($word) )
        {
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM Controller WHERE No IN (SELECT No FROM Host WHERE Confirm=1)" . $where);
			$count->execute();
			$count	= $count->fetchColumn();
	
			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);
	
			$list	= $this->conn->prepare("SELECT * FROM Controller WHERE No IN (SELECT No FROM Host WHERE Confirm=1) " . $where . " ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
        else
        {
        	$count	= $this->conn->prepare("SELECT COUNT(*) FROM Controller WHERE No IN (SELECT No FROM Host WHERE Confirm=1) " . $where . "  AND $field LIKE ?");
			$count->execute(array($this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();
	
			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);
	
			$list	= $this->conn->prepare("SELECT * FROM Controller WHERE No IN (SELECT No FROM Host WHERE Confirm=1) " . $where . " AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $CirciutType    = new CirciutType;
		$tamper	        = $this->to_tamper();
		$power	        = $this->to_power();
        $attrFloor      = $this->to_array_floor();
        $attrWebUser    = $this->to_array_WebUser();

		foreach( $list as $key=>$val )
		{
			
			$val['IDStr']		 = $val['ID'];
			$val['PasswordStr']  = $val['Password'];
			$val['PrevPassword'] = "";
			$val['NewPassword']  = "";
			$val['ConfirmPassword'] = "";

			foreach($tamper as $item) {
				if($val['No'] == $item['HostNo']) {
					$val['TinputStr']	 = CirciutType::$attrs[$item['Type']];
					$val['Tinput']	     = $item['Type'];
				}
			}

			foreach($power as $item) {
				if($val['No'] == $item['HostNo']) {
					$val['PFinputStr']	 = CirciutType::$attrs[$item['Type']];
					$val['PFinput']	     = $item['Type'];
				}
			}
			
			if(!empty($val['TimeZone'])){
				$val['TimeZoneStr']  = EnumTable::$attrTimeZone[$val['TimeZone']];
			}else{
				$val['TimeZoneStr']  = '';
			}
			
            if ($val['DST'] == "" )
            {
            	$val['DST'] = 0;
            }
            
            if(!empty($val['DST'])){
				$val['DSTStr']   = $this->arr_plug[$val['DST']];
			}else{
				$val['DSTStr']  = '';
			}
            
            if(!empty($val['Language'])){
				$val['LanguageStr'] = EnumTable::$attrLanguage[$val['Language']];
			}else{
				$val['LanguageStr']  = '';
			}
            
            if(!empty($val['DefaultPage'])){
				$val['DefaultPageStr'] = EnumTable::$attrDefaultPageAdmin[$val['DefaultPage']];
			}else{
				$val['DefaultPageStr']  = '';
			}
            
            if(!empty($val['DefaultFloorNo'])){
				$val['DefaultFloorStr'] = $attrFloor[$val['DefaultFloorNo']];
			}else{
				$val['DefaultFloorStr']  = '';
			}
            
            if(!empty($val['DefaultFloorState'])){
				$val['DefaultFloorSateStr'] = EnumTable::$attrYesNo[$val['DefaultFloorState']];
			}else{
				$val['DefaultFloorSateStr']  = '';
			}
			
            $val['SimpleMenuStr'] = $val['SimpleMenu'] == '1' ? 'Yes' : 'No';
			
            if(!empty($val['ByAdminNo'])){
	            $val['ByAdminStr'] = $attrWebUser[$val['ByAdminNo']];
			}else{
				$val['ByAdminStr']  = '';
			}
			
            $val['NewMicomStr'] = $val['NewMicom'] == '1' ? 'Yes' : 'No';
			$list[$key]	= $val;
		}

		$result['field']	= $field;
		$result['word']		= $word;
		$result['page']		= $page;
		$result['view']		= $view;
		$result['pages']	= $pagination->get_pages();
		$result['count']	= $count;
		$result['list']		= $list;

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------

   public function update()
	{
		$No			     = $this->input->post('No');
		$Name  		     = strip_tags(trim($this->input->post('Name')));
		$Location	     = strip_tags($this->input->post('Location'));

		$Tinput		     = $this->input->post('Tinput');
		$PFinput	     = $this->input->post('PFinput');
		$TimeZone		 = $this->input->post('TimeZone');
		$DST			 = $this->input->post('DST');
		$ID		         = $this->input->post('ID');
		$Email	         = strip_tags($this->input->post('Email'));
		//$Password        = $this->input->post('Password');
		$PrevPassword    = $this->input->post('PrevPassword');
		$NewPassword     = $this->input->post('NewPassword');
		$ConfirmPassword = $this->input->post('ConfirmPassword');
        $Language = $this->input->post('Language', 'en');
        $DefaultPage = $this->input->post('DefaultPage', 'alarm_map');
        $DefaultFloorNo = $this->input->post('DefaultFloorNo', '1');
        $DefaultFloorState = $this->input->post('DefaultFloorState', '1');
        $SimpleMenu = $this->input->post('SimpleMenu', '1');
        $ByAdminNo = $this->input->post('ByAdminNo', '0');
        $NewMicom = $this->input->post('NewMicom', '0');
		
        $occurerror = false;
		if( empty($Name) )	                
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert( $this->lang->menu->error_name_required, TRUE );
        }
        if( $No == '1' && empty($Email) )	
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert( $this->lang->menu->error_email_required, TRUE );
        }

		if ($No == 1)
		{
			if( empty($ID) )	           
            {
                $this->util->js('parent.hide_loading();');
                $this->util->alert( $this->lang->ctrl->error_id_required, TRUE );
            }
			if( empty($PrevPassword) )   
            {
                $this->util->js('parent.hide_loading();');
                $this->util->alert( $this->lang->ctrl->error_pw_required, TRUE );
            }
			//if( $PrevPassword != $Password )	$this->util->alert( $this->lang->ctrl->error_not_matched_pw, TRUE );
		}

		//$fields = array($PrevPassword);   // CJMOON Bugfix security 2017.10.31
        //CMS API 호환성 문제로 인하여 사용 중지 함.
        $fields = array(hash('sha256', $PrevPassword, false));        
		
		$acccount = $this->util->GetRecordCountSet("Controller", " WHERE No=1 AND Password=?", $fields);
		if ($acccount != 1)
		{
			$this->util->js('parent.hide_loading();');
			$this->util->alert( $this->lang->ctrl->error_not_matched_pw, TRUE );
		}
        
        $WebUserID = '';
        if( $ByAdminNo != 0 )
        {
            $WebUserID = $this->conn->prepare("SELECT ID FROM WebUser WHERE No=?");
            $WebUserID->execute(array($ByAdminNo));
            
            $WebUserID = $WebUserID->fetchColumn();
        }

        if ( !empty($NewPassword) || !empty($ConfirmPassword))
        {
            if (empty($ConfirmPassword) || $NewPassword !== $ConfirmPassword)
            {
                $this->util->js('parent.hide_loading();');
                $this->util->alert( $this->lang->ctrl->error_not_matched_new, TRUE );
            }

            $sth    = $this->conn->prepare("UPDATE Controller SET Name=?,Location=?,TimeZone=?,DST=?,ID=?,Password=?,Language=?,DefaultPage=?,DefaultFloorNo=?,DefaultFloorState=?,SimpleMenu=?,NewMicom=?,Email=?, ByAdminNo=?, ByAdminId=? WHERE No=?");
            //$values    = array($Name,$Location,$TimeZone,$DST,$ID,$NewPassword,$Language,$DefaultPage,$DefaultFloorNo,$DefaultFloorState,$NewMicom,$Email,$ByAdminNo, $WebUserID, $No);

            //CMS API 호환성 문제로 인하여 사용 중지 함.
             $values    = array($Name,$Location,$TimeZone,$DST,$ID,hash('sha256', $NewPassword, false),$Language,$DefaultPage,$DefaultFloorNo,$DefaultFloorState,$SimpleMenu,$NewMicom,$Email,$ByAdminNo, $WebUserID, $No);
        }
        else
        {
			$sth	= $this->conn->prepare("UPDATE Controller SET Name=?,Location=?,TimeZone=?,DST=?,Language=?,DefaultPage=?,DefaultFloorNo=?,DefaultFloorState=?,SimpleMenu=?,NewMicom=?,Email=?, ByAdminNo=?, ByAdminId=? WHERE No=?");
			$values	= array($Name,$Location,$TimeZone,$DST,$Language,$DefaultPage,$DefaultFloorNo,$DefaultFloorState,$SimpleMenu,$NewMicom,$Email,$ByAdminNo, $WebUserID, $No);
		}
		
		if( $sth->execute($values) )
		{
			$this->log->set_log_message($Name);
		}
		else
		{
            $this->util->alert($this->lang->common->error_update);
		}
		
        $sth	= $this->conn->prepare("UPDATE Host SET ByAdminId=? WHERE No=?");
		$values	= array($WebUserID, $No);
		if( $sth->execute($values) )
		{
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
        
		$sth	= $this->conn->prepare("UPDATE TamperInput SET Type=? WHERE HostNo=?");
		$values	= array($Tinput,$No);
		if( $sth->execute($values) )
		{
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
		
		$sth	= $this->conn->prepare("UPDATE PowerFault SET Type=? WHERE HostNo=?");
		$values	= array($PFinput,$No);
		if( $sth->execute($values) )
		{
			$this->util->js('parent.update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
        
        $this->util->js('parent.hide_loading();');

		exec(SPIDER_COMM." micomversion {$No}");
		
		//exec(SPIDER_COMM." send db");
	}

	// ----------------------------------------------------------------------------------

   public function to_tamper()
	{
		$tamper = $this->conn->prepare("SELECT * FROM TamperInput");
		$tamper->execute();
		$tamper = $tamper->fetchAll(PDO::FETCH_ASSOC);


		return $tamper;
	}

   public function to_power()
	{
		$power = $this->conn->prepare("SELECT * FROM PowerFault");
		$power->execute();
		$power= $power->fetchAll(PDO::FETCH_ASSOC);

		return $power;
	}

    // ----------------------------------------------------------------------------------

   public function to_array_floor()
    {
        $list   = $this->conn->prepare("SELECT * FROM Floor WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach ($list as $key=>$val)
        {
            $arr[$val['No']] = $val['Name'];
        }        

        return $arr;
	}
    
   public function to_array_WebUser()
    {
        $webUser   = $this->conn->prepare("SELECT * FROM WebUser");
        $webUser->execute();
        $webUser   = $webUser->fetchAll(PDO::FETCH_ASSOC);
        $arrUser    = array(''=>'');
        $arrUser    = array('0'=>'');
        foreach ($webUser as $key=>$val)
        {
            $arrUser[$val['No']] = $val['Name'];
        }        

        return $arrUser;
	}

    // ----------------------------------------------------------------------------------

   public function system_report()
    {
		$rows = array();
		$fields = array($_SESSION['spider_site']);

		// user
		$use	= 0;
		$use = $this->util->GetRecordCount("User");
		$rows[] = array(
			'name' => 'user',
			//'total' => $this->util->GetLimitCount( ConstTable::MAX_USER_1, ConstTable::MAX_USER_2, ConstTable::MAX_USER_3 ),
			'total' => EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2],
			'use' => $use
		);

		// card
		$use	= 0;
		$use = $this->util->GetRecordCount("Card");
		$rows[] = array(
			'name' => 'card',
			//'total' => $this->util->GetLimitCount( ConstTable::MAX_CARD_1, ConstTable::MAX_CARD_2, ConstTable::MAX_CARD_3 ),
			'total' => EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4],
			'use' => $use
		);

		// cardformat
		$use	= 0;
		$use = $this->util->GetRecordCount("CardFormat");
		$rows[] = array(
			'name' => 'card_format',
			//'total' => $this->util->GetLimitCount( ConstTable::MAX_CARDFORMAT_1, ConstTable::MAX_CARDFORMAT_2, ConstTable::MAX_CARDFORMAT_3 ),
			'total' => EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][6],
			'use' => $use
		);

		// access leve
		$use	= 0;
		$use = $this->util->GetRecordCount("AccessLevel");
		$rows[] = array(
			'name' => 'alevel',
			//'total' => $this->util->GetLimitCount( ConstTable::MAX_ACCESSLEVEL_1, ConstTable::MAX_ACCESSLEVEL_2, ConstTable::MAX_ACCESSLEVEL_3 ),
			'total' => EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][3],
			'use' => $use
		);

		// schedule
		$use	= 0;
		$use = $this->util->GetRecordCount("Schedule");
		$rows[] = array(
			'name' => 'schedule',
			'total' => $this->util->GetLimitCount( ConstTable::MAX_SCHEDULE_1, ConstTable::MAX_SCHEDULE_2, ConstTable::MAX_SCHEDULE_3, ConstTable::MAX_SCHEDULE_4),
			'use' => $use
		);

		// holiday
		$year   = date('Y');
		$search_year_start = $this->to_timestamp("01-01-{$year}", 0, 0, 0);
		$search_year_end = $this->to_timestamp("12-31-{$year}", 23, 59, 59);
		$holiday_fields = array($search_year_start, $search_year_end);

		$use	= 0;
		$use = $this->util->GetRecordCountSet("Holiday", "WHERE StartTime BETWEEN ? AND ?", $holiday_fields);
		$rows[] = array(
			'name' => 'holiday',
			'total' => $this->util->GetLimitCount( ConstTable::MAX_HOLIDAY_1, ConstTable::MAX_HOLIDAY_2, ConstTable::MAX_HOLIDAY_3,ConstTable::MAX_HOLIDAY_4 ),
			'use' => $use
		);

		// user defined
		$use	= 0;
		$user_def	= $this->conn->prepare("SELECT * FROM UserDefined WHERE Site=?");
		$user_def->execute($fields);
		if( $user_def = $user_def->fetch(PDO::FETCH_ASSOC) ) {
			foreach( $user_def as $name=>$val ) {
				if( substr($name, 0, 4) == 'User' && !empty($val) ) {
					$use++;
				}
			}
		}
		$rows[] = array(
			'name' => 'userdefinefield',
			'total' => $this->util->GetLimitCount( ConstTable::MAX_USERDEFINE_1, ConstTable::MAX_USERDEFINE_2, ConstTable::MAX_USERDEFINE_3,ConstTable::MAX_USERDEFINE_4),
			'use' => $use
		);

		$vars = array(
			'rows' => $rows,
			'logstatus'	=> $this->util->get_logstatus(),
			'diskspace'	=> $this->util->get_diskspace(),
			'userspace'	=> $this->util->get_userspace(),
			'sdspace'	=> $this->util->get_sdspace(),
			'usbspace'	=> $this->util->get_usbspace()
		);

		$this->display($vars, 'system_report');
    }

    // ----------------------------------------------------------------------------------

   public function to_timestamp($date="", $hour=0, $min=0, $sec=0)
    {
        if ($date != "")
        {
        	$timeval = explode('-', trim($date));
        	
        	if (count($timeval) < 3)
        	{
        		return "";
        	}
        		
            $month  = $timeval[0];
            $day    = $timeval[1];
            $year   = $timeval[2];
            return mktime($hour, $min, $sec, $month, $day, $year);
        }
        return $date;
    }

	// ----------------------------------------------------------------------------------

}


?>