<?php
class event extends controller
{
   public function index()
    {
        $vars['DataList']           = json_encode($this->to_list());
        $vars['ScheduleList']       = json_encode($this->to_sch()); 
        $vars['ReaderList']         = json_encode($this->to_reader());  
        $vars['DoorContactList']    = json_encode($this->to_DC());  
        $vars['DoorLockList']       = json_encode($this->to_DL());  
        $vars['AuxInList']          = json_encode($this->to_a_in());    
        $vars['EventList']          = json_encode($this->to_event());   
        $vars['WhereList']          = json_encode($this->to_event_where()); 
        $vars['WhatList']           = json_encode($this->to_event_what());  
        $vars['ActionList']         = json_encode($this->to_action());                  
        $vars['ActionTargetList']   = json_encode($this->to_a_data());  
        $vars['PowerList']          = json_encode($this->to_power());   
        $vars['AuxOutList']         = json_encode($this->to_a_out());   
        $vars['DoorList']           = json_encode($this->to_door());
        $vars['RexList']            = json_encode($this->to_rex());
        $vars['DVRChannelList']     = $this->to_dvrchannel(); 
        $this->display($vars);
    }
    
   public function to_list(){
        $count  = $this->conn->prepare("SELECT COUNT(*) FROM EventAction WHERE Site=?");
        $count->execute(array($_SESSION['spider_site']));
        $count  = $count->fetchColumn();

        $list['total_row']      = $count;

        $list_sql   = $this->conn->prepare("SELECT * FROM EventAction WHERE Site=? order by No desc");
        $list_sql->execute(array($_SESSION['spider_site']));
        $list['list']   = $list_sql->fetchAll(PDO::FETCH_ASSOC);
        
        return $list;
        
    }
   public function to_sch(){
        $list   = $this->conn->prepare("SELECT No,Name FROM Schedule WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        
//      foreach( $list as $key=>$val)
//      {
//          $val_name = "sch_".$val['No'];
//          $re_list[$val_name] = $val['name'];
//      }
//      $re_list['sch_0']   = '-';
        
        return $list;
    }
   public function to_door(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM Door WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM Door AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }   
   public function to_reader(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM Reader WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM Reader AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_DC(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM DoorContact WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM DoorContact AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_DL(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM DoorLock WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM DoorLock AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? AND Disable='0' ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_a_in(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM AuxInput WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM AuxInput AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_a_out(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM AuxOutput WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM AuxOutput AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }   
   public function to_event(){
        $list   = $this->conn->prepare("SELECT * FROM Event WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_event_where(){
        $list   = $this->conn->prepare("SELECT * FROM EventWhere WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_event_what(){
        $list   = $this->conn->prepare("SELECT * FROM EventWhat WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_action(){
        $list   = $this->conn->prepare("SELECT * FROM Action WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_a_data(){
        $list   = $this->conn->prepare("SELECT * FROM ActionTarget WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_rex(){
        if( $this->is_SuperAdmin() == true )
        {
            $list   = $this->conn->prepare("SELECT * FROM DoorRex WHERE Disable='0' AND Site=?");
        }
        else{
            $list   = $this->conn->prepare("SELECT A.* FROM DoorRex AS A
                                                     JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                     WHERE A.Site=? ");
        }
        
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_power(){
        $list   = $this->conn->prepare("SELECT * FROM Controller WHERE No IN (SELECT No FROM Host WHERE Confirm=1)");
        $list->execute();
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        return $list;
    }
   public function to_dvrchannel(){
		$rows	= array();

        $list   = $this->conn->prepare("SELECT DVRChannel.*, DVR.name AS DvrName FROM DVRChannel INNER JOIN DVR ON DVR.No = DVRChannel.DvrNo WHERE DVR.Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
		foreach($list as $row) {
			$rows[$row['No']] = $row['Name'];
		}
        return $rows;
    }

   public function get_dvrchannel() {
		$No = $this->input->get('no');

        $list   = $this->conn->prepare("SELECT * FROM ActionTarget WHERE Site=? AND ActionNo=?");
        $list->execute(array($_SESSION['spider_site'], $No));

		if( $row = $list->fetch(PDO::FETCH_ASSOC) ) {
			echo json_encode($row);
		} else {
			echo json_encode(array());
		}
	}
    
   public function view(){
        $No = $this->input->post('No');
        $list   = $this->conn->prepare("SELECT A.SourceType, (SELECT group_concat(C.ElementNo) FROM EventWhere AS C WHERE A.No=C.EventNo) AS Source,(SELECT group_concat(B.EventCode) FROM EventWhat AS B WHERE A.No=B.EventNo) AS Key FROM Event AS A WHERE A.EventActionNo=?");
        $list->execute(array($No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        echo json_encode($list);
    }
    
   public function insert()
    {
        $No         = $this->input->get('No');     
        $e_No       = $this->input->get('e_No');
        $a_No       = $this->input->get('a_No');
        $in_name    = strip_tags(trim($this->input->get('in_name')));
        $in_mean    = strip_tags($this->input->get('in_mean'));
        $in_ack     = $this->input->get('in_ack');
        $in_sch     = $this->input->get('in_sch');

        if( empty($in_name) )      $this->util->alert( $this->lang->menu->error_name_required, TRUE );
        
        if($No > 0 )
        {
            $max_No = $No;
            $this->delete_fun();
        }
        else
        {
            $max_No = $this->conn->prepare("SELECT MAX(No) FROM EventAction");
            $max_No->execute();
            $max_No = $max_No->fetchColumn() + 1;
        }
        
        $insert_E_V = $this->conn->prepare("INSERT INTO EventAction (Site,No,Name,Mean,ScheduleNo,ACK)values(?,?,?,?,?,?)");
        $insert_E_V->execute(array($_SESSION['spider_site'],$max_No,$in_name,$in_mean,$in_sch,$in_ack));
        $this->log->set_log_message($in_name);

        for($i=1;$i<=$e_No;$i++)
        {
            $event_No = $this->conn->prepare("SELECT MAX(No) FROM Event");
            $event_No->execute();
            $event_No   = $event_No->fetchColumn() + 1;

            $insert = $this->conn->prepare("INSERT INTO Event (Site,No,EventActionNo,SourceType)VALUES(?,?,?,?)");
            $insert->execute(array($_SESSION['spider_site'], $event_No, $max_No, $this->input->get('e_type_'.$i)));

            $delete = $this->conn->prepare("DELETE FROM EventWhere WHERE EventNo=?");
            $delete->execute(array($event_No));
            $WhereNo = $this->conn->prepare("SELECT MAX(No) from EventWhere WHERE Site=?");
            $WhereNo->execute(array($_SESSION['spider_site']));
            $WhereNo = $WhereNo->fetchColumn() + 1;

            $e_where = explode(",",$this->input->get('e_where_'.$i));
            for($z=0;$z<count($e_where);$z++)
            {
                $insert = $this->conn->prepare("INSERT INTO EventWhere (Site,No,EventActionNo,EventNo,ElementKind,ElementNo)VALUES(?,?,?,?,?,?)");
                $insert->execute(array($_SESSION['spider_site'],$WhereNo,$max_No,$event_No,'1',$e_where[$z]));
                $WhereNo = $WhereNo+1;
            }

            $delete = $this->conn->prepare("DELETE FROM EventWhat WHERE EventNo=?");
            $delete->execute(array($event_No));

            $WhatNo = $this->conn->prepare("SELECT MAX(No) from EventWhat WHERE Site=?");
            $WhatNo->execute(array($_SESSION['spider_site']));
            $WhatNo = $WhatNo->fetchColumn() + 1;

            $e_what = explode(",",$this->input->get('e_what_'.$i));
            for($z=0;$z<count($e_what);$z++)
            {
                $insert = $this->conn->prepare("INSERT INTO EventWhat (Site,No,EventActionNo,EventNo,EventCode)values(?,?,?,?,?)");
                $insert->execute(array($_SESSION['spider_site'],$WhatNo,$max_No,$event_No,$e_what[$z]));

                $WhatNo = $WhatNo+1;
            }
        }

        for($i=1;$i<=$a_No;$i++)
        {
            $action_No = $this->conn->prepare("SELECT MAX(No) FROM Action");
            $action_No->execute();
            $action_No = $action_No->fetchColumn() + 1;
            
            $insert = $this->conn->prepare("INSERT INTO Action (Site,No,EventActionNo,ActionType,ActionSubType,SingleTime,OnTime,OffTime,Repeat,SendTo,DelayDuration,Message)values(?,?,?,?,?,?,?,?,?,?,?,?)");

            //Util::alert($this->input->get('Message_'.$i));
            $value = $this->input->get('Message_'.$i);
            //str_replace('\r\n', '\/', $value); 
            //Util::alert($value);

            $value = str_replace(array("\r\n","\r","\n"),' ',$value);


            $insert->execute(array($_SESSION['spider_site'],$action_No,$max_No,$this->input->get('a_type_'.$i),$this->input->get('a_what_'.$i),$this->input->get('SingleTime_'.$i),
                                    $this->input->get('OnTime_'.$i),$this->input->get('OffTime_'.$i),$this->input->get('Repeat_'.$i),
                                    //$this->input->get('SendTo_'.$i),$this->input->get('DelayDuration_'.$i),$this->input->get('Message_'.$i)));
                                    $this->input->get('SendTo_'.$i),$this->input->get('DelayDuration_'.$i),$value));



            
            $delete = $this->conn->prepare("DELETE FROM ActionTarget Where Site=? AND ActionNo=?");
            $delete->execute(array($_SESSION['spider_site'],$action_No));
            
            $TargetNo = $this->conn->prepare("SELECT MAX(No) from ActionTarget WHERE Site=?");
            $TargetNo->execute(array($_SESSION['spider_site']));
            $TargetNo = $TargetNo->fetchColumn() + 1;

			$a_where = explode(",",$this->input->get('a_where_'.$i, '1'));
			for($z=0;$z<count($a_where);$z++)
			{
				$insert = $this->conn->prepare("INSERT INTO ActionTarget (Site,No,EventActionNo,ActionNo,TargetNo)values(?,?,?,?,?)");
				$insert->execute(array($_SESSION['spider_site'],$TargetNo,$max_No,$action_No,$a_where[$z]));
				$TargetNo = $TargetNo+1;
			}
        }
        //exec(SPIDER_COMM." send db");
        
        $vars['list']   = $this->to_list();
        $vars['event']  = $this->to_event();    
        $vars['where']  = $this->to_event_where();  
        $vars['what']   = $this->to_event_what();   
        $vars['action'] = $this->to_action();   
        $vars['a_data'] = $this->to_a_data();

//      exec(SPIDER_COMM." clntdb sync");
        echo json_encode($vars);
    }
    
   public function delete(){
        $No     = $this->input->get('No');
        $Name   = $this->util->GetRecordName('EventAction', $No);

        $this->delete_fun();        
        $this->log->set_log_message($Name);

        echo json_encode($this->to_list());
    }    
    
   public function delete_fun()
    {
        $No = $this->input->get('No');
        
        $event_No = $this->conn->prepare("SELECT No FROM Event WHERE Site=? AND EventActionNo=?");
        $event_No->execute(array($_SESSION['spider_site'], $No));
        $event_No   = $event_No->fetchColumn();
    
        $action_No = $this->conn->prepare("SELECT No FROM Action WHERE Site=? AND EventActionNo=?");
        $action_No->execute(array($_SESSION['spider_site'], $No));
        $action_No  = $action_No->fetchColumn();
        
        $e_what = $this->conn->prepare("DELETE FROM EventWhat WHERE Site=? AND EventNo=?");
        $e_what->execute(array($_SESSION['spider_site'], $event_No));
        
        $e_where = $this->conn->prepare("DELETE FROM EventWhere WHERE Site=? AND EventNo=?");
        $e_where->execute(array($_SESSION['spider_site'], $event_No));
        
        $a_where = $this->conn->prepare("DELETE FROM ActionTarget WHERE Site=? AND ActionNo=?");
        $a_where->execute(array($_SESSION['spider_site'], $action_No));
        
        $event = $this->conn->prepare("DELETE FROM Event WHERE Site=? AND EventActionNo=?");
        $event->execute(array($_SESSION['spider_site'], $No));
        
        $action = $this->conn->prepare("DELETE FROM Action WHERE Site=? AND EventActionNo=?");
        $action->execute(array($_SESSION['spider_site'], $No));
        
        $ev = $this->conn->prepare("DELETE FROM EventAction WHERE Site=? AND No=?");
        $ev->execute(array($_SESSION['spider_site'], $No));
        
        //exec(SPIDER_COMM." send db");
    }

   public function action_detail()
	{
		$action = $this->lang->event->a_detail;
		if ($this->is_option(ConstTable::OPTION_NVR) ||
			$this->is_option(ConstTable::OPTION_SPECO_NVR) ||
			$this->is_option(ConstTable::OPTION_CBC_NVR) ||
			$this->is_option(ConstTable::OPTION_DW_SPECTRUM) ||
			$this->is_option(ConstTable::OPTION_TRANSCENDENT_NVR)) {
			$action[3][] = array('No'=>'13', 'Name'=>$this->lang->event->video_recording);
		}

		return $action;
    }
   
   public function action_detail_b()
	{
		$action = $this->lang->event->b_detail;
		if ($this->is_option(ConstTable::OPTION_NVR) ||
			$this->is_option(ConstTable::OPTION_SPECO_NVR) ||
			$this->is_option(ConstTable::OPTION_CBC_NVR) ||
			$this->is_option(ConstTable::OPTION_DW_SPECTRUM) ||
			$this->is_option(ConstTable::OPTION_TRANSCENDENT_NVR)) {
			$action[3][] = array('No'=>'13', 'Name'=>$this->lang->event->video_recording);
		}

		return $action;
	}

   public function get_threatlevel() 
    {
        $list = $this->conn->prepare("SELECT * FROM ThreatLevel WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['Level']] = $val['ThreatName'];
        }
        return $arr;
    }
}