<?php

class event_code extends controller
{

    // ----------------------------------------------------------------------------------
// ADD CJMOON bug fix
   public function index()
    {
        $this->display();
	}

/* 2017.08.22 CJMOON  ڵ   1  .
   ǵ ڰ DBȭ κ  ó Ϸ ǵ ε .

   public function index()
    {
    	$site   = $this->conn->prepare("SELECT Country, Language FROM Site WHERE No=1");
        $site->execute();
		$site   = $site->fetch(PDO::FETCH_ASSOC);

		$eventcodes = json_decode(file_get_contents(APP_DIR.'/language/'.$site['Language'].'/eventcode.json'), TRUE);

		foreach($eventcodes as $code=>$name)
		{
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM EventCode WHERE EventCode=?");
            $count->execute(array($code));
            $count  = $count->fetchColumn();

			if( $count < 1 )
			{
				$this->insert($code, $name);
			}
			else
			{
				$this->update($code, $name);
			}
		}

        $this->display();
    }
*/
    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        if( empty($field) || empty($word) )
        {
            $list   = $this->conn->prepare("SELECT * FROM EventCode ORDER BY EventCode ASC");
            $list->execute();
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $list   = $this->conn->prepare("SELECT * FROM EventCode WHERE $field LIKE ? ORDER BY EventCode ASC");
            $list->execute(array($this->util->parse_search_string($word)));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val)
        {
			$val['LogDisplay'] = $val['LogDisplay'] == null ? '0' : $val['LogDisplay'];
			$val['Alert'] = $val['Alert'] == null ? '0' : $val['Alert'];
			$val['Ack'] = $val['Ack'] == null ? '0' : $val['Ack'];
            $list[$key] = $val;
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['list']         = $list;

        echo json_encode($result);
    }
    
    // ----------------------------------------------------------------------------------

   public function insert($code, $name)
    {
        $No = $this->conn->prepare("SELECT MAX(No) from EventCode");
        $No->execute();
        $No    = $No->fetchColumn() + 1;

        $this->conn->exec("INSERT INTO EventCode (No,Name,EventCode,Mean,LogDisplay,Ack) VALUES ('{$No}', '{$name}', '{$code}', '', '1', '0')");
    }

    // ----------------------------------------------------------------------------------

   public function update($code, $name)
    {
        $this->conn->exec("UPDATE EventCode SET Name='{$name}' WHERE EventCode='{$code}'");
    }

    // ----------------------------------------------------------------------------------

   public function update_all()
    {
        $items  = $this->input->post("items", array());
        
        //$this->conn->exec("UPDATE EventCode SET LogDisplay=0, Ack=0");

        foreach( $items as $key => $item ) {
            
            $display    = $item['display'] == 'on' ? '1' : '0';
            $ack        = $item['ack'] == 'on' ? '1' : '0';
            $ack        = $key == '13606' ? '0' : $ack;

            $this->conn->exec("UPDATE EventCode SET LogDisplay='{$display}', Ack='{$ack}' WHERE EventCode='{$key}'");
        }

        $this->util->alert( $this->lang->common->save_completed );
        $this->util->js("location.href = '/?c=event_code';");
    }

    // ----------------------------------------------------------------------------------

   public function update_display()
    {
        $No             = $this->input->get('no');
        $log_display    = $this->input->get('log_display', '0');
        $Name           = $this->util->GetEventCodeName($No);

		if( $No == 'all' )
		{
	        $sth    = $this->conn->prepare("UPDATE EventCode SET LogDisplay=?");
			$values = array($log_display);
		}
		else
		{
	        $sth    = $this->conn->prepare("UPDATE EventCode SET LogDisplay=? WHERE No=?");
			$values = array($log_display, $No);
		}

        if( $sth->execute($values) )
        {
            $this->log->set_log("event_code", "update", $Name);
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function update_ack()
    {
        $No             = $this->input->get('no');
        $ack            = $this->input->get('ack', '0');
        $Name           = $this->util->GetEventCodeName($No);

		if( $No == 'all' )
		{
			$sth    = $this->conn->prepare("UPDATE EventCode SET Ack=? WHERE EventCode != '13606'");
			$values = array($ack);
		}
		else
		{
			$sth    = $this->conn->prepare("UPDATE EventCode SET Ack=? WHERE EventCode != '13606' AND No=?");
			$values = array($ack, $No);
		}

        if( $sth->execute($values) )
        {
            $this->log->set_log("event_code", "update", $Name);
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

}


?>