<?php


class license extends controller
{
    // ----------------------------------------------------------------------------------

   public function index()
    {
        $dealer   = $this->conn->prepare("SELECT * FROM ToDoTable1 WHERE No = 1");
        $dealer->execute();
        $dealer   = $dealer->fetch(PDO::FETCH_ASSOC);

        $site   = $this->conn->prepare("SELECT * FROM ToDoTable1 WHERE No = 2");
        $site->execute();
        $site   = $site->fetch(PDO::FETCH_ASSOC);

        $comment   = $this->conn->prepare("SELECT * FROM ToDoTable1 WHERE No = 3");
        $comment->execute();
        $comment   = $comment->fetch(PDO::FETCH_ASSOC);

		$vars = array();
		$vars['dealer'] = $dealer;
		$vars['site'] = $site;
		$vars['comment'] = $comment;
		$vars['arr_door'] = $this->to_array_door();
		$vars['arr_Type'] = $this->to_array_type();
		
		if( $this->input->get('wizard') == '1' )	$this->display($vars, '', 'none');
		else
		{								
			$this->display($vars, '', 'license');
		}
    }

    // ----------------------------------------------------------------------------------

    public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->net_work->prepare("SELECT COUNT(*) FROM Network");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->net_work->prepare("SELECT * FROM Network ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->net_work->prepare("SELECT COUNT(*) FROM Network WHERE $field LIKE ?");
            $count->execute(array("%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->net_work->prepare("SELECT * FROM Network WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array("%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
		
		
		$door_value   = $this->Get_Server_Door();	
		$network_info	= $this->network_info();
		$https_port = $this->Get_Network_Https_Port();

		foreach( $list as $key=>$val )
        {
			if($val['IPType'] == '0') {
				$val['IPAddress']	= $network_info['addr'];
				$val['Subnet']	= $network_info['mask'];
				$val['Gateway']	= $network_info['bcast'];
			}

            $val['IPTypeStr']       = $this->arr_ip_type[$val['IPType']];
			$val['HTTPS'] =  $https_port['HTTPS'];
			$val['HTTPSPORT'] = $https_port['HTTPSPORT'];
			
			/*
			$val['VersionStr']  = $this->get_version();
			//wtkim : NEPTUNE MODE에 따라 Model명 변경
			//$val['ModelStr']    = EnumTable::$attrModel[$val['Model']];
			if($_ENV["NEPTUNE_MODE"] == "NEPTUNE")
			{
				$val['ModelStr']    = EnumTable::$attrModel_NT[$val['Model']];
			}
			else
			{
				$val['ModelStr']    = EnumTable::$attrModel[$val['Model']];				
			}
			//$val['TypeStr']     = EnumTable::$attrDeviceType[$val['Type']];
			$val['TypeStr']     = EnumTable::$attrModelType[$val['Model']][$val['Type']];
			$val['MACAddress']  = $this->get_macaddress();
			
			$list[$key] = $val;
			*/

			$val['VersionStr']  = $this->get_version();
			$val['ModelStr']    = EnumTable::$attrModel_NT[$val['Model']];
			$val['TypeStr']     = EnumTable::$attrModelType[$val['Model']][$val['Type']];
			$val['Product'] = EnumTable::$attrDeviceType[$val['Product']];
			$val['MACAddress']  = $this->get_macaddress();
			$list[$key] = $val;
				
		}
		
		

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

	function clearBrowserCache() {
		header("Pragma: no-cache");
		header("Cache: no-cache");
		header("Cache-Control: no-cache, must-revalidate");
		header("Expires:Mon, 26 Jul 1997 05:00:00 GMT");
		}
    // ----------------------------------------------------------------------------------
   public function update()
    {
        $No         = $this->input->post('No');
        $LicenseKey = $this->input->post('LicenseKey');
        
        if( empty($LicenseKey) )     $this->util->alert( $this->lang->license->error_license_key_required, TRUE );
        
        $sth    = $this->net_work->prepare("UPDATE License SET Result=0 WHERE No=1");
        if( $sth->execute() )
        {
            $this->log->set_log(NULL, 'update');
	        exec(SPIDER_COMM." license ".$LicenseKey, $ret);
		
			$cnt=count($ret);

	        $license  = $this->net_work->query("SELECT Result FROM License WHERE No=1");
			$license->execute();
			
            if($license = $license->fetch(PDO::FETCH_ASSOC))
            {
            	if ($license['Result'] == 1)		// Success
            	{
					$this->util->alert($this->lang->license->license_key_success);
					$this->util->redirect('/?c=user&m=logout');					
            	}
            	else if ($license['Result'] == 2)	// MAC Address Error
            	{
            		$this->util->alert($this->lang->license->license_key_mac_address, TRUE);
            	}
            	else if ($license['Result'] == 3)	// Unknown Device Type
            	{
            		$this->util->alert($this->lang->license->license_unknown_device, TRUE);
            	}
            	else 								// Change Failure
            	{
            		$this->util->alert($this->lang->common->error_update, TRUE);
            	}
			}
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
            sleep(5);
            $this->util->redirect('/?c=user&m=logout'); 
		}
    }
   
   public function get_version()
    { 
		exec(SPIDER_COMM." ver", $output);
		$version	= @$output[count($output)-2];
		return $version;
	}
	
   public function get_macaddress()
	{
		$mac = "";
		exec(SPIDER_COMM." getmac", $output);

		foreach( $output as $line )
		{
			$line = trim($line);
			$name_split = explode('-', $line);

			if( $name_split[0] == 'MAC' ) 
			{
				$mac = $name_split[1];
			}
		}
		
		/*
		$mac  = $this->conn->prepare("SELECT MAC FROM Host WHERE IP = '".$_SERVER['HTTP_HOST']."'");
        $mac->execute();
        $mac  = $mac->fetchColumn();
        */
		return $mac;
	}

    // ----------------------------------------------------------------------------------

   public function save()
    {
		$dealer_company_name	= $this->input->post('dealer_company_name');
		$dealer_address1		= $this->input->post('dealer_address1');
		$dealer_address2		= $this->input->post('dealer_address2');
		$dealer_city			= $this->input->post('dealer_city');
		$dealer_state			= $this->input->post('dealer_state');
		$dealer_zip_code		= $this->input->post('dealer_zip_code');
		$dealer_contact_name	= $this->input->post('dealer_contact_name');
		$dealer_phone_number	= $this->input->post('dealer_phone_number');
		$dealer_cell_phone		= $this->input->post('dealer_cell_phone');
		$dealer_email			= $this->input->post('dealer_email');

		if( empty($dealer_company_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_address1) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_city) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_state) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_zip_code) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_contact_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_phone_number) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_email) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );

		if( $this->util->GetRecordCount('ToDoTable1', " WHERE No = 1") > 0 ) {
	        $sth    = $this->conn->prepare("UPDATE ToDoTable1 SET Field1=?,Field2=?,Field3=?,Field4=?,Field5=?,Field6=?,Field7=?,Field8=?,Field9=?,Field10=? WHERE No = 1");
		} else {
	        $sth    = $this->conn->prepare("INSERT INTO ToDoTable1 (No,Field1,Field2,Field3,Field4,Field5,Field6,Field7,Field8,Field9,Field10) VALUES (1,?,?,?,?,?,?,?,?,?,?)");
		}
        $values = array($dealer_company_name,$dealer_address1,$dealer_address2,$dealer_city,$dealer_state,$dealer_zip_code,$dealer_contact_name,$dealer_phone_number,$dealer_cell_phone,$dealer_email);
        $sth->execute($values);

		$site_company_name	= $this->input->post('site_company_name');
		$site_address1		= $this->input->post('site_address1');
		$site_address2		= $this->input->post('site_address2');
		$site_city			= $this->input->post('site_city');
		$site_state			= $this->input->post('site_state');
		$site_zip_code		= $this->input->post('site_zip_code');
		$site_contact_name	= $this->input->post('site_contact_name');
		$site_phone_number	= $this->input->post('site_phone_number');
		$site_cell_phone	= $this->input->post('site_cell_phone');
		$site_email			= $this->input->post('site_email');

		if( $this->util->GetRecordCount('ToDoTable1', " WHERE No = 2") > 0 ) {
	        $sth    = $this->conn->prepare("UPDATE ToDoTable1 SET Field1=?,Field2=?,Field3=?,Field4=?,Field5=?,Field6=?,Field7=?,Field8=?,Field9=?,Field10=? WHERE No = 2");
		} else {
	        $sth    = $this->conn->prepare("INSERT INTO ToDoTable1 (No,Field1,Field2,Field3,Field4,Field5,Field6,Field7,Field8,Field9,Field10) VALUES (2,?,?,?,?,?,?,?,?,?,?)");
		}
        $values = array($site_company_name,$site_address1,$site_address2,$site_city,$site_state,$site_zip_code,$site_contact_name,$site_phone_number,$site_cell_phone,$site_email);
		$sth->execute($values);

		if( $this->util->GetRecordCount('ToDoTable1', " WHERE No = 3") > 0 ) {
	        $sth    = $this->conn->prepare("UPDATE ToDoTable1 SET Field1=? WHERE No = 3");
		} else {
	        $sth    = $this->conn->prepare("INSERT INTO ToDoTable1 (No,Field1) VALUES (3,?)");
		}
        $values = array($this->input->post('register_comment'));
		$sth->execute($values);
	}

    // ----------------------------------------------------------------------------------

   public function valid_sendorder()
    {
		$this->save();

		$dealer_company_name	= $this->input->post('dealer_company_name');
		$dealer_address1		= $this->input->post('dealer_address1');
		$dealer_address2		= $this->input->post('dealer_address2');
		$dealer_city			= $this->input->post('dealer_city');
		$dealer_state			= $this->input->post('dealer_state');
		$dealer_zip_code		= $this->input->post('dealer_zip_code');
		$dealer_contact_name	= $this->input->post('dealer_contact_name');
		$dealer_phone_number	= $this->input->post('dealer_phone_number');
		$dealer_cell_phone		= $this->input->post('dealer_cell_phone');
		$dealer_email			= $this->input->post('dealer_email');

		if( empty($dealer_company_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_address1) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_city) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_state) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_zip_code) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_contact_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_phone_number) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_email) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );

		$this->util->js('confirm_sendorder();');
	}

    // ----------------------------------------------------------------------------------

   public function sendorder()
    {
		$request_model		= $this->input->post('request_model');
		$request_type		= $this->input->post('request_type');
		$request_options	= $this->input->post('request_options');
		$comment			= str_replace("\n", ' ', $this->input->post('comment'));
		$comment			= str_replace("'", "''", $comment);

		$current_option		= $this->current_system_option_to_str();
		$request_option		= array();
		if( is_array($request_options) ) {
			foreach($request_options as $key=>$val) {
				$request_option[] = EnumTable::$attrModelOptionIndex[$request_model][$key];
			}
		}
		$request_option		= implode(', ', $request_option);

		$dealer_company_name	= $this->input->post('dealer_company_name');
		$dealer_address1		= $this->input->post('dealer_address1');
		$dealer_address2		= $this->input->post('dealer_address2');
		$dealer_city			= $this->input->post('dealer_city');
		$dealer_state			= $this->input->post('dealer_state');
		$dealer_zip_code		= $this->input->post('dealer_zip_code');
		$dealer_contact_name	= $this->input->post('dealer_contact_name');
		$dealer_phone_number	= $this->input->post('dealer_phone_number');
		$dealer_cell_phone		= $this->input->post('dealer_cell_phone');
		$dealer_email			= $this->input->post('dealer_email');

		$register_comment		= str_replace("\n", ' ', $this->input->post('register_comment'));
		$register_comment		= str_replace("'", "''", $register_comment);

		if( empty($dealer_company_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_address1) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_city) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_state) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_zip_code) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_contact_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_phone_number) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_email) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );

		$site_company_name	= $this->input->post('site_company_name');
		$site_address1		= $this->input->post('site_address1');
		$site_address2		= $this->input->post('site_address2');
		$site_city			= $this->input->post('site_city');
		$site_state			= $this->input->post('site_state');
		$site_zip_code		= $this->input->post('site_zip_code');
		$site_contact_name	= $this->input->post('site_contact_name');
		$site_phone_number	= $this->input->post('site_phone_number');
		$site_cell_phone	= $this->input->post('site_cell_phone');
		$site_email			= $this->input->post('site_email');

		$params = "'{$dealer_company_name}' '{$dealer_address1} {$dealer_address2} {$dealer_city} {$dealer_state} {$dealer_zip_code}' '{$dealer_contact_name}' '{$dealer_phone_number}' '{$dealer_cell_phone}' '{$dealer_email}' '{$register_comment}' '{$site_company_name}' '{$site_address1} {$site_address2} {$site_city} {$site_state} {$site_zip_code}' '{$site_contact_name}' '{$site_phone_number}' '{$site_cell_phone}' '{$site_email}'";

		exec(SPIDER_COMM." sendorder '{$current_option}' '{$request_option}' '{$comment}' {$request_model} {$request_type} {$params}");
		//echo(SPIDER_COMM." sendorder '{$current_option}' '{$request_option}' '{$comment}' {$request_model} {$request_type} {$params}");
		//$this->util->alert($this->lang->license->sendorder_ok);
        
        //$this->util->alert(" sendorder '{$current_option}' '{$request_option}' '{$comment}' {$request_model} {$request_type} {$params}");
    }

    // ----------------------------------------------------------------------------------

   public function valid_sendregister()
    {
		$this->save();

		$dealer_company_name	= $this->input->post('dealer_company_name');
		$dealer_address1		= $this->input->post('dealer_address1');
		$dealer_address2		= $this->input->post('dealer_address2');
		$dealer_city			= $this->input->post('dealer_city');
		$dealer_state			= $this->input->post('dealer_state');
		$dealer_zip_code		= $this->input->post('dealer_zip_code');
		$dealer_contact_name	= $this->input->post('dealer_contact_name');
		$dealer_phone_number	= $this->input->post('dealer_phone_number');
		$dealer_cell_phone		= $this->input->post('dealer_cell_phone');
		$dealer_email			= $this->input->post('dealer_email');

		if( empty($dealer_company_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_address1) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_city) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_state) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_zip_code) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_contact_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_phone_number) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_email) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );

		$this->util->js('confirm_sendregister();');
	}

    // ----------------------------------------------------------------------------------

   public function sendregister()
    {
		$dealer_company_name	= $this->input->post('dealer_company_name');
		$dealer_address1		= $this->input->post('dealer_address1');
		$dealer_address2		= $this->input->post('dealer_address2');
		$dealer_city			= $this->input->post('dealer_city');
		$dealer_state			= $this->input->post('dealer_state');
		$dealer_zip_code		= $this->input->post('dealer_zip_code');
		$dealer_contact_name	= $this->input->post('dealer_contact_name');
		$dealer_phone_number	= $this->input->post('dealer_phone_number');
		$dealer_cell_phone		= $this->input->post('dealer_cell_phone');
		$dealer_email			= $this->input->post('dealer_email');

		$register_comment		= str_replace("\n", ' ', $this->input->post('register_comment'));
		$register_comment		= str_replace("'", "''", $register_comment);

		$current_option		= $this->current_system_option_to_str();

		if( empty($dealer_company_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_address1) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_city) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_state) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_zip_code) )		$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_contact_name) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_phone_number) )	$this->util->alert( $this->lang->license->error_missing_required, TRUE );
		if( empty($dealer_email) )			$this->util->alert( $this->lang->license->error_missing_required, TRUE );

		$site_company_name	= $this->input->post('site_company_name');
		$site_address1		= $this->input->post('site_address1');
		$site_address2		= $this->input->post('site_address2');
		$site_city			= $this->input->post('site_city');
		$site_state			= $this->input->post('site_state');
		$site_zip_code		= $this->input->post('site_zip_code');
		$site_contact_name	= $this->input->post('site_contact_name');
		$site_phone_number	= $this->input->post('site_phone_number');
		$site_cell_phone	= $this->input->post('site_cell_phone');
		$site_email			= $this->input->post('site_email');

		$params = "'{$dealer_company_name}' '{$dealer_address1} {$dealer_address2} {$dealer_city} {$dealer_state} {$dealer_zip_code}' '{$dealer_contact_name}' '{$dealer_phone_number}' '{$dealer_cell_phone}' '{$dealer_email}' '{$register_comment}' '{$site_company_name}' '{$site_address1} {$site_address2} {$site_city} {$site_state} {$site_zip_code}' '{$site_contact_name}' '{$site_phone_number}' '{$site_cell_phone}' '{$site_email}'";

		exec(SPIDER_COMM." sendregistration '{$current_option}' {$params}");
		//echo(SPIDER_COMM." sendregistration '{$current_option}' '{$comment}' {$params}");
		//$this->util->alert($this->lang->license->sendregister_ok);
	}
	
   // ----------------------------------------------------------------------------------
   public function edit_option()
	{
		$this->display($vars, 'license_edit_option', FALSE);
    }

    // ----------------------------------------------------------------------------------

   public function system_option_to_str($items)
	{
		if( !is_array($items) || empty($items) )	return 'N/A';

		$option = $this->get_system_option();
		//$option = '1111111110010111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111';

		$labels	= array();
		foreach( $items as $idx=>$label ) {
			if( substr($option, ($idx-1), 1) == '1' ) {
				$labels[] = $label;
			}
		}

		return count($labels) < 1 ? 'No' : implode('<br>', $labels);
    }

    // ----------------------------------------------------------------------------------

   public function get_system_option()
	{
		$license  = $this->net_work->query("SELECT optionValue FROM Option WHERE No=1");
		$license->execute();
		$option = $license->fetchColumn();

		return $option;
	}
	


    // ----------------------------------------------------------------------------------

   public function current_system_option_to_str()
	{
		$labels	= array();
		$options = EnumTable::$attrModelOptionIndex[$_SESSION['spider_model']];

		$option = $this->get_system_option();
		for($i=0; $i<strlen($option); $i++) {
			$char = substr($option, $i, 1);
			if( $char == '1' ) {
				if( !empty($options[($i+1)]) ) {
					$labels[] = $options[($i+1)];
				}
			}
		}

		return implode(', ', $labels);
	}
    
   public function to_array_door()
    {       
        $arr    = array();
        
        for( $i=1;$i<5;$i++) {
            $arr[$i] = 'Door '.$i;
        }        
        
        return $arr;
	}
	
	public function to_array_type()
    {       
        $arr    = array();
		$arr = [ '1', '2', '3', '4','8','16','32','36','64' ];
        return $arr;
    }
    
   public function setDoorCountChange()
    {
		/*
			$license_check  = $this->net_work->query("SELECT Product FROM Network WHERE No=1");
			$license_check->execute();
			$license_check = $license_check->fetch(PDO::FETCH_ASSOC);
			//$this->util->alert("asdfg1");
			setDoorCountChange($license_check['Product']);
			//$this->util->alert("asdfg2");
			$license_check = NULL;
		*/
	   $doorCount  = $this->input->get('door');

	   //$this->util->alert($doorCount);

	   $doorCount = 1;
	   
       $macAddress = $this->get_macaddress();

       if(empty($doorCount))  { return; }

       /* wtkim : 20190404 각 항목 쿼리 2번 수행 -> 1번만 수행 되도록 보완, Reader,DoorRex,DoorLock 항목 추가*/
       /*
       if(($doorCount < 1) || ($doorCount > 5)) { return; }
          $sth = $this->conn->prepare("update door set disable=0 where Site=? and HostNo = (select No from host where Mac = ?) ");       
       $values = array($_SESSION['spider_site'], $macAddress);
       $sth->execute($values);

       $sth = $this->conn->prepare("update door set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<5");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount);
       $sth->execute($values);

       $sth = $this->conn->prepare("update auxinput set disable=0 where Site=? and HostNo = (select No from host where Mac = ?) and No<5");       
       $values = array($_SESSION['spider_site'], $macAddress);
       $sth->execute($values);

       $sth = $this->conn->prepare("update auxinput set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<5");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount);
       $sth->execute($values);

       $sth = $this->conn->prepare("update auxoutput set disable=0 where Site=? and HostNo = (select No from host where Mac = ?) and No<5");       
       $values = array($_SESSION['spider_site'], $macAddress);
       $sth->execute($values);

       $sth = $this->conn->prepare("update auxoutput set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<5");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount);
       $sth->execute($values);

       $sth = $this->conn->prepare("update Reader set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<9");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount*2);
       $sth->execute($values);

       $sth = $this->conn->prepare("update DoorRex set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<5");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount);
       $sth->execute($values);

       $sth = $this->conn->prepare("update DoorLock set disable=1 where Site=? and HostNo = (select No from host where Mac = ?) AND No>? and No<5");
       $values = array($_SESSION['spider_site'], $macAddress, $doorCount);
       $sth->execute($values);
       */

      $sth = $this->conn->prepare("Update Door Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?) ");
      $values = array($doorCount,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

      $sth = $this->conn->prepare("Update Auxinput Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?)");       
      $values = array($doorCount,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

      $sth = $this->conn->prepare("Update Auxoutput Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?)");       
      $values = array($doorCount,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

      $sth = $this->conn->prepare("Update Reader Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?)");
      $values = array($doorCount*2,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

      $sth = $this->conn->prepare("Update DoorRex Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?)");
      $values = array($doorCount,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

      $sth = $this->conn->prepare("Update DoorLock Set Disable = CASE WHEN no <= ? THEN 0 else 1 end where Site=? and HostNo = (select No from host where Mac = ?)");
      $values = array($doorCount,$_SESSION['spider_site'], $macAddress);
      $sth->execute($values);

       /*
       server 의 도어개수 프로그램에서 업데이트
       도어 개수 만큼만 초기화 작업을 수행하기 위해서
       설정된 도어 개수를 프로그램으로 전송 해준다(기존은 4개 상수값으로 지정되어 있었다)
       */
       exec(SPIDER_COMM." door 0 doorcount_change");       
       $this->util->alert( $this->lang->common->save_completed );
	}

	public function checkExpansion()
    {
		$Micom_Door_count  = $this->net_work->prepare("SELECT MicomDoorcount FROM Network WHERE No='1'");
		$Micom_Door_count->execute();
		$Micom_Door_count  = $Micom_Door_count->fetchColumn();

		$Product_count  = $this->net_work->prepare("SELECT Product FROM Network WHERE No='1'");
		$Product_count->execute();
		$Product_count  = $Product_count->fetchColumn();

		if($Micom_Door_count == 4 && $Product_count < 4)
		{
			$result['expansion'] = true;
		}
		else
		{
			$result['expansion'] = false;
		}
		echo json_encode($result);
	}
	
	public function get_system_model()
	{
		$model  = $this->net_work->query("SELECT Model FROM Network WHERE No=1");
		$model->execute();
		$model  = $model->fetchColumn();
		$result['model'] = $model;
		echo json_encode($result);
	}

	public function update1()
    {
		$confirm_pw    = $this->input->post('confirm_pw');

		if( $_SESSION['spider_type'] == 'spider' )
		{
			$ctrl   = $this->conn->query("SELECT * FROM Controller WHERE ID = ? AND Password = ? AND No = 1");
			//$ctrl->execute(array($_SESSION['spider_id'], $confirm_pw));
			//$ctrl->execute(array($_SESSION['spider_id'], base64_encode( hash('sha256', $confirm_pw, true))));
			$ctrl->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false)));
			if( !($ctrl = $ctrl->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch);
				exit;
			}
		}
		else
		{
			$webuser    = $this->conn->query("SELECT * FROM WebUser WHERE ID = ? AND Password = ? AND Site = ?");
			//$webuser->execute(array($_SESSION['spider_id'], $confirm_pw, $_SESSION['spider_site']));
			//$webuser->execute(array($_SESSION['spider_id'], base64_encode( hash('sha256', $confirm_pw, true)), $_SESSION['spider_site']));
			$webuser->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false), $_SESSION['spider_site']));
			if( !($webuser = $webuser->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch);
				exit;
			}
		}


        $No         = $this->input->post('No');
        $IPType     = $this->input->post('IPType', '0');
        $IPAddress  = trim($this->input->post('IPAddress'));
        $Subnet     = trim($this->input->post('Subnet'));
        $Gateway    = trim($this->input->post('Gateway'));
        $DNS1       = trim($this->input->post('DNS1'));
        $DNS2       = trim($this->input->post('DNS2'));
        $HTTPPort   = $this->input->post('HTTPPort', '80');
        $HTTPS      = $this->input->post('HTTPS');
        $HTTPSPort  = $this->input->post('HTTPSPORT', '443');

		if(empty($HTTPPort)) {
			$HTTPPort = '80';
		}

		if(empty($HTTPS)) {
			$HTTPS = '0';
		}

		if(empty($HTTPSPort)) {
			$HTTPSPort = '443';
		}

        if( $HTTPPort == '20000' || $HTTPPort == '20001' || $HTTPSPort == '20000' || $HTTPSPort == '20001' ){
            $this->util->alert( $this->lang->network->error_port_allowed, TRUE );
        }
            
        
        if( $IPType == '1' )
        {
            //2015.06.02 by Zeno 
            if (!filter_var($IPAddress, FILTER_VALIDATE_IP) === true) {
                $this->util->alert( $this->lang->network->error_ip_add_required, TRUE );
            }
            
            if (!filter_var($Subnet, FILTER_VALIDATE_IP) === true) {
                $this->util->alert( $this->lang->network->error_subnet_required, TRUE );
            }
            
            if( trim($Subnet) == '255.255.255.255' )
            {
				$this->util->alert( $this->lang->network->error_subnet_invalid, TRUE );
            }                       
            
            if (!filter_var($Gateway, FILTER_VALIDATE_IP) === true) {
                $this->util->alert( $this->lang->network->error_gateway_required, TRUE );
            }
            
            if(!empty($DNS1)) {
                if (!filter_var($DNS1, FILTER_VALIDATE_IP) === true) {
                    $this->util->alert( $this->lang->network->error_ip_add_required, TRUE );
                }
            }
            
            if(!empty($DNS2)) {
                if (!filter_var($DNS2, FILTER_VALIDATE_IP) === true) {
                    $this->util->alert( $this->lang->network->error_ip_add_required, TRUE );
                }
            }
            /*
			if(!$this->check_ip($IPAddress))     
				                        $this->util->alert( $this->lang->network->error_ip_add_required, TRUE );
            if( empty($Subnet) )        $this->util->alert( $this->lang->network->error_subnet_required, TRUE );
            if( trim($Subnet) == '255.255.255.255' )
										$this->util->alert( $this->lang->network->error_subnet_invalid, TRUE );
            if( empty($Gateway) )       $this->util->alert( $this->lang->network->error_gateway_required, TRUE );
            */
            
            $sth    = $this->net_work->prepare("UPDATE Network SET IPType=?,IPAddress=?,Subnet=?,Gateway=?,DNS1=?,DNS2=?,HTTPPort=?,HTTPS=?,HTTPSPORT=? WHERE No=?");
            $values = array($IPType,$IPAddress,$Subnet,$Gateway,$DNS1,$DNS2,$HTTPPort,$HTTPS,$HTTPSPort,$No);
        }
        else
        {
            $sth    = $this->net_work->prepare("UPDATE Network SET IPType=?,IPAddress=?,Subnet=?,Gateway=?,DNS1=?,DNS2=?,HTTPPort=?,HTTPS=?,HTTPSPORT=? WHERE No=?");
            $values = array($IPType,'','','',$DNS1,$DNS2,$HTTPPort,$HTTPS,$HTTPSPort,$No);
        }

        if( $sth->execute($values) )
        {
            if( $IPType == '1' )
            {
                $sth    = $this->conn->prepare("UPDATE NetworkInfo SET IPType=?,IPAddress=?,Subnet=?,Gateway=?,DNS1=?,DNS2=?,HTTPPort=?,HTTPS=?,HTTPSPORT=? WHERE No=?");
                $values = array($IPType,$IPAddress,$Subnet,$Gateway,$DNS1,$DNS2,$HTTPPort,$HTTPS,$HTTPSPort,$No);
            }
            else
            {
                $sth    = $this->conn->prepare("UPDATE NetworkInfo SET IPType=?,IPAddress=?,Subnet=?,Gateway=?,DNS1=?,DNS2=?,HTTPPort=?,HTTPS=?,HTTPSPORT=? WHERE No=?");
                $values = array($IPType,'','','',$DNS1,$DNS2,$HTTPPort,$HTTPS,$HTTPSPort,$No);
            }
            if( $sth->execute($values) )
            {
				$HTTPSStr = strtolower($HTTPS == '' ? 'off' : $this->arr_plug[$HTTPS]);
				exec(SPIDER_COMM." http {$HTTPSStr} {$HTTPPort} {$HTTPSPort}");

                $this->log->set_log(NULL, 'update');
                exec("/spider/bin/cp -a /tmp/SpiderDB/* /spider/database/.");
                exec(SPIDER_COMM." sysback");
                
                $this->util->alert($this->lang->common->reboot_system);
				flush();
				
				exec(SPIDER_COMM." shutdown direct");


            }
            else
            {
                $this->util->alert($this->lang->common->error_update);
            }
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
		}
		
	}

	public function network_info()
	{
		//exec(SPIDER_COMM.' cmd ifconfig', $lines);
		exec(SPIDER_COMM.' ifconfig', $lines);
		$output	= implode("\n", $lines);

		$match  = "/^.*addr:([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})";
		$match .= ".*Bcast:([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3})";
		$match .= ".*Mask:([0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}).*$/im";
		if(!preg_match($match, $output, $matches))
			return false;

		$values = array(
			'addr'	=> $matches[1],
			//'bcast'	=> $matches[2],
			'mask'	=> $matches[3]
		);

		$lines = '';
		$output = array();
		$matches = array();

		exec(SPIDER_COMM.' getroute', $lines);
		
		foreach( $lines as $line )
		{
			$line		= strtolower(trim($line));
			$action		= explode(':', $line);
			$status		= trim(@$action[0]);

			if( strpos($status, 'result') === 0 ) {
				$values['bcast']	= trim($action[1]);
				break;
			}
		}

		return $values;
	}
}
?>
