<?php
class licensekey extends controller
{

    // ----------------------------------------------------------------------------------

   public function index()
    {
   		if( $this->input->get('wizard') == '1' )	$this->display($vars, '', 'none');
		else								$this->display($vars);
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->net_work->prepare("SELECT COUNT(*) FROM Network");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->net_work->prepare("SELECT * FROM Network ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->net_work->prepare("SELECT COUNT(*) FROM Network WHERE $field LIKE ?");
            $count->execute(array("%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->net_work->prepare("SELECT * FROM Network WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array("%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------
   public function update()
    {
        $No         = $this->input->post('No');
        $LicenseKey = $this->input->post('LicenseKey');
        
        if( empty($IPAddress) )     $this->util->alert( $this->lang->license->error_license_key_required, TRUE );

        $sth    = $this->net_work->prepare("UPDATE Network SET LicenseKey=? WHERE No=?");
        $values = array($LicenseKey,$No);
        if( $sth->execute($values) )
        {
            $this->log->set_log(NULL, 'update');
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
	    $this->util->redirect("/?c=user&m=logout");
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------
}
?>
