<?php

class onetime_unlockschedule extends controller
{
    // ----------------------------------------------------------------------------------
   public function index()
    {
		$this->display();
    }

    // ----------------------------------------------------------------------------------
   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM OneTimeUnlockSchedule WHERE Site = ?");
            }
            else{
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM 
                                                (SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN Door AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 1)
                                                                    JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                                    Group By Z.No
                                                  UNION
                                                  SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN GroupTable AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 2)
                                                                    JOIN GroupElement AS B ON A.No = B.GroupNo 
                                                                    JOIN Door AS C ON B.ElementNo = C.No
                                                                    JOIN Host AS H ON C.HostNo = H.No  AND (H.ByAdminId =  '".$_SESSION['spider_id']."' OR H.ByAdminId = '' OR H.ByAdminId IS null) 
                                                                    GROUP BY Z.No) WHERE Site = ?");
            }
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM OneTimeUnlockSchedule WHERE Site = ? ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list   = $this->conn->prepare("SELECT * FROM 
                                                (SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN Door AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 1)
                                                                    JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                                    Group By Z.No
                                                  UNION
                                                  SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN GroupTable AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 2)
                                                                    JOIN GroupElement AS B ON A.No = B.GroupNo 
                                                                    JOIN Door AS C ON B.ElementNo = C.No
                                                                    JOIN Host AS H ON C.HostNo = H.No  AND (H.ByAdminId =  '".$_SESSION['spider_id']."' OR H.ByAdminId = '' OR H.ByAdminId IS null) 
                                                                    GROUP BY Z.No) WHERE Site = ?  ORDER BY No DESC LIMIT ?, ?" );
            }
            $list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM OneTimeUnlockSchedule WHERE Site = ? AND $field LIKE ?");
            }
            else{
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM 
                                                (SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN Door AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 1)
                                                                    JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                                    Group By Z.No
                                                  UNION
                                                  SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN GroupTable AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 2)
                                                                    JOIN GroupElement AS B ON A.No = B.GroupNo 
                                                                    JOIN Door AS C ON B.ElementNo = C.No
                                                                    JOIN Host AS H ON C.HostNo = H.No  AND (H.ByAdminId =  '".$_SESSION['spider_id']."' OR H.ByAdminId = '' OR H.ByAdminId IS null) 
                                                                    GROUP BY Z.No) WHERE Site = ?  AND $field LIKE ? ");
            }
            $count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);
            
            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM OneTimeUnlockSchedule WHERE Site = ? AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list   = $this->conn->prepare("SELECT * FROM 
                                                (SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN Door AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 1  OR Z.SelectType = 5)
                                                                    JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null) 
                                                                    Group By Z.No
                                                  UNION
                                                  SELECT Z.* From OneTimeUnlockSchedule AS Z
                                                        JOIN GroupTable AS A ON A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site=Z.Site AND UnlockNo = Z.No AND Z.SelectType = 2)
                                                                    JOIN GroupElement AS B ON A.No = B.GroupNo 
                                                                    JOIN Door AS C ON B.ElementNo = C.No
                                                                    JOIN Host AS H ON C.HostNo = H.No  AND (H.ByAdminId =  '".$_SESSION['spider_id']."' OR H.ByAdminId = '' OR H.ByAdminId IS null) 
                                                                    GROUP BY Z.No) WHERE Site = ?  AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?" );
            }
            $list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val )
        {
            $val['ActDateStr']	= (empty($val['ActDate']) ? '' : date("m-d-Y", $val['ActDate']));
            $val['StartHour']	= substr($val['StartTime'], 0, 2);
            $val['StartMin']	= substr($val['StartTime'], 2, 2);
            $val['EndHour']	    = substr($val['EndTime'], 0, 2);
            $val['EndMin']	    = substr($val['EndTime'], 2, 2);
            $val['TimeStr']	    = "{$val['StartHour']}:{$val['StartMin']}~{$val['EndHour']}:{$val['EndMin']}";
            $val['SelectTypeStr']	= EnumTable::$attrGroup[$val['SelectType']];
            $val['DataList2']		= $this->get_element_select_val($val['No'], $val['SelectType']);
            $val['DataListStr']		= $this->get_element_select_str($val['No'], $val['SelectType']);

            $list[$key] = $val;
        }

        $result['field'] = $field;
        $result['word']  = $word;
        $result['page']  = $page;
        $result['view']  = $view;
        $result['pages'] = $pagination->get_pages();
        $result['count'] = $count;
        $result['list']  = $list;

        echo json_encode($result);
    }
    
    // ----------------------------------------------------------------------------------

   public function insert()
    {
        $No = $this->conn->prepare("SELECT MAX(No) FROM OneTimeUnlockSchedule WHERE Site=?");
        $No->execute(array($_SESSION['spider_site']));
        $No = $No->fetchColumn() + 1;

        $Name           = strip_tags(trim($this->input->post('Name')));
        $ActDate    = $this->to_timestamp($this->input->post('ActDateStr'), 0, 0, 0);
        $StartHour  = $this->input->post('StartHour');
        $StartMin   = $this->input->post('StartMin');
        $EndHour    = $this->input->post('EndHour');
        $EndMin     = $this->input->post('EndMin');
        $StartTime  = $StartHour . $StartMin;
        $EndTime    = $EndHour . $EndMin;
        $SelectType     = $this->input->post('SelectType');
        $DataList2      = $this->input->post('DataList3', array());

        if( empty($Name) )      $this->util->alert( $this->lang->onetime_unlockschedule->error_name_required, TRUE );
        if( empty($ActDate) )   $this->util->alert( $this->lang->onetime_unlockschedule->error_date_required, TRUE );
        if( empty($StartTime) ) $this->util->alert( $this->lang->onetime_unlockschedule->error_starttime_required, TRUE );
        if( empty($EndTime) )   $this->util->alert( $this->lang->onetime_unlockschedule->error_endtime_required, TRUE );
        if( $StartTime > $EndTime ) $this->util->alert( $this->lang->onetime_unlockschedule->error_date_value, TRUE );

        $sth    = $this->conn->prepare("INSERT INTO OneTimeUnlockSchedule (Site,No,Name,ActDate,StartTime,EndTime,SelectType) VALUES (?,?,?,?,?,?,?)");
        $values = array($_SESSION['spider_site'],$No,$Name,$ActDate,$StartTime,$EndTime,$SelectType);

		if( $sth->execute($values) )
        {
            $UnlockNo = $this->conn->prepare("SELECT MAX(No) from OneTimeUnlockDoor WHERE Site=?");
            $UnlockNo->execute(array($_SESSION['spider_site']));
            $UnlockNo = $UnlockNo->fetchColumn() + 1;
            $sth = $this->conn->prepare("INSERT INTO OneTimeUnlockDoor (Site,No,UnlockNo,ElementNo) VALUES (?,?,?,?)");

            foreach( $DataList2 as $value )
            {
                $sth->execute( array($_SESSION['spider_site'], $UnlockNo, $No, $value) );
                $UnlockNo = $UnlockNo + 1;
            }
            $this->log->set_log_message($Name);
            $this->util->js('load_list();');
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_insert);
        }
    }

    // ----------------------------------------------------------------------------------

   public function update()
    {
        $No             = $this->input->post('No');        
        $Name           = strip_tags(trim($this->input->post('Name')));
        $ActDate    = $this->to_timestamp($this->input->post('ActDateStr'), 0, 0, 0);
        $StartHour  = $this->input->post('StartHour');
        $StartMin   = $this->input->post('StartMin');
        $EndHour    = $this->input->post('EndHour');
        $EndMin     = $this->input->post('EndMin');
        $StartTime  = $StartHour . $StartMin;
        $EndTime    = $EndHour . $EndMin;
        $SelectType     = $this->input->post('SelectType');
        $DataList2      = $this->input->post('DataList3', array());
        
        if( empty($Name) )      $this->util->alert( $this->lang->onetime_unlockschedule->error_name_required, TRUE );
        if( empty($ActDate) )   $this->util->alert( $this->lang->onetime_unlockschedule->error_date_required, TRUE );
        if( empty($StartTime) ) $this->util->alert( $this->lang->onetime_unlockschedule->error_starttime_required, TRUE );
        if( empty($EndTime) )   $this->util->alert( $this->lang->onetime_unlockschedule->error_endtime_required, TRUE );
        if( $StartTime > $EndTime ) $this->util->alert( $this->lang->onetime_unlockschedule->error_date_value, TRUE );

        $sth    = $this->conn->prepare("UPDATE OneTimeUnlockSchedule SET Name=?,ActDate=?,StartTime=?,EndTime=?,SelectType=? WHERE Site=? AND No=?");
        $values = array($Name,$ActDate,$StartTime,$EndTime,$SelectType,$_SESSION['spider_site'],$No);

		if( $sth->execute($values) )
        {
            $UnlockNo = $this->conn->prepare("SELECT MAX(No) from OneTimeUnlockDoor WHERE Site=?");
            $UnlockNo->execute(array($_SESSION['spider_site']));
            $UnlockNo = $UnlockNo->fetchColumn() + 1;
            
            $subdelete = $this->conn->prepare("DELETE FROM OneTimeUnlockDoor WHERE Site=? AND UnlockNo=?");
            $subdelete->execute(array($_SESSION['spider_site'], $No));
            
            $subinsert = $this->conn->prepare("INSERT INTO OneTimeUnlockDoor (Site,No,UnlockNo,ElementNo) VALUES (?,?,?,?)");

            foreach( $DataList2 as $value )
            {
                $subinsert->execute( array($_SESSION['spider_site'],$UnlockNo,$No,$value) );
                $UnlockNo = $UnlockNo+1;
            }
            $this->log->set_log_message($Name);
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function delete()
    {
        $No         = $this->input->get('no');
        $Name       = $this->util->GetRecordName('OneTimeUnlockSchedule', $No);

        $data_del = $this->conn->prepare("DELETE FROM OneTimeUnlockDoor WHERE Site = ? AND UnlockNo=?");
        if($data_del->execute(array($_SESSION['spider_site'], $No)) )
        {
            $unlock_del = $this->conn->prepare("DELETE FROM OneTimeUnlockSchedule WHERE Site = ? AND No=?");        
            if( $unlock_del->execute(array($_SESSION['spider_site'], $No)) )
            {
                $this->log->set_log_message($Name);
                //$this->util->js('load_list()');
                $this->util->alert( $this->lang->common->delete_completed );
            }
            else
            {
                $this->util->alert($this->lang->common->error_delete);
            }
        }
        else
        {
            $this->util->alert($this->lang->common->error_delete);
        }
    }

    // ----------------------------------------------------------------------------------

   public function get_element_select_val($No, $SelectType)
    {
        if ($SelectType == '2')
        {
            
            $list   = $this->conn->prepare("SELECT C.No, C.Name FROM OneTimeUnlockSchedule AS A 
                                                                JOIN OneTimeUnlockDoor AS B ON A.Site=B.Site AND A.No = B.UnlockNo 
                                                                JOIN GroupTable AS C ON C.Site = A.Site AND B.ElementNo = C.No AND C.GroupKind=? 
                                                                WHERE A.SelectType = 2 AND A.Site = ? AND A.No = ?");
            
            
            $list->execute(array(ConstTable::GROUP_DOOR, $_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT C.No, C.Name FROM OneTimeUnlockSchedule AS A 
                                                                    JOIN OneTimeUnlockDoor AS B ON A.Site=B.Site AND A.No=B.UnlockNo 
                                                                    JOIN Door AS C ON A.Site=C.Site AND B.ElementNo = C.No 
                                                                    WHERE A.SelectType = 1 AND A.Site = ? AND A.No = ?");
            }
            else{
                $list   = $this->conn->prepare("SELECT C.No, C.Name FROM OneTimeUnlockSchedule AS A 
                                                                    JOIN OneTimeUnlockDoor AS B ON A.Site=B.Site AND A.No=B.UnlockNo 
                                                                    JOIN Door AS C ON A.Site=C.Site AND B.ElementNo = C.No 
                                                                    JOIN Host AS H ON C.HostNo = H.No AND (H.ByAdminId =  '".$_SESSION['spider_id']."' OR H.ByAdminId = '' OR H.ByAdminId IS null)
                                                                    WHERE A.SelectType = 1 AND A.Site = ? AND A.No = ?");
            }
            $list->execute(array($_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        return $list;
    }

   public function get_element_select_str($No, $SelectType)
    {
        if ($SelectType == '2')
        {
            $list   = $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND GroupKind=? AND No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site = ? AND UnlockNo = ?)");
            
            $list->execute(array($_SESSION['spider_site'], ConstTable::GROUP_DOOR, $_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM Door WHERE Site=? AND No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site = ? AND UnlockNo = ?)");
            }
            else{
                $list   = $this->conn->prepare("SELECT A.* FROM Door AS A 
                                                            JOIN Host AS B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                            WHERE A.Site=? AND A.No IN (SELECT ElementNo FROM OneTimeUnlockDoor WHERE Site = ? AND UnlockNo = ?)");
            }
            $list->execute(array($_SESSION['spider_site'], $_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $arr    = array();
        $listOK = 0;
        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
            $listOK = 1;
        }
        
        if ($listOK > 0)
            return implode(',', $arr);
        else 
            return "";
    }

    // ----------------------------------------------------------------------------------
    public function check_max_count()
    {
        $max_schedule	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][14];        
                            
        if ($max_schedule <= $this->util->GetRecordCount('OneTimeUnlockSchedule'))
        {
            $this->util->js('close_new();');
            $this->util->alert($this->lang->addmsg->error_limit_over_unlockschedule, TRUE);
        } else {            
            $this->util->js('open_new(); change_selecttype("new");');
        }
    }

    // ----------------------------------------------------------------------------------

    public function to_timestamp($date="", $hour=0, $min=0, $sec=0)
    {
        if ($date != "")
        {
        	$timeval = explode('-', trim($date));
        	
        	if (count($timeval) < 3)
        	{
        		return "";
        	}
        		
            $month  = $timeval[0];
            $day    = $timeval[1];
            $year   = $timeval[2];
            return mktime($hour, $min, $sec, $month, $day, $year);
        }
        return $date;
    }

}

?>