<?php


class smtpfile extends controller
{

    var $arr_ip_type    = array('0'=>'DHCP', '1'=>'Static');
    var $arr_d_server   = array('1'=>'dyndns.org');
    var $arr_plug       = array('0'=>'Off', '1'=>'On');

    // ----------------------------------------------------------------------------------

   public function index()
    {
        $this->display();
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM NetworkInfo");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM NetworkInfo ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM NetworkInfo WHERE $field LIKE ?");
            $count->execute(array("%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM NetworkInfo WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array("%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val )
        {
	        if(!empty($val['SMTPEnable'])){
		        $val['SMTPEnableStr']    = $this->arr_plug[$val['SMTPEnable']];
	        }else{
		        $val['SMTPEnableStr'] = '';
	        }
	        if(!empty($val['SMTPTTL'])){
		        $val['SMTPTTLStr']    = EnumTable::$attrSMTPTLS[$val['SMTPTTL']];
	        }else{
		        $val['SMTPTTLStr'] = '';
	        }
            
			$list[$key] = $val;
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------

   public function update4()
    {
        /*
        $No           = $this->input->post('No');
        $SMTPEnable   = $this->input->post('SMTPEnable', '0');
        $SMTPServer   = strip_tags($this->input->post('SMTPServer'));
        $SMTPID       = $this->input->post('SMTPID');
        $SMTPPassword = $this->input->post('SMTPPassword');
        $SMTPSendTo   = strip_tags($this->input->post('SMTPSendTo'));
        $SMTPTTL      = $this->input->post('SMTPTTL', '0');        
        $SMTPNumber   = $this->input->post('SMTPNumber', '587');
        */

/*
Server: smtp.mailgun.org
Port: 587
TLS: On
ID: postmaster@remote-manager.net
Password: 28d93db0abc1395bce9831cde6baccaa-07f37fca-52d7ccab
*/


        if(($_ENV["NEPTUNE_MODE"] == "BAY") || ($_ENV["NEPTUNE_MODE"] == "ENVERA"))
        {
            $No           = $this->input->post('No');
            $SMTPEnable   = $this->input->post('SMTPEnable', '0');
            
            $SMTPServer   = "smtp.mailgun.org";
            $SMTPID       = "postmaster@remote-manager.net";
            $SMTPPassword = "28d93db0abc1395bce9831cde6baccaa-07f37fca-52d7ccab";
            $SMTPSendTo   = strip_tags($this->input->post('SMTPSendTo'));
            $SMTPTTL      = '1';            
            $SMTPNumber   = '587';
        }
        else
        {
            $No           = $this->input->post('No');            
            $SMTPEnable   = $this->input->post('SMTPEnable', '0');
            $SMTPServer   = strip_tags($this->input->post('SMTPServer'));
            $SMTPID       = $this->input->post('SMTPID');
            $SMTPPassword = $this->input->post('SMTPPassword');
            $SMTPSendTo   = strip_tags($this->input->post('SMTPSendTo'));
            $SMTPTTL      = $this->input->post('SMTPTTL');        
            $SMTPNumber   = $this->input->post('SMTPNumber');
        }


        
        if(empty($SMTPNumber))
        {
            $SMTPNumber = '587';
        }
        
        $mode         = $this->input->post('mode');
        if ($mode == "save")
        {
	        if( $SMTPEnable == '1' )
	        {
	            $sth    = $this->conn->prepare("UPDATE NetworkInfo SET SMTPEnable=?,SMTPServer=?,SMTPID=?,SMTPPassword=?,SMTPSendTo=?,SMTPTTL=?,SMTPNumber=? WHERE No=?");
	            $values = array($SMTPEnable,$SMTPServer,$SMTPID,$SMTPPassword,$SMTPSendTo,$SMTPTTL,$SMTPNumber,$No);
	        }
	        else
	        {
	            $sth    = $this->conn->prepare("UPDATE NetworkInfo SET SMTPEnable=? WHERE No=?");
	            $values = array($SMTPEnable,$No);
	            
	        }
	
	        if( $sth->execute($values) )
	        {
	            $this->log->set_log(NULL, 'update');
	            
	            exec(SPIDER_COMM." smtp save");
	            //exec(SPIDER_COMM." send db");
	            $this->util->js('update_list("'.$No.'");');
                $this->util->alert( $this->lang->common->save_completed );
	        }
	        else
	        {
	            $this->util->alert($this->lang->common->error_update);
	        }
	    }
	    else
	    {
	    	if( $SMTPEnable == '1' )
	    	{
                //UTIL::alert(SPIDER_COMM." smtp test $SMTPServer $SMTPID $SMTPPassword $SMTPSendTo $SMTPTTL $SMTPNumber ");

                exec(SPIDER_COMM." smtp test $SMTPServer $SMTPID $SMTPPassword $SMTPSendTo $SMTPTTL $SMTPNumber ");
                
                //$this->util->alert(" smtp test $SMTPServer $SMTPID $SMTPPassword $SMTPSendTo $SMTPTTL $SMTPNumber ");
				$this->util->alert($this->lang->addmsg->send_test_mail);
			}
	    }
    }
    
    // ----------------------------------------------------------------------------------

}


?>