<?php


class tlevel extends controller
{
    // ----------------------------------------------------------------------------------

    public function index()
    {
        $this->display();
    }

    // ----------------------------------------------------------------------------------

    public function select()
    {
        $field  = $this->input->get('f'); 
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();
        
        $count  = $this->conn->prepare("SELECT COUNT(*) FROM Threat WHERE Site=?");
        $count->execute(array($_SESSION['spider_site']));
        $count  = $count->fetchColumn();
        if ($count < 1)
        {
	        $sth = $this->conn->prepare("INSERT INTO Threat (Site,No,ThreatStatus,ThreatCount) VALUES ( ?,1,0,0)");
	        $values = array($_SESSION['spider_site']);
	        $sth->execute($values);
        }

        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM ThreatLevel WHERE Site=?");
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT A.Site, A.No, A.ThreatCount, A.ThreatStatus,
                                                   T1.ThreatName AS ThreatName1, T2.ThreatName AS ThreatName2, T3.ThreatName AS ThreatName3, T4.ThreatName AS ThreatName4, T5.ThreatName AS ThreatName5, 
                                                   T6.ThreatName AS ThreatName6, T7.ThreatName AS ThreatName7, T8.ThreatName AS ThreatName8, T9.ThreatName AS ThreatName9,T10.ThreatName AS ThreatName10,
                                                   T11.ThreatName AS ThreatName11, T12.ThreatName AS ThreatName12, T13.ThreatName AS ThreatName13, T14.ThreatName AS ThreatName14,T15.ThreatName AS ThreatName15, 
                                                   T16.ThreatName AS ThreatName16, T17.ThreatName AS ThreatName17, T18.ThreatName AS ThreatName18, T19.ThreatName AS ThreatName19,T20.ThreatName AS ThreatName20,       
                                                   T21.ThreatName AS ThreatName21, T22.ThreatName AS ThreatName22, T23.ThreatName AS ThreatName23, T24.ThreatName AS ThreatName24,T25.ThreatName AS ThreatName25 
                                              FROM Threat AS A 
                                              LEFT OUTER JOIN ThreatLevel AS T1 ON A.Site = T1.Site AND T1.Level=1
                                              LEFT OUTER JOIN ThreatLevel AS T2 ON A.Site = T2.Site AND T2.Level=2
                                              LEFT OUTER JOIN ThreatLevel AS T3 ON A.Site = T3.Site AND T3.Level=3
                                              LEFT OUTER JOIN ThreatLevel AS T4 ON A.Site = T4.Site AND T4.Level=4
                                              LEFT OUTER JOIN ThreatLevel AS T5 ON A.Site = T5.Site AND T5.Level=5
                                              LEFT OUTER JOIN ThreatLevel AS T6 ON A.Site = T6.Site AND T6.Level=6
                                              LEFT OUTER JOIN ThreatLevel AS T7 ON A.Site = T7.Site AND T7.Level=7
                                              LEFT OUTER JOIN ThreatLevel AS T8 ON A.Site = T8.Site AND T8.Level=8
                                              LEFT OUTER JOIN ThreatLevel AS T9 ON A.Site = T9.Site AND T9.Level=9
                                              LEFT OUTER JOIN ThreatLevel AS T10 ON A.Site = T10.Site AND T10.Level=10
                                              LEFT OUTER JOIN ThreatLevel AS T11 ON A.Site = T11.Site AND T11.Level=11
                                              LEFT OUTER JOIN ThreatLevel AS T12 ON A.Site = T12.Site AND T12.Level=12
                                              LEFT OUTER JOIN ThreatLevel AS T13 ON A.Site = T13.Site AND T13.Level=13
                                              LEFT OUTER JOIN ThreatLevel AS T14 ON A.Site = T14.Site AND T14.Level=14
                                              LEFT OUTER JOIN ThreatLevel AS T15 ON A.Site = T15.Site AND T15.Level=15
                                              LEFT OUTER JOIN ThreatLevel AS T16 ON A.Site = T16.Site AND T16.Level=16
                                              LEFT OUTER JOIN ThreatLevel AS T17 ON A.Site = T17.Site AND T17.Level=17
                                              LEFT OUTER JOIN ThreatLevel AS T18 ON A.Site = T18.Site AND T18.Level=18
                                              LEFT OUTER JOIN ThreatLevel AS T19 ON A.Site = T19.Site AND T19.Level=19
                                              LEFT OUTER JOIN ThreatLevel AS T20 ON A.Site = T20.Site AND T20.Level=20  
                                              LEFT OUTER JOIN ThreatLevel AS T21 ON A.Site = T21.Site AND T21.Level=21
                                              LEFT OUTER JOIN ThreatLevel AS T22 ON A.Site = T22.Site AND T22.Level=22
                                              LEFT OUTER JOIN ThreatLevel AS T23 ON A.Site = T23.Site AND T23.Level=23
                                              LEFT OUTER JOIN ThreatLevel AS T24 ON A.Site = T24.Site AND T24.Level=24
                                              LEFT OUTER JOIN ThreatLevel AS T25 ON A.Site = T25.Site AND T25.Level=25
                                             WHERE A.Site=? ORDER BY A.No DESC LIMIT ?, ?");
            $list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM ThreatLevel WHERE Site=? AND $field LIKE ?");
            $count->execute($_SESSION['spider_site'], array("%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT A.Site, A.No, A.ThreatCount, A.ThreatStatus,
                                                   T1.ThreatName AS ThreatName1, T2.ThreatName AS ThreatName2, T3.ThreatName AS ThreatName3, T4.ThreatName AS ThreatName4, T5.ThreatName AS ThreatName5, 
                                                   T6.ThreatName AS ThreatName6, T7.ThreatName AS ThreatName7, T8.ThreatName AS ThreatName8, T9.ThreatName AS ThreatName9,T10.ThreatName AS ThreatName10,
                                                   T11.ThreatName AS ThreatName11, T12.ThreatName AS ThreatName12, T13.ThreatName AS ThreatName13, T14.ThreatName AS ThreatName14,T15.ThreatName AS ThreatName15, 
                                                   T16.ThreatName AS ThreatName16, T17.ThreatName AS ThreatName17, T18.ThreatName AS ThreatName18, T19.ThreatName AS ThreatName19,T20.ThreatName AS ThreatName20,       
                                                   T21.ThreatName AS ThreatName21, T22.ThreatName AS ThreatName22, T23.ThreatName AS ThreatName23, T24.ThreatName AS ThreatName24,T25.ThreatName AS ThreatName25 
                                              FROM Threat AS A 
                                              LEFT OUTER JOIN ThreatLevel AS T1 ON A.Site = T1.Site AND T1.Level=1
                                              LEFT OUTER JOIN ThreatLevel AS T2 ON A.Site = T2.Site AND T2.Level=2
                                              LEFT OUTER JOIN ThreatLevel AS T3 ON A.Site = T3.Site AND T3.Level=3
                                              LEFT OUTER JOIN ThreatLevel AS T4 ON A.Site = T4.Site AND T4.Level=4
                                              LEFT OUTER JOIN ThreatLevel AS T5 ON A.Site = T5.Site AND T5.Level=5
                                              LEFT OUTER JOIN ThreatLevel AS T6 ON A.Site = T6.Site AND T6.Level=6
                                              LEFT OUTER JOIN ThreatLevel AS T7 ON A.Site = T7.Site AND T7.Level=7
                                              LEFT OUTER JOIN ThreatLevel AS T8 ON A.Site = T8.Site AND T8.Level=8
                                              LEFT OUTER JOIN ThreatLevel AS T9 ON A.Site = T9.Site AND T9.Level=9
                                              LEFT OUTER JOIN ThreatLevel AS T10 ON A.Site = T10.Site AND T10.Level=10
                                              LEFT OUTER JOIN ThreatLevel AS T11 ON A.Site = T11.Site AND T11.Level=11
                                              LEFT OUTER JOIN ThreatLevel AS T12 ON A.Site = T12.Site AND T12.Level=12
                                              LEFT OUTER JOIN ThreatLevel AS T13 ON A.Site = T13.Site AND T13.Level=13
                                              LEFT OUTER JOIN ThreatLevel AS T14 ON A.Site = T14.Site AND T14.Level=14
                                              LEFT OUTER JOIN ThreatLevel AS T15 ON A.Site = T15.Site AND T15.Level=15
                                              LEFT OUTER JOIN ThreatLevel AS T16 ON A.Site = T16.Site AND T16.Level=16
                                              LEFT OUTER JOIN ThreatLevel AS T17 ON A.Site = T17.Site AND T17.Level=17
                                              LEFT OUTER JOIN ThreatLevel AS T18 ON A.Site = T18.Site AND T18.Level=18
                                              LEFT OUTER JOIN ThreatLevel AS T19 ON A.Site = T19.Site AND T19.Level=19
                                              LEFT OUTER JOIN ThreatLevel AS T20 ON A.Site = T20.Site AND T20.Level=20  
                                              LEFT OUTER JOIN ThreatLevel AS T21 ON A.Site = T21.Site AND T21.Level=21
                                              LEFT OUTER JOIN ThreatLevel AS T22 ON A.Site = T22.Site AND T22.Level=22
                                              LEFT OUTER JOIN ThreatLevel AS T23 ON A.Site = T23.Site AND T23.Level=23
                                              LEFT OUTER JOIN ThreatLevel AS T24 ON A.Site = T24.Site AND T24.Level=24
                                              LEFT OUTER JOIN ThreatLevel AS T25 ON A.Site = T25.Site AND T25.Level=25
                                             WHERE A.Site=? AND $field LIKE ? ORDER BY A.No DESC LIMIT ?, ?");
            $list->execute(array($_SESSION['spider_site'], "%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val )
        {
	        if(!empty($var['ThreatCount'])){
		        $val['ThreatCountStr'] = EnumTable::$attrThreatLevel[$_SESSION['spider_model']][$var['ThreatCount']];
	        }else{
		        $val['ThreatCountStr'] = '';
	        }
            
            $list[$key] = $val;
        }

        $result['field']    = $field;
        $result['word']     = $word;
        $result['page']     = $page;
        $result['pages']    = $pagination->get_pages();
        $result['count']    = $count;
        $result['list']     = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------
    public function update()
    {
        $No          = $this->input->post('No');
        $ThreatCount = $this->input->post('ThreatCount');

        for ($i = 1; $i <= 25; $i++)
        {
            if ($ThreatCount >= $i)
            {
                $ThreatName = strip_tags(trim($this->input->post('ThreatName'.$i)));
                if( empty($ThreatName) )      $this->util->alert( $this->lang->tlevel->error_name_required.$i, TRUE );

				/*
                $fields = array($_SESSION['spider_site'], $i, $ThreatName);
				$acccount = $this->util->GetRecordCountSet("ThreatLevel", " WHERE Site=? AND No != ? AND ThreatName=?", $fields);
				if ($acccount > 0)
				{
					$this->util->alert( $this->lang->addmsg->error_exist_name, TRUE );
				}
                */
            }
        }

        $sth    = $this->conn->prepare("UPDATE Threat SET ThreatCount=? WHERE Site=? AND No=?");
        $values = array($ThreatCount,$_SESSION['spider_site'],$No);
        if( $sth->execute($values) )
        {
            $sth    = $this->conn->prepare("DELETE FROM ThreatLevel WHERE Site = ?");
            $sth->execute( array($_SESSION['spider_site']) );
            
            $sth    = $this->conn->prepare("INSERT INTO ThreatLevel (Site, No, Level, ThreatName) VALUES (?,?,?,?)");
            for ($i = 1; $i <= 25; $i++)
            {
                if ($ThreatCount >= $i)
                {
                    $ThreatName = strip_tags(trim($this->input->post('ThreatName'.$i)));
                    $sth->execute( array($_SESSION['spider_site'],$i,$i,$ThreatName) );
                }
            }
            
            //exec(SPIDER_COMM." send db");
            $this->log->set_log();
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

}


?>