<?php 
include APP_DIR.'/libraries/Uploader.php';

class update extends controller
{
    // ----------------------------------------------------------------------------------
    private $_model = "";
    private $_isFTPServerStatus = 0;
    
   public function index()
    {
        $vars['VersionStr']  = $this->get_version();
        $vars['LastVersionStr']  = $this->get_last_version();
        $this->display($vars);
    }

    // ----------------------------------------------------------------------------------
    
   public function get_version()
    {
		exec(SPIDER_COMM." ver", $output);

		$version	= @$output[count($output)-3];
        $this->_model     = @$output[count($output)-2];
        $this->launch     = @$output[count($output)-1];
 
        //return $version."  (Package : ".$this->_model.") Updated on ".$this->launch;
        //return $version."  (Package : Server ) Updated on ".$this->launch;
        return $version." (Date : ".$this->launch.")";
	}

    // ----------------------------------------------------------------------------------
    
   public function get_last_version()
    {
		$rt = exec(SPIDER_COMM." update info");
		if ($rt == '-1') {
			$this->util->alert("Fail to Connect Update Server");
			exit;
		}
        
        $this->_isFTPServerStatus = 1;
         
        $fp = fopen(SPDIER_PACKAGE, "r");
       if($fp == FALSE)  { 
            $this->_isFTPServerStatus = 0;
            return "";
       }
       
       $buffer = fread($fp, filesize(SPDIER_PACKAGE));
       fclose($fp);
        
       /* JSon Data Parse */
       $jsonData = json_decode($buffer);
       if(json_last_error() > 0) {
           $this->_isFTPServerStatus = 0;
            return "";           
       }       
       
        for($i=0;$i<count($jsonData);$i++)
        {
           if($jsonData[$i]->model == $this->_model)  return $jsonData[$i]->version; 
        }
                
		return "";
	}
	
    // ----------------------------------------------------------------------------------

   public function _exec()
    {
        set_time_limit(0);
        
		$confirm_pw    = $this->input->post('confirm_pw');
		
		// 用户加密 20190731
		if( $_SESSION['spider_type'] == 'spider' )
		{
			$ctrl   = $this->conn->query("SELECT * FROM Controller WHERE ID = ? AND Password = ? AND No = 1");
            //$ctrl->execute(array($_SESSION['spider_id'], $confirm_pw));
            $ctrl->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false)));

			if( !($ctrl = $ctrl->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch);
				$this->util->redirect("/?c=update");
				exit;
			}
		}
		else
		{
			$webuser    = $this->conn->query("SELECT * FROM WebUser WHERE ID = ? AND Password = ? AND Site = ?");
            //$webuser->execute(array($_SESSION['spider_id'], $confirm_pw, $_SESSION['spider_site']));
            $webuser->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false), $_SESSION['spider_site']));

			if( !($webuser = $webuser->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch);
				$this->util->redirect("/?c=update");
				exit;
			}
		}

 		$sel    = $this->input->post('sel');
	
		$rt  = "0";
		$msg = $this->lang->common->complete_update;
		
        if( $sel == 'pc' )
        {
        	//$msg = $this->lang->common->fail_complete_update_pc_file;
            $file = $this->receive();
            if( $file === FALSE )
            {
                $this->util->redirect("/?c=update");
                exit;
            }
            $rt = exec(SPIDER_COMM." update pc $file");
            
            if ($rt == "0")
            {
                $msg = $this->lang->common->complete_update;
            }
            else
            {
                
                //$msg = $this->lang->common->fail_complete_update_pc_file;
                //$msg = $rt;
            }
        }
        else if( $sel == 'sd' )
        {
            $rt = exec(SPIDER_COMM." update sd");
            
            if ($rt == "-2")
            	$msg = $this->lang->common->fail_complete_update_sd_file;
            else if ($rt != "0")
            	$msg = $this->lang->common->fail_complete_update_sd;
        }
        else if( $sel == 'ftp' )
        {
            $this->get_version();
            $fp = fopen(SPDIER_PACKAGE, "r");
            
            if($fp == FALSE) {            
                 $this->util->alert($this->lang->common->fail_ftp_disable);
                 $this->log->set_log("update", "_execfail");
                 $this->util->redirect("/?c=update");                 
                 exit;
            }
            
            $buffer = fread($fp, filesize(SPDIER_PACKAGE));
            fclose($fp);
        
            /* JSon Data Parse */
            $jsonData = json_decode($buffer);
            if(json_last_error() > 0) {
                 $this->util->alert($this->lang->common->fail_ftp_disable);
                 $this->log->set_log("update", "_execfail");
                 $this->util->redirect("/?c=update");                 
                 exit;
            }       
            
            for($i=0;$i<count($jsonData);$i++) {
              if($jsonData[$i]->model == $this->_model)  break;
            }
                       
            if($i>count($jsonData)) {
                 $this->util->alert($this->lang->common->fail_ftp_disable);
                 $this->log->set_log("update", "_execfail");
                 $this->util->redirect("/?c=update");                 
                 exit;
            }
			if(!empty($jsonData[$i]->ftp)){
				$rt = exec(SPIDER_COMM." update ftp ".$jsonData[$i]->ftp." ".$jsonData[$i]->package." ".$jsonData[$i]->storage." ".$jsonData[$i]->checksums);
			}
        }
        else
        {
        	$msg = $this->lang->common->fail_upload_update_pc_file;            
        }
        
		if ($rt == "0")
		{
            $this->util->alert($msg);
            $this->util->redirect('/?c=user&m=logout');
		}
		else
		{
            $this->util->alert($msg);
			$this->log->set_log("update", "_execfail");
            $this->util->redirect("/?c=update");
		}
    }

    // ----------------------------------------------------------------------------------

   public function receive()
    {
        if( ! is_uploaded_file($_FILES['upload_file']['tmp_name']) )    
        {
        	$this->util->alert($this->lang->addmsg->error_upload);			//$this->util->alert("Update File Loading Error." );
        	return FALSE;
        }

        $uploader                   = new Uploader();
        $uploader->upload_dir       = TMPDATA_URL;
        $uploader->allowed_types    = 'tar|TAR|Tar|gz|GZ|Gz';

        if( $uploader->do_upload('upload_file', 81920000) )
        {
            return $uploader->save_file['basename'];
        }
        else
        {
            $this->util->alert("Update File Loading Error : ".$uploader->get_errors() );
            return FALSE;
        }
    }
}