<?php 


class userdefine extends controller
{
    // ----------------------------------------------------------------------------------
    var $max_field = 0;

   public function index()
    {
    	$this->max_field = $this->util->GetLimitCount(ConstTable::MAX_USERDEFINE_1, 
    	                                       ConstTable::MAX_USERDEFINE_2, 
                                               ConstTable::MAX_USERDEFINE_3,
                                               ConstTable::MAX_USERDEFINE_4);
    		
        $this->display();
    }

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();
        
        $count  = $this->conn->prepare("SELECT COUNT(*) FROM UserDefined WHERE Site=?");
        $count->execute(array($_SESSION['spider_site']));
        $count  = $count->fetchColumn(); 
        
        if ($count < 1)
        {
	        $sth = $this->conn->prepare("INSERT INTO UserDefined (Site,No,User1,User2,User3,User4,User5,User6,User7,User8,User9,User10,User11,User12,User13,User14,User15,User16,User17,User18,User19,User20) VALUES ( ?,1,'','','','','','','','','','','','','','','','','','','','')");
	        $values = array($_SESSION['spider_site']);
	        $sth->execute($values);
        }
        
        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM UserDefined WHERE Site=?");
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM UserDefined WHERE Site=? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM UserDefined WHERE Site=? AND $field LIKE ?");
            $count->execute(array($_SESSION['spider_site'], "%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM UserDefined WHERE Site=? AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($_SESSION['spider_site'], "%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']    = $field;
        $result['word']     = $word;
        $result['page']     = $page;
        $result['view']     = $view;
        $result['pages']    = $pagination->get_pages();
        $result['count']    = $count;
        $result['list']     = $list;

        echo json_encode($result);
    }

    
    /*
    2018.1031 : wtkim
       bugfix : 입력값이 무한대로 입력되어 50자 이상 입력되면 화면이 틀어짐
       수정사항: 최대입력값을 50자로 제한
    */
   public function update()
    {
        $No         = $this->input->post('No');
        $User1      = strip_tags($this->input->post('User1'));
        $User2      = strip_tags($this->input->post('User2'));
        $User3      = strip_tags($this->input->post('User3'));
        $User4      = strip_tags($this->input->post('User4'));
        $User5      = strip_tags($this->input->post('User5'));
        $User6      = strip_tags($this->input->post('User6'));
        $User7      = strip_tags($this->input->post('User7'));
        $User8      = strip_tags($this->input->post('User8'));
        $User9      = strip_tags($this->input->post('User9'));
        $User10     = strip_tags($this->input->post('User10'));
        $User11     = strip_tags($this->input->post('User11'));
        $User12     = strip_tags($this->input->post('User12'));
        $User13     = strip_tags($this->input->post('User13'));
        $User14     = strip_tags($this->input->post('User14'));
        $User15     = strip_tags($this->input->post('User15'));
        $User16     = strip_tags($this->input->post('User16'));
        $User17     = strip_tags($this->input->post('User17'));
        $User18     = strip_tags($this->input->post('User18'));
        $User19     = strip_tags($this->input->post('User19'));
        $User20     = strip_tags($this->input->post('User20'));
        
        if (empty($No))
        	$No = 1;

        $sth    = $this->conn->prepare("UPDATE UserDefined SET User1=?,User2=?,User3=?,User4=?,User5=?,User6=?,User7=?,User8=?,User9=?,User10=?,User11=?,User12=?,User13=?,User14=?,User15=?,User16=?,User17=?,User18=?,User19=?,User20=? WHERE Site=? AND No=?");
        $values = array($User1,$User2,$User3,$User4,$User5,$User6,$User7,$User8,$User9,$User10,$User11,$User12,$User13,$User14,$User15,$User16,$User17,$User18,$User19,$User20,$_SESSION['spider_site'],$No);
       
        if(strlen($User1)>50 || strlen($User2)>50 || strlen($User3)>50 || strlen($User4)>50 || strlen($User5)>50 || strlen($User6)>50 || strlen($User7)>50 || strlen($User8)>50 || strlen($User9)>50 || strlen($User10)>50
        || strlen($User11)>50 || strlen($User12)>50 || strlen($User13)>50 || strlen($User14)>50 || strlen($User15)>50 || strlen($User16)>50 || strlen($User17)>50 || strlen($User18)>50 || strlen($User19)>50 || strlen($User20)>50)
        {            
            $msg = "User Info - ";

            if(strlen($User1)>50)   $msg = $msg."1 ";
            if(strlen($User2)>50)   $msg = $msg."2 ";
            if(strlen($User3)>50)   $msg = $msg."3 ";
            if(strlen($User4)>50)   $msg = $msg."4 ";
            if(strlen($User5)>50)   $msg = $msg."5 ";
            if(strlen($User6)>50)   $msg = $msg."6 ";
            if(strlen($User7)>50)   $msg = $msg."7 ";
            if(strlen($User8)>50)   $msg = $msg."8 ";
            if(strlen($User9)>50)   $msg = $msg."9 ";
            if(strlen($User10)>50)  $msg = $msg."10 ";
            if(strlen($User11)>50)  $msg = $msg."11 ";
            if(strlen($User12)>50)  $msg = $msg."12 ";
            if(strlen($User13)>50)  $msg = $msg."13 ";
            if(strlen($User14)>50)  $msg = $msg."14 ";
            if(strlen($User15)>50)  $msg = $msg."15 ";
            if(strlen($User16)>50)  $msg = $msg."16 ";
            if(strlen($User17)>50)  $msg = $msg."17 ";
            if(strlen($User18)>50)  $msg = $msg."18 ";
            if(strlen($User19)>50)  $msg = $msg."19 ";
            if(strlen($User20)>50)  $msg = $msg."20 ";
            
            $msg = $msg.'\r\n';
            $msg = $msg."The maximum 'User Def.Field' length is '50' characters";
            $this->util->alert($msg);

        }
        else
        {
            if( $sth->execute($values) )
            {
                $this->log->set_log();
                $this->util->js('update_list("'.$No.'");');                
                $this->util->alert( $this->lang->common->save_completed );
            }
            else
            {
                $this->util->alert($this->lang->common->error_update);
            }
        }
    }
}