<?php


class userrole extends controller
{

	var $arr_type = array('admin'=>'Admin','super_user'=>'Super User','user'=>'User');

	// ----------------------------------------------------------------------------------

   public function index()
	{
		$user_type	= $this->input->get('user_type', '1');

		$list	= $this->conn->prepare("SELECT * FROM userrole WHERE user_type=?");
		$list->execute(array($user_type));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		$userrole	= array();
		foreach( $list as $key=>$val )
		{
			$userrole[$val['method']]	= $val['method'];
		}

		$vars['user_type']	= $user_type;
		$vars['arr_type']	= $this->arr_type;
		$vars['userrole']	= $userrole;

		$this->display($vars);
	}

	// ----------------------------------------------------------------------------------

   public function update()
	{
		$user_type	= $this->input->post('user_type');
		$arr_method	= $this->input->post('method', array());

		$delete	= $this->conn->prepare("DELETE FROM userrole WHERE user_type = ?");
		$delete->execute(array($user_type));

		$insert	= $this->conn->prepare("INSERT INTO userrole (user_type, method) VALUES (?, ?)");
		foreach( $arr_method as $method )
		{
			$this->log->set_log();
			$insert->execute(array($user_type, $method));
		}

		$this->util->reload();
	}
/*
   public function select()
	{		
		$field	 	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM User_Role");
			$count->execute();
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM User_Role ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM User_Role WHERE $field LIKE ?");
			$count->execute(array($this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM User_Role WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		$result['field']		= $field;
		$result['word']	= $word;
		$result['page']	= $page;
		$result['pages']	= $pagination->get_pages();
		$result['count']	= $count;
		$result['list']		= $list;

		echo json_encode($result);
	}

   public function update()
	{
		$No					= $this->input->post('No');
		$Limit				= $this->input->post('Limit', 0);
		$alarm_Map		= $this->input->post('alarm_Map', 0);
		$alarm_set		= $this->input->post('alarm_set', 0);
		$cam_view		= $this->input->post('cam_view', 0);
		$cam_setup		= $this->input->post('cam_setup', 0);
		$card_holder		= $this->input->post('card_holder', 0);
		$card_format		= $this->input->post('card_format', 0);
		$alevel				= $this->input->post('alevel', 0);
		$event				= $this->input->post('event', 0);
		$atlevel				= $this->input->post('atlevel', 0);
		$report0			= $this->input->post('report0', 0);
		$log_report		= $this->input->post('log_report', 0);
		$schedule			= $this->input->post('schedule', 0);
		$holiday			= $this->input->post('holiday', 0);
		$door				= $this->input->post('door', 0);
		$ainput				= $this->input->post('ainput', 0);
		$aoutput			= $this->input->post('aoutput', 0);
		$cfloor				= $this->input->post('cfloor', 0);
		$ctrl					= $this->input->post('ctrl', 0);
		$update				= $this->input->post('update', 0);
		$backup			= $this->input->post('backup', 0);
		$restore			= $this->input->post('restore', 0);
		$export				= $this->input->post('export', 0);
		$userdefine		= $this->input->post('userdefine', 0);
		$userrole			= $this->input->post('userrole', 0);
		$ctlevel				= $this->input->post('ctlevel', 0);
		$ipset				= $this->input->post('ipset', 0);
		$ddns				= $this->input->post('ddns', 0);
		$ftp					= $this->input->post('ftp', 0);
		$updatesev		= $this->input->post('updatesev', 0);
		$sms					= $this->input->post('sms', 0);
		$smtp				= $this->input->post('smtp', 0);
		$server_client	= $this->input->post('server_client', 0);

		
		$sth	= $this->conn->prepare("UPDATE User_Role SET alarm_Map=?, alarm_set=?, cam_view=?, cam_setup=?, card_holder=?, card_format=?, alevel=?, event=?, atlevel=?, report1=?, log_report=?, schedule=?, holiday=?, door=?, ainput=?, aoutput=?, cfloor=?, ctrl=?, update=?, backup=?, restore=?, export=?, userdefine=?, userrole=?, ctlevel=?, ipset=?, ddns=?, ftp=?, updatesev=?, sms=?, smtp=?, server_client=? WHERE No=?");

		$values	= array($alarm_Map, $alarm_set, $cam_view, $cam_setup, $card_holder, $card_format, $alevel, $event, $atlevel, $report1, $log_report, $schedule, $holiday, $door, $ainput, $aoutput, $cfloor, $ctrl, $update, $backup, $restore, $export, $userdefine, $userrole, $ctlevel, $ipset, $ddns, $ftp, $updatesev, $sms, $smtp, $server_client, $group);

		if( $sth->execute($values) )
		{
			$this->log->update();
			$this->util->js('update_list("'.$group.'")');
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}

	}
*/
	// ----------------------------------------------------------------------------------

}


?>