<?php


class userrole extends controller
{

	// ----------------------------------------------------------------------------------

    public function index()
	{
		$vars = array();
		if( $this->is_auth(56, 0) != TRUE )
		{
			$this->util->alert($this->lang->user->error_not_permission);
			$this->util->back();
			exit;
		}

		if( $this->input->get('wizard') == '1' ){
			$this->display($vars, '', 'none');
		}else{
			$this->display($vars);
		}
	}

	// ----------------------------------------------------------------------------------

    public function select()
	{
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM UserRole WHERE Site=?");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM UserRole WHERE Site=? AND $field LIKE ?");
			$count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------

    public function to_array_userrole()
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? ORDER BY Name ASC");
		$list->execute(array($_SESSION['spider_site']));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[$row['No']]	= $row['Name'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_camera()
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM Camera WHERE Site=? ORDER BY Name ASC");
		$list->execute(array($_SESSION['spider_site']));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[$row['No']]	= $row['Name'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_dvr()
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM Dvr WHERE Site=? AND ViewerType =1 ORDER BY Name ASC");
		$list->execute(array($_SESSION['spider_site']));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[$row['No']]	= $row['Name'];
		}

		return $arr;
	}
    
    // ----------------------------------------------------------------------------------
    
    public function to_array_nvr()
	{
		$arr	= array();

		$list	= $this->conn->prepare(" SELECT * FROM Dvr WHERE Site=? AND ViewerType =2 ORDER BY Name ASC");
		$list->execute(array($_SESSION['spider_site']));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[$row['No']]	= $row['Name'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_report()
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM SR_Main WHERE Site=? ORDER BY Name ASC");
		$list->execute(array($_SESSION['spider_site']));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[$row['No']]	= $row['Name'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_userrolecamera($userrole)
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM UserRoleCamera WHERE Site=? AND UserRole=?");
		$list->execute(array($_SESSION['spider_site'], $userrole));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[]	= $row['CameraNo'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_userroledvr($userrole)
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM UserRoleDvr WHERE Site=? AND UserRole=?");
		$list->execute(array($_SESSION['spider_site'], $userrole));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[]	= $row['DvrNo'];
		}

		return $arr;
	}
    
    // ----------------------------------------------------------------------------------

    public function to_array_userrolenvr($userrole)
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM UserRoleDvr WHERE Site=? AND UserRole=?");
		$list->execute(array($_SESSION['spider_site'], $userrole));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[]	= $row['DvrNo'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_userrolereport($userrole)
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT * FROM UserRoleReport WHERE Site=? AND UserRole=?");
		$list->execute(array($_SESSION['spider_site'], $userrole));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			$arr[]	= $row['ReportNo'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function to_array_userroledevice($userrole, $device)
	{
		$arr	= array();

		$list	= $this->conn->prepare("SELECT A.*, B.* FROM UserRoleGroup AS A, UserRole AS B WHERE A.Site=? AND A.UserRole=? AND A.DeviceKind=? AND A.Site=B.Site AND A.UserRole=B.No");
		$list->execute(array($_SESSION['spider_site'], $userrole, $device));
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		foreach($list as $row)
		{
			switch( $device )
			{
				case "1":	
					if ($row['DoorSelType'] == '0')
						$list2	= $this->conn->prepare("SELECT * FROM Door WHERE Site=? AND No=?");			
					else
						$list2	= $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND No=? AND GroupKind=2");
					break;
				case "2":	
					if ($row['ElevatorSelType'] == '0')
						$list2	= $this->conn->prepare("SELECT * FROM Elevator WHERE Site=? AND No=?");		
					else
						$list2	= $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND No=? AND GroupKind=11");
					break;
				case "3":	
					if ($row['AuxInSelType'] == '0')
						$list2	= $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND No=?");		
					else
						$list2	= $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND No=? AND GroupKind=6");
					break;
				case "4":	
					if ($row['AuxOutSelType'] == '0')
						$list2	= $this->conn->prepare("SELECT * FROM AuxOutput WHERE Site=? AND No=?");	
					else
						$list2	= $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND No=? AND GroupKind=7");
					break;
			}
			$list2->execute(array($_SESSION['spider_site'], $row['DeviceNo']));

			if( $list2 = $list2->fetch(PDO::FETCH_ASSOC) )	$arr[$row['DeviceNo']] = $list2['Name'];
		}

		return $arr;
	}

	// ----------------------------------------------------------------------------------

    public function get_userroletable($userrole)
	{
		$role = $this->getRoleList();
        $userroletables = $this->conn->prepare("SELECT * FROM UserRoleTable WHERE Site=? AND UserRole=?");
		$userroletables->execute(array($_SESSION['spider_site'], $userrole));
        $userroletables	= $userroletables->fetchAll(PDO::FETCH_ASSOC);

		foreach( $userroletables as $key=>$userroletable )
		{
			$role[$userroletable['FormIndex']][$userroletable['Authority']]	= $userroletable['FormIndex'].'::'.$userroletable['Authority'];
		}

		return $role;
	}

	// ----------------------------------------------------------------------------------

    public function search_device()
	{
		$device  = $this->input->get('device');
		$seltype = $this->input->get('seltype');
		$keyword = $this->input->get('keyword');
		
		switch($device)
		{
			case '1':	$tablename = 'Door';      $group_kind = '2';  break;
			case '2':	$tablename = 'Elevator';  $group_kind = '12'; break;
			case '3':	$tablename = 'AuxInput';  $group_kind = '6';  break;
			case '4':	$tablename = 'AuxOutput'; $group_kind = '7';  break;
		}

		if( $seltype == '1' )
		{
			$list	= $this->conn->prepare("SELECT No,Name FROM GroupTable WHERE Site=? AND GroupKind=? AND Name LIKE ?");
			$list->execute(array($_SESSION['spider_site'], $group_kind, "%{$keyword}%"));
		}
		else
		{
			$list	= $this->conn->prepare("SELECT No,Name FROM $tablename WHERE Site=? AND Name LIKE ?");
			$list->execute(array($_SESSION['spider_site'], "%{$keyword}%"));
		}
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		echo json_encode($list);

	}

	// ----------------------------------------------------------------------------------

    public function view()
	{
		/*
		if( $this->is_auth(56, 3) != TRUE )
		{
			$this->util->alert($this->lang->user->error_not_permission, FALSE, TRUE);
			$this->util->js('$("#new_section").hide();', TRUE, TRUE);
		}
		*/

        $No             = $this->input->get('No');
		$default        = $this->input->get('default');

        $row = $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? AND No=?");
        $row->execute(array($_SESSION['spider_site'], $No));
        $row = $row->fetch(PDO::FETCH_ASSOC);

		if( $default )
		{
			$row2 = $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? AND No=?");
			$row2->execute(array($_SESSION['spider_site'], $default));
			$row2 = $row2->fetch(PDO::FETCH_ASSOC);

			$row2['No']		= $row['No'];
			$row2['Name']	= $row['Name'];
			$vars['row']	= $row2;

			$vars['userroletables'] = $this->get_userroletable($default);
		}
		else
		{
			$vars['row']	= $row;
			$vars['userroletables'] = $this->get_userroletable($No);
		}

		$vars['default']	= $default;

		$this->display($vars, 'userrole_view', FALSE);
	}

	// ----------------------------------------------------------------------------------

    public function newrow()
	{
		/*
		if( $this->is_auth(56, 1) != TRUE )
		{
			$this->util->alert($this->lang->user->error_not_permission, FALSE, TRUE);
			$this->util->js('$("#new_section").hide();', TRUE, TRUE);
		}
		*/

		$default = $this->input->get('default','');

		if( $default )
		{
			$row = $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? AND No=?");
			$row->execute(array($_SESSION['spider_site'], $default));
			$row = $row->fetch(PDO::FETCH_ASSOC);
		}
		
		$row['No']		= '';
		$row['Name']	= '';
		$vars['row']	= $row;

		$vars['userroletables'] = $this->get_userroletable($default);

		$vars['default']	= $default;

		$this->display($vars, 'userrole_new', FALSE);
	}

	// ----------------------------------------------------------------------------------

    public function edit()
	{
        $No = $this->input->get('No');
        $default = $this->input->get('No','');

        $row = $this->conn->prepare("SELECT * FROM UserRole WHERE Site=? AND No=?");
        $row->execute(array($_SESSION['spider_site'], $No));
        $row = $row->fetch(PDO::FETCH_ASSOC);

        $vars['row']	= $row;
        $vars['default']	= $default;
        $vars['userroletables'] = $this->get_userroletable($No);
		
        $this->display($vars, 'userrole_edit', FALSE);
	}

	// ----------------------------------------------------------------------------------

    public function get_use_group()
	{
		$UseDoorSet = '0';
		$DoorSelType = '0';
		if( $this->input->post('UseDoorGroup') == '1' )
		{
			$UseDoorSet = '1';
			if( $this->input->post('DoorSelType') == '1' ) { $DoorSelType = '1'; }
		}
		$UseElevatorSet = '0';
		$ElevatorSelType = '0';
		if( $this->input->post('UseElevatorGroup') == '1' )
		{
			$UseElevatorSet = '1';
			if( $this->input->post('ElevatorSelType') == '1' ) { $ElevatorSelType = '1'; }
		}
		$UseAuxInSet = '0';
		$AuxInSelType = '0';
		if( $this->input->post('UseAuxInGroup') == '1' )
		{
			$UseAuxInSet = '1';
			if( $this->input->post('AuxInSelType') == '1' ) { $AuxInSelType = '1'; }
		}
		$UseAuxOutSet = '0';
		$AuxOutSelType = '0';
		if( $this->input->post('UseAuxOutGroup') == '1' )
		{
			$UseAuxOutSet = '1';
			if( $this->input->post('AuxOutSelType') == '1' ) { $AuxOutSelType = '1'; }
		}

		return array(
			'UseDoorSet'	  => $UseDoorSet,
			'UseElevatorSet'  => $UseElevatorSet,
			'UseAuxInSet'	  => $UseAuxInSet,
			'UseAuxOutSet'	  => $UseAuxOutSet,
			'DoorSelType'	  => $DoorSelType,
			'ElevatorSelType' => $ElevatorSelType,
			'AuxInSelType'	  => $AuxInSelType,
			'AuxOutSelType'	  => $AuxOutSelType
			);
	}

	// ----------------------------------------------------------------------------------
    public function insert()
	{
		/*wtkim 20190408 동일이름 저장 안되게 처리 함 */
		$max	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][13];

		if ($max <= $this->util->GetRecordCount('UserRole'))
    	{
            $this->util->js('parent.hide_loading();');
    		$this->util->alert($this->lang->menu->error_too_many_userrole, TRUE);
    	}

		$Name  = strip_tags(trim($this->input->post('Name')));
		
		if( $Name != NULL)
		{
			
			$count = $this->conn->prepare("SELECT count(*) FROM UserRole WHERE Name = ? COLLATE NOCASE");
			$count->execute(array($Name));
			$count = $count->fetchColumn();

			if($count != 0)
			{
				$this->util->js('parent.hide_loading();');
				$this->util->alert( $this->lang->menu->error_duplicate_name, TRUE );
				
			}
			
			$use = $this->get_use_group();

			$No = $this->conn->prepare("SELECT MAX(No) FROM UserRole");
			$No->execute();
			$No = $No->fetchColumn() + 1;

			$sth    = $this->conn->prepare("INSERT INTO UserRole (Site,No,Name,UseDoorSet,UseElevatorSet,UseAuxInSet,UseAuxOutSet,DoorSelType,ElevatorSelType,AuxInSelType,AuxOutSelType) VALUES (?,?,?,?,?,?,?,?,?,?,?)");
			if( !$sth->execute(array(
				$_SESSION['spider_site'],
				$No,
				$Name,
				$use['UseDoorSet'],
				$use['UseElevatorSet'],
				$use['UseAuxInSet'],
				$use['UseAuxOutSet'],
				$use['DoorSelType'],
				$use['ElevatorSelType'],
				$use['AuxInSelType'],
				$use['AuxOutSelType']
			)) )
			{
				$this->util->js('parent.hide_loading();');
				$this->util->alert($this->lang->common->error_insert, TRUE);
			}

			$this->save_userroletable($No);
			$this->save_userrolecamera($No);
			$this->save_userroledvr($No);
			$this->save_userrolenvr($No);
			$this->save_userrolereport($No);
			$this->save_device($No, '1');
			$this->save_device($No, '2');
			$this->save_device($No, '3');
			$this->save_device($No, '4');

			//exec(SPIDER_COMM." send db");
			$this->log->set_log_message($Name);
			//$this->util->js('parent.load_list(); parent.open_edit("'.$No.'");');
			$this->util->js('parent.load_list();');
			$this->util->alert( $this->lang->common->save_completed );
			$this->util->js('parent.hide_loading();');
		}
		else
		{
			$this->util->js('parent.hide_loading();');
            $this->util->alert( $this->lang->menu->error_name_required, TRUE );		
		}
	}

	// ----------------------------------------------------------------------------------

    public function update()
	{
		$use = $this->get_use_group();

        $No    = $this->input->post('No');
        $Name  = strip_tags(trim($this->input->post('Name')));
        
        if( empty($Name) )  
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert( $this->lang->menu->error_name_required, TRUE );
        }
        
        // 名称唯一 20190731
        $count = $this->conn->prepare("SELECT count(*) FROM UserRole WHERE No!=? and Name = ? COLLATE NOCASE");
		$count->execute(array($No,$Name));
		$count = $count->fetchColumn();

		if($count != 0)
		{
			$this->util->js('parent.hide_loading();');
			$this->util->alert( $this->lang->menu->error_duplicate_name, TRUE );
			
		}

		$sth    = $this->conn->prepare("UPDATE UserRole SET Name=?, UseDoorSet=?, UseElevatorSet=?, UseAuxInSet=?, UseAuxOutSet=?, DoorSelType=?, ElevatorSelType=?, AuxInSelType=?, AuxOutSelType=? WHERE Site=? AND No=?");
		if( !$sth->execute(array(
			$Name,
			$use['UseDoorSet'],
			$use['UseElevatorSet'],
			$use['UseAuxInSet'],
			$use['UseAuxOutSet'],
			$use['DoorSelType'],
			$use['ElevatorSelType'],
			$use['AuxInSelType'],
			$use['AuxOutSelType'],
			$_SESSION['spider_site'],
			$No
		)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_update, TRUE);
        }

		$this->save_userroletable($No);
		$this->save_userrolecamera($No);
		$this->save_userroledvr($No);
        $this->save_userrolenvr($No);
		$this->save_userrolereport($No);
		$this->save_device($No, '1');
		$this->save_device($No, '2');
		$this->save_device($No, '3');
		$this->save_device($No, '4');

		//exec(SPIDER_COMM." send db");
        $this->log->set_log_message($Name);
        $this->util->js('parent.load_list(); parent.open_edit("'.$No.'");');
        $this->util->alert( $this->lang->common->save_completed );
        $this->util->js('parent.hide_loading();');
	}

    // ----------------------------------------------------------------------------------

    public function check_dependency()
    {
        $no     = $this->input->get('no');

        $item   = $this->conn->prepare("SELECT * FROM WebUser WHERE Site=? AND UserRole=?");
        $item->execute(array($_SESSION['spider_site'], $no));
        if( $item = $item->fetchAll(PDO::FETCH_ASSOC) )
		{
			$this->util->js('confirm_dependency("'.$no.'")', TRUE);
		}

		$this->util->js('del_data_prepass("'.$no.'")', TRUE);
    }

	// ----------------------------------------------------------------------------------

    public function delete()
	{
        $No     = $this->input->get('no');
        $Name   = $this->util->GetRecordName('UserRole', $No);
    	
		$sth = $this->conn->prepare("DELETE FROM UserRole WHERE Site=? AND No=?");
		if( $sth->execute(array($_SESSION['spider_site'],$No)) )
        {
         	$sth = $this->conn->prepare("DELETE FROM UserRoleTable WHERE Site=? AND UserRole=?");
 			if( $sth->execute(array($_SESSION['spider_site'],$No)) )
 			{
	         	$sth = $this->conn->prepare("DELETE FROM UserRoleReport WHERE Site=? AND UserRole=?");
 				$sth->execute(array($_SESSION['spider_site'],$No));
 				
 				$sth = $this->conn->prepare("DELETE FROM UserRoleGroup WHERE Site=? AND UserRole=?");
 				$sth->execute(array($_SESSION['spider_site'],$No));
 				
 				$sth = $this->conn->prepare("DELETE FROM UserRoleCamera WHERE Site=? AND UserRole=?");
 				$sth->execute(array($_SESSION['spider_site'],$No));
 				
 				$sth = $this->conn->prepare("DELETE FROM UserRoleDvr WHERE Site=? AND UserRole=?");
 				$sth->execute(array($_SESSION['spider_site'],$No));
 			
 				//exec(SPIDER_COMM." send db");	
 				$this->log->set_log_message($Name);
                $this->util->alert( $this->lang->common->delete_completed );
 			}
        }
	}

	// ----------------------------------------------------------------------------------

    public function save_userroletable($No)
	{
        $addcardflash = '15';
		$sth    = $this->conn->prepare("DELETE FROM UserRoleTable WHERE Site=? AND UserRole=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

        $UserRoleTableNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleTable");
        $UserRoleTableNo->execute();
        $UserRoleTableNo = $UserRoleTableNo->fetchColumn() + 1;

		$userroletables = $this->input->post('userroletables', array());
		$sth    = $this->conn->prepare("INSERT INTO UserRoleTable (Site,No,UserRole,FormIndex,Authority) VALUES (?,?,?,?,?)");
		foreach( $userroletables as $key=>$value )
		{
			$values = explode('::', $value);
			$sth->execute( array($_SESSION['spider_site'], $UserRoleTableNo, $No, $values[0], $values[1]) );
            $UserRoleTableNo++;
		}
	}

	// ----------------------------------------------------------------------------------

    public function save_userrolecamera($No)
	{
		$sth    = $this->conn->prepare("DELETE FROM UserRoleCamera WHERE Site=? AND UserRole=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

        $UserRoleCameraNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleCamera");
        $UserRoleCameraNo->execute();
		$UserRoleCameraNo = $UserRoleCameraNo->fetchColumn() + 1;

		$userrolecameras = $this->input->post('userrolecameras', array());
		$sth    = $this->conn->prepare("INSERT INTO UserRoleCamera (Site,No,UserRole,CameraNo) VALUES (?,?,?,?)");
		foreach( $userrolecameras as $key=>$value )
		{
			$sth->execute( array($_SESSION['spider_site'], $UserRoleCameraNo, $No, $value) );
			$UserRoleCameraNo++;
		}
	}

	// ----------------------------------------------------------------------------------

    public function save_userroledvr($No)
	{
		$sth    = $this->conn->prepare("DELETE FROM UserRoleDvr WHERE Site=? AND UserRole=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

        $UserRoleDvrNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleDvr");
        $UserRoleDvrNo->execute();
        $UserRoleDvrNo = $UserRoleDvrNo->fetchColumn() + 1;

		$userroledvrs = $this->input->post('userroledvrs', array());
		$sth    = $this->conn->prepare("INSERT INTO UserRoleDvr (Site,No,UserRole,DvrNo) VALUES (?,?,?,?)");
		foreach( $userroledvrs as $key=>$value )
		{
			$sth->execute( array($_SESSION['spider_site'], $UserRoleDvrNo, $No, $value) );
			$UserRoleDvrNo++;
		}
	}
    
    public function save_userrolenvr($No)
	{
		$sth    = $this->conn->prepare("DELETE FROM UserRoleDvr WHERE Site=? AND UserRole=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

        $UserRoleDvrNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleDvr");
        $UserRoleDvrNo->execute();
        $UserRoleDvrNo = $UserRoleDvrNo->fetchColumn() + 1;

		//$userroledvrs = $this->input->post('userroledvrs', array());
        $userroledvrs = $this->input->post('userrolenvrs', array());
		$sth    = $this->conn->prepare("INSERT INTO UserRoleDvr (Site,No,UserRole,DvrNo) VALUES (?,?,?,?)");
		foreach( $userroledvrs as $key=>$value )
		{
			$sth->execute( array($_SESSION['spider_site'], $UserRoleDvrNo, $No, $value) );
			$UserRoleDvrNo++;
		}
	}

	// ----------------------------------------------------------------------------------

    public function save_userrolereport($No)
	{
		$sth    = $this->conn->prepare("DELETE FROM UserRoleReport WHERE Site=? AND UserRole=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

        $UserRoleReportNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleReport");
        $UserRoleReportNo->execute();
        $UserRoleReportNo = $UserRoleReportNo->fetchColumn() + 1;

		$userrolereports = $this->input->post('userrolereports', array());
		$sth    = $this->conn->prepare("INSERT INTO UserRoleReport (Site,No,UserRole,ReportNo) VALUES (?,?,?,?)");
		foreach( $userrolereports as $key=>$value )
		{
			$sth->execute( array($_SESSION['spider_site'], $UserRoleReportNo, $No, $value) );
			$UserRoleReportNo++;
		}
	}

	// ----------------------------------------------------------------------------------

    public function save_device($No, $device)
	{
		switch( $device )
		{
			case '1':	$tablename = 'Door';      $device_name = 'Door';  break;
			case '2':	$tablename = 'Elevator';  $device_name = 'Elevator'; break;
			case '3':	$tablename = 'AuxInput';  $device_name = 'AuxIn';  break;
			case '4':	$tablename = 'AuxOutput'; $device_name = 'AuxOut';  break;
		}

		$sth    = $this->conn->prepare("DELETE FROM UserRoleGroup WHERE Site=? AND UserRole=? AND DeviceKind=?");
		if( !$sth->execute(array($_SESSION['spider_site'], $No, $device)) )
        {
            $this->util->js('parent.hide_loading();');
            $this->util->alert($this->lang->common->error_delete, TRUE);
        }

		if( $this->input->post('Use'.$device_name.'Group') == '1' )
		{
			$rowNo = $this->conn->prepare("SELECT MAX(No) FROM UserRoleGroup");
			$rowNo->execute();
			$rowNo = $rowNo->fetchColumn() + 1;

			$devices = $this->input->post('userrole'.strtolower($device_name).'s', array());
			$sth    = $this->conn->prepare("INSERT INTO UserRoleGroup (Site,No,UserRole,DeviceKind,DeviceNo,Disable) VALUES (?,?,?,?,?,?)");
			foreach( $devices as $key=>$value )
			{
				$sth->execute( array($_SESSION['spider_site'], $rowNo, $No, $device, $value, '0') );
				$rowNo++;
			}
		}
	}

	// ----------------------------------------------------------------------------------
	public function getRoleList(){
		$userroletables = array();
		$userroletables[1][24] = 0;
		$userroletables[1][25] = 0;
		$userroletables[1][22] = 0;
		$userroletables[1][23] = 0;
		$userroletables[2][0] = 0;
		$userroletables[2][3] = 0;
		$userroletables[31][0] = 0;
		$userroletables[31][1] = 0;
		$userroletables[31][2] = 0;
		$userroletables[32][0] = 0;
		$userroletables[33][0] = 0;
		$userroletables[33][1] = 0;
		$userroletables[33][2] = 0;
		$userroletables[34][0] = 0;
		$userroletables[35][0] = 0;
		$userroletables[35][1] = 0;
		$userroletables[35][2] = 0;
		$userroletables[36][0] = 0;
		$userroletables[36][5] = 0;
		$userroletables[36][6] = 0;
		$userroletables[3][0] = 0;
		$userroletables[3][1] = 0;
		$userroletables[3][2] = 0;
		$userroletables[4][0] = 0;
		$userroletables[4][1] = 0;
		$userroletables[4][2] = 0;
		$userroletables[5][0] = 0;
		$userroletables[5][1] = 0;
		$userroletables[5][2] = 0;
		$userroletables[6][0] = 0;
		$userroletables[6][1] = 0;
		$userroletables[6][2] = 0;
		$userroletables[7][0] = 0;
		$userroletables[7][1] = 0;
		$userroletables[7][2] = 0;
		$userroletables[8][0] = 0;
		$userroletables[8][1] = 0;
		$userroletables[8][2] = 0;
		$userroletables[76][0] = 0;
		$userroletables[76][1] = 0;
		$userroletables[76][2] = 0;
		$userroletables[88][0] = 0;
		$userroletables[88][1] = 0;
		$userroletables[88][2] = 0;
		$userroletables[9][0] = 0;
		$userroletables[9][1] = 0;
		$userroletables[9][2] = 0;
		$userroletables[12][0] = 0;
		$userroletables[12][3] = 0;
		$userroletables[12][4] = 0;
		$userroletables[10][0] = 0;
		$userroletables[10][3] = 0;
		$userroletables[11][0] = 0;
		$userroletables[11][2] = 0;
		$userroletables[55][0] = 0;
		$userroletables[55][2] = 0;
		$userroletables[56][0] = 0;
		$userroletables[56][1] = 0;
		$userroletables[56][2] = 0;
		$userroletables[57][0] = 0;
		$userroletables[57][1] = 0;
		$userroletables[57][2] = 0;
		$userroletables[58][0] = 0;
		$userroletables[58][1] = 0;
		$userroletables[58][2] = 0;
		$userroletables[91][0] = 0;
		$userroletables[91][3] = 0;
		$userroletables[92][0] = 0;
		$userroletables[92][3] = 0;
		$userroletables[93][0] = 0;
		$userroletables[93][3] = 0;
		$userroletables[94][0] = 0;
		$userroletables[94][3] = 0;
		$userroletables[95][0] = 0;
		$userroletables[95][3] = 0;
		$userroletables[96][0] = 0;
		$userroletables[96][3] = 0;
		$userroletables[97][0] = 0;
		$userroletables[97][3] = 0;
		$userroletables[98][0] = 0;
		$userroletables[98][3] = 0;
		$userroletables[99][0] = 0;
		$userroletables[99][3] = 0;
		$userroletables[100][0] = 0;
		$userroletables[100][3] = 0;
		$userroletables[101][0] = 0;
		$userroletables[101][3] = 0;
		$userroletables[102][0] = 0;
		$userroletables[102][3] = 0;
		$userroletables[73][18] = 0;
		$userroletables[73][19] = 0;
		$userroletables[74][0] = 0;
		$userroletables[85][0] = 0;
		$userroletables[78][0] = 0;
		$userroletables[78][26] = 0;
		$userroletables[78][10] = 0;
		$userroletables[78][8] = 0;
		$userroletables[75][0] = 0;
		$userroletables[87][0] = 0;
		$userroletables[86][0] = 0;
		$userroletables[83][0] = 0;
		$userroletables[84][0] = 0;
		$userroletables[41][0] = 0;
		$userroletables[41][3] = 0;
		$userroletables[42][0] = 0;
		$userroletables[42][3] = 0;
		$userroletables[43][0] = 0;
		$userroletables[43][3] = 0;
		$userroletables[44][0] = 0;
		$userroletables[44][3] = 0;
		$userroletables[77][0] = 0;
		$userroletables[77][3] = 0;
		$userroletables[47][0] = 0;
		$userroletables[47][3] = 0;
		$userroletables[89][0] = 0;
		$userroletables[89][1] = 0;
		$userroletables[89][2] = 0;
		$userroletables[60][0] = 0;
		$userroletables[60][1] = 0;
		$userroletables[60][2] = 0;
		$userroletables[61][0] = 0;
		$userroletables[61][1] = 0;
		$userroletables[61][2] = 0;
		$userroletables[67][0] = 0;
		$userroletables[67][1] = 0;
		$userroletables[67][2] = 0;
		$userroletables[64][0] = 0;
		$userroletables[64][1] = 0;
		$userroletables[64][2] = 0;
		$userroletables[48][0] = 0;
		$userroletables[48][3] = 0;
		$userroletables[51][0] = 0;
		$userroletables[51][3] = 0;
		$userroletables[49][0] = 0;
		$userroletables[49][1] = 0;
		$userroletables[49][2] = 0;
		$userroletables[52][0] = 0;
		$userroletables[52][3] = 0;
		$userroletables[79][0] = 0;
		$userroletables[80][0] = 0;
		$userroletables[81][0] = 0;
		$userroletables[82][0] = 0;
		return $userroletables;
	}
}


?>