<?php 
class webusera extends controller
{

	// ----------------------------------------------------------------------------------

   public function index()
	{
		$count	= $this->conn->prepare("SELECT * FROM webusera_count");
		$count->execute();
		$count	= $count->fetch(PDO::FETCH_ASSOC);

		$users	= $this->conn->prepare("SELECT webusera.*, user.F_name, user.M_name, user.L_name FROM webusera LEFT OUTER JOIN user ON user.web_level=webusera.No WHERE webusera.type='user'");
		$users->execute();
		$users	= $users->fetchAll(PDO::FETCH_ASSOC);

		$susers	= $this->conn->prepare("SELECT webusera.*, user.F_name, user.M_name, user.L_name FROM webusera LEFT OUTER JOIN user ON user.web_level=webusera.No WHERE webusera.type='super_user'");
		$susers->execute();
		$susers	= $susers->fetchAll(PDO::FETCH_ASSOC);

		$admins	= $this->conn->prepare("SELECT webusera.*, user.F_name, user.M_name, user.L_name FROM webusera LEFT OUTER JOIN user ON user.web_level=webusera.No WHERE webusera.type='admin'");
		$admins->execute();
		$admins	= $admins->fetchAll(PDO::FETCH_ASSOC);

		$vars['count']	= $count;
		$vars['users']	= $users;
		$vars['susers']	= $susers;
		$vars['admins']	= $admins;

		$this->display($vars);
	}

	// ----------------------------------------------------------------------------------

   public function update_count()
	{
		$No			= $this->input->post('No');
		$user		= $this->input->post('user', 0);
		$super_user	= $this->input->post('super_user', 0);
		$admin		= $this->input->post('admin', 0);

		$count	= $this->conn->prepare("SELECT * FROM webusera_count WHERE No=?");
		$count->execute(array($No));
		$count	= $count->fetch(PDO::FETCH_ASSOC);

		$sum = ($user + $super_user + $admin);
		if( $sum != $count['total'] )
			$this->util->alert( $this->lang->webusera->error_illegal_max, TRUE );

		$sth	= $this->conn->prepare("UPDATE webusera_count SET user=?,super_user=?,admin=? WHERE No=?");

		$values	= array($user,$super_user,$admin,$No);
		if( $sth->execute($values) )
		{
			$this->log->set_log(NULL, 'update');
			$this->util->reload();
            $this->util->alert( $this->lang->common->save_completed );
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
	}

	// ----------------------------------------------------------------------------------

   public function update()
	{
		$arr_type	= $this->input->post('arr_type', 0);
		$arr_id		= $this->input->post('arr_id', 0);
		$arr_pw		= $this->input->post('arr_pw', 0);

		$sth = $this->conn->prepare("delete FROM webusera");
		$sth->execute();

		foreach( $arr_id as $key=>$id )
		{
			if( empty($id) ) continue;

			$sth	= $this->conn->prepare("INSERT INTO webusera ('type','id','pw') VALUES (?,?,?)");
			$sth->execute(array($arr_type[$key], $arr_id[$key], $arr_pw[$key]));
			$this->log->set_log();
		}

		$this->util->reload();
        $this->util->alert( $this->lang->common->save_completed );
	}

	// ----------------------------------------------------------------------------------

   public function select()
	{
		$list	= $this->conn->prepare("SELECT * FROM webusera ORDER BY type DESC");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);

		$result['field']		= '';
		$result['word']			= $User_no;
		$result['page']			= 1;
		$result['view']			= $view;
		$result['pages']		= '';
		$result['count']		= $count;
		$result['list']			= $list;

		echo json_encode($result);
	}

}