
<table class="tbl_list">
<tbody class="tbl_header">
	<tr>
		<th><?=$lang->report->no?></th>
		<th><?=$lang->common->datetime?></th>
		<th><?=$lang->common->device_name?></th>
		<th><?=$lang->common->cardholder?></th>
		<th><?=$lang->common->card_no?></th>
        <? if($this->is_option(ConstTable::OPTION_PARTITION)) { ?>
            <th><?=$lang->site->Name?></th>
        <? } ?>    
        <th><?=$lang->cfloor->Name?></th>
	</tr>
</tbody>
<tbody class="tbl_body">
	<? while( $row = $list->fetch(PDO::FETCH_ASSOC) ) { ?>
	<tr class="ov">
		<td><?=$rownum++?></td>
		<td><?=date('m-d-Y H:i:s', $row['Date'])?></td>
		<td><?=$row['DeviceName']?></td>
		<td><?=$row['UserName']?></td>
		<td><?=($row['CardNumber'] != NULL ? $row['CardNumber']."(".$this->util->GetCardFacilityCode($row['CardFormatNo']).")" : '')?></td>
        <? if($this->is_option(ConstTable::OPTION_PARTITION)) { ?>
            <td><?=$row['SiteName']?></td>
        <? } ?>        
        <td><?=$row['FloorName']?></td>
	</tr>
	<? } // end while ?>
</tbody>
</table>

<table class="list_button_set">
<tr>
	<td align="center">
		<button type="button" onclick="open_preview()"><?=$lang->addmsg->print?></button>
		<button type="button" onclick="download();"><?=$lang->common->csv?></button>
	</td>
</tr>
</table>

<div id="pagination" class="pagination">

<?
echo '[&nbsp;';

if(array_key_exists('prev', $pages)) {
	echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" onclick=\"load_search('false', '{$pages['prev']}')\">&nbsp;<img src='/img/menu/button_grey_list_prev.png'>&nbsp;</a>";
	echo '&nbsp;';
}

foreach($pages as $key => $val) {
	if($key == 'prev' || $key == 'next')	continue;

	if ($val == $page)	echo "<a href=\"javascript:void(0)\" style=\"text-decoration: none; color:#c4c4c4\">{$val}</a>";
	else				echo "<a href=\"javascript:void(0)\" onclick=\"load_search('false', '{$val}')\">{$val}</a>";

	echo '&nbsp;';
}

if(array_key_exists('next', $pages)) {
	echo "<a href=\"javascript:void(0)\" style=\"text-decoration:none\" onclick=\"load_search('false', '{$pages['next']}')\">&nbsp;<img src='/img/menu/button_grey_list_next.png'>&nbsp;</a>";
	echo '&nbsp;';
}

echo ']';
?>
</div>
