<STYLE>
    #parent {
       width: 60%;
        margin: 10px auto;
        padding: 0px;
        border: 1px solid #777;
        background-color: #ffffff;
        text-align: center;
    }
    
    div .positionable {
/*      width: 43px;*/
/*      height: 75px;*/
        position: absolute;
/*      margin-right: 0;*/
/*      margin-bottom: 0;*/
/*      background-color: #bcd5e6;*/
        text-align: center;
    }
    select, input 
    {
/*        margin-left: 15px;*/

        height:30px;
    }
    .positionable td {border:0;padding:0;margin:0;}
    
    .al_table {margin:0;padding:100px;border-collapse:collapse;backgound:url('./img/Door.png') no-repeat;}
    #parent .al_table td{margin:0;padding:0;}
    .co_table{margin:0;padding:0;border-collapse:collapse;font-size:5px;}
    .co_table td{margin:0;padding:0px;font-size:5px;}

	.tab.enable { font-family:Noto-Sans-Bold-UI; 	           
				  background-color:#181b2a; 
				  color:#d0d0d0; 
				  display:inline-block; 
				  text-align:center; 
				  vertical-align:middle;
				  cursor:pointer; 			
				  padding:0; 
				  line-height:30px; 
				  min-width: 55px; }
	.tab { font-family:Noto-Sans-Bold-UI; 
	       height:30px; 
		   background-color:#7d818d; 
		   color:#d0d0d0; 
		   display:inline-block; 
		   text-align:center; 
		   vertical-align:middle;
		   cursor:pointer; 
		   border:0px solid black; 		  
		   padding:0px; 
		   min-width: 55px; }

    .badge {
      min-width: 10px;
      padding: 3px 7px;
      font-size: 12px;
      font-weight: 700;
      line-height: 1;
      color: #f2b632;
      text-align: center;
      white-space: nowrap;
      vertical-align: middle;
      margin-left: 10px;
	}
	/* oem 셋팅 로고 텍스트*/	
	<?php if($_ENV["NEPTUNE_MODE"] === "BAY") { ?>
		.text-red { color: #ff0000; }
	<?php } else if($_ENV["NEPTUNE_MODE"] === " "){?>
		.text-red { color: #2cceff; }
	<?php } else {?>
		/*.text-red { color: #00D8FF; }ganz*/
		.text-red { color: #e25817; }
	<?php } ?>
    
</STYLE>

<SCRIPT>
var floor = <?=$floor?>;
var door = <?=$door?>;
var aux_input = <?=$aux_input?>;
var aux_output = <?=$aux_output?>;
var elevator = <?=$elevator?>;
var last_floor = "<?=(empty($_SESSION['spider_floor']) ? $_COOKIE['last_floor'] : $_SESSION['spider_floor'])?>";

$(function() {
	for(i=0;i<floor.length;i++)	{
		$("#floor").append("<option value='"+floor[i]['No']+"'>"+floor[i]['Name']+"</option>")
	}

	if( $("#floor > option[value='"+ last_floor +"']").length == 0 ) {
		last_floor = "";
	}

	if( last_floor == "" ) {
		floor_create($("#floor").val());
	}
	else {
		$("#floor").val(last_floor);
		floor_create(last_floor);
	}

	setTimeout("log_ack()",1000);

	<? if($this->log->check_log_full()) { ?>
	//$("#alert_log_full").show();
	<? } ?>

	//jeffrey 추가
	//wtkim : 20190516 ESSENTIAL 서버화 client 연결
	<? if($_SESSION['spider_floorstate'] == '0') { ?>
		floor_hide();
	<? } else { ?>
		floor_show();
	<? } ?>
	
});

function floor_show() {
	$("#parent").show();
	$("#btn_show").hide();
	$("#btn_hide").show();
	//$.getScript("/?c=webuser&m=floor_show");
}

function floor_hide() {
	$("#parent").hide();
	$("#btn_show").show();
	$("#btn_hide").hide();
	//$.getScript("/?c=webuser&m=floor_hide");
}

function log_ack() {
	$.getJSON('log.php',{no:"0", ack:"1"},function(response) {
		var data = response.logs;

		$('#e3_time').text(response.time);

		if( typeof write_ack_list != "undefined" ) write_ack_list(data);
	});
}

/*
function drag() {
	function position(set, using) {
		$( "#"+set ).position({
			of: $( "#parent" ),
			my: "left top",
			at: "left top",
			using: using
		});
	}
	$( ".positionable" ).draggable({
		drag: function( event, ui )	{
		var set_obj = $(this).attr("id");
			position(set_obj,function( result ) {
				$( "#"+set_obj+"_result" ).val( parseInt(ui.position.left) +" " + parseInt(ui.position.top));
			});
		}
	});
}
*/

function floor_create(no) {
    $.getJSON('/?c=<?=$this->class?>&m=door_ajax',{no:no},function(data) {
        door = data['door'];
        aux_input = data['aux_input'];
        aux_output = data['aux_output'];
        elevator = data['elevator'];

        create_door(no);
        create_aux_input(no);
        create_aux_output(no);
		create_elevator(no);
		create_picture(no);
    });

	$("#parent").show();
}

function click_door(doorno) {
	$("select[name=sel_door]").val(doorno);
}

function click_auxoutput(auxoutno) {

	$("select[name=sel_auxoutput]").val(auxoutno);
}

function click_elevator(no) {
    $("select[name=sel_auxoutput]").val("E-"+ no);
}

function create_door(no) {
    $("#parent").html("");
    $("#input_class").html("");
    for(i=0;i<door.length;i++)
    {
		//alert("DoorContactState : "+door[i]['DoorContactState']+"\n"+"RelayOn : "+door[i]['RelayOn']+"\n"+"LockOn : "+door[i]['LockOn']+"\n");
/*
		var imgFile = "";
		if(door[i]['DoorContactState'] == '1') {
			if(door[i]['LockOn'] == '1') {
				imgFile = "./img/icon/door_lock.png";
			} else {
				imgFile = "./img/icon/door_close.png";
			}
		}
		else
		{
			if(door[i]['LockOn'] == '1') {
				imgFile = "./img/icon/door_close.png";
			} else {
				imgFile = "./img/icon/door_lock.png";
			}
		}

    	if(door[i]['RelayOn'] == '1')
    		imgFile = "./img/icon/door_open.png";
    	else if (door[i]['RelayOn'] == '3') {
			if(door[i]['LockOn'] == '1') {
				imgFile = "./img/icon/door_open_blink.gif";
			} else {
				imgFile = "./img/icon/door_open_blink_lock.gif";
			}
    		//imgFile = "./img/icon/door_open_blink.gif";
		}
*/

		var imgFile = "./img/icon/door_close.png";
    	
		var Door_html = "<table border=0>" +
        "<tr>" +
            "<td style='vertical-align:top;padding:0;margin:0'>" +
                "<table id='DC_"+door[i]['No']+"' onclick='click_door(" + door[i]['No'] + ");' class='door-state' style='background-repeat:no-repeat ;background-position: 0px 0px;width:34px;;height:42px;text-align:center;'>" +
                    "<tr><td style='color:#fff;font-size:8px;margin:0;padding: 0;'>"+door[i]['Name']+"</td></tr>" +
                    "<tr>" +
                        "<td>" +
                            "<table style='height:19px;width:15px;margin:0 auto;margin-top:5px'>";
        
        var Door_html = Door_html + "</table></td></tr></table></td><td style='width:100px;display:none'>" +

                "</td></tr></table>";
        
        $("#parent").append("<div id='door_"+door[i]['No']+"' class='positionable'>"+Door_html+"</div>");

        if(door[i]['Position'] == '') {
            door[i]['Position'] = '10 20';
        }
        var dd = door[i]['Position'].split(" ");

        $("#door_"+door[i]['No']).css({"left":dd[0]+"px","top":dd[1]+"px"});
        $("#input_class").append("<input type=hidden id='door_"+door[i]['No']+"_result' rel='"+door[i]['No']+"' value='"+door[i]['Position']+"'  />");

		//console.log(door[i]);
		//console.log($("#DC_"+door[i]['No']));
		// door open/forced open/close
		if(door[i]['RelayOn'] == '1') {
			$("#DC_"+door[i]['No']).addClass("door-open");
		} else if(door[i]['RelayOn'] == '3') {
			$("#DC_"+door[i]['No']).addClass("door-forced_open");
		}

		// door lock/unlock
		if(door[i]['DoorContactState'] == '1') {
			if(door[i]['LockOn'] == '1') {
				$("#DC_"+door[i]['No']).addClass("door-lock");
			}
		} else {
			if(door[i]['LockOn'] != '1') {
				$("#DC_"+door[i]['No']).addClass("door-lock");
			}
		}

		// door lock/unlock
		if(door[i]['HostNo'] != '1' && door[i]['Alive'] != '1') {
			$("#DC_"+door[i]['No']).addClass("door-disconnect");
		}
    }
    
    for(i=0;i<floor.length;i++) {
		if(floor[i]['No'] == no) {
			var floor_file = floor[i]['ImageFile'];
		}
	}
	if(!floor_file)	{
		$("#parent").css({"background":"url('/img/default_floor.png') no-repeat"});
		$("#parent").css({"style":"width:685px;height:340px"});
	}
	else {
		$("#parent").css({"background":"url('/floor_img/"+floor_file+"') no-repeat"});
		$("#parent").css({"style":"width:685px;height:340px"});
		$("#parent").css({"background-size":"contain"});
		$("#parent").css({"background-position":"center"});
	}
}

function create_aux_input(no) {
	<? if( $_SESSION['spider_model'] != ConstTable::MODEL_ESSENTIAL) { ?>
		for(i=0;i<aux_input.length;i++)	{
			var imgFile = './img/icon/auxin_n.png';
			if( aux_input[i]['HostNo'] != '1' && aux_input[i]['Alive'] != '1' ) {
				imgFile = './img/icon/auxin_disconnect.png';
			}

			var Door_html = "<div style='background:url("+ imgFile +") ;width:33px;height:42px;line-height:100%;color:#fff;font-size:8px;vertical-align:middle'>"+aux_input[i]['Name']+"</div>";

			$("#parent").append("<div id='aux_input_"+aux_input[i]['No']+"' class='positionable'>"+Door_html+"</div>");

			if(aux_input[i]['Position'] == null) {
				aux_input[i]['Position'] = '10 20';
			}
			var dd = aux_input[i]['Position'].split(" ");
			$("#aux_input_"+aux_input[i]['No']).css({"left":dd[0]+"px","top":dd[1]+"px"});

			$("#input_class").append("<input type=hidden id='aux_input_"+aux_input[i]['No']+"_result' title='I' rel='"+aux_input[i]['No']+"' value='"+aux_input[i]['Position']+"'  />");
		}
	<? } ?>
}

function create_aux_output(no) {
    for(i=0;i<aux_output.length;i++) {
    	var imgFile = "./img/icon/auxout_n.png";
    	if(aux_output[i]['RelayOn'] == '1')
    		imgFile = "./img/icon/auxout_blink.gif";
		if( aux_output[i]['HostNo'] != '1' && aux_output[i]['Alive'] != '1' ) {
			imgFile = './img/icon/auxout_disconnect.png';
		}
    		
        var Door_html = "<div onclick='click_auxoutput(" + aux_output[i]['No'] + ")' style='background:url("+imgFile+") ;width:33px;height:42px;line-height:100%;color:#fff;font-size:8px;vertical-align:middle'>"+aux_output[i]['Name']+"</div>";

        $("#parent").append("<div id='aux_output_"+aux_output[i]['No']+"' class='positionable'>"+Door_html+"</div>");

        if(aux_output[i]['Position'] == null) {
            aux_output[i]['Position'] = '10 20';
        }
        var dd = aux_output[i]['Position'].split(" ");
        $("#aux_output_"+aux_output[i]['No']).css({"left":dd[0]+"px","top":dd[1]+"px"});
        $("#input_class").append("<input type=hidden id='aux_output_"+aux_output[i]['No']+"_result' title='O' rel='"+aux_output[i]['No']+"' value='"+aux_output[i]['Position']+"'  />");
    }
}

function create_elevator(No) {
	for(i=0;i<elevator.length;i++) {
    	var imgFile = "./img/icon/elevator.png";
    	if(elevator[i]['RelayOn'] == '1')
    		imgFile = "./img/icon/elevator_blink.gif";
		if( elevator[i]['HostNo'] != '1' && elevator[i]['Alive'] != '1' ) {
			imgFile = './img/icon/elevator_disconnect.png';
		}

		var Door_html = "<div onclick='click_elevator(" + elevator[i]['No'] + ")' style='background:url("+imgFile+") ;width:33px;height:42px;line-height:100%;color:#fff;font-size:8px;vertical-align:middle;'>"+elevator[i]['Name']+"</div>";

		$("#parent").append("<div id='elevator_"+elevator[i]['No']+"' class='positionable'>"+Door_html+"</div>");

		if(elevator[i]['Position'] == null) {
			elevator[i]['Position'] = '10 20';
		}
		var dd = elevator[i]['Position'].split(" ");
		$("#elevator_"+elevator[i]['No']).css({"left":dd[0]+"px","top":dd[1]+"px"});

		$("#input_class").append("<input type=hidden id='elevator_"+elevator[i]['No']+"_result' title='E' rel='"+elevator[i]['No']+"' value='"+elevator[i]['Position']+"'  />");
	}
}

function create_picture(No) {
	for(i=0;i<door.length;i++) {
		if(door[i]['Position'] == '') {
            door[i]['Position'] = '10 20';
        }
        var dd = door[i]['Position'].split(" ");

        var pic_html = "<div class='img' style='background:url('') no-repeat ;background-position: 0px 0px;width:34px;;height:42px;text-align:center;border:0'></div>";
        var picx = Number(dd[0])+34;
        var picy = Number(dd[1]);
        var pos  = picx + " " + picy;
        $("#parent").append("<div id='pic_"+door[i]['No']+"' class='positionable'>"+pic_html+"</div>");
        $("#pic_"+door[i]['No']).css({"left":picx+"px","top":picy+"px"});
        $("#input_class").append("<input type=hidden id='pic_"+door[i]['No']+"_result' title='P' rel='"+door[i]['No']+"' value='"+pos+"'  />");
    }
}

function save() {
    var result = {};
    var i = 1;
    $("#input_class :input").each(function() {
        result["D_"+i] = $(this).attr("rel")+":"+$(this).val();
        i = i+1;
    });
    result['ea'] = $("#input_class :input").length;

	$.post('/?c=<?=$this->class?>&m=update',result,function(data) {
		//alert('<?=$lang->alram_set->sucss_msg?>');
	}, 'script');
}

// ???? u???? ??? ?????? ????? ?????? ??.
function update_ack(me) {
	$("#form_ack_update").find("input[name='no']").val( $(me).attr("log_no") );
	$("#form_ack_update").find("input[name='ack_msg']").val("");

	confirm_dialog("<?=$this->lang->common->input_ack_reason?>");

	//$(me).remove();
	//$.getScript("/?c=alarm_map&m=update_ack&no="+ $(me).attr("log_no"));
	
	//var port_no = $(me).attr("port_no"));
	
	//change_state_aux("aux_input_"+port_no, "/img/icon/auxin_n.png");	
}

<? if( $this->is_auth(1, 22) != TRUE ) { ?>
function update_ack(me) {
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

function clear_action() {
	var button_arr = new Array();
	$("#list_body_ack").find("button").each( function(i, el) {
		button_arr.push($(el).attr("log_no"));
	});

	$("#form_ack_update").find("input[name='no']").val( button_arr.slice(0, 100).join() );
	$("#form_ack_update").find("input[name='ack_msg']").val("");

	confirm_dialog("<?=$this->lang->common->input_ack_reason?>");	
/*
	$("#list_body").find("tr").each( function(i, el) {
		if( $("button", el).length > 0 )
		{
			$("button", el).click();
		}
	});
*/
}

// ???? u???? ??? ?????? ????? ?????? ??.
<? if( $this->is_auth(1, 23) != TRUE ) { ?>
function clear_action()
{
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>


function confirm_dialog(message, callback) {
	$('#confirm-dialog').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-container', 
		onShow: function (dialog) {
			var modal = this;

			//$('.message', dialog.data[0]).append(message);
/*
			// if the user clicks "yes"
			$('.yes', dialog.data[0]).click(function () {
				// call the callback
				if ($.isFunction(callback)) {
					callback.apply();
				}
				// close the dialog
				modal.close(); // or $.modal.close();
			});
*/
		}
	});
}

function submit_form_ack_update(form) {
	var logs = $(form).find("input[name='no']").val().split(",");

	for(var i=0; i < logs.length; i++) {
		//$("#list_body_ack").find("button[log_no='"+logs[i]+"']").remove();
		$("#list_body_ack").find("button[log_no='"+logs[i]+"']").parent().parent().remove();
        $("#ack-count-badge").text( parseInt($("#ack-count-badge").text(), 10) - 1 );
	}

	show_loading();
	submit_form(form);
}

function change_tab(target) {
	if( target == 'ack' ) {
		$('#log_list_box').hide();
		$('#ack_list_box').show();
		$('#tab_log').removeClass('enable');
		$('#tab_ack').addClass('enable');
	}
	else {
		$('#log_list_box').show();
		$('#ack_list_box').hide();
		$('#tab_log').addClass('enable');
		$('#tab_ack').removeClass('enable');
	}
}
</script>

<?php if($_ENV["NEPTUNE_MODE"] === "CONT") { ?>
	<div id="location" style="background:#d9ff48; color:#abaaa8">
<?php } else {?>
	<div id="location">
<?php } ?>

<?
echo $lang->menu->alarm_map.'&nbsp;&gt;&nbsp;'.$lang->menu->alarm_map;
?>
	<button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button>
</div>

<!-- modal content -->
<div id='confirm-dialog'>
	<form id="form_ack_update" method="post" action="/?c=<?=$this->class?>&m=update_ack">
	<div class='header'><span></span></div>
	<div class='message'></div>
	<div style="padding-left:10px;">
		<?=$lang->addmsg->item_ack_message?>:
		<input type="hidden" name="no" value="">
		<input type="text" name="ack_msg" maxlength="200" value="">
	</div>
	<div class='buttons'>
		<button type="button" onclick="$.modal.close(); submit_form_ack_update(this.form);" class="yes"><?=$lang->button->save?></button>
		<button type="button" onclick="$.modal.close()"><?=$lang->button->close?></button>
	</div>
	</form>
</div>

<div id="new_section" style="padding:0">
    <h2 align="left"><?=$lang->menu->alarm_map?></h2>



	<? if( $_SESSION['spider_model'] == ConstTable::MODEL_ESSENTIAL ) { ?>
	<div>
        <table  style="table-layout:fixed;">
            <tr>
            	<div>
	                <th width="110" class="floor" style="padding-left:20px"></th>
    	        </div>
            </tr>
            <tr>
                <th colspan="3" height="20">
                </th>
            </tr>
        </table>
    </div>  
	<?} else {?>
    <div>
        <table  style="table-layout:fixed;">
            <tr>
            	<div>
	                <th width="110" class="floor" style="padding-left:20px">
						<button type="button" id="btn_show" class="btn_char" onclick="floor_show();">+</button>
						<button type="button" id="btn_hide" class="btn_char" onclick="floor_hide();">-</button>
						<?=$lang->alram_set->floor?> *
					</th>
					
    	            <td><select id="floor" onchange="floor_create(this.value)"></select></td>
    	        </div>
            </tr>
            <tr>
                <th colspan="3" height="20">
					<div id="alert_log_full" style="position:absolute; border:1px solid #CD0A0A; z-index:10000; margin-top:10px; width:672px; background-color:#FEF1EC; color:#CD0A0A; padding:2px 7px; display:none;"><?=$lang->addmsg->alert_log_full?></div>
                    <div id="parent" style="border:1px solid #DDDDDD;float:center;width:685px;height:340px;overflow:hidden;position:relative;" >
                    </div>
                </th>
            </tr>
        </table>
    </div>  
    <?}?>
	
	<div>
		<table>
		  <tr>
		    <td>			  
			  <span style="width:128px; line-height:30px" id="tab_log" onclick="change_tab('log');" class="tab enable"><?=$lang->menu->log?></span>			  
			</td>			  
		    <td class="space" style="width:2px; height:30px;"></td>			  
			<td>			  
			  <!--<span style="width:131px; line-height:30px"id="tab_ack" onclick="change_tab('ack');" class="tab"><?=$lang->menu->ack?> <span class="badge" id="ack-count-badge">0</span></span>-->
			  <? if( $_SESSION['spider_model'] == ConstTable::MODEL_ESSENTIAL) { ?>
			  	<span style="width:131px; line-height:30px" class="tab"><?=$lang->menu->ack?></span>
			  <? } else { ?>
				<!--<span style="width:131px; line-height:30px"id="tab_ack" onclick="change_tab('ack');" class="tab"><?=$lang->menu->ack?> <span class="badge" id="ack-count-badge">0</span></span>-->
				<!-- 20190618 speco ui -->
				<span style="width:131px; line-height:30px"id="tab_ack" onclick="change_tab('ack');" class="tab"><?=$lang->menu->ack?> <span class="badge indexLogAckNumColor" id="ack-count-badge">0</span></span>
			  <? } ?>
			</td>
			
			<td class="space" style="width:2px; height:30px;"></td>
			  
		    <td>
                <div>
		            <h2><?=$lang->menu->doorc?></h2>
		            <div>
		                <form id="form_doorc" method="post" action="/?c=<?=$this->class?>&m=door_control">
						<input type="hidden" name="lock_mode" value="">
		                  <table>
						      <div>
							  <? if($this->is_option(ConstTable::OPTION_VIDEOTAG)) { ?>
							   <td class="button_set2" style="width:366px; height30px; text-align:left; padding-left:5px">
							   <?=$this->from->checkbox('VideoAutoPopup','', FALSE)?> <?=$lang->menu->videoTagPopup?>
							   </td>
							   <? } else { ?>
								<td class="button_set2" style="width:396px; height30px;"></td>								
							   <? } ?>
							  </div>

							  <td><?=$this->from->select('sel_door', '', $arr_door, array('style'=>'width:149px; height:30px;'))?>

                              <td class="space" style="width:2px; height:30px;"></td>

							   <td>
	                                <button class="m_unlock" 
									        style="width:30px; height30px;"
											onclick="$('input[name=lock_mode]', $('#form_doorc')).val('m_unlock');" 
											title="<?=$lang->menu->momentary_unlock?>">
	                                   </button>

									</td>
							        <td class="space" style="width:2px; height:30px;"></td>
									  <td>
									  <button class="e_unlock" 
									          style="width:30px; height30px;" 
											  onclick="$('input[name=lock_mode]', $('#form_doorc')).val('unlocked');" 
											  title="<?=$lang->menu->eternity_unlock?>">
									  </button>
									</td>

									<td class="space" style="width:2px; height:30px;"></td>

									<td>
									<button class="lock" 
									        style="width:30px; height30px;" 
									        onclick="$('input[name=lock_mode]', $('#form_doorc')).val('locked');" 
											title="<?=$lang->menu->lock?>"></button></td>
		                    </td>					                    

									<? if($this->is_option(ConstTable::OPTION_NVR) || $this->is_option(ConstTable::OPTION_SPECO_NVR) || $this->is_option(ConstTable::OPTION_CBC_NVR) || $this->is_option(ConstTable::OPTION_DW_SPECTRUM) || $this->is_option(ConstTable::OPTION_TRANSCENDENT_NVR)) { ?>							  
							  		<td class="space" style="width:2px; height:30px;"></td>

							  		<td>
							  		<button class="cctv" 
											type="button"
									        style="width:30px; height30px;" 
									        onclick="openNVRLive($('select[name=sel_door]').val());" 
											title="<?=$lang->menu->cctv?>"></button></td>										
							  		</td>
							  		<? } ?>
									<td class="space" style="width:2px; height:30px;"></td>
									
									<td>									
									</td>
							</table>                
		                </form>
		            </div>
		        </div>
				
		    </td>
			
			<td class="space" style="width:2px; height:30px;"></td>
		    <td>
		        <div>
		            <h2><?=$lang->menu->aoutputc?></h2>
		            <div>
		                <form id="form_aoutputc" method="post" action="/?c=<?=$this->class?>&m=aoutputc">
						<input type="hidden" name="onoff" value="">
		                <table style="margin-left:0px">
		                <td align="center"><?//=$this->from->select('sel_auxoutput', '', $arr_aoutput, array('style'=>'width:60px;'))?>
                            <select name="sel_auxoutput" style="width:131px; height:30px;">
                                <optgroup label="<?=$lang->menu->aoutput?>">
                                    <? foreach($arr_aoutput as $key => $value) { ?>
                                    <option value="<?=$key?>"><?=$value?></option>
                                    <? } ?>
                                </optgroup>
                                <optgroup label="<?=$lang->menu->elevator?>">
                                    <? foreach($arr_elevator as $elevator) { ?>
                                    <option value="E-<?=$elevator['No']?>"><?=$elevator['Name']?></option>
                                    <? } ?>
                                </optgroup>
                            </select>

							<td class="space" style="width:2px; height:30px;"></td>
							<td>
							<button class="trigger" 
							        style="width:30px; height30px;" 
									onclick="$('input[name=onoff]', $('#form_aoutputc')).val('on');" 
									title="<?=$lang->addmsg->map_ao_on?>"></button>
							</td>
							<td class="space" style="width:2px; height:30px;"></td>
							<td>
							<button class="stop" 
							        style="width:30px; height30px;" 
									onclick="$('input[name=onoff]', $('#form_aoutputc')).val('off');" 
									title="<?=$lang->addmsg->map_ao_off?>"></button></td>
		                </td>
		                </table>                
		                </form>
		            </div>
		        </div>
		    </td>
		</tr>     
		
		</table>
		
		<div class="space" style="width:100%;height:2px;background:#d0d0d0;"></div>
	</div>
</div>

<!-- <div class="space" style="height:10px"></div> -->

<div>
	<div id="log_list_box" class="box02">
		<table class="tbl_list3" style="table-layout:fixed">
		<tr>
<!--
            <th width="250"  style="background-color: #d181b2a;"><?=$lang->menu->time?></th>
            <th width="185" class="<?=($is_localtime_display ? '' : 'hide')?>" style="background-color: #d181b2a;"><?=$lang->menu->localtime?></th>
            <th width="200" style="background-color: #d181b2a;"><?=$lang->menu->devicename?></th>
            <th width="150" style="background-color: #d181b2a;"><?=$lang->menu->username?></th>
            <th width="130" style="background-color: #d181b2a;"><?=$lang->menu->eventcode?></th>
            <th style="background-color: #d181b2a;"><?=$lang->menu->eventdescription?></th>
-->
            <th width="200"  style="background-color: #d181b2a;"><?=$lang->menu->time?></th>
            <!--<th width="150" class="<?=($is_localtime_display ? '' : 'hide')?>" style="background-color: #d181b2a;"><?=$lang->menu->localtime?></th>-->
			<th width="200" class="<?=($is_localtime_display ? '' : 'hide')?>" style="background-color: #d181b2a;"><?=$lang->menu->localtime?></th>
            <th width="200" style="background-color: #d181b2a;"><?=$lang->menu->devicename?></th>
            <th width="200" style="background-color: #d181b2a;"><?=$lang->menu->username?></th>
            <!--<th width="200" style="background-color: #d181b2a;"><?=$lang->menu->eventcode?></th>-->
            <th style="background-color: #d181b2a;"><?=$lang->menu->eventdescription?></th>
			<!-- <th width="80"><?=$lang->button->ack?></th> -->

		</tr>
		<tbody id="list_body">
		</tbody>
		</table>
	</div>
	<div id="ack_list_box" class="box02 hide">
		<table class="tbl_list3" style="table-layout:fixed">
		<tr>
            <th width="200" style="vertical-align:middle;"><?=$lang->menu->time?></th>
            <!--<th width="150" style="vertical-align:middle;" class="<?=($is_localtime_display ? '' : 'hide')?>"><?=$lang->menu->localtime?></th>-->
			<th width="200" style="vertical-align:middle;" class="<?=($is_localtime_display ? '' : 'hide')?>"><?=$lang->menu->localtime?></th>
            <th width="200" style="vertical-align:middle;"><?=$lang->menu->devicename?></th>
            <th width="200" style="vertical-align:middle;"><?=$lang->menu->username?></th>
            <!--<th width="200" style="vertical-align:middle;"><?=$lang->menu->eventcode?></th>-->
            <th style="vertical-align:middle;"><?=$lang->menu->eventdescription?></th>
			<th width="90" style="vertical-align:middle;"><button type="button" class="btn_small" onclick="clear_action();"><?=$lang->addmsg->ack_top100?></button></th>
		</tr>
		</table>

		<table class="tbl_list" style="table-layout:fixed">
		<tbody id="list_body_ack">
		</tbody>
		</table>
	</div>
</div>


<script type="text/javascript">

function stringToDate(str){
	var parts = str.split(' ');
	var dateParts = parts[0].split('-');
	var timeParts = parts[1].split(':');

	var date = new Date(dateParts[2], dateParts[0], dateParts[1], timeParts[0], timeParts[1], timeParts[2]);
	return date;
}

function write_log_list(response, withoutAck, skipCheckDate){
	var logs	= response.logs;
	var siteno = <?=$_SESSION['spider_site']?>;

	var currentDate = stringToDate(response.time);
	currentDate.setMinutes(currentDate.getMinutes() - 5);
	
	if( $.isArray(logs) )
	{
		$.each(logs, function(i, log) 
		{
			if( log.Site == 0 || log.Site == siteno)
			{
				if( $.inArray(log.EventCode, log_display_list) != -1 )
				{
					var logDate = stringToDate(log.dd);
					if(skipCheckDate == true || currentDate <= logDate) {
						$("#list_body").prepend
						(
							/*
							'<tr id="list_'+ i +'" class="ov">' +
							'	<td width="122" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
							'	<td width="122" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
							'	<td width="90" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
							'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
							'</tr>'
							*/
							'<tr id="list_'+ i +'" class="ov">' +
							'	<td width="200" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
							'	<td width="200" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
							'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
							'</tr>'
						);
					}
				}

				if( withoutAck != true ) {
					if( $.inArray(log.EventCode, ack_list) != -1 )
					{
                        /*
						$("#list_body_ack").prepend(
							'<tr id="list_'+ i +'" class="ov">' +
							'	<td width="122" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
							'	<td width="122" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
							'	<td width="100" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
							'	<td width="90" style="vertical-align:middle">'+ nullToBlank(log.EventCode) +'</td>' +
							'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
							'   <td width="90" style="vertical-align:middle"><button type="button" class="btn_small" onclick="update_ack(this);" log_no="'+ log.No +'" port_no="'+ log.Port +'"><?=$lang->button->ack?></button></td>' +
							'</tr>'
						);
                        */
						$("#list_body_ack").prepend(
							'<tr id="list_'+ i +'" class="ov">' +
							'	<td width="200" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
							'	<td width="200" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
							'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
							'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
							'   <td width="90" style="vertical-align:middle"><button type="button" class="btn_small" onclick="update_ack(this);" log_no="'+ log.No +'" port_no="'+ log.Port +'"><?=$lang->button->ack?></button></td>' +
							'</tr>'
						);

                        $("#ack-count-badge").text( parseInt($("#ack-count-badge").text(), 10) + 1 );
					}
				}
			}
		});
	}

	// ?α? ??? ???? ???? ??????.
	var log_output_count = 25;
	if( $("#list_body").find("tr").length > log_output_count )
	{
		var $tr = $("#list_body").find("tr").last();
		if( $("button", $tr).length < 1 )	$tr.remove();
	}
}

function write_ack_list(logs){
	var siteno = <?=$_SESSION['spider_site']?>;
	
	if( $.isArray(logs) )
	{
		$.each(logs.reverse(), function(i, log) 
		{
			if( log.Site == 0 || log.Site == siteno)
			{
				if( $.inArray(log.EventCode, ack_list) != -1 )
				{
/*
					$("#list_body_ack").append(
						'<tr id="list_'+ i +'" class="ov">' +
						'	<td width="122" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
						'	<td width="122" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
						'	<td width="80" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
						'	<td width="90" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
						'	<td width="70" style="vertical-align:middle">'+ nullToBlank(log.EventCode) +'</td>' +
						'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
						'   <td width="50" style="vertical-align:middle"><button type="button" class="btn_small" onclick="update_ack(this);" log_no="'+ log.No +'" port_no="'+ log.Port +'"><?=$lang->button->ack?></button></td>' +
						'</tr>'
					);
*/
					$("#list_body_ack").append(
						'<tr id="list_'+ i +'" class="ov">' +
						'	<td width="200" class="text-red" style="vertical-align:middle">'+ nullToBlank(log.dd) +'</td>' +
						'	<td width="200" style="vertical-align:middle" class="<?=($is_localtime_display ? '' : 'hide')?>">'+ nullToBlank(log.LocalTime) +'</td>' +
						'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.DeviceName) +'</td>' +
						'	<td width="200" style="vertical-align:middle">'+ nullToBlank(log.UserName) +'</td>' +
						//'	<td width="130" style="vertical-align:middle">'+ nullToBlank(log.EventCode) +'</td>' +
						'	<td style="vertical-align:middle">'+ nullToBlank(log.EventDescription) +'</td>' +
						'   <td width="50" style="vertical-align:middle"><button type="button" class="btn_small" onclick="update_ack(this);" log_no="'+ log.No +'" port_no="'+ log.Port +'"><?=$lang->button->ack?></button></td>' +
						'</tr>'
					);

                    $("#ack-count-badge").text( parseInt($("#ack-count-badge").text(), 10) + 1 );
				}
			}
		});
	}
}
</script>