<style>

/*** ESSENTIAL STYLES ***/
.sf-menu, .sf-menu * {
    margin:         0;
    padding:        0;
    list-style:     none;
}
.sf-menu {
    line-height:    1.0;
}
.sf-menu ul {
    position:       absolute;
    top:            -999em;
    width:          140px; /* left offset of submenus need to match (see below) */
}
.sf-menu ul li {
    width:          100%;
}
.sf-menu li:hover {
    visibility:     inherit; /* fixes IE7 'sticky bug' */
}

.sf-menu li {
    float:          left;
    position:       relative;
}
.sf-menu a {
    display:        block;
    position:       relative;
}

/*첫번째 하위메뉴의 포지션*/
.sf-menu li:hover ul,
.sf-menu li.sfHover ul {
    left:           1px;
    top:            19px; /* match top ul list item height */
    z-index:        99;
}
ul.sf-menu li:hover li ul,
ul.sf-menu li.sfHover li ul {
    top:            -999em;
}


/*두번째 하위메뉴의 포지션*/
ul.sf-menu li li:hover ul,
ul.sf-menu li li.sfHover ul {
    left:           163px; /* match ul width */
    top:            0px;
}
ul.sf-menu li li:hover li ul,
ul.sf-menu li li.sfHover li ul {
    top:            -999em;
}



/*** DEMO SKIN ***/
.sf-menu {
    float:          left;
    margin-bottom:  0em;
}

/*뎁스 1의 a 태그 (Group 있을때)*/
/* .sf-menu a {
    height:15px;
    padding-top:4px;
    width:139.5px;
    text-decoration:none;
    text-align:center;
    background:url(/img/menu_arrow.png) no-repeat;
    background-position: -38px 0px;
}

/*뎁스 1의 a 태그 (Group 없을때)*/
.sf-menu a {
    height:15px;
    padding-top:4px;
    width:163px;
    text-decoration:none;
    text-align:center;
    background:url(/img/menu_arrow.png) no-repeat;
    background-position: -38px 0px;
}

/*뎁스 2의 a 태그*/
.sf-menu ul a 
{
    text-align:left;
    border-left:    1px solid #a3a3a3;
    border-right:   1px solid #a3a3a3;
    border-top:     1px solid #a3a3a3;
    height:17px;
    padding-top:5px;
    padding-left:10px;
    width:152px;
    text-decoration:none;
    background:#ffffff;
}

/*뎁스 2의 a 태그*/
.sf-menu ul a.hasChild
{
    background:url(/img/menu_arrow.png) no-repeat  #ffffff;
    background-position: 140px 1px;
}

.sf-menu ul a.lastItem{
    border-bottom:      1px solid #a3a3a3;
}

.sf-menu a, .sf-menu a:visited  { /* visited pseudo selector so IE6 applies text colour*/
    cursor:pointer;
    font-size:13px;
    font-family:arial;
    text-decoration:none;
    font-weight:bold;
    color:#646464;
}

.sf-menu li {
    /*background:       #BDD2FF;*/
}
.sf-menu li li {
    background:     #AABDE6;
}
.sf-menu li li li {
    background:     #9AAEDB;
}
.sf-menu li:hover, .sf-menu li.sfHover,
.sf-menu a:focus, .sf-menu a:hover, .sf-menu a:active {
    background:url(/img/menu_arrow.png) no-repeat #ffffff;
    background-position: -38px 0px;
    color:#ff0000;
}

.sf-menu ul a:focus, .sf-menu ul a:hover, .sf-menu ul a:active {
    background:#FFFFFF;
    color:#ff0000;
}

.sf-menu ul a.hasChild:focus, .sf-menu ul a.hasChild:hover, .sf-menu ul a.hasChild:active {
    background:url(/img/menu_arrow.png) no-repeat  #ffffff;
    background-position: 140px -25px;
}

</style>

<ul class="sf-menu"> 
    <li class="current" style="display:block;"> 
        <a href="/" class="firstItem" onfocus="this.blur();"><?=$lang->menu->Alarm_Map?></a> 
        <ul> 
            <li>
                <a href="/" onfocus="this.blur();"><?=$lang->menu->Alarm_Map?></a> 
            </li>
            <li>
                <a href="/?c=alarm_set" class="lastItem" onfocus="this.blur();"><?=$lang->menu->Alarm_Map_set?></a>
            </li>
        </ul> 
    </li> 

    <li style="display:block;"> 
        <a href="/?c=cam_view" onfocus="this.blur();"><?=$lang->menu->camera?></a> 
        <ul> 
            <li>
                <a href="/?c=cam_view" onfocus="this.blur();"><?=$lang->menu->view?></a> 
            </li>
            <li>
                <a href="/?c=cam_setup" class="lastItem" onfocus="this.blur();"><?=$lang->menu->config?></a>
            </li>
        </ul> 
    </li> 
    
    <li> 
        <a href="#" onfocus="this.blur();"><?=$lang->menu->admin?></a>

        <ul> 
            <li>
                <a href="/?c=card_holder" onfocus="this.blur();"><?=$lang->menu->card_holder?></a> 
            </li>
            <li>
                <a href="/?c=card_format" onfocus="this.blur();"><?=$lang->menu->card_format?></a> 
            </li>
            <li>
                <a href="/?c=alevel" onfocus="this.blur();"><?=$lang->menu->card_format?></a> 
            </li>
            <li>
                <a href="/?c=event" onfocus="this.blur();"><?=$lang->menu->event_action?></a> 
            </li>
            <li>
                <a href="/?c=atlevel" onfocus="this.blur();"><?=$lang->menu->atlevel?></a> 
            </li>
            <li>
                    <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->datatransfers?></a>

                    <ul> 
                            <li>
                                <a href="/?c=dexport" onfocus="this.blur();"><?=$lang->menu->dexport?></a> 
                            </li>
                            <li>
                                <a href="/?c=dimport" class="lastItem" onfocus="this.blur();"><?=$lang->menu->dimport?></a> 
                            </li>
                    </ul>
            </li>
            <li>
                <a href="/?c=report1" onfocus="this.blur();"><?=$lang->menu->report?></a> 
            </li>
            <li>
                <a href="/?c=log_report" class="lastItem" onfocus="this.blur();"><?=$lang->menu->clog?></a> 
            </li>

            <!--
            <li>
                <a href="/?c=log_report" class="lastItem" onfocus="this.blur();"><?=$lang->menu->wizard?></a> 
            </li>
            -->
        </ul> 
    </li> 
    
    <li> 
        <a href="#" onfocus="this.blur();"><?=$lang->menu->schedule?></a> 
        <ul> 
            <li>
                <a href="/?c=schedule"  onfocus="this.blur();"><?=$lang->menu->schedule_sub?></a> 
            </li>
            <li>

                <a href="/?c=holiday" onfocus="this.blur();"><?=$lang->menu->holiday?></a> 
            </li>
            <li>
                <a href="/?c=unlockschedule" class="lastItem" onfocus="this.blur();"><?=$lang->menu->unlockschedule?></a> 
            </li>
        </ul> 
    </li>
    
    <li> 
        <a href="#" onfocus="this.blur();"><?=$lang->menu->configuration?></a> 
        <ul> 
            <li>
                    <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->devices?></a>

                    <ul> 
                            <li>
                                <a href="/?c=door" onfocus="this.blur();"><?=$lang->menu->door?></a>  
                            </li>
                            <li>
                                <a href="/?c=elevator" onfocus="this.blur();"><?=$lang->menu->elevator?></a>  
                            </li>
                            <li>
                                <a href="/?c=ainput" onfocus="this.blur();"><?=$lang->menu->ainput?></a> 
                            </li>
                            <li>
                                <a href="/?c=aoutput" onfocus="this.blur();"><?=$lang->menu->aoutput?></a> 
                            </li>
                            <li>
                                <a href="/?c=ctrl" onfocus="this.blur();"><?=$lang->menu->ctrl?></a> 
                            </li>
                            <li>
                                <a href="/?c=ver"  class="lastItem" onfocus="this.blur();"><?=$lang->menu->ver?></a> 
                            </li>
                    </ul>
            </li>
            
            <li>
                    <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->group?></a>

                    <ul> 
                            <li>
                                <a href="/?c=groupdoor" onfocus="this.blur();"><?=$lang->menu->groupdoor?></a> 
                            </li>
                            <li>
                                <a href="/?c=groupaccess" onfocus="this.blur();"><?=$lang->menu->groupaccess?></a> 
                            </li>
                            <li>
                                <a href="/?c=groupauxin" onfocus="this.blur();"><?=$lang->menu->groupauxin?></a> 
                            </li>
                            <li>
                                <a href="/?c=groupauxout" onfocus="this.blur();"><?=$lang->menu->groupauxout?></a> 
                            </li>
                            <li>
                                <a href="/?c=groupuser" class="lastItem" onfocus="this.blur();"><?=$lang->menu->groupuser?></a> 
                            </li>
                    </ul>
            </li>

            <li>
                <a href="/?c=cfloor" onfocus="this.blur();"><?=$lang->menu->floors?></a> 
            </li>

            <li>
                    <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->userset?></a>

                    <ul> 
                            <li>
                                <a href="/?c=userdefine" onfocus="this.blur();"><?=$lang->menu->userdefinefield?></a>
                            </li>
                            <li>
                                <a href="/?c=userrole" onfocus="this.blur();"><?=$lang->menu->userrole?></a>
                            </li>
                            <li>
                                <a href="/?c=webuser" class="lastItem" onfocus="this.blur();"><?=$lang->menu->webuser?></a>
                            </li>
                    </ul>
            </li>
            <li>
                <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->systems?></a> 
                    <ul class="REQUIRE_IFRAME"> 
                            <li>
                                <a href="/?c=update" onfocus="this.blur();"><?=$lang->menu->update?></a> 
                            </li>
                            <li>
                                <a href="/?c=backup" onfocus="this.blur();"><?=$lang->menu->backup?></a> 
                            </li>
                            <li>
                                <a href="/?c=restore" onfocus="this.blur();"><?=$lang->menu->restore?></a> 
                            </li>
                            <li>
                                <a href="/?c=reset" onfocus="this.blur();"><?=$lang->menu->reset?></a> 
                            </li>
                            <li>
                                <a href="/?c=fdefault" onfocus="this.blur();"><?=$lang->menu->fdefault?></a> 
                            </li>
                            <li>
                                <a href="/?c=logmanagement" class="lastItem" onfocus="this.blur();"><?=$lang->menu->logmanagement?></a> 
                            </li>
                    </ul>
            </li>
            <li>
                <a href="#" class="hasChild" onfocus="this.blur();"><?=$lang->menu->networks?></a> 
                    <ul class="REQUIRE_IFRAME"> 
                            <li>
                                <a href="/?c=ipset" onfocus="this.blur();"><?=$lang->menu->ipaddress?></a> 
                            </li>
<!--                        <li>
                                <a href="/?c=ddns" onfocus="this.blur();"><?=$lang->menu->ddns?></a> 
                            </li>
-->                         <li>
                                <a href="/?c=ftp" onfocus="this.blur();"><?=$lang->menu->ftp?></a> 
                            </li>
                            <li>
                                <a href="/?c=updatesev" onfocus="this.blur();"><?=$lang->menu->updatesev?></a> 
                            </li>
                            <li>
                                <a href="/?c=sms" onfocus="this.blur();"><?=$lang->menu->sms?></a> 
                            </li>
                            <li>
                                <a href="/?c=smtp" onfocus="this.blur();"><?=$lang->menu->smtp?></a> 
                            </li>
                            <li>
                                <a href="/?c=timesvr" class="lastItem" onfocus="this.blur();"><?=$lang->menu->timesvr?></a> 
                            </li>
                            
                            <!--
                            <li>
                                <a href="/?c=sendmail"  class="lastItem" onfocus="this.blur();"><?=$lang->menu->sendmail?></a> 
                            </li>

                    --></ul>
            </li>
            <li>
                <a href="/?c=tlevel" onfocus="this.blur();"><?=$lang->menu->ctlevel?></a>
            </li>
            <li>
                <a href="/?c=server_client" onfocus="this.blur();"><?=$lang->menu->clientlist?></a> 
            </li>
            <li>
                <a href="/?c=clientreplace"  onfocus="this.blur();"><?=$lang->menu->clientreplace?></a> 
            </li>
            <li>
                <a href="/?c=site"  onfocus="this.blur();"><?=$lang->menu->site?></a> 
            </li>            
            <li>
                <a href="/?c=sitedevice"  onfocus="this.blur();"><?=$lang->menu->sitedevice?></a> 
            </li>
            <li>
                <a href="/?c=license" style="border-bottom:1px solid #a3a3a3" onfocus="this.blur();"><?=$lang->menu->license?></a> 
            </li>
        </ul> 
    </li> 
    
    <li style="display:none;">
<!--    <li> -->
        <a href="#" onfocus="this.blur();"><?=$lang->menu->group?><?=$menuName['group']?></a> 
        <ul> 
            <li>
                <a href="/?c=rgroup" class="lastItem" onfocus="this.blur();"><?=$lang->menu->dgroup?></a> 
            </li>
        </ul> 
    </li> 
    <li>
        <a href="/?c=user&m=logout" style="border-right:1px solid #CCCCCC" onfocus="this.blur();"><?=$lang->menu->logout?></a>
    </li>
</ul> 