<script>
$(document).ready(function() {
//	create_search();


	$("input[name='st_time_str']").DatePicker({
		format			: "Y-m-d",
		date			: "<?=date("Y-m-d")?>",
		current			: "<?=date("Y-m-d")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("input[name='st_time_str']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("Y-m-d")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates) {
            var element	= $("input[name='st_time_str']");
            if( element.val() != formated ) {
                $("input[name='st_time_str']").val(formated);
                $("input[name='st_time_str']").DatePickerHide();
            }
		}
	});

	$("input[name='ed_time_str']").DatePicker({
		format			: "Y-m-d",
		date			: "<?=date("Y-m-d")?>",
		current			: "<?=date("Y-m-d")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("input[name='ed_time_str']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("Y-m-d")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates){
            var element	= $("input[name='ed_time_str']");
            if( element.val() != formated ) {
                $("input[name='ed_time_str']").val(formated);
                $("input[name='ed_time_str']").DatePickerHide();
            }
		}
	});
});

var reader = <?=$reader ?>;
var dl = <?=$dl ?>;
var dc = <?=$dc ?>;
var ai = <?=$ai ?>;
var rex = <?=$rex ?>;
var sys = <?=$sys ?>;

function report_search(no){
	var CHK_type = [];
	var CHK_access = [];
	var Date = $("input[name='date']:checked:checked").val();
	var i = 0;
	$("input[name='type']:checked:checked").each(function(){
		CHK_type[i] = $(this).val();
		i = i + 1;
	});
	var i = 0;
	$("input[name='access']:checked:checked").each(function(){
		CHK_access[i] = $(this).val();
		i = i + 1;
	});

	if(Date == '4'){
		var st_day = $("input[name='st_time_str']").val()
		var ed_day = $("input[name='ed_time_str']").val()
	}else{
		var st_day = '';
		var ed_day = '';
	}

	
//	if(CHK_Reader == ''){
//		alert ("Please set up the Reader");
//		return false;
//	}
	
	if(CHK_access == ''){
		alert("<?=$lang->addmsg->msg_setup_access?>");			//alert ("Please set up the Access");
		return false;
	}
	
	if (st_day > ed_day){
		alert("<?=$lang->addmsg->msg_date_incorrectly?>");			//alert ("Date has been set incorrectly.");
		return false;
	}
	var key = {};
	key['p'] = no;
	key['type'] = CHK_type;
	key['access'] = CHK_access;
	key['date'] = Date;
	key['st_day'] = st_day;
	key['ed_day'] = ed_day;
	
	$("#list_body").html("");
	$.getJSON('./?c=report&m=search',key,function(data){
		for(i=0;i<data['list'].length;i++){
			if(data['list'][i]['Type'] == '1'){
				var sel = reader;
			}else if(data['list'][i]['Type'] == '2'){
				var sel = dc;
			}else if(data['list'][i]['Type'] == '3'){
				var sel = rex;
			}else if(data['list'][i]['Type'] == '4'){
				var sel = ai;
			}else if(data['list'][i]['Type'] == '5'){
				var sel = dl;
			}else if(data['list'][i]['Type'] == '6'){
				var sel = sys;
			}
//			alert(data['list'][i]['Type']);
//			alert(sel);
			
			$("#list_body").append("<tr><td>"+sel[data['list'][i]['Where']]['name']+"</td>"+
					"<td>"+data['list'][i]['text']+"</td><td>"+data['list'][i]['dd']+"</td></tr>")
		}

//		data['row']
		page = no;
	    var page_ea = Math.ceil(data['row']/20)*1
	    var start_page = page*1 -5;
		
		var end_page = page*1 + 5;
		if(start_page < 1){
			end_page = end_page - start_page+1;
			start_page = 1;
		}
		if(end_page > page_ea){
			end_page = page_ea ;
		}
			var page_list = ''

			if(page > 1){
				var plus_page = page - 10;
				if(plus_page < 1){
					plus_page = 1;
				}
				page_list = "<a style='cursor:pointer' onclick=\"report_search("+plus_page+")\"><<<</a> &nbsp;";
			}
			
			for(i=start_page;i<=end_page;i++){
				if(i == page){
					page_list += "<b>[ "+i+" ]</b> &nbsp;"
				}else{
					page_list += "<a style='cursor:pointer' onclick=\"report_search("+i+")\">[ "+i+" ]</a> &nbsp;"
				}
			}
			
			if(page_ea > page ){
				var minus_page = page*1 + 10;
				if(minus_page > page_ea){
					minus_page = page_ea;
				}
				page_list = page_list + "<a style='cursor:pointer' onclick=\"report_search("+minus_page+")\">>>></a>";
			}
			
			 $("#pagination").html(page_list);
	});
	
}

function page_list(total_recode,page,dom,link,keyfield,keyword){
	
//	alert(page_recode)
	var page_ea = Math.ceil(total_recode/20)*1

	var start_page = page*1 -5;
	
	var end_page = page*1 + 5;
	if(start_page < 1){
		end_page = end_page - start_page+1;
		start_page = 1;
	}
	if(end_page > page_ea){
		end_page = page_ea ;
	}

//	alert(end_page)

	
	var page_list = ''

	if(page > 1){
		var plus_page = page - 10;
		if(plus_page < 1){
			plus_page = 1;
		}
		page_list = "<a style='cursor:pointer' onclick=\""+link+"('"+plus_page+"','"+keyfield+"','"+keyword+"')\"><<<</a> &nbsp;";
	}
	
	for(i=start_page;i<=end_page;i++){
		if(i == page){
			page_list += "<b>[ "+i+" ]</b> &nbsp;"
		}else{
			page_list += "<a style='cursor:pointer' onclick=\""+link+"('"+i+"','"+keyfield+"','"+keyword+"')\">[ "+i+" ]</a> &nbsp;"
		}
	}
	
	if(page_ea > page ){
		var minus_page = page*1 + 10;
		if(minus_page > page_ea){
			minus_page = page_ea;
		}
		page_list = page_list + "<a style='cursor:pointer' onclick=\""+link+"('"+minus_page+"','"+keyfield+"','"+keyword+"')\">>>></a>";
	}
	
	 $("#"+dom).html(page_list);
}


function create_search(){
	for(var i in Reader){
		if(Reader[i] !== '-'){
			$("#Reader_list").append("<label><input name='Reader' value='"+Reader[i]['No']+"' type=checkbox checked /> "+Reader[i]['name']+"</label> &nbsp; &nbsp; &nbsp; &nbsp;");
		}
	}
}

function reader_all()
{
	if($("#reader_all").is(':checked') == true)
	{
		$("input[name='Reader']").prop("checked",true);
	}else{
		$("input[name='Reader']").prop("checked",false);
	}

	
}

function view_date(no)
{
	if(no == 1){
		if($("#data_form").css("display") == 'none'){
			$("#data_form").show();
		}
	}else{
		if($("#data_form").css("display") == 'table-row'){
			$("#data_form").hide();
		}
	}
}
</script>


<div id="location">
<?
echo $lang->menu->admin.'&nbsp;&gt;&nbsp;'.$lang->menu->report;
?>
	<button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button>
</div>

<div id="search">
	<h2>:: <?=$lang->menu->search?></h2>
	<div class="box01">
		<table class="tbl_view">
		<tr>
			<td><?=$lang->menu->date?> :</td>
			<td>
				<label><input type='radio' name="date" value='1' checked onclick='view_date(0)' /> <?=$lang->menu->today?></label>  &nbsp; &nbsp; &nbsp; &nbsp;
				<label><input type='radio' name="date" value='2' onclick='view_date(0)'  /> <?=$lang->menu->week?></label>  &nbsp; &nbsp; &nbsp; &nbsp;
				<label><input type='radio' name="date" value='3' onclick='view_date(0)'  /> <?=$lang->menu->month?></label>  &nbsp; &nbsp; &nbsp; &nbsp;
				<label><input type='radio' name="date" value='4' onclick='view_date(1)' /> <?=$lang->menu->between?></label>  
			</td>
		</tr>
		<tr id="data_form" style='display:none'>
			<td></td>
			<td>
				<?=$this->from->input('st_time_str', '', array('class'=>'date', 'readonly'=>'readonly'))?> ~ <?=$this->from->input('ed_time_str', '', array('class'=>'date', 'readonly'=>'readonly'))?>
			</td>
		</tr>
		<tr>
			<td><?=$lang->menu->who?> :</td>
			<td>
					<select>
						<option value="ACT">Angelina</option>
						<option value="NSW">asdfa</option>
					</select> 
			</td>
		</tr>
		<tr>
			<td><?=$lang->menu->device?> :</td>
			<td>
					<select>
						<option value="ACT"><?=$lang->menu->door?></option>
						<option value="NSW"><?=$lang->menu->reader?></option>
						<option value="NSW"><?=$lang->menu->dlock?></option>
						<option value="NSW"><?=$lang->menu->dcontact?></option>
						<option value="NSW"><?=$lang->menu->rex?></option>
						<option value="NSW"><?=$lang->menu->elevator?></option>
						<option value="NSW"><?=$lang->menu->aoutput?></option>
						<option value="NSW"><?=$lang->menu->ainput?></option>
						<option value="NSW"><?=$lang->menu->csystem?></option>
					</select> 
			</td>
		</tr>
		<tr>
			<td><?=$lang->menu->deviceevent?> :</td>
			<td>
					<select>
						<option value="ACT">
							&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
							&nbsp; &nbsp; 
						</option>
					</select> 
			</td>
		</tr>
		
		</table>

		<table style="margin-top:10px">
		<tr>
			<td align="center">
			<button type="button" onclick="report_search(1)"><?=$lang->menu->reportprint?></button>
			</td>
		</tr>
		</table>
	</div>
</div>


<div id="list_section">
	<h2>:: <?=$lang->menu->list?></h2>
	<div class="box01">
		<table class="tbl_list">
		
		<tbody id="list_body">
		</tbody>
		</table><!--

		<table class="list_button_set">
		<tr>
			<td width="100"><button type="button" onclick="open_new()"><?=$lang->button->new?></button></td>
			<td align="center">
			<form id="form_search" method="post" action="/?c=<?=$this->class?>&m=select" onsubmit="load_list_search(); return false;">
			<?=$this->from->select('field', '', array('E_ID'=>$lang->user->E_ID, 'F_name'=>$lang->user->F_name))?>
			<?=$this->from->input('word', '')?>
			<button type="button" onclick="load_list_search()"><?=$lang->button->search?></button>
			</form>
			</td>
			<td width="100" align="right"><button type="button" onclick="load_list()"><?=$lang->button->list?></button></td>
		</tr>
		</table>

		--><div id="pagination" class="pagination">[ 1 ]</div>
	</div>
</div>