<div id="location">
<?
echo $lang->menu->csystem.'&nbsp;&gt;&nbsp;'.$lang->menu->debugmanagement;
?>
</div>

<script type="text/javascript">

function create_list()
{
    open_view(0);
    
    load_file_list();
}

function load_file_list()
{
    $("#form_list select[name='log_list'] option").remove();
	$.getJSON("/?c=<?=$this->class?>&m=file_list", function(data, textStatus, jqXHR) {
		if( check_error(data) ) {
			$.each(data, function(i, val) {
				$("#form_list select[name='log_list']").append('<option value="'+val+'">'+val+'</option>');
			});
		}
	});
}

$(document).ready(function() 
{
    load_list();
});

function confirm_reset()
{
	confirm_dialog("<?=$this->lang->common->debug_log_reset?>", '/?c=<?=$this->class?>&m=reset');
}

function confirm_dialog(message, callback) {
	$('#confirm-dialog').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-container', 
		onShow: function (dialog) {
			var modal = this;

            $('#form_list', dialog.data[0]).attr('action', callback);
			$('.message', dialog.data[0]).append(message);
		}
	});

    $('#confirm-container').css('height', '160px');
}

function download_log_file()
{
	var file_name = $("#form_list select[name='log_list']").val();
	$("#form_list input[name='log_file_name']").val(file_name);
}

</script>

<!-- modal content -->
<div id='confirm-dialog'>
	<form id="form_reset" method="post" action="/?c=<?=$this->class?>&m=reset">
	<div class='header'><span></span></div>
	<div class='message'></div>
	<div style="padding-left:10px;">
		<?=$lang->user->Password?> *:
		<input type="password" name="confirm_pw" value="">
	</div>
	<div class='buttons'>
		<button type="button" onclick="$.modal.close(); submit_form(this.form);" class="yes"><?=$lang->button->ok?></button>
		<button type="button" onclick="$.modal.close()"><?=$lang->button->close?></button>
	</div>
	</form>
</div>

<div id="view_section" class="hide">
    <div class="box01">
        <h3><?=$lang->menu->debug?></h3>
        <table class="tbl_view">
			<tr>
	            <th width="150"><?=$lang->menu->console?></th>
	            <td width="1">:</td>
	            <td id="view_ConsoleStr"></td>
	        </tr>
	        <tr>
	            <th width="150"><?=$lang->menu->file?></th>
	            <td width="1">:</td>
	            <td id="view_FileStr"></td>
	        </tr>
        </table>

        <div class="button_set">
            <button type="button" onclick="open_edit(0);"><?=$lang->button->edit?></button>
        </div>
    </div>
</div>

<div id="edit_section" style="padding:0 10px;" class="hide">
    <h2>:: <?=$lang->menu->debugmanagement?></h2>
    <div class="box01" class="hide">
    <form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=update">
        <h3><?=$lang->menu->debug?></h3>
        <table class="tbl_view">
	        <tr>
	            <th width="150"><?=$lang->menu->console?></th>
	            <td width="1">:</td>
	            <td><?=$this->from->checkbox('Console', '', FALSE, '1')?></td>
	        </tr>
	        <tr>
	            <th width="150"><?=$lang->menu->file?></th>
	            <td width="1">:</td>
	            <td><?=$this->from->checkbox('File', '', FALSE, '1')?></td>
	        </tr>
        </table>

        <div class="button_set">
            <button type="button" onclick="$('#form_edit').submit()"><?=$lang->button->save?></button>&nbsp;&nbsp;
            <button type="button" onclick="close_edit()"><?=$lang->button->cancel?></button>
        </div>
    </form>
    </div>
</div>

<div id="list_section">
	<div class="box01">
	<form id="form_list" method="post" action="/?c=<?=$this->class?>&m=download" target="_self">
	<?=$this->from->hidden('log_file_name', '')?>
		<h3><?=$lang->menu->debug?></h3>
		<table class="tbl_view">
	        <tr>
	            <th width="150"><?=$lang->menu->list?> </th>
	            <td width="1">:</td>
	            <td>
	            	<select name="log_list" id="log_list" onchange="download_log_file();"></select>
	            </td>
	        </tr>
        </table>
		<div class="button_set">
			<button type="button" onclick="download_log_file(); $('#form_list').submit()"><?=$lang->menu->download?></button>&nbsp;&nbsp;
			<button type="button" onclick="confirm_reset()"><?=$lang->button->reset?></button>
        </div>		
    </form>
	</div>
</div>
