<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">

<title><?=SPIDER_TITLE?></title>

<link rel="shortcut icon" href="<?=SPIDER_LOGO_ICO?>">

<!--
<script type="text/javascript" src="<?=JS_URL?>/jquery-1.5.1.min.js" charset="utf-8"></script>
<script type="text/javascript" src="<?=JS_URL?>/jquery.browser.min.js" charset="utf-8"></script>
-->
<script type="text/javascript" src="<?=JS_URL?>/jquery-3.4.1.min.js" charset="utf-8"></script>
<script type="text/javascript" src="<?=JS_URL?>/jquery.incompatible.js" charset="utf-8"></script>
<script type="text/javascript">
/*
 * setScreenMode
 * @param _mode : 1,4,9,16 valid value
 *
*/

function setScreenMode( _mode )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
	document.getElementById('ACSSDK').setScreenMode( _mode );
}

/*
 * set control size(width, height)
 * @param _width
 * @param _height
 *
*/

function setControlRect( _width , _height )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
	document.getElementById('ACSSDK').setControlRect( _width , _height );
}

/*
 * open/close channel
 *
 *
*/

function openCloseChannel( channelObj, ch )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	var channels = document.getElementById(channelObj);

	if( channels.checked )
	{
		document.getElementById('ACSSDK').openChannel( ch);
	}
	else
	{
		document.getElementById('ACSSDK').closeChannel( ch);
	}
}

/*
 * live connect
 *
*/
function connectSite(ip, port, userid, password, ch)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').connect( ip, port, userid, password, ch );
}

/*
 * search connect
 *
*/
function searchConnectSite(ip, port, userid, password, ch)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').searchConnect( ip, port, userid, password, ch );
}

function disconnectSite()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').disconnectAll();
}


/*
 * show/time timetable
 *
*/

function showTimeTable( show )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').showTimeTable = show;
}

/*
 * request PTZ
 *
*/
function requestPTZ( start , ptzCmd )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	if(start == true) {
		document.getElementById('ACSSDK').requestPTZStart(ptzCmd);
	} else {
		document.getElementById('ACSSDK').requestPTZStop(ptzCmd);
	}
}

/*
 * requestpreset
 *
*/
function requestPreset( presetCmd, presetno )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	if(presetCmd==0) {
		document.getElementById('ACSSDK').requestPreset(presetno);
	} else {
		document.getElementById('ACSSDK').requestPresetSet(presetno);
	}
}

function searchGoto(searchDate, searchTime, dst)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	if( dst == undefined )
		dst = false;

	document.getElementById('ACSSDK').gotoTime( searchDate, searchTime, dst );
}

function setAudioEnable(enable)
{

	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').enableAudio = enable;
}

function setTwoWayAudioEnable(enable)
{

	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').enableTwowayAudio = enable;
}

function requestPlayMode(playMode)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').requestPlaymode( playMode );
}

function doPrint()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').printCurImage();
}

function exportJpeg(path)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').jpegExportToPath(path);
}

function exportMov(path)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').movieExportToPath(path);
}

function startEventServer(port)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').startEventServer(port);
}

function stopEventServer()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').stopEventServer();
}

function setMaxScreen(max)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').maxCh = max;
}

function requsetSDKRecinfo() {
	if (ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false)
		return;
	
	document.getElementById('ACSSDK').requsetSDKRecinfo();
}

function requestDVRInfo()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	var result = document.getElementById('ACSSDK').requestSDKInfo();

	if(result == "NotYet")
	{
		return false;
	}
	else
	{
		return result;
	}
}

function ActiveXInstalled(ProgId)
{
	var isInstall = false;

	try
	{
		var obj = new ActiveXObject(ProgId);
		if (obj) return true;
	}
	catch (e)
	{
		return false;
	}

	return false;
}

var maxConnectTestCount = 100;
var connectTestCount = 0;

function readyActiveX()
{
	connectTestCount++;

	if(ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false) {
		if(connectTestCount < maxConnectTestCount) {
			setTimeout('readyActiveX();', 100);
		} else {
			alert('error');
		}
		return;
	}

	setScreenMode(1);
	resizeACS();

	connectACS();
}

function resizeACS()
{
	setControlRect($(document).width(), $(document).height());
}

function connectACS()
{
	var ch = 0;
	ch |= 1 << (parseInt('<?=$channel['Channel']?>', 10) - 1);

	searchConnectSite('<?=$dvr['IP']?>', '<?=$dvr['SearchPort']?>', '<?=$dvr['HttpID']?>', '<?=$dvr['HttpPassword']?>', ch);
}

$(document).ready(function() {
	if($.browser.msie == true) {
		readyActiveX();
	} else {
		alert('<?=$lang->addmsg->only_supported_ie?>');
	}
});

</script>
</head>
<body border="0" style="margin: 0; padding: 0;" oncontextmenu="return false;">


<object classid="CLSID:67815DA3-EC08-41e0-AE60-92E5935EE8FB"
        width="640"
        height="480"
        id="ACSSDK"
        codebase="WebACS.cab#version=1,0,1,0" >
</object>

<script language="javascript" for="ACSSDK" event="loginsuccessEvent(_successmsg)">
//requsetSDKRecinfo();
setTimeout(function() { searchGoto('<?=date('Ymd', $search_date)?>', '<?=date('His', $search_date)?>'); }, 500);
document.getElementById('ACSSDK').setShowTimeTable(0);
//searchGoto('<?=date('Ymd', $search_date)?>', '<?=date('His', $search_date)?>');
//alert('loginsuccessEvent');
</script>

<script language="javascript" for="ACSSDK" event="SDKRecInfoEvent(_recInfomsg)">
//document.getElementById('ACSSDK').setShowTimeTable(1);
//searchGoto('<?=date('Ymd', $search_date)?>', '<?=date('His', $search_date)?>');
//searchGoto('20130228', '170000');
//document.getElementById('ACSSDK').setShowTimeTable(1);
</script>


</body>
</html>