<div id="location">
<?
echo $lang->menu->devices.'&nbsp;&gt;&nbsp;'.$lang->menu->elevatoraction;
?>
	<button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button>
</div>


<script type="text/javascript">
function create_list()
{
    $("#list_body").html("");
    for(var i=0; i<_data.list.length; i++)
    {
        $("#list_body").append(
            '<tr id="list_'+ i +'" onclick="open_view('+ i +')" class="ov">' +
            //'   <td>'+ _data.list[i].No +'</td>' +
            '   <td>'+ _data.list[i].Name +'</td>' +
            '   <td>'+ _data.list[i].EName +'</td>' +
            '   <td>'+ _data.list[i].UserList2Str +'</td>' +
            '</tr>'
        );
    }
    create_pagination();
}

function load_elevator()
{
    $("#edit_section").hide();
    $("#view_section").hide();
    $("#output_list").hide();

    $.getJSON(
        "/?c=elevator&m=select_master&f="+ $("#form_search select[name='field']").val() +"&w="+ $("#form_search input[name='word']").val(),
        function(data) {
			if( check_error(data) ) {
				create_elevator_list(data);
			}
        }
    );
}

function load_elevator_all()
{
    $("#edit_section").hide();
    $("#view_section").hide();
    $("#output_list").hide();
    $.getJSON(
        "/?c=elevator&m=select_master&f=",
        function(data) {
			if( check_error(data) ) {
				create_elevator_list(data);
			}
        }
    );
}



function create_elevator_list(data)
{
    $("#elevator_list_body").html("");
    for(var i=0; i<data.list.length; i++)
    {
        $("#elevator_list_body").append(
            '<tr onclick="load_output('+ data.list[i].No +')" class="ov">' +
            '   <td>'+ data.list[i].Name +'</td>' +
            '   <td>'+ data.list[i].OutputCount +'</td>' +
            '</tr>'
        );
    }

}

function load_output(no)
{
    $("#edit_section").hide();
    $("#view_section").hide();
    $("#output_list").show();

    $.getJSON(
        "/?c=elevatoraction&m=select_output&no="+ no,
        function(data) {
            _data = data
			if( check_error(_data) ) {
				create_output_list();
			}
        }
    );
}

function create_output_list()
{
    $("#list_body").html("");
    for(var i=0; i<_data.list.length; i++)
    {
        $("#list_body").append(
            '<tr id="list_'+ i +'" onclick="open_view('+ i +')" class="ov">' +
            '   <td>'+ _data.list[i].Name +'</td>' +
            '   <td>'+ _data.list[i].EName +'</td>' +
            '   <td>'+ _data.list[i].UserList2Str +'</td>' +
            '</tr>'
        );
    }
}

$(document).ready(function() {
    load_elevator();
});

function init_edit()
{
	change_mode();
    set_user_list('edit');
}

function set_user_list(form)
{
    $("#form_"+ form +" select[name='UserList2\[\]'] option").remove();
    $.each(_current.UserList2, function(name, value) {
        $("#form_"+ form +" select[name='UserList2\[\]']").append('<option value="'+ value.No +'">'+ value.Name +'</option>');
    });
}

function del_data(){
    if (confirm("<?=$this->lang->addmsg->confirm_delete?>")) 
    {
        var No = $("#view_ENo").html();
        var RelayNo = $("#view_RelayNo").html();
        $.getJSON("/?c=<?=$this->class?>&m=delete",{No:No, RelayNo:RelayNo},function()
        {
            load_list();
        });
    }
}

function change_selecttype(form)
{
    var selecttype = $("#form_"+ form +" select[name='SelectType']").val();
    
    $("#form_"+ form +" select[name='UserList1\[\]'] option").remove();
    $("#form_"+ form +" select[name='UserList2\[\]'] option").remove();

    submit_search_data(form);
}

function set_data_list(form)
{
    $("#form_"+ form +" select[name='UserList2\[\]'] option").remove();
    $.each(_current.UserList2, function(name, value) {
        $("#form_"+ form +" select[name='UserList2\[\]']").append('<option value="'+ value.No +'">'+ value.Name +'</option>');
    });
}

function push_data(form)
{
    $("#form_"+ form +" select[name='UserList1\[\]'] option:selected").each(function() {
        $("#form_"+ form +" select[name='UserList2\[\]'] option").filter("option[value='"+ $(this).val() +"']").remove();
        $("#form_"+ form +" select[name='UserList2\[\]']").append($(this).clone());
    });
}

function pop_data(form)
{
    $("#form_"+ form +" select[name='UserList2\[\]'] option:selected").remove();
}

function submit_search_data(form)
{
    if ($("#form_"+ form +" select[name='SelectType']").val() != "2")
    {
        $.getJSON(
            "/?c=alevel&m=find&f=Name&w="+ $("#form_"+ form +" input[name='search_data']").val(),
            function(data) {
				if( check_error(data) ) {
					var element = $("#form_"+ form +" select[name='UserList1\[\]']");
					element.html("");
					for(var i=0; i<data.list.length; i++)
					{
						element.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
					}
				}
            }
        );
    }
    else
    {
        $.getJSON(
            "/?c=groupaccess&m=find&f=Name&w="+ $("#form_"+ form +" input[name='search_data']").val(),
            function(data) {
				if( check_error(data) ) {
					var element = $("#form_"+ form +" select[name='UserList1\[\]']");
					element.html("");
					for(var i=0; i<data.list.length; i++)
					{
						element.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
					}
				}
            }
        );
    }
}

function before_submit(form)
{
    //$("#form_"+ form +" select[name='UserList2\[\]'] option").attr('selected', true);
    $("#form_"+ form).find("input[name='UserList3\[\]']").remove();
    $("#form_"+ form +" select[name='UserList2\[\]'] option").each(function(){
	    $("#form_"+ form).append('<input type="hidden" name="UserList3[]" value="'+$(this).val()+'"/>');
    });
} 

function change_mode()
{
	var mode = $("select[name='Mode']").val();

	if( mode == "1" )
	{
		$("#mode_subsection").hide();
	}
	else if( mode == "2" )
	{
		$("#mode_subsection").show();
	}
}


// ���� üũ�ؼ� ��� ������ ȣ���� ������ ��.
<? if( $this->is_auth(77, 1) != TRUE ) { ?>
function open_new()
{
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

<? if( $this->is_auth(77, 2) != TRUE && $this->is_auth(77, 3) != TRUE) { ?>
function open_edit()
{
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

<? if( $this->is_auth(77, 2) != TRUE) { ?>
function del_data()
{
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

</script>

<div id="edit_section" class="hide">
<form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=update">
<?=$this->from->hidden("No")?>
<?=$this->from->hidden("ElevatorNo")?>
	<h2>:: <?=$lang->menu->aoutput?></h2>
	<div class="box01">

		<h3><?=$lang->menu->basic?></h3>
		<table class="tbl_view">
		<tr>
            <th><?=$lang->elevator->Elevator?></th>
            <td width="1">:</td>
            <td id="view_ENameStr"></td>
        </tr>
		<tr>
			<th width="150"><?=$lang->addmsg->elevator_action?> *</th>
			<td width="1">:</td>
			<td><?=$this->from->input('Name', "", array("MAXLENGTH"=>"30"))?></td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->Mean?></th>
			<td width="1">:</td>
			<td><?=$this->from->input('Mean', "", array("MAXLENGTH"=>"30"))?></td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->Mode?> *</th>
			<td width="1">:</td>
			<td>
					<div style="float:left"><?=$this->from->select('Mode', '', EnumTable::$attrAuxOutMode, array('onchange'=>"change_mode()"))?></div>
					<div style="float:left; margin-left:10px; ">
						<?=$lang->aoutput->OnTime?><?=$this->from->inputnum('OnTime', '', array('style'=>'width:30px'))?> (sec)
						<div id="mode_subsection" class="hide">
							<?=$lang->aoutput->OffTime?><?=$this->from->inputnum('OffTime', '', array('style'=>'width:30px'))?> (sec)<br>
							<?=$lang->aoutput->Repeat?><?=$this->from->inputnum('Repeat', '', array('style'=>'width:30px'))?> (sec)
						</div>
					</div>
			</td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->Floor?></th>
			<td width="1">:</td>
			<td><?=$this->from->select('Floor', '', $attrFloor)?></td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->State?></th>
			<td width="1">:</td>
			<td><?=$this->from->select('State', '', EnumTable::$attrState)?></td>
		</tr>
		<tr>
            <th><?=$lang->elevator->SelectType?> *</th>
            <td width="1">:</td>
            <td><?=$this->from->select('SelectType', '', EnumTable::$attrGroup, array('onchange'=>"change_selecttype('edit')"))?></td>
        </tr>
        <tbody id="toggle_1_edit">
        <tr>
        <th><?=$lang->elevator->UserList?></th>
            <td width="1">:</td>
            <td>
                <?=$this->from->input('search_data')?>&nbsp;&nbsp;
                <button name="btnSearch" class="btn_find" type="button" onclick="submit_search_data('edit')"></button><br />
                <div class="left"><?=$this->from->select('UserList1[]', '', array(), array('multiple'=>'multiple', 'style'=>'width:200px;height:100%;'))?></div>
                <div class="left text_left">
                    &nbsp;<button name="btn_push" class="btn_push" type="button" onclick="push_data('edit')"></button>&nbsp;<br /><br />
                    &nbsp;<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_data('edit')"></button>&nbsp;
                </div>
                <div class="left"><?=$this->from->select('UserList2[]', '', array(), array('multiple'=>'multiple', 'style'=>'width:200px;height:100%;'))?></div>
            </td>
        </tr>
        </tbody>
		</table>

		<div class="button_set">
			<button type="button" onclick="before_submit('edit'); $('#form_edit').submit()"><?=$lang->button->save?></button>&nbsp;&nbsp;
            <button type="button" onclick="open_edit(_seq); change_selecttype('edit'); init_edit();"><?=$lang->button->reset?></button>&nbsp;&nbsp;
			<!--<button type="button" onclick="open_edit(_seq); change_mode(); change_selecttype('edit');"><?=$lang->button->reset?></button>&nbsp;&nbsp;-->
			<button type="button" onclick="close_edit()"><?=$lang->button->cancel?></button>
		</div>
	</div>
</form>
</div>

<div id="view_section" class="hide">
    <h2>:: <?=$lang->menu->elevator?></h2>
    <div class="box01">
        <h3><?=$lang->menu->basic?></h3>
        <table class="tbl_view">
        <tr style="display:none;">
            <td id="view_No"></td>
            <td></td>
        </tr>
        <tr style="display:none;">
            <td id="view_RelayNo"></td>
            <td></td>
        </tr>
		<tr>
            <th><?=$lang->elevator->Elevator?></th>
            <td width="1">:</td>
            <td id="view_EName"></td>
        </tr>        
        <tr>
            <th width="150"><?=$lang->addmsg->elevator_action?> *</th>
            <td width="1">:</td>
            <td id="view_Name"></td>
        </tr>
        <tr>
            <th width="150"><?=$lang->aoutput->Mean?></th>
            <td width="1">:</td>
            <td id="view_Mean"></td>
        </tr>        
   	    <tr>
			<th><?=$lang->aoutput->Mode?> *</th>
			<td width="1">:</td>
			<td id="view_ModeStr"></td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->Floor?></th>
			<td width="1">:</td>
			<td id="view_FloorStr"></td>
		</tr>
		<tr>
			<th><?=$lang->aoutput->State?></th>
			<td width="1">:</td>
			<td id="view_StateStr"></td>
		</tr>
        <tr>
            <th><?=$lang->elevator->SelectType?> *</th>
            <td width="1">:</td>
            <td id="view_SelectTypeStr"></td>
        </tr>
        <tr>
            <th><?=$lang->elevator->UserList?></th>
            <td width="1">:</td>
            <td id="view_UserList2Str"></td>
        </tr>
        </table>

        <div class="button_set">
            <button type="button" onclick="open_edit(_seq); change_selecttype('edit'); init_edit(); "><?=$lang->button->edit?></button>&nbsp;&nbsp;
            <button type="button" onclick="close_view()"><?=$lang->button->cancel?></button>
        </div>
    </div>
</div>

<div id="list_section">
    <h2>:: <?=$lang->menu->list?></h2>
    <div id="output_list" class="box01" style="margin-bottom: 10px;">
        <table class="tbl_list">
        <tr>
            <!-- <th><?=$lang->elevator->No?></th> -->
            <th><?=$lang->elevator->ElevatorOutput?></th>
            <th><?=$lang->elevator->Elevator?></th>
            <th><?=$lang->elevator->AccessLevel?></th>
        </tr>
        <tbody id="list_body">
        </tbody>
        </table>
    </div>

    <div id="elevator_list" class="box01">
        <table class="tbl_list">
        <tr>
            <th><?=$lang->elevator->Name?></th>
            <th><?=$lang->elevator->outputs?></th>
        </tr>
        <tbody id="elevator_list_body">
        </tbody>
        </table>

        <table class="list_button_set">
        <tr>
            <td align="center">
	            <form id="form_search" method="post" action="/?c=<?=$this->class?>&m=select" onsubmit="load_elevator(); return false;" target="_self">
	            <?=$this->from->select('field', '', array('Name'=>$lang->elevator->Name))?>
	            <?=$this->from->input('word', '')?>&nbsp;
	            <button type="button" onclick="load_elevator()"><?=$lang->button->search?></button>
	            </form>
            </td>
            <td width="100" align="right"><button type="button" onclick="load_elevator_all()"><?=$lang->button->list?></button></td>
        </tr>
        </table>

        <p>&nbsp;</p>
    </div>
</div>
