<!DOCTYPE html>
<html>
    <head>
        <title><?=SPIDER_TITLE?> - HELP</title>

        <link rel="shortcut icon" href="<?=SPIDER_LOGO_ICO?>">

		<link rel="stylesheet" type="text/css" href="/help/css/help.css" />
		<style>
		html, body { width: 100%; height: 100%; }

		body { margin: 0; padding: 0; }

		li a { color: #000; text-decoration: none; }
		li a:hover { text-decoration: underline; }

		.search-input {
			height: 50px;
			margin: 10px;
			border: 1px solid #eee;
		}

		.search-result {
			position: absolute;
			top: 0;
			bottom: 0;
			left: 0;
			right: 0;
			margin: 70px 10px 10px 10px;
			border: 1px solid #eee;
			overflow: auto;
		}
		</style>
		
		<!--<script type="text/javascript" src="<?=JS_URL?>/jquery-1.5.1.min.js" charset="utf-8"></script>-->
		<script type="text/javascript" src="<?=JS_URL?>/jquery-3.4.1.min.js" charset="utf-8"></script>
		<script>
		function loadHelp(name)
		{
			parent.loadHelp(name);
		}
		</script>

    </head>
	<body>

		<div class="search-input">
			<form method="get" action="/">
				<input type="hidden" name="c" value="help" />
				<input type="hidden" name="m" value="search" />
				<input type="hidden" name="lang" value="<?=$language?>" />
				<input type="text" name="query" value="<?=$query?>" />
				<button type="submit"><?=$lang->addmsg->search?></button>
			</form>
		</div>

		<ul class="search-result">
		<? foreach($pages as $name =>$title) : ?>
			<li><a href="javascript:loadHelp('<?=$name?>');"><?=$title?></a></li>
		<? endforeach; ?>
		</ul>

	</body>
</html>

