<style>
#contents {float:left; border:0; margin:0 0 16px 0; }
#view_section h3 {padding-left: 10px; background-color: #b5b5b7; color: #181b29; border-top: 2px solid #464a58; box-sizing: border-box; font-family: Noto-Sans-Bold-UI; height: 30px; vertical-align: middle;}
</style>

<link rel="stylesheet" href="<?=CSS_URL?>/common.css<?="?ver=".date("His")?>" type="text/css" />
<link rel="shortcut icon" href="<?=SPIDER_LOGO_ICO?><?="?ver=".date("His")?>">
<link rel="stylesheet" href="<?=SPIDER_LOGO_CSS?><?="?ver=".date("His")?>" type="text/css" />
<link rel="stylesheet" href="<?=SPIDER_COLOR_CSS?><?="?ver=".date("His")?>" type="text/css" />

<script type="text/javascript">
function create_list()
{
    open_view(0);

	var model = _data.list[0].Model;
	var type = _data.list[0].Type;
	var version = _data.list[0].VersionStr;
	var product = _data.list[0].Product;
	//alert(_data.list[0].Type);
	
	//if(version.substring(0,1) == '5') $("#doorCount").css("display","table-row");

	$("input[name='model-type']", $("#license_spec")).each(function()
	{
		var val = $(this).val();
		var split_val = val.split("-");

		if( val == model+"-"+type )
		{
			$(this).attr({ "checked":"checked" });
			$("td.type_item_"+type+".model_item_"+model, $("#license_spec")).css({ "background":"#eaeaea" });
			$(this).parent().find("label").text("<?=$lang->license->msg_current_system?>");
		}

		if( split_val[0] < model || (split_val[0] == model && split_val[1] < type) )
		{
			$(this).attr({ "disabled":"disabled" });
		}
	});

	if( model < "<?=ConstTable::MODEL_ELITE?>" && type < "<?=ConstTable::CONTROLLER_TYPE_ESSENTIAL_4?>" ) 
	{
		$("input[name='model-type'][value='<?=ConstTable::MODEL_ELITE?>-<?=ConstTable::CONTROLLER_TYPE_ELITE_36?>']", $("#license_spec")).attr({ "disabled":"disabled" });
	}

	$("input[name='model-type']", $("#license_spec")).trigger("change");
}

$(document).ready(function() {
	$("input[name='model-type']", $("#form_request"))
		.change(function(event) {
				if( $(this).is(":checked") ) {
					var val = $(this).val();
					var split_val = val.split("-");
					$("input[name='request_model']", $("#form_request")).val(split_val[0]);
					$("input[name='request_type']", $("#form_request")).val(split_val[1]);
					
				}
			});

	load_list();
	
	$("select[name='request_type']").trigger("change");
	//$("#edit_option_panel").load("/?c=license&m=edit_option&model=<?=$_SESSION['spider_model']?>");
});

function edit_start()
{
	/* DB에서 Expansion 정보 확인 */
	$("#view_section").hide();
    $("#edit_section").show();
	
	$("#Basic_edit_section").hide();
	$("#Expansion_edit_section").hide();

	var str = document.getElementById ( "view_LicenseKey" ).innerText;
	table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+str+"' SIZE=80, MAXLENGTH=64>";

	$.getJSON('/?c=<?=$this->class?>&m=checkExpansion',function(data)
	{		
		$expansion = data['expansion'];
		if($expansion == true)
		{
			$("#Basic_edit_section").hide();
			$("#Expansion_edit_section").show();
		}
		else
		{
			$("#Basic_edit_section").show();
			$("#Expansion_edit_section").hide();
		}
	});
    
    set_edit();
    
    $("#form_edit input[name='No']").val("1");
    $("#form_edit input[name='No']").val("1");
}


function set_edit_network(form)
{
    $.each(_current, function(name, value) {
        var element = $("#"+ form +" input[name='"+ name +"']");
        if( element.attr("type") == "checkbox" ){
            if( value == "1"){
                element.prop("checked", true);
            }else{
                element.prop("checked", false);
            }
        }else if( element.attr("type") == "radio" ){
            $("#"+ form +" input:radio[name='"+ name +"']").filter("input[value='"+ value +"']").prop("checked", true);
        }else{
            element.val(value);
        }

        if( $("#"+ form +" select[name='"+ name +"']").attr("multiple") == true )
            $("#"+ form +" select[name='"+ name +"']").val(eval(value));
        else
            $("#"+ form +" select[name='"+ name +"']").val(value);

    });

    enable_form_edit1();
    enable_form_edit2();
    enable_form_edit3();
    enable_form_edit4();
}


function enable_form_edit1()
{
    if( $("#form_edit1 input:radio[name='IPType']:checked").val() == '1' ) {
		flag = false;
		$("#form_edit1 input[name='Gateway']").val(_current['Gateway']);
	} else {
		flag = true;
		$("#form_edit1 input[name='Gateway']").val('192.168.1.1');
	}

    $("#form_edit1 input[name='IPAddress']").attr("disabled", flag);
    $("#form_edit1 input[name='Subnet']").attr("disabled", flag);
    $("#form_edit1 input[name='Gateway']").attr("disabled", flag);
}


function enable_form_edit2()
{
    flag = ifIsChecked($("#form_edit2 input[name='DDNSEnable']"));

    $("#form_edit2 select[name='DDNSServer']").attr("disabled", flag);
    $("#form_edit2 input[name='DDNSServer']").attr("disabled", flag);
    $("#form_edit2 input[name='DDNSID']").attr("disabled", flag);
    $("#form_edit2 input[name='DDNSPassword']").attr("disabled", flag);
}


function enable_form_edit3()
{
    flag = ifIsChecked($("#form_edit3 input[name='FTPEnable']"));

    $("#form_edit3 input[name='FTPAddress']").attr("disabled", flag);
    $("#form_edit3 input[name='FTPPort']").attr("disabled", flag);
    $("#form_edit3 input[name='FTPID']").attr("disabled", flag);
    $("#form_edit3 input[name='FTPPassword']").attr("disabled", flag);
    $("#form_edit3 input[name='FTPPassive']").attr("disabled", flag);
    $("#form_edit3 input[name='FTPDir']").attr("disabled", flag);
}


function enable_form_edit4()
{
    flag = ifIsChecked($("#form_edit4 input[name='SMTPEnable']"));

    $("#form_edit4 input[name='SMTPServer']").attr("disabled", flag);
    $("#form_edit4 input[name='SMTPID']").attr("disabled", flag);
    $("#form_edit4 input[name='SMTPPassword']").attr("disabled", flag);
    $("#form_edit4 input[name='SMTPNumber']").attr("disabled", flag);
}


function set_edit()
{
    set_edit_network('form_edit1');
    set_edit_network('form_edit2');
    set_edit_network('form_edit3');
    set_edit_network('form_edit4');
    set_edit_network('form_edit5'); 
}


function network_setting()
{		
	//location.href = '/?c=ipset2';

	$("#view_section").hide();
    $("#network_edit_section").show();

	set_edit();

	$("#form_edit1 input[name='No']").val("1");
    $("#form_edit1 input[name='No']").val("1");
}

function set_code_section()
{		
	//location.href = '/?c=ipset2';

	$("#view_section").hide();
	$("#network_edit_section").hide();
	$("#view_section_code").show();
	$("#edit_section").hide();

	table_11.rows[0].cells[2].innerHTML = document.getElementById ( "view_MACAddress" ).innerText;
	table_11.rows[1].cells[2].innerHTML = document.getElementById ( "view_Product" ).innerText;
	table_11.rows[2].cells[2].innerHTML = document.getElementById ( "view_ModelStr" ).innerText;
	table_11.rows[3].cells[2].innerHTML = document.getElementById ( "view_TypeStr" ).innerText;
	table_11.rows[4].cells[2].innerHTML = "<INPUT name=code_LicenseKey class=input value='"+document.getElementById ( "view_LicenseKey" ).innerText+"' SIZE=80, MAXLENGTH=64>";
}

function network_submit_send()
{	
	$('#form_edit1').find('input[name="confirm_pw"]').val($('#form_send').find('input[name="confirm_pw"]').val());
	$('#form_edit1').submit();
}

function network_edit_end()
{	
    $("#view_section").show();
    $("#network_edit_section").hide();
}

function network_confirm_send()
{
	$('#form_send').find('input[name="confirm_pw"]').val('');
	$('#form_edit1').find('input[name="confirm_pw"]').val('');
	confirm_dialog("<?=$this->lang->common->savereboot?>");
}

function confirm_dialog(message, callback) {
	$('#confirm-dialog').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-container', 
		onShow: function (dialog) {
			var modal = this;
			$('.message', dialog.data[0]).append(message);
		}
	});
}

function oem_confirm_send()
{
	/*
	<?php
		$device_product = $this->conn->prepare("SELECT SWVersion FROM version WHERE No=1");
		$device_product->execute();
		$device_product = $device_product->fetchColumn();
	?>
	var tmp_str = "<?php echo $device_product;?>";
	tmp_str = tmp_str.substring(0,1);

	if(tmp_str == '1')
	{
		$('#form_send').find('input[name="confirm_pw"]').val('');
		$('#form_edit1').find('input[name="confirm_pw"]').val('');
		oem_neptune_confirm_dialog("Please enter OEM No and OEM Code");

	}
	else
	{
		$('#form_send').find('input[name="confirm_pw"]').val('');
		$('#form_edit1').find('input[name="confirm_pw"]').val('');
		oem_e3_confirm_dialog("Please enter OEM no and OEM code");
	}
	*/

	$('#form_send').find('input[name="oem_no"]').val('');
	$('#form_edit1').find('input[name="oem_code"]').val('');

	document.getElementById ( "e3_ModelStr" ).innerText = document.getElementById ( "view_ModelStr" ).innerText;
	document.getElementById ( "e3_TypeStr" ).innerText = document.getElementById ( "view_TypeStr" ).innerText;

	oem_neptune_confirm_dialog("Please enter OEM No and OEM Code.");
}

function oem_confirm_send_code()
{	
	$('#form_send').find('input[name="oem_no"]').val('');
	$('#form_edit1').find('input[name="oem_code"]').val('');

	oem_neptune_confirm_dialog("Please enter OEM No and OEM Code.");
}

function oem_neptune_confirm_dialog(message, callback) {
	$('#confirm-oem-neptune').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-oem-neptune', 		
		onShow: function (dialog) {
			var modal = this;
			$('.message', dialog.data[0]).append(message);
		}
	});
}

function oem_e3_confirm_dialog(message, callback) {
	$('#confirm-oem-e3').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-oem-e3', 
		onShow: function (dialog) {
			var modal = this;
			$('.message', dialog.data[0]).append(message);
		}
	});
}

function customerInfo_confirm_dialog(message, callback) {


	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();

	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getCustomerInfo&mac='+str+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{				
				customerInfo.rows[0].cells[2].innerHTML = "<INPUT name=firstname class=input value='"+resData.data.FirstName+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[1].cells[2].innerHTML = "<INPUT name=lastname class=input value='"+resData.data.LastName+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[2].cells[2].innerHTML = "<INPUT name=company class=input value='"+resData.data.Company+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[3].cells[2].innerHTML = "<INPUT name=email class=input value='"+resData.data.Email+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[4].cells[2].innerHTML = "<INPUT name=phone class=input value='"+resData.data.Phone+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[5].cells[2].innerHTML = "<INPUT name=address class=input value='"+resData.data.Address+"' SIZE=58, MAXLENGTH=50>";
				customerInfo.rows[7].cells[2].innerHTML = "<INPUT name=suggestion class=input value='"+resData.data.Suggestion+"' SIZE=58, MAXLENGTH=50>";

				var ninstall;
				if(resData.data.InstallType == 'Commercial Office'){
					ninstall =1;
				}else if(resData.data.InstallType == 'Education'){
					ninstall =2;
				}else if(resData.data.InstallType == 'Place of Worship'){
					ninstall =3;
				}else if(resData.data.InstallType == 'Residential'){
					ninstall =4;
				}else if(resData.data.InstallType == 'Warehouse'){
					ninstall =5;
				}else if(resData.data.InstallType == 'Other'){
					ninstall =6;
				}else{
					ninstall =1;
				}
				
				$("#form_send_customerInfo select[name='install_type']").val(ninstall);

				$('#confirm-customerInfo').modal({
					closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
					position: ["20%",],
					overlayId: 'confirm-overlay',
					containerId: 'confirm-customerInfo', 
					onShow: function (dialog) {
						var modal = this;
						$('.message', dialog.data[0]).append(message);
					}
				});
			}
			else
			{
				$('#confirm-customerInfo').modal({
					closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
					position: ["20%",],
					overlayId: 'confirm-overlay',
					containerId: 'confirm-customerInfo', 
					onShow: function (dialog) {
						var modal = this;
						$('.message', dialog.data[0]).append(message);
					}
				});
			}
        }
    }
	xhr.send();
}

function swap_confirm_dialog(message, callback) {
	$('#confirm-swap').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-swap',
		onShow: function (dialog) {
			var modal = this;
			$('.message', dialog.data[0]).append(message);
		}
	});
}


function oem_neptune_confirm_dialog_code(message, callback) {
	$('#confirm-oem-neptune-code').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-oem-neptune-code', 		
		onShow: function (dialog) {
			var modal = this;
			$('.message', dialog.data[0]).append(message);
		}
	});
}

//set oem number
function oem_neptune_submit_send()
{
	var oem_no = $('#form_send_oem_neptune').find('input[name="oem_no"]').val();
	var oem_code = $('#form_send_oem_neptune').find('input[name="oem_code"]').val();
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	
	if(null_check(oem_no))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}

	if(null_check(oem_code))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}

	//'https://license.remote-manager.net/cgi/license.php?action=setOemNumber&mac=' 02:01:5E:1A:F3:CC '&oemno='1'&oemcode='1234'&_a=sicunet'
	//'https://license.remote-manager.net/cgi/license.php?action=setOemNumber&mac='+str+'&oemno='+oem_no+'&oemcode='+oem_code+'&_a=sicunet'

	var xhr = new XMLHttpRequest();
    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=setOemNumber&mac='+str+'&oemno='+oem_no+'&oemcode='+oem_code+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				alert("<?=$this->lang->common->license_ok_oem?>");
			}
			else
			{
				alert("<?=$this->lang->common->license_error_oem?>");
			}
        }
    }
	xhr.send();
}

//var attrModelSpec	= <?=json_encode(EnumTable::$attrModelSpec)?>;
var attrModel_NT_val	= <?=json_encode(EnumTable::$attrModel_NT_val)?>;
var attr_door_count	= <?=json_encode(EnumTable::$attr_door_count)?>;


function oem_e3_submit_send()
{
	var e3_Model = document.getElementById ("e3_ModelStr" ).innerText;
	var e3_Type = document.getElementById ( "e3_TypeStr" ).innerText;
	var e3_ProductNo = 4;
	var e3_model_val	= attrModel_NT_val[e3_Model];
	var e3_Type_val = attr_door_count[e3_Type];
	var oem_no = $('#form_send_e3_neptune').find('input[name="e3_oem_no"]').val();
	var oem_code = $('#form_send_e3_neptune').find('input[name="e3_oem_code"]').val();
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();

	if(null_check(oem_no))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}

	if(null_check(oem_code))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}

	//02:01:DB:DA:27:AA
	//https://license.remote-manager.net/cgi/license.php?action=addOemDevice&mac=02:01:DB:DA:27:A1&product=1&model=1&type=1&oemno=1&oemcode=5001&_a=sicunet
	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=addOemDevice&mac='+str+'&product='+e3_ProductNo+'&model='+e3_model_val+'&type='+e3_Type_val+'&oemno='+oem_no+'&oemcode='+oem_code+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{				
				alert("<?=$this->lang->common->device_add_ok?>");
			}
			else
			{
				alert("<?=$this->lang->common->device_add_error?>");
			}
        }
    }
	xhr.send();
}

//set oem number
function oem_neptune_submit_send_code()
{
	/*
	oFormObject = document.forms['form_edit'];
	var str_number = oFormObject.elements[0].value;
	var str_code = oFormObject.elements[1].value;

	alert(str_number);
	alert(str_code);
	*/
	var serial_number = $('#form_send_oem_neptune_code').find('input[name="form_serial_number"]').val();
	var security_code = $('#form_send_oem_neptune_code').find('input[name="form_security_code"]').val();
	var oem_no = $('#form_send_oem_neptune_code').find('input[name="oem_no"]').val();
	var oem_code = $('#form_send_oem_neptune_code').find('input[name="oem_code"]').val();

	if(null_check(oem_no))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}

	if(null_check(oem_code))
	{
		alert("<?=$this->lang->common->license_error_oem?>");
		return;
	}
	
	if(null_check(serial_number))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	if(null_check(security_code))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	var xhr = new XMLHttpRequest();
	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=setOemNumber&serial='+serial_number+'&code='+security_code+'&oemno='+oem_no+'&oemcode='+oem_code+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				alert("<?=$this->lang->common->license_ok_oem?>");
				location.reload(true);
			}
			else
			{
				alert("<?=$this->lang->common->license_error_oem?>");
			}
        }
    }
	xhr.send();

}

function null_check(value)
{
	
	if( value == "" || value == null || value == undefined || ( value != null && typeof value == "object" && !Object.keys(value).length ) )
	{
		return true;
	}
	else
	{
		return false;
	}
}

function customerInfo_submit_send()
{		
	var str_mac = document.getElementById ( "view_MACAddress" ).innerText;

	var str_name_f = $('#form_send_customerInfo').find('input[name="firstname"]').val();
	var str_name_l = $('#form_send_customerInfo').find('input[name="lastname"]').val();
	var str_comp = $('#form_send_customerInfo').find('input[name="company"]').val();
	var str_email = $('#form_send_customerInfo').find('input[name="email"]').val();
	var str_phone = $('#form_send_customerInfo').find('input[name="phone"]').val();
	var str_address = $('#form_send_customerInfo').find('input[name="address"]').val();
	var str_install_type = $("select[name='install_type'] option:selected").text();
	var str_suggestion = $('#form_send_customerInfo').find('input[name="suggestion"]').val();

	if(null_check(str_name_f.trim()))
	{
		alert("<?=$this->lang->common->first_name_error?>");
		return;
	}
    var mailformat = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
    if (!mailformat.test(str_email))
	{
		alert("<?=$this->lang->common->email_error?>");
		return;
	}
	if(null_check(str_address.trim()))
	{
		alert("<?=$this->lang->common->address_error?>");
		return;
	}
	if(null_check(str_phone.trim()))
	{
		alert("<?=$this->lang->common->phone_error?>");
		return;
	}
	
	var xhr = new XMLHttpRequest();
	var formData = new FormData();
	var Url = "https://license.remote-manager.net/cgi/license.php?action=setCustomerInfo&mac="+str_mac+"&_a=sicunet";

	formData.append('FirstName', str_name_f);
	formData.append('LastName', str_name_l);
	formData.append('Company', str_comp);
	formData.append('Email', str_email);
	formData.append('Phone', str_phone);
	formData.append('Address', str_address);
	formData.append('InstallType', str_install_type);
	formData.append('Suggestion', str_suggestion);
	
	xhr.onload = function() {
	if (xhr.status === 200 || xhr.status === 201) {
			console.log(xhr.responseText);
			$('#form_edit').submit(); 
			lic_apply();
		} else {
			console.error(xhr.responseText);
		}
	};
	
	xhr.open('POST', Url);
	xhr.send(formData);
}

function lic_goto_server_neptune()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var newWindow = window.open("about:blank");
	newWindow.location.href = 'https://license.remote-manager.net/upgrade?oem=neptune&mac='+str;
}

function lic_goto_server_speco()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var newWindow = window.open("about:blank");
	newWindow.location.href = 'https://license.remote-manager.net/upgrade?oem=speco&mac='+str;
}

function lic_goto_server_cont()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var newWindow = window.open("about:blank");
	newWindow.location.href = 'https://license.remote-manager.net/upgrade?oem=cont&mac='+str;
}

function lic_get()
{
	//location.href = '/?c=license_code';
	//set_code_section();

	/*
	{
	"errCode":"000",
	"errMsg":"Success",

	"data":
		{
			"MACAddr":"02:01:DB:DA:27:AF",
			"Updated":"2019-05-24 15:51:44",
			"Product":"Neptune",
			"Model":"Corporate",
			"Type":"Door 128",
			"LicenseKey":"70861706A841DABD73B8DFCFB5ED72AB99B124F2F19D862E8B6AEED19D64D249"
		}
	}
	*/	
	
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getLisenseKey&mac='+str+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				//app_type.innerHTML = resData.data.Type;
				//app_mac.innerHTML = resData.data.MACAddr;
				//app_lic.innerHTML = resData.data.LicenseKey;
				//app_lic.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				//inHere.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				table_2.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_3.rows[0].cells[2].innerHTML = resData.data.Product;
				table_3.rows[1].cells[2].innerHTML = resData.data.Model;
				table_3.rows[2].cells[2].innerHTML = resData.data.Type;
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";
				alert("Success");
			}
			else
			{//리턴된 값이 에러이면 메시지 처리 
				alert("<?=$this->lang->common->license_error?>");
				set_code_section();
			}
        }
    }
	xhr.send();
}

function lic_get_client()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getClientKey&mac='+str+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				//app_type.innerHTML = resData.data.Type;
				//app_mac.innerHTML = resData.data.MACAddr;
				//app_lic.innerHTML = resData.data.LicenseKey;
				//app_lic.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				//inHere.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				table_2.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_3.rows[0].cells[2].innerHTML = resData.data.Product;
				table_3.rows[1].cells[2].innerHTML = 'Client';
				table_3.rows[2].cells[2].innerHTML = resData.data.Type;
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.ClientKey+"' SIZE=80, MAXLENGTH=64>";
				alert("Success");
			}
			else
			{	//리턴된 값이 에러이면 메시지 처리 
				alert("<?=$this->lang->common->license_error?>");
				set_code_section();
			}
        }
    }
    xhr.send();
}

function lic_get_elevator_client()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getElevatorKey&mac='+str+'&_a=sicunet') , true);	                            
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				//app_type.innerHTML = resData.data.Type;
				//app_mac.innerHTML = resData.data.MACAddr;
				//app_lic.innerHTML = resData.data.LicenseKey;
				//app_lic.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				//inHere.innerHTML = "<INPUT class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>"
				table_2.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_3.rows[0].cells[2].innerHTML = resData.data.Product;
				table_3.rows[1].cells[2].innerHTML = resData.data.Model;
				table_3.rows[2].cells[2].innerHTML = resData.data.Type;
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.ElevatorKey+"' SIZE=80, MAXLENGTH=64>";
				alert("Success");
			}
			else
			{	//리턴된 값이 에러이면 메시지 처리 
				alert("<?=$this->lang->common->license_error?>");
				set_code_section();
			}
        }
    }
    xhr.send();
}

function lic_set_expired()
{
	var str_mac = document.getElementById ( "view_MACAddress" ).innerText;
	var swap_mac = $('#form_send_swap').find('input[name="form_swap_mac"]').val();
	
	//if(null_check(str_name_f))
	if(null_check(swap_mac))
	{
		alert("<?=$this->lang->common->first_name_error?>");
		return;
	}

	var xhr = new XMLHttpRequest();
	xhr.open("SET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=swapLicenseKey&mac='+str_mac+'&swap='+swap_mac+'&_a=sicunet') , true);	
    xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
            alert("Success");
        }
    }
    xhr.send();
}

function lic_get_code()
{
	var serial_number = $('#form_edit_code').find('input[name="m_serialnumber"]').val();
	var security_code = $('#form_edit_code').find('input[name="m_securitycode"]').val();


	if(null_check(serial_number))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	if(null_check(security_code))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	var xhr = new XMLHttpRequest();	
	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getLisenseKey&serial='+serial_number+'&code='+security_code+'&_a=sicunet') , true);
	
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				table_11.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_11.rows[1].cells[2].innerHTML = resData.data.Product;
				table_11.rows[2].cells[2].innerHTML = resData.data.Model;
				table_11.rows[3].cells[2].innerHTML = resData.data.Type;
				table_11.rows[4].cells[2].innerHTML = "<INPUT name=code_LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";

				document.getElementById ( "view_MACAddress" ).innerText = resData.data.MACAddr;
				
				$.getScript("/?c=<?=$this->class?>&m=set_mac&mac="+resData.data.MACAddr);
				alert("Success");
			}
			else
			{//리턴된 값이 에러이면 메시지 처리 
				alert("FAIL");
			}
        }
    }
    xhr.send();
}

function lic_get_client_code()
{
	var serial_number = $('#form_edit_code').find('input[name="m_serialnumber"]').val();
	var security_code = $('#form_edit_code').find('input[name="m_securitycode"]').val();

	if(null_check(serial_number))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	if(null_check(security_code))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    //hr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getClientKey&mac='+str+'&_a=sicunet') , true);
	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getClientKey&serial='+serial_number+'&code='+security_code+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				table_11.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_11.rows[1].cells[2].innerHTML = resData.data.Product;
				table_11.rows[2].cells[2].innerHTML = 'Client';
				table_11.rows[3].cells[2].innerHTML = resData.data.Type;
				table_11.rows[4].cells[2].innerHTML = "<INPUT name=code_LicenseKey class=input value='"+resData.data.ClientKey+"' SIZE=80, MAXLENGTH=64>";
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";
				document.getElementById ( "view_MACAddress" ).innerText = resData.data.MACAddr;
				

				alert("Success");
			}
			else
			{	//리턴된 값이 에러이면 메시지 처리 
				alert("FAIL");
			}
        }
    }
    xhr.send();
}

function lic_get_elevator_client_code()
{
	var serial_number = $('#form_edit_code').find('input[name="m_serialnumber"]').val();
	var security_code = $('#form_edit_code').find('input[name="m_securitycode"]').val();

	if(null_check(serial_number))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	if(null_check(security_code))
	{
		alert("<?=$this->lang->common->license_error_code?>");
		return;
	}

	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    //xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getElevatorKey&mac='+str+'&_a=sicunet') , true);
	xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getElevatorKey&serial='+serial_number+'&code='+security_code+'&_a=sicunet') , true);
	
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				table_11.rows[0].cells[2].innerHTML = resData.data.MACAddr;
				table_11.rows[1].cells[2].innerHTML = resData.data.Product;
				table_11.rows[2].cells[2].innerHTML = 'Client';
				table_11.rows[3].cells[2].innerHTML = resData.data.Type;
				table_11.rows[4].cells[2].innerHTML = "<INPUT name=code_LicenseKey class=input value='"+resData.data.ElevatorKey+"' SIZE=80, MAXLENGTH=64>";
				table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";
				document.getElementById ( "view_MACAddress" ).innerText = resData.data.MACAddr;
				
				alert("Success");
			}
			else
			{	//리턴된 값이 에러이면 메시지 처리 
				alert("FAIL");
			}
        }
    }
    xhr.send();
}

function edit_set()
{
	table_2.rows[0].cells[2].innerHTML = document.getElementById ( "view_MACAddress" ).innerText;
	table_3.rows[0].cells[2].innerHTML = document.getElementById ( "view_Product" ).innerText;
	table_3.rows[1].cells[2].innerHTML = document.getElementById ( "view_ModelStr" ).innerText;
	//table_2.rows[1].cells[2].innerHTML = document.getElementById ( "view_VersionStr" ).innerText;
	table_3.rows[2].cells[2].innerHTML = document.getElementById ( "view_TypeStr" ).innerText;
	
}

function lic_apply()
{
	
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();
    xhr.open("SET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=setInstallTime&mac='+str+'&_a=sicunet') , true);
    xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			//alert(xhr.responseText['LicenseKey']);
			//location.reload(true);
        }
		else
		{

		}
    }
	xhr.send();
	
}

function set_license_check()
{
	var check_lic = $('#form_edit').find('input[name="LicenseKey"]').val();
	
	if(null_check(check_lic))
	{
		alert("Please enter your license key.");
	}
	else
	{
		customerInfo_confirm_dialog('Please enter your information.');
	}
}

function set_expansion_server()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	
	var xhr = new XMLHttpRequest();
	
	$.getJSON('/?c=<?=$this->class?>&m=get_system_model',function(data)
	{		
		$model = data['model'];
		if($model == 5 || $model == 7)
		{//클라이언트키
			xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=addExpansionBoard&mac='+str+'&_a=sicunet') , true);
			xhr.onreadystatechange = function() 
			{
				if(xhr.readyState == 4 && xhr.status == 200)
				{
					var resData = JSON.parse(xhr.responseText);
					if(resData.errMsg == "Success")
					{
						//alert("Success");
						alert("Upgrade to an expansion Client key.");
						//lic_get();

						var xhr_get_client_key = new XMLHttpRequest();
						xhr_get_client_key.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getClientKey&mac='+str+'&_a=sicunet') , true);
						xhr_get_client_key.onreadystatechange = function() 
						{
							if(xhr_get_client_key.readyState == 4 && xhr_get_client_key.status == 200)
							{
								var resData = JSON.parse(xhr_get_client_key.responseText);
								if(resData.errMsg == "Success")
								{
									table_3.rows[0].cells[2].innerHTML = resData.data.Product;
									table_3.rows[1].cells[2].innerHTML = resData.data.Model;
									table_3.rows[2].cells[2].innerHTML = resData.data.Type;
									table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.ClientKey+"' SIZE=80, MAXLENGTH=64>";
									//alert("Success");
									$('#form_edit').submit();
									lic_apply();
								}
								else
								{	//리턴된 값이 에러이면 메시지 처리 
									alert("FAIL");
								}
							}
						}
						xhr_get_client_key.send();

					}
					else
					{
						alert("FAIL");
					}
				}
			}

			xhr.send();	
		}
		else
		{//서버키
		    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=addExpansionBoard&mac='+str+'&_a=sicunet') , true);
			xhr.onreadystatechange = function() 
			{
				if(xhr.readyState == 4 && xhr.status == 200)
				{
					var resData = JSON.parse(xhr.responseText);
					if(resData.errMsg == "Success")
					{
						
						alert("Upgrade to an expansion Server key.");
						//lic_get();

						var xhr_get_server_key = new XMLHttpRequest();
						xhr_get_server_key.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getLisenseKey&mac='+str+'&_a=sicunet') , true);
						xhr_get_server_key.onreadystatechange = function() 
						{
							if(xhr_get_server_key.readyState == 4 && xhr_get_server_key.status == 200)
							{
								var resData = JSON.parse(xhr_get_server_key.responseText);
								if(resData.errMsg == "Success")
								{
									table_3.rows[0].cells[2].innerHTML = resData.data.Product;
									table_3.rows[1].cells[2].innerHTML = resData.data.Model;
									table_3.rows[2].cells[2].innerHTML = resData.data.Type;
									table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.LicenseKey+"' SIZE=80, MAXLENGTH=64>";
									$('#form_edit').submit();
									lic_apply();
								}
								else
								{//리턴된 값이 에러이면 메시지 처리 
									alert("FAIL");
								}
							}
						}
						xhr_get_server_key.send();

					}
					else
					{
						alert("FAIL");
					}
				}
			}

			xhr.send();	
		}
	});
}

function set_expansion_client()
{
	var str = document.getElementById ( "view_MACAddress" ).innerText;
	var xhr = new XMLHttpRequest();

    xhr.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=addExpansionBoard&mac='+str+'&_a=sicunet') , true);
	xhr.onreadystatechange = function() 
	{
		if(xhr.readyState == 4 && xhr.status == 200)
		{
			var resData = JSON.parse(xhr.responseText);
			if(resData.errMsg == "Success")
			{
				//alert("Success");
				alert("Upgrade to an expansion Client key.");
				//lic_get();

				var xhr_get_client_key = new XMLHttpRequest();
				xhr_get_client_key.open("GET" , encodeURI('https://license.remote-manager.net/cgi/license.php?action=getClientKey&mac='+str+'&_a=sicunet') , true);
				xhr_get_client_key.onreadystatechange = function() 
				{
					if(xhr_get_client_key.readyState == 4 && xhr_get_client_key.status == 200)
					{
						var resData = JSON.parse(xhr_get_client_key.responseText);
						if(resData.errMsg == "Success")
						{
							table_3.rows[0].cells[2].innerHTML = resData.data.Product;
							table_3.rows[1].cells[2].innerHTML = resData.data.Model;
							table_3.rows[2].cells[2].innerHTML = resData.data.Type;
							table_3.rows[3].cells[2].innerHTML = "<INPUT name=LicenseKey class=input value='"+resData.data.ClientKey+"' SIZE=80, MAXLENGTH=64>";
							//alert("Success");
							$('#form_edit').submit();
							lic_apply();
						}
						else
						{	//리턴된 값이 에러이면 메시지 처리 
							alert("FAIL");
						}
					}
				}
				xhr_get_client_key.send();

			}
			else
			{
				alert("FAIL");
			}
        }
    }

    xhr.send();	
}


function edit_end()
{	
    $("#view_section").show();
	$("#edit_section").hide();
	$("#view_section_code").hide();
}

function clearForm()
{
	$("#license_contact").find("input[type='text']").each(function() {
		$(this).val("");
	});
}

function confirm_sendorder()
{
	if( confirm("<?=$lang->license->sendorder_confirm?>") ) {
		$("#form_request").attr("action", "/?c=license&m=sendorder").submit();
	}
}

function confirm_sendregister()
{
	if( confirm("<?=$lang->license->sendregister_confirm?>") ) {
		$("#form_request").attr("action", "/?c=license&m=sendregister").submit();
	}
}

function confirm_setDoorCount()
{
		
        $.ajax({
           type : 'GET',
           url  : '/?c=license&m=setDoorCountChange&door='+$("select[name='doorList']").val(),
           success     : function(response) { try{ eval(response); } catch(e) { alert("The connection to the server has a problem. Please try again later."); hide_loading(); } },
           beforeSend  : function() { show_loading(); },
           complete    : function() { hide_loading(); }           
        });
}

/*
function sendorder()
{
	var modelNo = $("input[type='radio'][name='model']:checked", $("#license_spec")).val();
	var email = $("input[type='text'][name='email']", $("#license_spec")).val();
	var phone = $("input[type='text'][name='phone']", $("#license_spec")).val();

	$.getScript("/?c=license&m=sendorder&model="+modelNo+"&email="+email+"&phone="+phone, function(data, textStatus, jqXHR) {
	});
}
*/

var currentMode		= parseInt("<?=$_SESSION['spider_model']?>", 10);
var currentType		= parseInt("<?=$_SESSION['spider_kind']?>", 10);
var attrModelSpec	= <?=json_encode(EnumTable::$attrModelSpec)?>;

function change_mode()
{
	var model = $("select[name='e3_Model']").val();

	if(model == '1'){	$arr_Type = [ '1', '2', '3', '4','8','16','32','36','64' ]; }
	else if(model == '2'){	$arr_Type = [ '1', '2', '3', '4','8','16','32','36','64','96','128','200' ]; }
	else if(model == '3'){	$arr_Type = [ '1', '2', '3', '4','8','16','32','36','64','96','128','200','256','360' ]; }
	else if(model == '4'){	$arr_Type = ['1', '2', '3', '4']; }
	else if(model == '6'){	$arr_Type = ['1']; }
	else if(model == '11'){	$arr_Type = [ '1', '2', '3', '4','8','16','32','36','64','96','128','200','256','360','512']; }
	else{	$arr_Type = [ '1', '2', '3', '4','8','16','32','36','64','96','128','200','256','360','512']; }

	$("#form_send_e3_neptune").find("select[name='e3_Type'] option" ).remove();

	for(var i=0;i<$arr_Type.length;i++)
	{
		$("#form_send_e3_neptune").find("select[name='e3_Type']").append('<option value="'+ $arr_Type[i] +'">'+ $arr_Type[i] +'</option>');
	}
}

function changeModel()
{
	var model	= $("select[name='request_model']").val();

	resetTypeItem();
	$("#edit_option_panel").load("/?c=license&m=edit_option&model="+model);
}

function resetTypeItem()
{
	var model	= $("select[name='request_model']").val();
	var spec	= attrModelSpec[model];

	$("select[name='request_type'] > option").remove();
	$.each(spec, function(key, val) {
		if( parseInt(model, 10) == currentMode ) {
			if( parseInt(key, 10) < currentType ) {
				return;
			}
		}

		$("<option></option>")
			.val(key)
			.text(key)
			.appendTo($("select[name='request_type']"));
	});
	$("select[name='request_type'] > option:first").attr("selected", "selected");
	$("select[name='request_type']").trigger("change");
}

function changeType()
{
	var model	= $("select[name='request_model']").val();
	var type	= $("select[name='request_type']").val();
	var spec	= attrModelSpec[model][type];

	$("span[name='upgrade_readers']").text(addCommas(spec[0]));
	$("span[name='upgrade_users']").text(addCommas(spec[2]));
	$("span[name='upgrade_access_levels']").text(addCommas(spec[3]));
	$("span[name='upgrade_access_cards']").text(addCommas(spec[4]));
	$("span[name='upgrade_cards']").text(addCommas(spec[5]));
	$("span[name='upgrade_card_formats']").text(addCommas(spec[6]));
	$("span[name='upgrade_modules']").text(addCommas(spec[7]));
	$("span[name='upgrade_input_points']").text(addCommas(spec[8]));
	$("span[name='upgrade_output_points']").text(addCommas(spec[9]));
	$("span[name='upgrade_event_logs']").text(addCommas(spec[10]));
}
</script>

<!-- modal content -->
<div id='confirm-dialog'>
	<form id="form_send" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="network_submit_send(); $.modal.close(); return false;">
	<div class='header'><span></span></div>
	<div class='message'></div>
	<div style="padding-left:10px;">
		<?=$lang->user->Password?> *:
		<input type="password" name="confirm_pw" value="">
	</div>
	<div class='buttons'>
		<button type="button" onclick="network_submit_send(); $.modal.close();" class="yes"><?=$lang->button->ok?></button>
		<button type="button" onclick="$.modal.close()"><?=$lang->button->close?></button>
	</div>
	</form>
</div>

<div id='confirm-oem-neptune'>
	<form id="form_send_oem_neptune" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="oem_neptune_submit_send(); $.modal.close(); return false;">
		<div class='header'><span></span></div>
		<div class='message'></div>
			<div style="padding-left:10px;">
				<table id="view-confirm-oem-neptune" class="tb3_confirm_view" style="table-layout:fixed;">
					<tr>
					<th><?=$lang->user->oem_no?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('oem_no', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
					<tr>
					<th><?=$lang->user->oem_code?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('oem_code', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
				</table>
			</div>
		<div class='buttons' width="100%" align="right">
		<button type="button" style="width:150px;" onclick="oem_neptune_submit_send(); $.modal.close();" class="yes"><?=$lang->button->set_oem_number?></button>
		<button type="button" style="width:150px;" onclick="$.modal.close()"><?=$lang->button->cancel?></button>
		</div>
	</form>
</div>

<div id='confirm-oem-e3'>
	<form id="form_send_e3_neptune" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="oem_e3_submit_send(); $.modal.close(); return false;">
		<div class='header'><span></span></div>
		<div class='message'></div>
			<div style="padding-left:10px;">
				<table id="view-confirm-e3-neptune" class="tb3_confirm_view" style="table-layout:fixed;">
					<tr>
						<th><?=$lang->license->Product?>*</th>
						<td width="5">:</td>
						<td>4 door</td>
						<!--<td><?=$this->from->select('e3_ProductNo','4',array('1'=>'Door 1','2'=>'Door 2','3'=>'Door 3','4'=>'Door 4'),array('option'=>'Hiden'))?></td>-->
					</tr>
					<tr>
						<th><?=$lang->user->Model?>*</th>
						<td width="5">:</td>
						<td id="e3_ModelStr"></td>
						<!--<td><?=$this->from->select('e3_Model','',array('1'=>'Advantage','2'=>'Professional','3'=>'Corporate','4'=>'Client','6'=>'Elevator','11'=>'Corporate Plus'),array('onchange'=>"change_mode()"))?></td>-->
					</tr>
					<tr>
						<th><?=$lang->user->Type?>*</th>
						<td width="5">:</td>
						<td id="e3_TypeStr"></td>
						<!--<td><?=$this->from->select('e3_Type','',$arr_Type)?></td>-->
					</tr>
					<tr>
						<th><?=$lang->user->oem_no?>*</th>
						<td width="5">:</td>
						<td><?=$this->from->input('e3_oem_no', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->oem_code?>*</th>
						<td width="5">:</td>
						<td><?=$this->from->input('e3_oem_code', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
				</table>
			</div>
		<div class='buttons' width="100%" align="right">
		<button type="button" style="width:150px;" onclick="oem_e3_submit_send(); $.modal.close();" class="yes"><?=$lang->button->add_oem_device?></button>
		<button type="button" style="width:150px;" onclick="$.modal.close()"><?=$lang->button->cancel?></button>
		</div>
	</form>
</div>


<div id='confirm-customerInfo'>
	<form id="form_send_customerInfo" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="customerInfo_submit_send(); return false;">
		<div class='header'><span></span></div>
		<div class='message'></div>
			<div style="padding-left:10px;">
				<table id="customerInfo" class="tb3_confirm_view" style="table-layout:fixed;">
					<tr>
						<th><?=$lang->user->FirstName?>*</th>
						<td width="5">:</td>						
						<td id="firstname"><?=$this->from->input('firstname',"", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->LastName?></th>
						<td width="5">:</td>
						<td id="lastname"><?=$this->from->input('lastname', "", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->company?></th>
						<td width="5">:</td>
						<td id="company"><?=$this->from->input('company', "", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->Email?>*</th>
						<td width="5">:</td>
						<td id="email"><?=$this->from->input('email', "", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->Phone?>*</th>
						<td width="5">:</td>
						<td id="phone"><?=$this->from->input('phone', "", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->address?>*</th>
						<td width="5">:</td>
						<td id="address"><?=$this->from->input('address', "", array("SIZE"=>"58", "MAXLENGTH"=>"50"))?></td>
					</tr>
					<tr>
						<th><?=$lang->user->install_type?>*</th>
						<td width="5">:</td>
						<td id="view_install_type"><?=$this->from->select('install_type','',array('1'=>'Commercial Office','2'=>'Education','3'=>'Place of Worship','4'=>'Residential','5'=>'Warehouse','6'=>'Other'))?></td>
						<!--<td><?//=$this->from->select('install_type','',array('Commercial Office','Education','Place of Worship','Residential','Warehouse','Other'))?></td>-->
					</tr>
					<tr>
						<th><?=$lang->user->suggestion?></th>
						<td width="5">:</td>
						<td id="suggestion"><?=$this->from->input('suggestion', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
				</table>
			</div>
		<div class='buttons' width="100%" align="right">
		<button type="button" style="width:150px;" onclick="customerInfo_submit_send(); $.modal.close();" class="yes"><?=$lang->button->apply?></button>
		<button type="button" style="width:150px;" onclick="$.modal.close()"><?=$lang->button->cancel?></button>
		</div>
	</form>
</div>

<div id='confirm-oem-neptune-code'>
	<form id="form_send_oem_neptune_code" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="oem_neptune_submit_send_code(); $.modal.close(); return false;">
		<div class='header'><span></span></div>
		<div class='message'></div>
			<div style="padding-left:10px;">
				<table id="view-confirm-oem-neptune" class="tb3_confirm_view" style="table-layout:fixed;">
					<tr>
					<th><?=$lang->user->oem_no?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('oem_no', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
					<tr>
					<th><?=$lang->user->oem_code?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('oem_code', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
					<tr>
					<th><?=$lang->license->serial_number?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('form_serial_number', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
					<tr>
					<th><?=$lang->license->security_code?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('form_security_code', "", array("SIZE"=>"58", "MAXLENGTH"=>"10"))?></td>
					</tr>
				</table>
			</div>
		<div class='buttons' width="100%" align="right">
		<button type="button" style="width:150px;" onclick="oem_neptune_submit_send_code(); $.modal.close();" class="yes"><?=$lang->button->set_oem_number?></button>
		<button type="button" style="width:150px;" onclick="$.modal.close()"><?=$lang->button->cancel?></button>
		</div>
	</form>
</div>

<div id='confirm-swap'>
	<form id="form_send_swap" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="lic_set_expired(); $.modal.close(); return false;">
		<div class='header'><span></span></div>
		<div class='message'></div>
			<div style="padding-left:10px;">
				<table id="view-confirm-swap" class="tb3_confirm_view" style="table-layout:fixed;">
					<tr>
					<th><?=$lang->user->swap_mac?>*</th>
					<td width="5">:</td>
					<td><?=$this->from->input('form_swap_mac', "", array("SIZE"=>"58", "MAXLENGTH"=>"17"))?></td>
					</tr>
				</table>
			</div>
		<div class='buttons' width="100%" align="right">
		<button type="button" style="width:150px;" onclick="lic_set_expired(); $.modal.close();" class="yes"><?=$lang->button->licexpire?></button>
		<button type="button" style="width:150px;" onclick="$.modal.close()"><?=$lang->button->cancel?></button>
		</div>
	</form>
</div>

<!-- content -->
<div style="height:35px;background:#181b2a;width:1103px;" >
    <table class="box01">
	<button class="btn_close" onclick="top.location.href='<?=$_SERVER['HTTP_REFERER']?>'"><a href="<?=$_SERVER['HTTP_REFERER']?>" style="color:#ffffff; text-decoration: none;">X</a></button>
	</table>
</div>

<table>
<tr>	
	<td height="500" bgcolor="#d0d0d0" style="padding-left:0px;">
		<div class="license-location">
			<img src="/img/menu/icon_info.png" valign="absmiddle">
			<span id="license-location-text"><?=$lang->menu->license?></span>
		</div>

        <div id="view_section">
            <h2>:: <?=$lang->menu->license?></h2>
            <div style="background:#d0d0d0;" class="box01">
                <h3><?=$lang->menu->basic?></h3>
                <table class="tbl_view">
                <tr>
                    <th width="120"><?=$lang->addmsg->mac_address?></th>
                    <td width="1">:</td>
                    <td id="view_MACAddress"></td>
                </tr>
				<tr>
                    <th><?=$lang->license->Product?></th>
                    <td width="1">:</td>
                    <td id="view_Product"></td>
                </tr>
                <tr>
                    <th><?=$lang->license->Model?></th>
                    <td width="1">:</td>
                    <td id="view_ModelStr"></td>
                </tr>
                <tr>
                    <th><?=$lang->license->Type?></th>
                    <td width="1">:</td>
                    <td id="view_TypeStr"></td>
                </tr>
                <tr>
                    <th><?=$lang->license->license?></th>
                    <td width="1">:</td>
                    <td id="view_LicenseKey"></td>
                </tr>
                </table>
                <div class="button_set">
					<button type="button" style="width:120px;" onclick=" network_setting();"> Network setting</button>&nbsp;&nbsp;
					<button type="button" style="width:120px;" onclick=" edit_start(); edit_set();"><?=$lang->button->edit?></button>&nbsp;&nbsp;
					<button type="button" style="width:120px;" onclick="window.print();"><?=$lang->button->print?></button>
                </div>
            </div>                        
		</div>

		<div id="edit_section" class="hide" >
            <h2>:: <?=$lang->menu->license?></h2>
            <div class="box01">
                <form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=update">
                    <table id="table_2" class="tbl_view">					
					<tr>
						<th width="120"><?=$lang->addmsg->mac_address?></th>
						<td width="1">:</td>
						<td id="app_mac"></td>
					</tr>
					</table>		
					<br>
					<table id="table_4" class="tbl_view button_set" style="table-layout:fixed;width: 100%;background: none;">
						<tr>
							<td align="left">
								<button type="button" style="width:170px;" onclick="lic_get();"><?=$lang->button->licget?></button>&nbsp;
								<button type="button" style="width:170px;" onclick="lic_get_client();"><?=$lang->button->licget_client?></button>&nbsp;
								<button type="button" style="width:170px;" onclick="lic_get_elevator_client();"><?=$lang->button->licget_elevator_client?></button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								
								<?php if($_ENV["NEPTUNE_MODE"] === "NEPTUNE") { ?>
									<button type="button" style="width:170px;" onclick="lic_goto_server_neptune();"><?=$lang->button->licgo?></button>
								<?php } else if ($_ENV["NEPTUNE_MODE"] === "SPECO1" || $_ENV["NEPTUNE_MODE"] === "SPECO2"){?>
									<button type="button" style="width:170px;" onclick="lic_goto_server_speco();"><?=$lang->button->licgo?></button>
								<?php } else {?>
									<button type="button" style="width:170px;" onclick="lic_goto_server_cont();"><?=$lang->button->licgo?></button>
								<?php } ?>
								</td>
							<td align="right" width="18%">
								<button type="button" style="width:170px;" onclick="swap_confirm_dialog();"><?=$lang->button->licexpire?></button>
							</td>
						</tr>
					</table>
					<br>

					<table id="table_3" class="tbl_view">
					<tr>
						<th width="120"><?=$lang->license->Product?></th>
						<td width="1">:</td>
						<td id="app_ProductStr"></td>
					</tr>

					<tr>
						<th width="120"><?=$lang->license->Model?></th>
						<td width="1">:</td>
						<td id="app_ModelStr"></td>
					</tr>

					<!--<tr>
						<th><?=$lang->menu->version?></th>
						<td width="1">:</td>
						<td id="app_VersionStr"></td>
					</tr>-->
					<tr>
						<th><?=$lang->license->Type?></th>
						<td width="1">:</td>
						<td id="app_type"></td>
					</tr>


                    <tr>
                        <th width="120"><?=$lang->license->license?> *</th>
                        <td width="1">:</td>
                        <td><?=$this->from->input('LicenseKey', "", array("SIZE"=>"80", "MAXLENGTH"=>"64"))?></td>
                    </tr>
                    </table>
					<br>
					<table id="Basic_edit_section" class="tbl_view button_set" style="table-layout:fixed;width: 100%;background: none;">
						<tr>
							<td align="left" width="20%">
							<!--<button type="button" style="width:170px;" onclick="set_expansion_server();"><?=$lang->button->Expansion_server?></button>-->
							</td>
							<td align="center" width="60%">
							<button type="button" style="width:170px;" onclick="set_license_check();"><?=$lang->button->licapply?></button>&nbsp;
							<button type="button" style="width:170px;" onclick="edit_end()"><?=$lang->button->close?></button>
							</td>
							<td align="right" width="20%">
							<button type="button" style="width:170px;" onclick="oem_confirm_send()"><?=$lang->button->set_oem_device?></button>
							</td>
						</tr>
					</table>
					<div id="Expansion_edit_section" class="button_set">
					<table id="table_5" class="tbl_view button_set" style="table-layout:fixed;width: 100%;background: none;">
						<tr>
							<td align="left" width="20%">
							<button type="button" style="width:170px;" onclick="set_expansion_server();"><?=$lang->button->Expansion_server?></button>
							</td>
							<td align="center" width="60%">
							<button type="button" style="width:170px;" onclick="set_license_check();"><?=$lang->button->licapply?></button>&nbsp;
							<button type="button" style="width:170px;" onclick="edit_end()"><?=$lang->button->close?></button>
							</td>
							<td align="right" width="20%">
							<button type="button" style="width:170px;" onclick="oem_confirm_send()"><?=$lang->button->set_oem_device?></button>
							</td>
						</tr>
					</table>
                    </div>
                </form>
              </div>                
		</div>

		<!--jeffrey 추가-->
		<div id="network_edit_section" class="hide">
		<h2>:: <?=$lang->menu->ipaddress?></h2>
		<div class="box01">
			<form id="form_edit1" method="post" action="/?c=<?=$this->class?>&m=update1">
			<input type="hidden" name="confirm_pw" value="">
				<?=$this->from->hidden("No")?>
				<h3><?=$lang->menu->basic?></h3>
				<table class="tbl_view">
				<tr>
					<th width="120"><?=$lang->network->IPType?> *</th>
					<td width="1">:</td>
					<td><?=$this->from->radio('IPType', '', EnumTable::$attrIPType, '&nbsp;&nbsp;', array('onclick'=>'enable_form_edit1()'))?></td>
				</tr>
				<tr>
					<th><?=$lang->network->IPAddress?> *</th>
					<td width="1">:</td>
					<td><?=$this->from->input('IPAddress')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->Subnet?> *</th>
					<td width="1">:</td>
					<td><?=$this->from->input('Subnet')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->Gateway?> *</th>
					<td width="1">:</td>
					<td><?=$this->from->input('Gateway')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->DNS1?></th>
					<td width="1">:</td>
					<td><?=$this->from->input('DNS1')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->DNS2?></th>
					<td width="1">:</td>
					<td><?=$this->from->input('DNS2')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->HTTPPort?></th>
					<td width="1">:</td>
					<td><?=$this->from->inputnum('HTTPPort','', array("MAXLENGTH"=>"5"))?> (<?=$lang->menu->default80?>)</td>
				</tr>
				<tr>
					<th><?=$lang->network->HTTPS?></th>
					<td width="1">:</td>
					<td><?=$this->from->checkbox('HTTPS', '', FALSE, '1')?></td>
				</tr>
				<tr>
					<th><?=$lang->network->HTTPSPort?></th>
					<td width="1">:</td>
					<td><?=$this->from->inputnum('HTTPSPORT','', array("MAXLENGTH"=>"5"))?> (<?=$lang->menu->default443?>)</td>
				</tr>
				</table>
		
				<div class="button_set">
					<button type="button" onclick="network_confirm_send()" style="width:151px;"><?=$lang->button->savereboot?></button>&nbsp;&nbsp;
					<button type="button" onclick="network_edit_end()" class="btn_large3"><?=$lang->button->cancel?></button>
				</div>
			</form>
			</div>
		</div>
	
		
		<div id="view_section_code" class="hide">
            <h2>:: <?=$lang->menu->license?></h2>
            <div class="box01">
                <form id="form_edit_code" method="post" action="/?c=<?=$this->class?>&m=update">
                    <table id="table_10" class="tbl_view">					
					<tr>
						<th width="120"><?=$lang->license->serial_number?></th>
						<td width="1">:</td>
						<td><?=$this->from->input('m_serialnumber', "", array("SIZE"=>"80", "MAXLENGTH"=>"64"))?></td>
					</tr>
					<tr>
						<th width="120"><?=$lang->license->security_code?></th>
						<td width="1">:</td>
						<td><?=$this->from->input('m_securitycode', "", array("SIZE"=>"80", "MAXLENGTH"=>"64"))?></td>
					</tr>
					</table>					
					<br>
					<table id="table_10" class="tbl_view button_set" style="table-layout:fixed;width: 100%;background: none;">
						<tr>
							<td align="left">
								<button type="button" style="width:170px;" onclick="lic_get_code();"><?=$lang->button->licget?></button>&nbsp;
								<button type="button" style="width:170px;" onclick="lic_get_client_code();"><?=$lang->button->licget_client?></button>&nbsp;
								<button type="button" style="width:170px;" onclick="lic_get_elevator_client_code();"><?=$lang->button->licget_elevator_client?></button>
							</td>
						</tr>
					</table>
					<br>

					<table id="table_11" class="tbl_view">
					<tr>
						<th width="120"><?=$lang->addmsg->mac_address?></th>
						<td width="1">:</td>
						<td id="code_mac"></td>
					</tr>

					<tr>
						<th width="120"><?=$lang->license->Product?></th>
						<td width="1">:</td>
						<td id="code_ProductStr"></td>
					</tr>

					<tr>
						<th width="120"><?=$lang->license->Model?></th>
						<td width="1">:</td>
						<td id="code_ModelStr"></td>
					</tr>
					<tr>
						<th><?=$lang->license->Type?></th>
						<td width="1">:</td>
						<td id="code_type"></td>
					</tr>
                    <tr>
                        <th width="120"><?=$lang->license->license?> *</th>
                        <td width="1">:</td>
                        <td><?=$this->from->input('code_LicenseKey', "", array("SIZE"=>"80", "MAXLENGTH"=>"64"))?></td>
                    </tr>
					</table>
					<br>
					<table id="Basic_edit_section_code" class="tbl_view button_set" style="table-layout:fixed;width: 100%;background: none;">
						<tr>
							<td align="right">
								<!--<button type="button" style="width:170px;" onclick="$('#form_edit').submit(); lic_apply();"><?=$lang->button->licapply?></button>&nbsp;-->
								<button type="button" style="width:170px;" onclick="set_license_check();"><?=$lang->button->licapply?></button>&nbsp;
								<button type="button" style="width:170px;" onclick="edit_end()"><?=$lang->button->close?></button>
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
								<button type="button" style="width:170px;" onclick="oem_confirm_send_code()"><?=$lang->button->set_oem_device?></button>
							</td>
						</tr>
					</table>
					<br>
                </form>
              </div>    
		</div>

	        
		<? if(($this->input->get('wizard') != '1') && 
              ($_SESSION['spider_model'] == ConstTable::MODEL_ESSENTIAL || 
               $_SESSION['spider_model'] == ConstTable::MODEL_ELITE || 
               $_SESSION['spider_model'] == ConstTable::MODEL_ENTERPRISE ||
			   $_SESSION['spider_model'] == ConstTable::MODEL_GIANT) ) { ?>
               
		<form id="form_request" method="post" action="/?c=license&m=sendorder">
		<input type="hidden" name="request_model" value="">
		<input type="hidden" name="request_type" value="">
        
		<? $spec = $lang->licensespec->getMessages(); //var_dump($spec); ?>
		<table width="100%" class="box01" style="width:100%" >
			<tr>
				<td>
					<button type="button" id="btn_license_spec_show" class="btn_char" onclick="$('#license_spec').toggle(); if($('#license_spec').is(':hidden')) { $(this).text('+'); } else { $(this).text('-'); }" style="">+</button>
					<?=$lang->license->msg_sys_info?>
				</td>
			</tr>
		</table>
		<div id="license_spec" class="hide" >
			<table style="table-layout:fixed;">
			
			<tr class="box01">
				<td style="padding:0 5px 0 0;">
					<h3 class="view_section"><?=$lang->license->current_system?></h3>
					<table width="100%" class="tbl_view" style="table-layout:fixed;">
					<col width="190"></col>
					<col></col>
					<tr>
						<th class="bold"><?=$lang->license->system?></th>
						<!-- wtkim 20190517 NEPTUNE license로 변경-->
						<!--<td class="bold" align="center"><?=EnumTable::$attrModel[$_SESSION['spider_model']]?></td>-->
						<td class="bold" align="center"><?=EnumTable::$attrModel_NT[$_SESSION['spider_model']]?></td>
					</tr>
					<tr>
						<th><?=$lang->license->readers_per_system?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][0])?></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->doors_per_system?></th>
						<td class="bold" align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][1])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->users_per_system?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->access_levels_per_person?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][3])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->access_cards?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->cards_per_person?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][5])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->card_formats?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][6])?></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->expansion_modules?></th>
						<td class="bold" align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][7])?></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->alarm_input_points?></th>
						<td class="bold" align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][8])?></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->output_points?></th>
						<td class="bold" align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][9])?></td>
					</tr>
					<tr>
						<th><?=$lang->license->online_event_history_log?></th>
						<td align="center"><?=number_format(EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][10])?> <?=$lang->license->transaction?></td>
					</tr>
					</table>
				</td>
                
				<td style="padding:0 0 0 5px;">
					<h3 class="view_section"><?=$lang->license->upgrade_system?></h3>
					<table width="100%" class="tbl_view" style="table-layout:fixed;">
					<col width="190"></col>
					<col></col>
					<tr>
						<th class="bold"><?=$lang->license->system?></th>
						<td class="bold" align="center"><?=$this->from->select('request_model', $_SESSION['spider_model'], EnumTable::toArrayUpgradeModel($_SESSION['spider_model']), array('onchange'=>'changeModel(this)'))?></td>
					</tr>
					<tr>
						<th><?=$lang->license->readers_per_system?></th>
						<td align="center"><span name="upgrade_readers"></span></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->doors_per_system?></th>
						<td class="bold" align="center"><?=$this->from->select('request_type', $_SESSION['spider_kind'], EnumTable::toArrayUpgradeType($_SESSION['spider_model'], $_SESSION['spider_kind']), array('onchange'=>'changeType(this)'))?></td>
					</tr>
					<tr>
						<th><?=$lang->license->users_per_system?></th>
						<td align="center"><span name="upgrade_users"></span></td>
					</tr>
					<tr>
						<th><?=$lang->license->access_levels_per_person?></th>
						<td align="center"><span name="upgrade_access_levels"></span></td>
					</tr>
					<tr>
						<th><?=$lang->license->access_cards?></th>
						<td align="center"><span name="upgrade_access_cards"></span></td>
					</tr>
					<tr>
						<th><?=$lang->license->cards_per_person?></th>
						<td align="center"><span name="upgrade_cards"></span></td>
					</tr>
					<tr>
						<th><?=$lang->license->card_formats?></th>
						<td align="center"><span name="upgrade_card_formats"></span></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->expansion_modules?></th>
						<td class="bold" align="center"><span name="upgrade_modules"></span></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->alarm_input_points?></th>
						<td class="bold" align="center"><span name="upgrade_input_points"></span></td>
					</tr>
					<tr>
						<th class="bold"><?=$lang->license->output_points?></th>
						<td class="bold" align="center"><span name="upgrade_output_points"></span></td>
					</tr>
					<tr>
						<th><?=$lang->license->online_event_history_log?></th>
						<td align="center"><span name="upgrade_event_logs"></span> <?=$lang->license->transaction?></td>
					</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<h3 class="hide"><?=$lang->license->current_option?></h3>
					<table width="100%" class="tbl_view hide" style="table-layout:fixed;">
					<col width="190"></col>
					<col></col>
					<? foreach( EnumTable::$attrModelOption[$_SESSION['spider_model']] as $label=>$items ) { ?>
					<tr>
						<th><?=$label?></th>
						<td><?=$this->system_option_to_str($items)?></td>
					</tr>
					<? } ?>
					</table>
				</td>
				<td>
					<h3 class="hide"><?=$lang->license->upgrade_option?></h3>
					<div id="edit_option_panel"></div>
				</td>
			</tr>
			</table>
			<br>
<!-- 실제 메일이 발송이 않된다. (발송과 관련된 정보가 맞지 않음.. 기능 삭제 시 Bug 인듯 함 
            <div class="button_set">
				<button type="button" style="width:120px;" onclick="$('#form_request').attr('action', '/?c=license&m=valid_sendorder').submit();"><?=$lang->button->request_upgrade?></button>
				<button type="button" style="width:120px;" onclick="$('#btn_license_spec_show').trigger('click');"><?=$lang->button->cancel?></button>
			</div>
-->            
		</div>
		<br>
		<br>                
		</form>
		<? } ?>

		<br><br>
		<br>
	</td>
	
</tr>

</table>
