<style>

#contents { width:100%; float:left; border:0; background:#181b29;}

</style>

<script type="text/javascript">
function create_list()
{
    open_view(0);
}

$(document).ready(function() {
    load_list();
});

function CheckCardNumber()
{
	$("#cardholder").show();
	
	var cardno = $("#form_edit input[name='CardNumber']").val();

	//alert("CheckCard : " + cardno);
	
	$.getJSON('/?c=<?=$this->class?>&m=select_user',{cardno:cardno},function(data)    
    {
        door = data['door'];
        aux_input = data['aux_input'];
        aux_output = data['aux_output'];
        elevator = data['elevator'];

        create_door(no);
        create_aux_input(no);
        create_aux_output(no);
		create_elevator(no);
		create_picture(no);
    });
}


function load_card_holder()
{
	$.getJSON("/?c=<?=$this->class?>&m=search_card_holder", {"no":$("input[name='CardNumber']").val()}, function(data, textStatus, jqXHR) {
		$("#card_holder").empty();
		if( check_error(data) ) {
			$.each(data, function(i, card) {
				$("#card_holder").append('<option value="'+card.No+'">'+card.Name+'</option>');
			});
		}
	});

	$('#cardholder').show();
}

function toggle_checked(el, target)
{
    var checked = $(el).is(":checked");
    $(target).each(function() {
        $(this).prop("checked", checked);
    });
}

function change_only_used(el)
{
    var checked = $(el).is(":checked");
    location.href = "/?c=<?=$this->class?>&only_used=" + checked;
}
</script>


<div style="height:35px;background:#181b2a">
    <table class="box01">
    <button class="btn_close" onclick="top.location.href='/?c=<?=$_SESSION['spider_default']?>'"><a href="/?c=<?=$_SESSION['spider_default']?>" style="color:#ffffff; text-decoration: none;">X</a></button>	
	</table>
</div>

<table>
<tr>
	<td style="background:#d0d0d0;">
		<div class="lostcard-location">
			<img src="/img/menu/icon_info.png" valign="absmiddle">
			<span id="lostcard-location-text"><?=$lang->menu->lostcard?></span>
		</div>
		
        <div id="view_section">
            <h2>:: <?=$lang->menu->lostcard?></h2>
            <div class="box01">
                <form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=registration" onkeypress="return event.keyCode!=13">
                    <?=$this->from->hidden("No")?>
                    <h3><?=$lang->menu->basic?></h3>
                    <table class="tbl_view">
                    <tr>
                        <th width="150"><?=$lang->card->CardNo?> *</th>
                        <td width="1">:</td>
                        <!--<td><?=$this->from->input('CardNumber', "", array("SIZE"=>"20", "MAXLENGTH"=>"20"))?> <input size="20" type="button" onclick="CheckCardNumber()" value='Check'/></td>-->
                        <td>
							<?=$this->from->input('CardNumber', "", array("SIZE"=>"20", "MAXLENGTH"=>"20"))?>
							<button type="button" onclick="load_card_holder()"><?=$lang->addmsg->search?></button>
						</td>
                    </tr>
                    <tr id="cardholder" class="hide">
			            <th width="150"><?=$lang->addmsg->card_holder?> *</th>
			            <td width="1">:</td>
			            <td><select name="card_holder" id="card_holder"></select></td>
			        </tr>
                    </table>  
            
                    <div class="button_set">
                        <button type="button" style="width:150px;" onclick="$('#form_edit').submit()"><?=$lang->addmsg->registration?></button>&nbsp;&nbsp;
                    </div>
                </form>
            </div>
        </div>
		<br>
		
        <div id="list_section">
            <div class="box01">
                <form id="form_onetime_card" method="post" action="/?c=<?=$this->class?>&m=reset_onetime_card" onkeypress="return event.keyCode!=13">
                    <h3>
                        <?=$lang->common->onetime_card?>
                        <div style="float:right"><?=$this->from->checkbox('only_used', $lang->common->only_used, $only_used, '1', array('onclick'=>"change_only_used(this)"))?></div>
                    </h3>
                    <table class="tbl_list">
                    <tbody class="tbl_header">
                        <tr>
                            <th style="vertical-align:middle"><input type="checkbox" class="check" onclick="toggle_checked(this, '.items:enabled');"></th>
                            <th><?=$lang->card->CardNo?></th>
                            <th><?=$lang->card->CardStatus?></th>
                            <th><?=$lang->card->ExpDate?></th>
                            <th><?=$lang->user->LastName?></th>
                            <th><?=$lang->user->FirstName?></th>
                        </tr>
                    </tbody>
                    <tbody class="tbl_body">
                    <?
                    $today = date('Y-m-d');

                    while( $row = $cards->fetch(PDO::FETCH_ASSOC) ) {
                        $disabled = empty($row['CardTime']) ? 'disabled' : '';
                            /*
                            wtkim : 20190227-- 현재 시간으로 저장되게 수정하고 카드상태값으로 처리 함
                            기존 소스상 현재시간에서 하루를 빼는 이유는 원타임 카드는 1회만 출입되어
                            1회 사용하고 해당 카드는 사용 만료를 처리하기 위해 1일을 빼주는걸로 보여진다.
                            그럼 DB에서는 -1일된 데이터가 등록되고
                            해당 카드를 다시 사용하면 만료 카드를 처리 하게 되며,
                            WEB에서는 DB에 등록된 데이터를 가져오기 때문에 -1일 된 데이터가 화면에 출력되게 된다.
                            그러므로 web에서 +1일하여 실제 사용된 날짜와 동기화 하였다.
                            */
                        $row['CardTimeStr'] = (empty($row['CardTime']) ? '' : date("m-d-Y", $row['CardTime']));

                        $CardStatus = EnumTable::$attrCardStatus[$row['CardStatus']];
                        if($row['NeverExpire'] == 0) {
                            if($row['ActDate'] != '0' && $row['ActDate'] != '' && $today < date('Y-m-d', $row['ActDate'])) {
                                $CardStatus .= ' ('. $this->lang->card->inactive .')';
                            }
                            if($row['ExpDate'] != '0' && $row['ExpDate'] != '' && $today > date('Y-m-d', $row['ExpDate'])) {
                                $CardStatus .= ' ('. $this->lang->card->expired .')';
                            }
                        }
                    ?>
                        <tr class="ov">
                            <td style="vertical-align:middle"><input type="checkbox" class="items" name="items[]" value="<?=$row['CardID']?>" <?=$disabled?>></td>
                            <td><?=$row['CardNumber']?></td>
                            <td><?=$CardStatus?></td>
                            <td><?=$row['CardTimeStr']?></td>
                            <td><?=$row['LastName']?></td>
                            <td><?=$row['FirstName']?></td>
                        </tr>
                    <? } // end while ?>
                    </tbody>
                    </table>
                </form>

                <div class="button_set">
                    <button type="button" onclick="$('#form_onetime_card').submit()"><?=$lang->button->reset?></button>
                </div>

            </div>
        </div>
        <br>
		<br>
        
        <!-- By SUN07 - 2016.03.08 : #2073 -->
        <? if($_SESSION['spider_model'] == ConstTable::MODEL_ENTERPRISE ||
		      $_SESSION['spider_model'] == ConstTable::MODEL_GIANT) { ?>
        <div>
            <div class="box01" style="padding:0 20px;">
                <form id="form_grace_user" method="post" action="/?c=<?=$this->class?>&m=grace_user" onkeypress="return event.keyCode!=13">
                    <h3>
                        <?=$lang->common->violation_user?>
                    </h3>
                    <table class="tbl_list">
                    <tbody class="tbl_header">
                        <tr>
                            <th style="vertical-align:middle"><input type="checkbox" class="check" onclick="toggle_checked(this, '.Gitems:enabled');"></th>
                            <th><?=$lang->report->cardholder?></th>
                            <th><?=$lang->report->cardnumber?></th>
                            <th><?=$lang->report->datetime?></th>
                            <th><?=$lang->report->occupiesRegion?></th>
                            <th><?=$lang->report->currentregion?></th>
                            <th><?=$lang->report->destinationregion?></th>
                            <!--
                            <th><?=$lang->report->violationtype?></th>
                            -->
                        </tr>
                    </tbody>
                    <tbody class="tbl_body">
                    <?
                    while( $row = $occupancy->fetch(PDO::FETCH_ASSOC) ) {
                    ?>
                        <tr class="ov">
                            <td style="vertical-align:middle"><input type="checkbox" class="Gitems" name="Gitems[]" value="<?=$row['CardNo'].'.'.$row['DestRegion']?>"></td>
                            <td><?=$row['FirstName']?> <?=$row['MiddleName']?> <?=$row['LastName']?></td>
                            <td><?=($row['CardNumber'] != NULL ? $row['CardNumber']."(".$row['Facility'].")" : '')?></td>
                            <td><?=$row['DateTime']?></td>
                            <td><?=($row['OccupiesRegion'] == ''?$lang->report->uncontrolledspace:$row['OccupiesRegion'])?></td>
                            <td><?=($row['CurrentRegion'] == ''?$lang->report->uncontrolledspace:$row['CurrentRegion'])?></td>
                            <td><?=($row['DestRegion'] == ''?$lang->report->uncontrolledspace:$row['DestRegion'])?></td>
                            <!--
                            <td><?=($row['ViolationType'] == '1'?$lang->report->passback:$lang->report->tailgate)?></td>
                            -->
                        </tr>
                    <? } // end while ?>
                    </tbody>
                    </table>
                </form>

                <div class="button_set">
                    <button type="button" onclick="$('#form_grace_user').submit()"><?=$lang->button->grace?></button>
                </div>

            </div>
        </div>
        <!--    2015.09.22 by Zeno -->
		<br>
		<br>
		
        <div>
            <div class="box01" style="padding:0 20px;">
                <form id="form_grace_deadman" method="post" action="/?c=<?=$this->class?>&m=grace_deadman" onkeypress="return event.keyCode!=13">
                    <h3>
                        <?=$lang->common->violation_deadman?>
                    </h3>
                    <table class="tbl_list">
                    <tbody class="tbl_header">
                        <tr>
                            <th style="vertical-align:middle"><input type="checkbox" class="check" onclick="toggle_checked(this, '.Gitems:enabled');"></th>
                            <th><?=$lang->report->cardholder?></th>
                            <th><?=$lang->report->cardnumber?></th>
                            <th><?=$lang->report->violationRegion?></th>
                            <th><?=$lang->report->tagdatetime?></th>
                        </tr>
                    </tbody>
                    <tbody class="tbl_body">
                    <?
                    while( $row = $deadmantemp->fetch(PDO::FETCH_ASSOC) ) {
                    ?>
                        <tr class="ov">
                            <td style="vertical-align:middle"><input type="checkbox" class="Gitems" name="Gitems[]" value="<?=$row['CardNo']?>"></td>
                            <td><?=$row['FirstName']?> <?=$row['MiddleName']?> <?=$row['LastName']?></td>
                            <td><?=$row['CardNumber']?></td>
                            <td><?=($row['ViolationRegion'] == ''?$lang->report->uncontrolledspace:$row['ViolationRegion'])?></td>
                            <td><?=$row['tagDateTime']?></td>
                        </tr>
                    <? } // end while ?>
                    </tbody>
                    </table>
                </form>

                <div class="button_set">
                    <button type="button" onclick="$('#form_grace_deadman').submit()"><?=$lang->button->grace?></button>
                </div>

            </div>
        </div>
        <? } // end of if ?>
        <br>
		<br>
        
	</td>

</tr>

</table>
