<div id="location">
<?
echo $lang->menu->report.'&nbsp;&gt;&nbsp;'.$lang->menu->smartreport_set;
?>
	<button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button>
</div>

<style>
    .tab.enable {
        line-height: 30px;
        background-color: #464a58;
        color: white;
        display: inline-block;
        cursor: pointer;
        min-width: 100px;
    }

    .tab {
        line-height: 30px;
        background-color: #b5b5b7;
        color: #181b29;
        display: inline-block;
        text-align: center;
        cursor: pointer;
        min-width: 100px;
        vertical-align: middle;
    }

    .tab-content {
        background-color: white;
    }

    .tab-content h3 {
        padding-left: 10px;
        background-color: #b5b5b7;
        color: #181b29;
        border-top: 2px solid #464a58;
        box-sizing: border-box;
        font-family: Noto-Sans-Bold-UI;
        height: 30px;
        vertical-align: middle;
    }

    .tab-content tab-body {
        margin-bottom: 10px;
        padding: 10px;
    }

    .tab-body > p {
        padding: 5px 0;
     }

    .tab-content select {
        background-color: #f2f2f2;
    }

	
</style>


<div id="new_section2">
<form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=update">
	<input type="hidden" name="ReportNo" value="<?= $Report['No'] ?>" />

	<div>
	<?
		echo "<span id=\"tab-datetime\" onclick=\"change_wizard('datetime');\" class=\"tab enable\">". $lang->smartreport_set->datetime ."</span>";
		echo "<span id=\"tab-cardholders\" onclick=\"change_wizard('cardholders');\" class=\"tab\">". $lang->smartreport_set->cardholders ."</span>";
		echo "<span id=\"tab-cards\" onclick=\"change_wizard('cards');\" class=\"tab\">". $lang->smartreport_set->cards ."</span>";
		echo "<span id=\"tab-doors\" onclick=\"change_wizard('doors');\" class=\"tab\">". $lang->smartreport_set->doors ."</span>";
		if( $_SESSION['spider_model'] == ConstTable::MODEL_ELITE || 
			$_SESSION['spider_model'] == ConstTable::MODEL_ENTERPRISE ||
			$_SESSION['spider_model'] == ConstTable::MODEL_GIANT) {
			echo "<span id=\"tab-elevators\" onclick=\"change_wizard('elevators');\" class=\"tab\">". $lang->smartreport_set->elevators ."</span>";
		}
		echo "<span id=\"tab-events\" onclick=\"change_wizard('events');\" class=\"tab\">". $lang->smartreport_set->events ."</span>";
		echo "<span id=\"tab-output_format\" onclick=\"change_wizard('output_format');\" class=\"tab\">". $lang->smartreport_set->output_format ."</span>";
		echo "<span id=\"tab-save_report\" onclick=\"change_wizard('save_report');\" class=\"tab\">". $lang->smartreport_set->save_report ."</span>";
	?>
	</div>

	<div class="tab-content" id="tab-content-datetime">
		<h3><?=$lang->smartreport_set->report_covers_time_frame?></h3>
		<div class="tab-body">
			<table class="tbl_view">
			<col></col>
			<col width="100"></col>
			<tbody id="DateCond_List">
			<?
			foreach( $Report['DateTime']['DateConds'] as $DateCond ) {
				if( $DateCond['Type'] == '1' ) {
			?>
			<tr>
				<td><?= $lang->smartreport_set->datetime_ask_run ?></td>
				<td>
					<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="DateCond_ArrType[]" value="<?= $DateCond['Type'] ?>" />
					<input type="hidden" name="DateCond_ArrTypeKind[]" value="" />
					<input type="hidden" name="DateCond_ArrStartDate[]" value="" />
					<input type="hidden" name="DateCond_ArrEndDate[]" value="" />
				</td>
			</tr>
			<?
				} else if( $DateCond['Type'] == '2' ) {
			?>
			<tr>
				<td><?= $datecond_type2_kind_items[$DateCond['TypeKind']] ?></td>
				<td>
					<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="DateCond_ArrType[]" value="<?= $DateCond['Type'] ?>" />
					<input type="hidden" name="DateCond_ArrTypeKind[]" value="<?= $DateCond['TypeKind'] ?>" />
					<input type="hidden" name="DateCond_ArrStartDate[]" value="" />
					<input type="hidden" name="DateCond_ArrEndDate[]" value="" />
				</td>
			</tr>
			<?
				} else if( $DateCond['Type'] == '3' ) {
			?>
			<tr>
				<td><?= $lang->smartreport_set->datetime_last_days ?> <?= $DateCond['TypeKind'] ?><?= $lang->smartreport_set->days ?></td>
				<td>
					<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="DateCond_ArrType[]" value="<?= $DateCond['Type'] ?>" />
					<input type="hidden" name="DateCond_ArrTypeKind[]" value="<?= $DateCond['TypeKind'] ?>" />
					<input type="hidden" name="DateCond_ArrStartDate[]" value="" />
					<input type="hidden" name="DateCond_ArrEndDate[]" value="" />
				</td>
			</tr>
			<?
				} else if( $DateCond['Type'] == '4' ) {
			?>
			<tr>
				<td><?= $lang->smartreport_set->datetime_specific_range ?> <?= $DateCond['StartDate'] ?> ~ <?= $DateCond['EndDate'] ?></td>
				<td>
					<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="DateCond_ArrType[]" value="<?= $DateCond['Type'] ?>" />
					<input type="hidden" name="DateCond_ArrTypeKind[]" value="" />
					<input type="hidden" name="DateCond_ArrStartDate[]" value="<?= $DateCond['StartDate'] ?>" />
					<input type="hidden" name="DateCond_ArrEndDate[]" value="<?= $DateCond['EndDate'] ?>" />
				</td>
			</tr>
			<?
				}
			}
			?>
			</tbody>
			</table>

			<p><?=$this->from->radio('DateCond_Type', '0', array('0' => $lang->smartreport_set->datetime_no_restriction))?></p>
			<p><?=$this->from->radio('DateCond_Type', '', array('1' => $lang->smartreport_set->datetime_ask_run))?></p>
			<p><?=$this->from->radio('DateCond_Type', '', array('2' => $lang->smartreport_set->datetime_weekmonth))?>:
			<?=$this->from->select('DateCond_Type2_Kind', '', $datecond_type2_kind_items)?></p>
			<p><?=$this->from->radio('DateCond_Type', '', array('3' => $lang->smartreport_set->datetime_last_days))?>:
			<?=$this->from->inputnum('DateCond_Type3_Kind', "10", array("MAXLENGTH"=>"3", 'style'=>'width:35px;'))?> <?=$lang->smartreport_set->days?></p>
			<p>
				<?=$this->from->radio('DateCond_Type', '', array('4' => $lang->smartreport_set->datetime_specific_range))?>:
				<?=$lang->smartreport_set->start?>:
				<?=$this->from->input('DateCond_StartDate', date('Y-m-d'), array('class'=>'date', 'readonly'=>'readonly', 'style'=>'width:80px;'))?>
				<?=$this->from->select('DateCond_StartDate_Hour', '', EnumTable::$attrHourList00)?>:<?=$this->from->select('DateCond_StartDate_Min', '', EnumTable::$attrMinList00)?>
				<?=$lang->smartreport_set->end?>:
				<?=$this->from->input('DateCond_EndDate', date('Y-m-d'), array('class'=>'date', 'readonly'=>'readonly', 'style'=>'width:80px;'))?>
				<?=$this->from->select('DateCond_EndDate_Hour', '', EnumTable::$attrHourList00)?>:<?=$this->from->select('DateCond_EndDate_Min', '', EnumTable::$attrMinList00)?>
			</p>
			<div><button type="button" onclick="add_datecond()" class="btn_large4" style="margin-top:5px;"><?=$lang->button->add_new_time_frame?></button></div>
		</div>

		<h3><?=$lang->smartreport_set->limit_daily_time_to?></h3>
		<div class="tab-body">
			<table class="tbl_view">
			<col></col>
			<col width="100"></col>
			<tbody id="TimeCond_List">
			<?
			foreach( $Report['DateTime']['TimeConds'] as $TimeCond ) {
				if( $TimeCond['Type'] == '1' ) {
			?>
			<tr>
				<td><?= $lang->smartreport_set->time_ask_run ?></td>
				<td>
					<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="TimeCond_ArrType[]" value="<?= $TimeCond['Type'] ?>" />
					<input type="hidden" name="TimeCond_ArrTypeKind[]" value="" />
					<input type="hidden" name="TimeCond_ArrStartTime[]" value="" />
					<input type="hidden" name="TimeCond_ArrEndTime[]" value="" />
					<input type="hidden" name="TimeCond_ArrIsInTime[]" value="<?= $TimeCond['IsInTime'] ?>" />
				</td>
			</tr>
			<?
				} else if( $TimeCond['Type'] == '2' ) {
			?>
			<tr>
				<td><?= $lang->smartreport_set->datetime_specific_range ?> <?= $TimeCond['StartTime'] ?> ~ <?= $TimeCond['EndTime'] ?></td>
				<td>
					<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="TimeCond_ArrType[]" value="<?= $TimeCond['Type'] ?>" />
					<input type="hidden" name="TimeCond_ArrTypeKind[]" value="" />
					<input type="hidden" name="TimeCond_ArrStartTime[]" value="<?= $TimeCond['StartTime'] ?>" />
					<input type="hidden" name="TimeCond_ArrEndTime[]" value="<?= $TimeCond['EndTime'] ?>" />
					<input type="hidden" name="TimeCond_ArrIsInTime[]" value="<?= $TimeCond['IsInTime'] ?>" />
				</td>
			</tr>
			<?
				} else if( $TimeCond['Type'] == '3' ) {
			?>
			<tr>
				<td><?= $timecond_type2_kind_items[$TimeCond['TypeKind']] ?></td>
				<td>
					<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="TimeCond_ArrType[]" value="<?= $TimeCond['Type'] ?>" />
					<input type="hidden" name="TimeCond_ArrTypeKind[]" value="<?= $TimeCond['TypeKind'] ?>" />
					<input type="hidden" name="TimeCond_ArrStartTime[]" value="" />
					<input type="hidden" name="TimeCond_ArrEndTime[]" value="" />
					<input type="hidden" name="TimeCond_ArrIsInTime[]" value="<?= $TimeCond['IsInTime'] ?>" />
				</td>
			</tr>
			<?
				}
			}
			?>
			</tbody>
			</table>

			<p><?=$this->from->radio('TimeCond_Type', '0', array('0' => $lang->smartreport_set->time_no_restriction))?></p>
			<p><?=$this->from->radio('TimeCond_Type', '', array('1' => $lang->smartreport_set->time_ask_run))?></p>
			<p>
				<?=$this->from->radio('TimeCond_Type', '', array('2' => $lang->smartreport_set->datetime_specific_range))?>:
				<?=$lang->smartreport_set->start?>:
				<?=$this->from->select('TimeCond_StartTime_Hour', '', EnumTable::$attrHourList00)?>:<?=$this->from->select('TimeCond_StartTime_Min', '', EnumTable::$attrMinList00)?>
				<?=$lang->smartreport_set->end?>:
				<?=$this->from->select('TimeCond_EndTime_Hour', '', EnumTable::$attrHourList00)?>:<?=$this->from->select('TimeCond_EndTime_Min', '', EnumTable::$attrMinList00)?>
			</p>
            <!--
			<p><?=$this->from->radio('TimeCond_Type', '', array('3' => $lang->smartreport_set->time_specification))?>:
			<?=$this->from->select('TimeCond_Type3_Kind', '', $timecond_type2_kind_items)?></p>
            -->
			<br>
			<p><?=$this->from->radio('TimeCond_IsInTime', '0', array('0' => $lang->smartreport_set->exclude_specified_time))?></p>
			<p><?=$this->from->radio('TimeCond_IsInTime', '', array('1' => $lang->smartreport_set->include_specified_time))?></p>
			<p><button type="button" onclick="add_timecond()" class="btn_large4"><?=$lang->button->add_new_time_frame?></button></p>
		</div>

		<h3><?=$lang->smartreport_set->include_holidays?></h3>
		<div class="tab-body">
			<p><?=$this->from->select('InHoliNo', $Report['DateTime']['InHoliNo'], $holiday_items)?></p>
		</div>

		<h3><?=$lang->smartreport_set->exclude_holidays?></h3>
		<div class="tab-body">
			<p><?=$this->from->select('ExHoliNo', $Report['DateTime']['ExHoliNo'], $holiday_items)?></p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('cardholders')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-cardholders">
		<h3><?=$lang->smartreport_set->cardholders?></h3>
		<div class="tab-body">
			<p><?=$this->from->radio('Holders_Type', $Report['Holders']['Type'], array('0' => $lang->smartreport_set->cardholder_no_restriction))?></p>
			<p><?=$this->from->radio('Holders_Type', $Report['Holders']['Type'], array('1' => $lang->smartreport_set->cardholder_ask_run))?></p>
			<p><?=$this->from->radio('Holders_Type', $Report['Holders']['Type'], array('2' => $lang->smartreport_set->cardholder_use_specification))?>:</p>
			<p>
				<table>
				<tr>
					<td width="45%" height="100%">
						<span><?=$lang->smartreport_set->unselect_cardholders?></span><br>
						<?=$this->from->select('Unselect_CardHolder', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_CardHolder]'), $('select.select_cardholder'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_CardHolder]'), $('select.select_cardholder'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_cardholders?></span><br>
						<?=$this->from->select('Select_CardHolder[]', '', $Report['Holders']['CardHolders'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_cardholder'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_cardholder_groups?></span><br>
						<?=$this->from->select('Unselect_CardHolderGroup', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_CardHolderGroup]'), $('select.select_cardholdergroup'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_CardHolderGroup]'), $('select.select_cardholdergroup'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_cardholder_groups?></span><br>
						<?=$this->from->select('Select_CardHolderGroup[]', '', $Report['Holders']['CardHolderGroups'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_cardholdergroup'))?>
					</td>
				</tr>
				</table>
			</p>
		</div>

		<h3><?=$lang->smartreport_set->attribute_filter?></h3>
		<div class="tab-body">
			<table class="tbl_view">
			<col></col>
			<col width="100"></col>
			<tbody id="HoldersCond_List">
			<?
			foreach( $Report['Holders']['HoldersConds'] as $HoldersCond ) {
			?>
			<tr>
				<td><?= $attr_items[$HoldersCond['Attr']] ?> is <?= $relation_items[$HoldersCond['Relation']] ?> <?= $HoldersCond['IsAsk'] == '1' ? '?' : $HoldersCond['Value'] ?></td>
				<td>
					<button type="button" onclick="remove_holderscond(this)"><?=$lang->button->delete?></button>
					<input type="hidden" name="HoldersCond_ArrAttr[]" value="<?= $HoldersCond['Attr'] ?>" />
					<input type="hidden" name="HoldersCond_ArrRelation[]" value="<?= $HoldersCond['Relation'] ?>" />
					<input type="hidden" name="HoldersCond_ArrValue[]" value="<?= $HoldersCond['Value'] ?>" />
					<input type="hidden" name="HoldersCond_ArrIsAsk[]" value="<?= $HoldersCond['IsAsk'] ?>" />
				</td>
			</tr>
			<?
			}
			?>
			</tbody>
			</table>

			<p>
				<table>
					<tr>
						<td><?=$lang->smartreport_set->attribute?></td>
						<td><?=$lang->smartreport_set->relation?></td>
						<td><?=$lang->smartreport_set->value?></td>
						<td></td>
					</tr>
					<tr>
						<td><?=$this->from->select('Holders_Attr', '', $attr_items)?></td>
						<td><?=$this->from->select('Holders_Relation', '', $relation_items)?></td>
						<td><?=$this->from->input('Holders_Value', '')?></td>
						<td><?=$this->from->checkbox('Holders_IsAsk', $lang->smartreport_set->ask, FALSE, '1')?></td>
					</tr>
				</table>
			</p>
			<p><button type="button" onclick="add_holderscond()" class="btn_large4"  style="margin-top:5px"><?=$lang->button->add_attribute?></button></p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('datetime')"><?=$lang->button->previous?></button>
				<button type="button" onclick="change_wizard('cards')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-cards">
		<h3><?=$lang->smartreport_set->cards?></h3>
		<div class="tab-body">
			<p><?=$this->from->radio('Cards_Type', $Report['Cards']['Type'], array('0' => $lang->smartreport_set->card_no_restriction))?></p>
			<p><?=$this->from->radio('Cards_Type', $Report['Cards']['Type'], array('1' => $lang->smartreport_set->card_ask_run))?></p>
			<p><?=$this->from->radio('Cards_Type', $Report['Cards']['Type'], array('2' => $lang->smartreport_set->card_use_specification))?>:</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_cards?></span><br>
						<?=$this->from->select('Unselect_Card', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Card]'), $('select.select_card'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Card]'), $('select.select_card'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_cards?></span><br>
						<?=$this->from->select('Select_Card[]', '', $Report['Cards']['Cards'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_card'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_card_types?></span><br>
						<?=$this->from->select('Unselect_CardType', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_CardType]'), $('select.select_cardtype'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_CardType]'), $('select.select_cardtype'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_card_types?></span><br>
						<?=$this->from->select('Select_CardType[]', '', $Report['Cards']['CardTypes'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_cardtype'))?>
					</td>
				</tr>
				</table>
			</p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('cardholders')"><?=$lang->button->previous?></button>
				<button type="button" onclick="change_wizard('doors')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-doors">
		<h3><?=$lang->smartreport_set->doors?></h3>
		<div class="tab-body">
			<p><?=$this->from->radio('Doors_Type', $Report['Doors']['Type'], array('0' => $lang->smartreport_set->door_no_restriction))?></p>
			<p><?=$this->from->radio('Doors_Type', $Report['Doors']['Type'], array('1' => $lang->smartreport_set->door_ask_run))?></p>
			<p><?=$this->from->radio('Doors_Type', $Report['Doors']['Type'], array('2' => $lang->smartreport_set->door_use_specification))?>:</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_doors?></span><br>
						<?=$this->from->select('Unselect_Door', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Door]'), $('select.select_door'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Door]'), $('select.select_door'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_doors?></span><br>
						<?=$this->from->select('Select_Door[]', '', $Report['Doors']['Doors'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_door'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_threatlevel?></span><br>
						<?=$this->from->select('Unselect_ThreatLevel', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_ThreatLevel]'), $('select.select_threatlevel'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_ThreatLevel]'), $('select.select_threatlevel'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_threatlevel?></span><br>
						<?=$this->from->select('Select_ThreatLevel[]', '', $Report['Doors']['ThreatLevels'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_threatlevel'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<span><?=$lang->smartreport_set->doors_belonging_to_floors?></span>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_floors?></span><br>
						<?=$this->from->select('Unselect_Floor', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Floor]'), $('select.select_floor'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Floor]'), $('select.select_floor'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_floors?></span><br>
						<?=$this->from->select('Select_Floor[]', '', $Report['Doors']['Floors'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%', 'class'=>'select_floor'))?>
					</td>
				</tr>
				</table>
			</p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('cards')"><?=$lang->button->previous?></button>
				<? if( $_SESSION['spider_model'] == ConstTable::MODEL_ELITE || 
				       $_SESSION['spider_model'] == ConstTable::MODEL_ENTERPRISE ||
					   $_SESSION['spider_model'] == ConstTable::MODEL_GIANT) { ?>
				<button type="button" onclick="change_wizard('elevators')"><?=$lang->button->next?></button>
				<? } else { ?>
				<button type="button" onclick="change_wizard('events')"><?=$lang->button->next?></button>
				<? } ?>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-elevators">
		<h3><?=$lang->smartreport_set->elevators?></h3>
		<div class="tab-body">
			<p><?=$this->from->radio('Elevators_Type', $Report['Elevators']['Type'], array('0' => $lang->smartreport_set->elevator_all))?></p>
			<p><?=$this->from->radio('Elevators_Type', $Report['Elevators']['Type'], array('1' => $lang->smartreport_set->elevator_ask_run))?></p>
			<p><?=$this->from->radio('Elevators_Type', $Report['Elevators']['Type'], array('2' => $lang->smartreport_set->elevator_use_specification))?>:</p>
		</div>

		<div class="tab-body">
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_elevators?></span><br>
						<?=$this->from->select('Unselect_Elevator', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Elevator]'), $('select.select_elevator'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Elevator]'), $('select.select_elevator'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_elevators?></span><br>
						<?=$this->from->select('Select_Elevator[]', '', $Report['Elevators']['Elevators'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_elevator'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_elevator_relays?></span><br>
						<?=$this->from->select('Unselect_Elevator_Relay', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Elevator_Relay]'), $('select.select_elevator_relay'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Elevator_Relay]'), $('select.select_elevator_relay'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_elevator_relays?></span><br>
						<?=$this->from->select('Select_Elevator_Relay[]', '', $Report['Elevators']['ElevatorRelays'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_elevator_relay'))?>
					</td>
				</tr>
				</table>
			</p>
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_floors?></span><br>
						<?=$this->from->select('Unselect_Elevator_Floor', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_Elevator_Floor]'), $('select.select_elevator_floor'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_Elevator_Floor]'), $('select.select_elevator_floor'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_floors?></span><br>
						<?=$this->from->select('Select_Elevator_Floor[]', '', $Report['Elevators']['ElevatorFloors'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_elevator_floor'))?>
					</td>
				</tr>
				</table>
			</p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('doors')"><?=$lang->button->previous?></button>
				<button type="button" onclick="change_wizard('events')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-events">
		<h3><?=$lang->smartreport_set->events?></h3>
		<div class="tab-body">
			<p><?=$this->from->radio('Events_Type', $Report['Events']['Type'], array('0' => $lang->smartreport_set->event_all))?></p>
			<p><?=$this->from->radio('Events_Type', $Report['Events']['Type'], array('1' => $lang->smartreport_set->event_ask_run))?></p>
			<p><?=$this->from->radio('Events_Type', $Report['Events']['Type'], array('2' => $lang->smartreport_set->event_use_specification))?>:</p>
		</div>

		<h3><?=$lang->smartreport_set->event_groups?></h3>
		<div class="tab-body">
			<p>
				<div style="width:130px; float:left;"><?=$this->from->checkbox2('Select_EventGroup[]', $lang->addmsg->log_web, in_array('0', $Report['Events']['EventGroups']), '0')?></div>
				<div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_readerin, in_array('1', $Report['Events']['EventGroups']), '1')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_contact, in_array('2', $Report['Events']['EventGroups']), '2')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_doorlock, in_array('6', $Report['Events']['EventGroups']), '6')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_rex, in_array('3', $Report['Events']['EventGroups']), '3')?></div>
				<? if( $_SESSION['spider_model'] != ConstTable::MODEL_ESSENTIAL ) { ?>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_elevator, in_array('9', $Report['Events']['EventGroups']), '9')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_elevatorout, in_array('10', $Report['Events']['EventGroups']), '10')?></div>
				<? } ?>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_auxoutput, in_array('4', $Report['Events']['EventGroups']), '4')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_auxinput, in_array('5', $Report['Events']['EventGroups']), '5')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_system, in_array('7', $Report['Events']['EventGroups']), '7')?></div>
                <div style="width:130px; float:left;"><?=$this->from->checkbox('Select_EventGroup[]', $lang->addmsg->log_network, in_array('8', $Report['Events']['EventGroups']), '8')?></div>
			</p>
			<div style="clear:both"></div>
		</div>

		<h3><?=$lang->smartreport_set->individual_events?></h3>
		<div class="tab-body">
			<p>
			<?
			foreach( $lang->eventcode->messages as $eventcode => $eventname ) {
			?>
				<div style="width:330px; float:left;"><?=$this->from->checkbox('Select_EventCode[]', $eventname, in_array($eventcode, $Report['Events']['EventCodes']), $eventcode)?></div>
			<?
			}
			?>
			</p>
			<div style="clear:both"></div>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<? if( $_SESSION['spider_model'] == ConstTable::MODEL_ELITE || 
				       $_SESSION['spider_model'] == ConstTable::MODEL_ENTERPRISE ||
					   $_SESSION['spider_model'] == ConstTable::MODEL_GIANT) { ?>
				<button type="button" onclick="change_wizard('elevators')"><?=$lang->button->previous?></button>
				<? } else { ?>
				<button type="button" onclick="change_wizard('doors')"><?=$lang->button->previous?></button>
				<? } ?>
				<button type="button" onclick="change_wizard('output_format')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-output_format">
		<div class="tab-body">
			<p>
				<table class="tbl_list">
				<col></col>
				<col></col>
				<col width="60"></col>
				<col width="80"></col>
				<col width="100"></col>
				<tr>
					<th><?=$lang->smartreport_set->column?></th>
					<th><?=$lang->smartreport_set->title?></th>
					<th><?=$lang->smartreport_set->width?></th>
					<th><?=$lang->smartreport_set->sort_order?></th>
					<th></th>
				</tr>
				<tbody id="ColFormat_List">
				<?
				foreach( $Report['ColFormats'] as $ColFormat ) {
				?>
				<tr>
					<td>
						<?=$this->from->select('ColFormat_ArrColName[]', $ColFormat['ColName'], $column_items, array('style'=>'width:100%', 'onchange'=>'change_column($(this))'))?>
					</td>
					<td>
						<?=$this->from->input('ColFormat_ArrTitle[]', $ColFormat['Title'], array('style'=>'width:100%'))?>
					</td>
					<td>
						<?=$this->from->inputnum('ColFormat_ArrWidth[]', $ColFormat['Width'], array("MAXLENGTH"=>"3", 'style'=>'width:40px'))?>
					</td>
					<td>
						<?=$this->from->select('ColFormat_ArrSortOrder[]', $ColFormat['SortOrder'], $sort_items, array('style'=>'width:60px'))?>
					</td>
					<td width="240">
						<button type="button" onclick="remove_column($(this))"><?=$lang->button->remove?></button>
						<button type="button" onclick="up_column($(this))">▲</button>
						<button type="button" onclick="down_column($(this))">▼</button>
					</td>
				</tr>
				<?
				}
				?>
				</tbody>
				</table>
			</p>
			<p><button type="button" onclick="add_column()" class="btn_large4"><?=$lang->button->add_column?></button></p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('events')"><?=$lang->button->previous?></button>
				<button type="button" onclick="change_wizard('save_report')"><?=$lang->button->next?></button>
			</p>
		</div>
	</div>

	<div class="tab-content hide" id="tab-content-save_report">
		<h3><?=$lang->smartreport_set->save_report?></h3>
		<div class="tab-body">
			<p>
				<?=$lang->smartreport_set->report_name?>:
				<?=$this->from->input('ReportName', $Report['Name'], array())?>
			</p>
			<p>
				<?=$lang->smartreport_set->limit_count?>:
				<?=$this->from->inputnum('LimitCnt', $Report['LimitCnt'], array("MAXLENGTH"=>"4", 'style'=>'width:40px'))?>
			</p>
			<p>
				<?=$lang->smartreport_set->page_line_count?>:
				<?=$this->from->inputnum('LineCnt', $Report['LineCnt'], array("MAXLENGTH"=>"3", 'style'=>'width:40px'))?>
			</p>
		</div>

		<h3><?=$lang->smartreport_set->allow_access_to?></h3>
		<div class="tab-body">
			<p>
				<table>
				<tr>
					<td width="45%">
						<span><?=$lang->smartreport_set->unselect_user_role?></span><br>
						<?=$this->from->select('Unselect_UserRole', '', array(), array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;'))?>
					</td>
					<td align="center" width="10%">
						<span>&nbsp;</span><br>
						<button name="btn_push" class="btn_push" type="button" onclick="push_select($('select[name=Unselect_UserRole]'), $('select.select_userrole'))"></button>&nbsp;<br /><br />
						<button name="btn_pop"  class="btn_pop" type="button" onclick="pop_select($('select[name=Unselect_UserRole]'), $('select.select_userrole'))"></button>&nbsp;
					</td>
					<td width="45%">
						<span><?=$lang->smartreport_set->select_user_role?></span><br>
						<?=$this->from->select('Select_UserRole[]', '', $Report['UserRoles'], array('multiple'=>'multiple', 'style'=>'width:100%;height:100%;', 'class'=>'select_userrole'))?>
					</td>
				</tr>
				</table>
			</p>
		</div>

		<div class="tab-body">
			<p class="text_right">
				<input type="hidden" name="withrun" value="0" />
				<button type="button" onclick="cancel_wizard()"><?=$lang->button->cancel?></button>
				<button type="button" onclick="change_wizard('output_format')"><?=$lang->button->previous?></button>
				<button type="button" onclick="save_wizard(0)"><?=$lang->button->save_only?></button>
				<button type="button" class="btn_large4" onclick="save_wizard(1)"><?=$lang->button->save_with_run?></button>
			</p>
		</div>
	</div>

</form>
</div>



<script type="text/javascript">
function change_wizard(name)
{
	$("span.tab").removeClass("enable");
	$("#tab-" + name).addClass("enable");

	$("div.tab-content").hide();
	$("#tab-content-" + name).show();

	window.scrollTo(0, 0);
}

function cancel_wizard()
{
	location.href = '/?c=smartreport_set';
}

function save_wizard(withrun)
{
	$("input[name=withrun]").val(withrun);
	$("select.select_cardholder option").attr('selected', 'selected');
	$("select.select_cardholdergroup option").attr('selected', 'selected');
	$("select.select_card option").attr('selected', 'selected');
	$("select.select_cardtype option").attr('selected', 'selected');
	$("select.select_door option").attr('selected', 'selected');
	$("select.select_threatlevel option").attr('selected', 'selected');
	$("select.select_floor option").attr('selected', 'selected');
	$("select.select_elevator option").attr('selected', 'selected');
	$("select.select_elevator_relay option").attr('selected', 'selected');
	$("select.select_elevator_floor option").attr('selected', 'selected');
	$("select.select_userrole option").attr('selected', 'selected');
	$('#form_edit').submit();
}

function add_datecond()
{
	var DateCond_Type = $("input[name=DateCond_Type]:checked").val();

	if(DateCond_Type == '0') {
		$("#DateCond_List").empty();
	} else if(DateCond_Type == '1') {
		$("#DateCond_List").empty();
		var html = '<tr class="ask">'
				+ '<td><?= $lang->smartreport_set->datetime_ask_run ?></td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="DateCond_ArrType[]" value="' + DateCond_Type + '" />'
				+ '<input type="hidden" name="DateCond_ArrTypeKind[]" value="" />'
				+ '<input type="hidden" name="DateCond_ArrStartDate[]" value="" />'
				+ '<input type="hidden" name="DateCond_ArrEndDate[]" value="" />'
				+ '</td>'
				+ '</tr>';
		$("#DateCond_List").append(html);
	} else if(DateCond_Type == '2') {
		$("#DateCond_List tr.ask").remove();
		var html = '<tr>'
				+ '<td>' + $("select[name=DateCond_Type2_Kind] option:selected").text() + '</td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="DateCond_ArrType[]" value="' + DateCond_Type + '" />'
				+ '<input type="hidden" name="DateCond_ArrTypeKind[]" value="' + $("select[name=DateCond_Type2_Kind] option:selected").val() + '" />'
				+ '<input type="hidden" name="DateCond_ArrStartDate[]" value="" />'
				+ '<input type="hidden" name="DateCond_ArrEndDate[]" value="" />'
				+ '</td>'
				+ '</tr>';
		$("#DateCond_List").append(html);
	} else if(DateCond_Type == '3') {
		$("#DateCond_List tr.ask").remove();
		var days = $("input[name=DateCond_Type3_Kind]").val();
		var html = '<tr>'
				+ '<td><?= $lang->smartreport_set->datetime_last_days ?> ' + days + '<?= $lang->smartreport_set->days ?></td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="DateCond_ArrType[]" value="' + DateCond_Type + '" />'
				+ '<input type="hidden" name="DateCond_ArrTypeKind[]" value="' + days + '" />'
				+ '<input type="hidden" name="DateCond_ArrStartDate[]" value="" />'
				+ '<input type="hidden" name="DateCond_ArrEndDate[]" value="" />'
				+ '</td>'
				+ '</tr>';
		$("#DateCond_List").append(html);
	} else if(DateCond_Type == '4') {
		$("#DateCond_List tr.ask").remove();
		var start = $("input[name=DateCond_StartDate]").val() + " " + $("select[name=DateCond_StartDate_Hour]").val() + ":" + $("select[name=DateCond_StartDate_Min]").val();
		var end = $("input[name=DateCond_EndDate]").val() + " " + $("select[name=DateCond_EndDate_Hour]").val() + ":" + $("select[name=DateCond_EndDate_Min]").val();
		var html = '<tr>'
				+ '<td><?= $lang->smartreport_set->datetime_specific_range ?>: ' + start + ' ~ ' + end + '</td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_datecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="DateCond_ArrType[]" value="' + DateCond_Type + '" />'
				+ '<input type="hidden" name="DateCond_ArrTypeKind[]" value="" />'
				+ '<input type="hidden" name="DateCond_ArrStartDate[]" value="' + start + '" />'
				+ '<input type="hidden" name="DateCond_ArrEndDate[]" value="' + end + '" />'
				+ '</td>'
				+ '</tr>';
		$("#DateCond_List").append(html);
	}
}

function remove_datecond(el)
{
	$(el).parent().parent().remove();
}

function add_timecond()
{
	var TimeCond_Type = $("input[name=TimeCond_Type]:checked").val();

	if(TimeCond_Type == '0') {
		$("#TimeCond_List").empty();
	} else if(TimeCond_Type == '1') {
		$("#TimeCond_List").empty();
		var html = '<tr class="ask">'
				+ '<td><?= $lang->smartreport_set->time_ask_run ?></td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="TimeCond_ArrType[]" value="' + TimeCond_Type + '" />'
				+ '<input type="hidden" name="TimeCond_ArrTypeKind[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrStartTime[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrEndTime[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrIsInTime[]" value="' + $("input[name=TimeCond_IsInTime]:checked").val() + '" />'
				+ '</td>'
				+ '</tr>';
		$("#TimeCond_List").append(html);
	} else if(TimeCond_Type == '2') {
		$("#TimeCond_List tr.ask").remove();
		var start = $("select[name=TimeCond_StartTime_Hour]").val() + ":" + $("select[name=TimeCond_StartTime_Min]").val();
		var end = $("select[name=TimeCond_EndTime_Hour]").val() + ":" + $("select[name=TimeCond_EndTime_Min]").val();
		var html = '<tr>'
				+ '<td><?= $lang->smartreport_set->datetime_specific_range ?>: ' + start + ' ~ ' + end + '</td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="TimeCond_ArrType[]" value="' + TimeCond_Type + '" />'
				+ '<input type="hidden" name="TimeCond_ArrTypeKind[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrStartTime[]" value="' + start + '" />'
				+ '<input type="hidden" name="TimeCond_ArrEndTime[]" value="' + end + '" />'
				+ '<input type="hidden" name="TimeCond_ArrIsInTime[]" value="' + $("input[name=TimeCond_IsInTime]:checked").val() + '" />'
				+ '</td>'
				+ '</tr>';
		$("#TimeCond_List").append(html);
	} else if(TimeCond_Type == '3') {
		$("#TimeCond_List tr.ask").remove();
		var html = '<tr>'
				+ '<td>' + $("select[name=TimeCond_Type3_Kind] option:selected").text() + '</td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_timecond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="TimeCond_ArrType[]" value="' + TimeCond_Type + '" />'
				+ '<input type="hidden" name="TimeCond_ArrTypeKind[]" value="' + $("select[name=TimeCond_Type3_Kind] option:selected").val() + '" />'
				+ '<input type="hidden" name="TimeCond_ArrStartTime[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrEndTime[]" value="" />'
				+ '<input type="hidden" name="TimeCond_ArrIsInTime[]" value="' + $("input[name=TimeCond_IsInTime]:checked").val() + '" />'
				+ '</td>'
				+ '</tr>';
		$("#TimeCond_List").append(html);
	}
}

function remove_timecond(el)
{
	$(el).parent().parent().remove();
}

function add_holderscond()
{
	var value = $("input[name=Holders_IsAsk]").is(":checked") ? '?' : $("input[name=Holders_Value]").val();

	if( value == '' ) {
		alert('<?= $lang->smartreport_set->error_atttr_value_required ?>');
	} else {
		var html = '<tr>'
				+ '<td>' + $("select[name=Holders_Attr] option:selected").text() + ' is ' + $("select[name=Holders_Relation] option:selected").text() + ' ' + value + '</td>'
				+ '<td>'
				+ '<button type="button" onclick="remove_holderscond(this)"><?=$lang->button->delete?></button>'
				+ '<input type="hidden" name="HoldersCond_ArrAttr[]" value="' + $("select[name=Holders_Attr] option:selected").val() + '" />'
				+ '<input type="hidden" name="HoldersCond_ArrRelation[]" value="' + $("select[name=Holders_Relation] option:selected").val() + '" />'
				+ '<input type="hidden" name="HoldersCond_ArrValue[]" value="' + $("input[name=Holders_Value]").val() + '" />'
				+ '<input type="hidden" name="HoldersCond_ArrIsAsk[]" value="' + ($("input[name=Holders_IsAsk]").is(":checked") ? '1' : '0') + '" />'
				+ '</td>'
				+ '</tr>';
		$("#HoldersCond_List").append(html);
	}
}

function remove_holderscond(el)
{
	$(el).parent().parent().remove();
}

function push_select($from, $to)
{
	/*wt kim : 수정 20190225 버그 수정 리스트 박스 항목  DataList1 항목을 DataList2에 추가하면 DataList1에는 사라짐*/
    $from.find("option:selected").each(function() {
        //$to.find("option").filter("option[value='"+ $(this).val() +"']").remove();
        $from.find("option").filter("option[value='"+ $(this).val() +"']").remove();
        $to.append($(this).clone());
    });
}

function pop_select($from, $to)
{
	/*wt kim : 20190225 기능 수정 리스트 박스 항목  DataList1 항목을 DataList2에 추가하면 DataList1에는 사라짐*/
    //$to.find("option:selected").remove();
    $to.find("option:selected").each(function() {
        //$to.find("option").filter("option[value='"+ $(this).val() +"']").remove();
        $to.find("option").filter("option[value='"+ $(this).val() +"']").remove();
        $from.append($(this).clone());
    });
}

function search_cardholder($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_cardholder",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].FirstName +" "+ data.list[i].MiddleName +" "+ data.list[i].LastName +'</option>');
				}
			}
        }
    );
}

function search_cardholder_group($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_cardholder_group",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_card($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_card",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].CardNo +'</option>');
				}
			}
        }
    );
}

function search_cardformat($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_cardformat",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_door($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_door",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_threatlevel($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_threatlevel",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].ThreatName +'</option>');
				}
			}
        }
    );
}

function search_floor($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_floor",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_elevator($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_elevator_master",
        function(data) {
			if( check_error(data) ) {
				/*
				for(var i=0; i<data.list.length; i++)
				{
					$optgroup = $el.append('<optgroup label="'+ data.list[i].Name +'"></optgroup>');
					for(var j=0; j<data.list[i]['Slaves'].length; j++)
					{
						$optgroup.append('<option value="'+ data.list[i]['Slaves'][j].No +'">'+ data.list[i]['Slaves'][j].Name +'</option>');
					}
				}
				*/
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_elevator_relay($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_elevator_relay",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function search_userrole($el)
{
	$el.empty();
    $.getJSON(
		"/?c=smartreport_set&m=find_userrole",
        function(data) {
			if( check_error(data) ) {
				for(var i=0; i<data.list.length; i++)
				{
					$el.append('<option value="'+ data.list[i].No +'">'+ data.list[i].Name +'</option>');
				}
			}
        }
    );
}

function add_column()
{
	var html = '<tr>'
			+ '	<td>'
			+ '		<?=$this->from->select('ColFormat_ArrColName[]', '', $column_items, array('style'=>'width:100%', 'onchange'=>'change_column($(this))'))?>'
			+ '	</td>'
			+ '	<td>'
			+ '		<?=$this->from->input('ColFormat_ArrTitle[]', $lang->addmsg->item_date, array('style'=>'width:100%'))?>'
			+ '	</td>'
			+ '	<td>'
			+ '		<?=$this->from->inputnum('ColFormat_ArrWidth[]', "30", array("MAXLENGTH"=>"3", 'style'=>'width:40px'))?>'
			+ '	</td>'
			+ '	<td>'
			+ '		<?=$this->from->select('ColFormat_ArrSortOrder[]', '', $sort_items, array('style'=>'width:60px'))?>'
			+ '	</td>'
			+ '	<td>'
			+ '		<button type="button" onclick="remove_column($(this))"><?=$lang->button->remove?></button>'
			+ '		<button type="button" onclick="up_column($(this))">▲</button>'
			+ '		<button type="button" onclick="down_column($(this))">▼</button>'
			+ '	</td>'
			+ '</tr>';
	$("#ColFormat_List").append(html);
}

function remove_column($el)
{
	$el.parent().parent().remove();
}

function up_column($el)
{
	var $tr = $el.parent().parent();
	$tr.prev('tr').before($tr);
}

function down_column($el)
{
	var $tr = $el.parent().parent();
	$tr.next('tr').after($tr);
}

function change_column($el)
{
	var $tr = $el.parent().parent();
	$tr.find("input[name='ColFormat_ArrTitle[]']").val($el.find("option:selected").text());
}

function change_DateCond_Type()
{
	var val = $("input[name=DateCond_Type]:checked").val();

	$("select[name=DateCond_Type2_Kind]").attr('disabled', true);
	$("input[name=DateCond_Type3_Kind]").attr('disabled', true);
	$("input[name=DateCond_StartDate]").attr('disabled', true);
	$("select[name=DateCond_StartDate_Hour]").attr('disabled', true);
	$("select[name=DateCond_StartDate_Min]").attr('disabled', true);
	$("input[name=DateCond_EndDate]").attr('disabled', true);
	$("select[name=DateCond_EndDate_Hour]").attr('disabled', true);
	$("select[name=DateCond_EndDate_Min]").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=DateCond_Type2_Kind]").attr('disabled', false);
	} else if( val == '3' ) {
		$("input[name=DateCond_Type3_Kind]").attr('disabled', false);
	} else if( val == '4' ) {
		$("input[name=DateCond_StartDate]").attr('disabled', false);
		$("select[name=DateCond_StartDate_Hour]").attr('disabled', false);
		$("select[name=DateCond_StartDate_Min]").attr('disabled', false);
		$("input[name=DateCond_EndDate]").attr('disabled', false);
		$("select[name=DateCond_EndDate_Hour]").attr('disabled', false);
		$("select[name=DateCond_EndDate_Min]").attr('disabled', false);
	}
}

function change_TimeCond_Type()
{
	var val = $("input[name=TimeCond_Type]:checked").val();

	$("select[name=TimeCond_Type3_Kind]").attr('disabled', true);
	$("select[name=TimeCond_StartTime_Hour]").attr('disabled', true);
	$("select[name=TimeCond_StartTime_Min]").attr('disabled', true);
	$("select[name=TimeCond_EndTime_Hour]").attr('disabled', true);
	$("select[name=TimeCond_EndTime_Min]").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=TimeCond_StartTime_Hour]").attr('disabled', false);
		$("select[name=TimeCond_StartTime_Min]").attr('disabled', false);
		$("select[name=TimeCond_EndTime_Hour]").attr('disabled', false);
		$("select[name=TimeCond_EndTime_Min]").attr('disabled', false);
	} else if( val == '3' ) {
		$("select[name=TimeCond_Type3_Kind]").attr('disabled', false);
	}
}

function change_Holders_Type()
{
	var val = $("input[name=Holders_Type]:checked").val();

	$("select[name=Unselect_CardHolder]").attr('disabled', true);
	$("select[name='Select_CardHolder[]']").attr('disabled', true);
	$("select[name=Unselect_CardHolderGroup]").attr('disabled', true);
	$("select[name='Select_CardHolderGroup[]']").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=Unselect_CardHolder]").attr('disabled', false);
		$("select[name='Select_CardHolder[]']").attr('disabled', false);
		$("select[name=Unselect_CardHolderGroup]").attr('disabled', false);
		$("select[name='Select_CardHolderGroup[]']").attr('disabled', false);
	}
}

function change_Holders_IsAsk()
{
	var val = $("input[name=Holders_IsAsk]:checked").val();

	if( $("input[name=Holders_IsAsk]:checked").is(":checked") ) {
		$("input[name=Holders_Value]").attr('disabled', true);
	} else {
		$("input[name=Holders_Value]").attr('disabled', false);
	}
}

function change_Cards_Type()
{
	var val = $("input[name=Cards_Type]:checked").val();

	$("select[name=Unselect_Card]").attr('disabled', true);
	$("select[name='Select_Card[]']").attr('disabled', true);
	$("select[name=Unselect_CardType]").attr('disabled', true);
	$("select[name='Select_CardType[]']").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=Unselect_Card]").attr('disabled', false);
		$("select[name='Select_Card[]']").attr('disabled', false);
		$("select[name=Unselect_CardType]").attr('disabled', false);
		$("select[name='Select_CardType[]']").attr('disabled', false);
	}
}

function change_Doors_Type()
{
	var val = $("input[name=Doors_Type]:checked").val();

	$("select[name=Unselect_Door]").attr('disabled', true);
	$("select[name='Select_Door[]']").attr('disabled', true);
	$("select[name=Unselect_ThreatLevel]").attr('disabled', true);
	$("select[name='Select_ThreatLevel[]']").attr('disabled', true);
	$("select[name=Unselect_Floor]").attr('disabled', true);
	$("select[name='Select_Floor[]']").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=Unselect_Door]").attr('disabled', false);
		$("select[name='Select_Door[]']").attr('disabled', false);
		$("select[name=Unselect_ThreatLevel]").attr('disabled', false);
		$("select[name='Select_ThreatLevel[]']").attr('disabled', false);
		$("select[name=Unselect_Floor]").attr('disabled', false);
		$("select[name='Select_Floor[]']").attr('disabled', false);
	}
}

function change_Elevators_Type()
{
	var val = $("input[name=Elevators_Type]:checked").val();

	$("select[name=Unselect_Elevator]").attr('disabled', true);
	$("select[name='Select_Elevator[]']").attr('disabled', true);
	$("select[name=Unselect_Elevator_Relay]").attr('disabled', true);
	$("select[name='Select_Elevator_Relay[]']").attr('disabled', true);
	$("select[name=Unselect_Elevator_Floor]").attr('disabled', true);
	$("select[name='Select_Elevator_Floor[]']").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("select[name=Unselect_Elevator]").attr('disabled', false);
		$("select[name='Select_Elevator[]']").attr('disabled', false);
		$("select[name=Unselect_Elevator_Relay]").attr('disabled', false);
		$("select[name='Select_Elevator_Relay[]']").attr('disabled', false);
		$("select[name=Unselect_Elevator_Floor]").attr('disabled', false);
		$("select[name='Select_Elevator_Floor[]']").attr('disabled', false);
	}
}

function change_Events_Type()
{
	var val = $("input[name=Events_Type]:checked").val();

	$("input[name='Select_EventGroup[]']").attr('disabled', true);
	$("input[name='Select_EventCode[]']").attr('disabled', true);

	if( val == '0' ) {
	} else if( val == '1' ) {
	} else if( val == '2' ) {
		$("input[name='Select_EventGroup[]']").attr('disabled', false);
		$("input[name='Select_EventCode[]']").attr('disabled', false);
	}
}



$(document).ready(function() {
	$("input[name='DateCond_StartDate']").DatePicker({
		format			: "Y-m-d",
		date			: "<?=date("Y-m-d")?>",
		current			: "<?=date("Y-m-d")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("input[name='DateCond_StartDate']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("Y-m-d")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates){
            var element	= $("input[name='DateCond_StartDate']");
			if( element.val() != formated ){
                $("input[name='DateCond_StartDate']").val(formated);
                $("input[name='DateCond_StartDate']").DatePickerHide();
            }
		}
	});

	$("input[name='DateCond_EndDate']").DatePicker({
		format			: "Y-m-d",
		date			: "<?=date("Y-m-d")?>",
		current			: "<?=date("Y-m-d")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("input[name='DateCond_EndDate']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("Y-m-d")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates){
            var element	= $("input[name='DateCond_EndDate']");
			if( element.val() != formated ){
                $("input[name='DateCond_EndDate']").val(formated);
                $("input[name='DateCond_EndDate']").DatePickerHide();
            }
		}
	});

	$("input[name=DateCond_Type]").bind("change", change_DateCond_Type);
	$("input[name=TimeCond_Type]").bind("change", change_TimeCond_Type);
	$("input[name=Holders_Type]").bind("change", change_Holders_Type);
	$("input[name=Holders_IsAsk]").bind("change", change_Holders_IsAsk);
	$("input[name=Cards_Type]").bind("change", change_Cards_Type);
	$("input[name=Doors_Type]").bind("change", change_Doors_Type);
	$("input[name=Elevators_Type]").bind("change", change_Elevators_Type);
	$("input[name=Events_Type]").bind("change", change_Events_Type);

	change_DateCond_Type();
	change_TimeCond_Type();
	change_Holders_Type();
	change_Holders_IsAsk();
	change_Cards_Type();
	change_Doors_Type();
	change_Elevators_Type();
	change_Events_Type();

	search_cardholder($("select[name=Unselect_CardHolder]"));
	search_cardholder_group($("select[name=Unselect_CardHolderGroup]"));
	search_card($("select[name=Unselect_Card]"));
	search_cardformat($("select[name=Unselect_CardType]"));
	search_door($("select[name=Unselect_Door]"));
	search_threatlevel($("select[name=Unselect_ThreatLevel]"));
	search_floor($("select[name=Unselect_Floor]"));
	search_elevator($("select[name=Unselect_Elevator]"));
	search_elevator_relay($("select[name=Unselect_Elevator_Relay]"));
	search_floor($("select[name=Unselect_Elevator_Floor]"));
	search_userrole($("select[name=Unselect_UserRole]"));
});
</script>
