
<style>

#contents          { width:1103px; border:0; background:#ffffff; }
#wizard_body_eula{
	padding: 20px;
    background: #d0d0d0;
    height: 470px;
}
#wizard_body_eula .wizard_body_eula{
	padding: 10px;
	height: 400px;
	overflow: hidden;
    overflow-y: auto;
    background: #ffffff;
}
#wizard_body_eula .wizard_body_eula_input{
	padding: 20px;
    text-align: center;
}
#wizard_body_eula .wizard_body_eula_input label{
	margin-right:20px; 
}
</style>

<script type="text/javascript">
var current_wizard = 1;
var eula_num = 0;

function update_eula()
{
	if(eula_num == 0){
		$.getScript("/?c=wizard&m=update_eula");
	}
}

function prev_wizard()
{
	if( current_wizard > 1 ) {
		current_wizard--;
		set_wizard();
	}
}

function next_wizard()
{
	if( current_wizard < 8 ) {
		
		var eula = $("input[name='eula']:checked").val();
		
		if(eula == 1){
			update_eula();
			eula_num = 1;
			current_wizard++;
			set_wizard();
		}else{
			alert("You must agree to the EULA to use this access control system.");
		}
	}
}

function set_wizard()
{
	var wtitle = "", url = "";

	switch( current_wizard ) {
		case 1: wtitle = "<?=$lang->menu->eula_title?>";	url = ""; break;
		case 2: wtitle = "<?=$lang->menu->language_title?>";	url = "/?c=wizard&m=language&wizard=1&lang=<?=$language?>&con=<?=$country?>"; break;
		case 3: wtitle = "<?=$lang->menu->holiday_title?>";		url = "/?c=holiday&wizard=1"; break;
		case 4: wtitle = "<?=$lang->menu->schedule_title?>";	url = "/?c=schedule&wizard=1"; break;
		case 5: wtitle = "<?=$lang->menu->door_title?>";		url = "/?c=door&wizard=1"; break;
		case 6: wtitle = "<?=$lang->menu->alevel_title?>";		url = "/?c=alevel&wizard=1"; break;
		case 7: wtitle = "<?=$lang->menu->card_holder_title?>";	url = "/?c=card_holder&wizard=1"; break;
		case 8: wtitle = "<?=$lang->menu->saverestart_title?>";	url = "/?c=wizard&m=restart&wizard=1"; break;
	}
	
	if(url != ''){
		$("#wizard_body_eula").hide();
		$("#wizard_body").show().attr("src", url);
		$.getScript("/?c=wizard&m=check_data");
	}else{
		$("#wizard_body_eula").show();
		$("#wizard_body").hide();
	}
	
	$(".wizard-menu").removeClass("wizard-menu-select");
	$(".wizard-menu.wizard"+current_wizard).addClass("wizard-menu-select");
	$("#wizard-location-text").text(wtitle);

	if( current_wizard == 1 )	$("#prev-wizard").css('visibility','hidden');
	else						$("#prev-wizard").css('visibility','visible');

	if( current_wizard == 8 )	$("#next-wizard").css('visibility','hidden');
	else						$("#next-wizard").css('visibility','visible');


}

function hide_loading()
{
	$("#wizard_body").contentWindow.hide_loading();
}

function load_list(page, field, word, view)
{
	$("#wizard_body").contentWindow.load_list(page, field, word, view);
}

$(function() {
	set_wizard();
	confirm_server_time();
	$("#lnb").removeAttr("style");
	
	eula_bottom = $("#wizard_eula_bottom").offset().top - 1000;
	$("input[name='eula']").attr("disabled",true);
	$(".wizard_body_eula").scroll(function () {
		if($(".wizard_body_eula").scrollTop() > eula_bottom){
			$("input[name='eula']").attr("disabled",false);
			$("input[name='eula'][value='1']").prop("checked", true)
		}
	});
	
});

function update_server_time()
{
	var client_time = new Date();
	var time_str = client_time.getFullYear()+","+(client_time.getMonth()+1)+","+client_time.getDate()+","+client_time.getHours()+","+client_time.getMinutes()+","+client_time.getSeconds();
	//alert(time_str);
	submit_link("/?c=wizard&m=update_server_time&ctime="+time_str);
}

function confirm_server_time()
{
	var server_time = new Date(<?=date('Y')?>, <?=(date('m')-1)?>, <?=date('d')?>, <?=date('H')?>, <?=date('i')?>, <?=date('s')?>);
	var client_time = new Date();
	var msg = "<?=$lang->addmsg->msg_servertime_sync?>\n<?=$lang->addmsg->msg_clienttime?>: "+client_time.toString()+"\n<?=$lang->addmsg->msg_servertime?>: "+server_time.toString();

	if( Math.abs(server_time.valueOf() - client_time.valueOf()) > (1000*60*1) )
	{
		if( confirm(msg) )
		{
			update_server_time();
		}
	}
}
</script>



<div style="height:35px;background:#181b2a">

    <table class="box01">
	<button class="btn_close" onclick="top.location.href='/?c=wizard'"><a href="<?=$_SERVER['HTTP_REFERER']?>" style="color:#ffffff; text-decoration: none;">X</a></button>
	</table>

</div>

<table>
<tr>
	<td height="500">
		<div class="wizard-location">
			<img src="/img/menu/icon_info.png" valign="absmiddle">
			<span id="wizard-location-text"></span>
		</div>
		<div id="wizard_body_eula">
			<div class="wizard_body_eula">
				<?=$eula?>
				<div id="wizard_eula_bottom"></div>
			</div>
			<div class="wizard_body_eula_input">
				<?=$this->from->radio('eula', '', array(1=>"I Agree", 0=>"I Disagree"))?>
			</div>
		</div>
		<iframe id="wizard_body" src="/?c=wizard&m=language&wizard=1&lang=<?=$language?>&con=<?=$country?>" frameborder="no" border="0" framespacing="0" scrolling="auto" style="width:100%; height:100%; background:#ffffff;" ></iframe>		
		<br><br>
		<table class="button_set">
		<tr>
			<td align="right" style="padding-right:10px;"><button onclick="javascript:prev_wizard()" id="prev-wizard" >< Prev</button></td>
			<td align="left" style="padding-left:10px;"><button  onclick="javascript:next_wizard()" id="next-wizard" >Next ></button></td>
		</tr>
		</table>
		<br>
	</td>
</tr>
</table>
