<?php
    // 과거의 날짜
    header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
    
    // 항상 변경됨
    header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
    
    // HTTP/1.1
    header("Cache-Control: no-store, no-cache, must-revalidate");
    header("Cache-Control: post-check=0, pre-check=0", false);
    
    // HTTP/1.0
    header("Pragma: no-cache");
    header('Content-type: text/html; charset=utf-8'); 
	
    define('ROOT_DIR',  '');
    
    // liu 보안
    define('BASE_DIR',  ROOT_DIR.'/spider/web');
	define('APP_DIR',   BASE_DIR.'/app');
	
	// ----------------------------------------------------------------------------------
	
	// 전역 설정
	include APP_DIR.'/common/config.php';
	include APP_DIR.'/libraries/DBSession.php';
	
	// 效验登录
	if(!empty($_SESSION['spider_status'])){
	    $spider_status = $_SESSION['spider_status'];
	}else{
	    $spider_status = '';
	}
	
	if( $spider_status == '-1' )
	{
		exit;
	}
	
	if( empty($_SESSION['spider_id']) ) {
		exit;
    }
    
	
    $No = $_GET['No'];
    $door = $_GET['door'];
    
    $result = array();
        
    $db   = new PDO('sqlite:'.ROOT_DIR.'/tmp/SpiderDB/Spider.db');
    if(!$db)
    {
        echo "error";
        exit;
    }

    if ($No < 1)
    {
        $DelTemp = $db->prepare("DELETE FROM CardRawData");
        $DelTemp->execute();
    
        exec(ROOT_DIR."/spider/sbin/spider-cgi getrawdata ".$door." on");
    }
    
    $rawdata = $db->prepare("SELECT BitValue FROM CardRawData WHERE DoorNo=?");
    $rawdata->execute(array($door));
    $rawdata = $rawdata->fetchColumn();
	//if( $No == '3' ) {
	//	$rawdata = 'RAW:26:012345678901234567890123456';
	//}

	$split_rawdata = explode(':', $rawdata);

	$arr_format = array();
	$formats = $db->prepare("SELECT * FROM CardFormat WHERE TotalBitLength = ?");
	$formats->execute( array($split_rawdata[1]) );
	$formats	= $formats->fetchAll(PDO::FETCH_ASSOC);
	foreach( $formats as $format )
	{
		$arr_format[] = $format['No'];
	}
    
	$result = array(
		'raw' => $rawdata,
		'card_format_default' => implode(':', $arr_format),
		'total_bit' => $split_rawdata[1],
		'data' => $split_rawdata[2]
	);

    if ($No >= 29)
    {
    	exec(ROOT_DIR."/spider/sicu/spider-cgi getrawdata ".$door." off");
    }
    
	echo json_encode($result);

