#!/bin/bash

echo -e "Init SpiderDB database..."

#---------------------------------------------------------------
# define
#---------------------------------------------------------------
SPIDER_DAEMON=/spider/daemon
TMP_DATABASE=/tmp/SpiderDB

#---------------------------------------------------------------
# db init
#---------------------------------------------------------------
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "UPDATE NetworkInfo SET IPAddress='192.168.0.250', Subnet='255.255.255.0', Gateway='192.168.0.1', DNS1='8.8.8.8', HTTPPort='80', HTTPS='0'"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM Card"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM CardAccessLevel"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DBQueryInfo"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM Door"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DoorAntiLog"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DoorContact"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DoorLock"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DoorRex"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DVR"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM DVRChannel"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM Elevator"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM ElevatorRelay" 
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM ElevatorUser"  
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM Host"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM Report"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM ReportCondition" 
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM ReportField"  
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM WebUser"   
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "DELETE FROM User"    

$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Network.db "UPDATE Network SET IPAddress='192.168.0.250', Subnet='255.255.255.0', Gateway='192.168.0.1', DNS1='8.8.8.8', HTTPPort='80', ServerIP='', ServerFTPPort='', Model='', Type='', LicenseKey=''"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Network.db "UPDATE License SET Result=1"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Network.db "DELETE FROM DoorAntiLog" 
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Network.db "DELETE FROM DoorAntiLog" 
 
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/SpiderLog.db "DELETE FROM Log"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/SpiderLog.db "DELETE FROM LogAck"

$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Spider.db "VACUUM"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/Network.db "VACUUM"
$SPIDER_DAEMON/sqlite/bin/sqlite3 $TMP_DATABASE/SpiderLog.db "VACUUM"
