<?php


include APP_DIR.'/libraries/CirciutType1.php';


class ainput extends controller
{

    // ----------------------------------------------------------------------------------

   public function index()
    {
        $vars['arr_floor']  = $this->to_array_floor();
        $this->display($vars);
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Site=? AND Disable='0'");
            }
            else{
                 $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 ");
                
            }
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            if( $this->is_SuperAdmin() == true )
            {
                $list = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable='0' ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           ORDER BY A.No DESC LIMIT ?, ?");
                
            }
            $list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Site=? AND Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND   A.$field LIKE ?");
                
            }
            $count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            if( $this->is_SuperAdmin() == true )
            {
                $list = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable='0' AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND   A.$field LIKE ? 
                                                           ORDER BY A.No DESC LIMIT ?, ?");
                
            }
            
            $list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $arr_floor  = $this->to_array_floor();

        foreach( $list as $key=>$val)
        {
            $val['Disable_str'] = ($val['Disable'] == "1" ? 'Off' : 'On');
            $val['AlarmStr']    = ($val['Alarm'] == "1" ? 'On' : 'Off');
            $val['TypeStr']     = CirciutType::$attrs[$val['Type']];
            $val['FloorStr']    = $arr_floor[$val['Floor']];
            $val['Client']      = $this->get_client($val['HostNo']);
            $list[$key] = $val;
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }
    
   public function find()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        
        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Site=? AND Disable='0'");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 ");
                
            }
            $count->execute(array($_SESSION['spider_site']));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable='0' ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable='0' 
                                                           ORDER BY A.No DESC");
                
            }
            
            $list->execute(array($_SESSION['spider_site']));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Site=? AND Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable=0 
                                                           AND   A.$field LIKE ?");
                
            }
            
            $count->execute(array($_SESSION['spider_site'], "%".$word."%"));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxInput WHERE Site=? AND Disable='0' AND $field LIKE ? ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Site=? 
                                                           AND   A.Disable='0' 
                                                           AND   A.$field LIKE ? 
                                                           ORDER BY A.No DESC");
                
            }
            
            $list->execute(array($_SESSION['spider_site'], "%".$word."%"));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }
    
   public function find2()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        
        if( empty($field) || empty($word) )
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Disable='0'");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0'");
                
            }
            
            $count->execute();
            $count  = $count->fetchColumn();

             if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxInput WHERE Disable='0' ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0' 
                                                           ORDER BY A.No DESC");
                
            }
            $list->execute();
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            if( $this->is_SuperAdmin() == true )
            {
                $count  = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput WHERE Disable='0' AND $field LIKE ?");
            }
            else{
                $count = $this->conn->prepare("SELECT COUNT(*) FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0'
                                                           AND   A.$field LIKE ?");
                
            }
            $count->execute(array("%".$word."%"));
            $count  = $count->fetchColumn();

            if( $this->is_SuperAdmin() == true )
            {
                $list   = $this->conn->prepare("SELECT * FROM AuxInput WHERE Disable='0' AND $field LIKE ? ORDER BY No DESC");
            }
            else{
                $list = $this->conn->prepare("SELECT A.* FROM AuxInput AS A 
                                                           JOIN Host B ON A.HostNo = B.No AND (B.ByAdminId =  '".$_SESSION['spider_id']."' OR B.ByAdminId = '' OR B.ByAdminId IS null)
                                                           WHERE A.Disable='0' 
                                                           AND   A.$field LIKE ? 
                                                           ORDER BY A.No DESC");
                
            }
            
            $list->execute(array("%".$word."%"));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------

   public function update()
    {
        $No             = $this->input->post('No');
        $Disable        = $this->input->post('Disable', '0');
        $Alarm          = $this->input->post('Alarm', '0');
        $Name           = strip_tags(trim($this->input->post('Name')));
        $Name           = str_replace("'", " ", $Name);
        $Mean           = strip_tags($this->input->post('Mean'));
        $Floor          = $this->input->post('Floor');
        $Type           = $this->input->post('Type');

        if($Type == '8')
        {
            $NormalLow          = $this->input->post('NormalLow');
            $NormalHigh         = $this->input->post('NormalHigh');
            $TroubleOpenLow     = $this->input->post('TroubleOpenLow');
            $TroubleOpenHigh    = $this->input->post('TroubleOpenHigh');
            $TroubleShortLow    = $this->input->post('TroubleShortLow');
            $TroubleShortHigh   = $this->input->post('TroubleShortHigh');
            $Alarm1Low          = $this->input->post('Alarm1Low');
            $Alarm1High         = $this->input->post('Alarm1High');
            $Alarm2Low          = $this->input->post('Alarm2Low');
            $Alarm2High         = $this->input->post('Alarm2High');
        }
        else
        {
            $NormalLow          = CirciutType::$sub_attrs[$Type]['nomal_low'];
            $NormalHigh         = CirciutType::$sub_attrs[$Type]['nomal_high'];
            $TroubleOpenLow     = CirciutType::$sub_attrs[$Type]['T_open_low'];
            $TroubleOpenHigh    = CirciutType::$sub_attrs[$Type]['T_open_high'];
            $TroubleShortLow    = CirciutType::$sub_attrs[$Type]['T_short_low'];
            $TroubleShortHigh   = CirciutType::$sub_attrs[$Type]['T_short_high'];
            $Alarm1Low          = CirciutType::$sub_attrs[$Type]['A_1_low'];
            $Alarm1High         = CirciutType::$sub_attrs[$Type]['A_1_high'];
            $Alarm2Low          = CirciutType::$sub_attrs[$Type]['A_2_low'];
            $Alarm2High         = CirciutType::$sub_attrs[$Type]['A_2_high'];
        }

        if( empty($Name) )      $this->util->alert( $this->lang->menu->error_name_required, TRUE );
        if( empty($Type) )      $this->util->alert( $this->lang->ainput->error_type_required, TRUE );

        $sth    = $this->conn->prepare("UPDATE AuxInput SET Disable=?,Alarm=?,Name=?,Mean=?,Floor=?,Type=?,NormalLow=?,NormalHigh=?,TroubleOpenLow=?,TroubleOpenHigh=?,TroubleShortLow=?,TroubleShortHigh=?,Alarm1Low=?,Alarm1High=?,Alarm2Low=?,Alarm2High=? WHERE No=?");
        $values = array($Disable,$Alarm,$Name,$Mean,$Floor,$Type,$NormalLow,$NormalHigh,$TroubleOpenLow,$TroubleOpenHigh,$TroubleShortLow,$TroubleShortHigh,$Alarm1Low,$Alarm1High,$Alarm2Low,$Alarm2High,$No);
        if( $sth->execute($values) )
        {
        	//exec(SPIDER_COMM." send db");
        	
			exec(SPIDER_COMM." adc auxinput $No");
            $this->log->set_log_message($Name);
            $this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function delete()
    {
    }

    // ----------------------------------------------------------------------------------

   public function disable()
    {
        $No             = $this->input->post('No');
        $Disable        = $this->input->post('Disable', '0');
        $Name           = $this->util->GetRecordName('AuxInput', $No);

        $sth    = $this->conn->prepare("UPDATE AuxInput SET Disable=? WHERE No=?");

        if( $sth->execute( array($Disable,$No) ) )
        {
            $this->log->set_log_message($Name);
            $this->util->alert($this->lang->common->success_update);
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }
    }

    // ----------------------------------------------------------------------------------

   public function to_array_floor()
    {
        $cfloor = $this->conn->prepare("SELECT * FROM Floor WHERE Site=?");
        $cfloor->execute(array($_SESSION['spider_site']));
        $cfloor = $cfloor->fetchAll(PDO::FETCH_ASSOC);

        $arr_floor  = array();
        foreach( $cfloor as $key=>$val)
        {
            $arr_floor[$val['No']]  = $val['Name'];
        }

        return $arr_floor;
    }

    // ----------------------------------------------------------------------------------

   public function get_client($HostNo)
    {
        $list   = $this->conn->prepare("SELECT Name FROM Controller WHERE No = ?");
        $list->execute(array($HostNo));
        $name   = $list->fetchColumn();

        return $name;
    }

    // ----------------------------------------------------------------------------------

}


?>