<?php 
class dexport extends controller
{

    // ----------------------------------------------------------------------------------

    public function index()
    {
	    $vars = array();
        $this->display($vars);
    }
	
	// 用户数据导出 数字超15位被截取修复 20190731
    public function export()
    {
		set_time_limit(0);

        $sel    = $this->input->post('sel');
        
        if( $sel == 'csv' )
        {
            exec(SPIDER_COMM." databack");

            $arr_threat         = $this->to_array_threat();

			$conn = $this->util->get_connect_backup_db();

            $list   = $conn->prepare("SELECT User.No, User.FirstName, User.MiddleName, User.LastName, User.Phone, User.PhoneExt, User.CellPhone, User.Email, User.ThreatLevel,
                                        Card.CardNo AS CardNo, Card.No AS CNo, IFNULL(CardFormat.Name, '') As FormatName, Card.SelectType,
                                        UserDefine1,UserDefine2,UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,UserDefine8,UserDefine9,UserDefine10,
                                        UserDefine11,UserDefine12,UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,UserDefine18,UserDefine19,UserDefine20,
                                        Card.ActDate, Card.ExpDate, Card.NeverExpire, Card.CardType, Card.CardStatus
                                        FROM User 
                                        LEFT OUTER JOIN Card ON User.No = Card.UserNo AND Card.Site=? 
                                        LEFT OUTER JOIN CardFormat ON Card.CardFormatNo = CardFormat.No
                                        WHERE User.Site=? ORDER BY User.No");


            $list->execute(array($_SESSION['spider_site'], $_SESSION['spider_site']));
            //$list   = $list->fetchAll(PDO::FETCH_ASSOC);

            $filename   = "export_" . date("YmdHis") .".csv";

            header("Content-Description: File Transfer");
            header("Content-Type: application/octet-stream");
            header("Content-type:text/csv;charset=GBK");
            header("Content-Disposition: attachment; filename=\"".$filename."\"");
            header("Content-Transfer-Encoding: Binary");
            header("Pragma: no-cache; public");
            header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
            header("Expires: 0");
            
            //echo chr(0xEF).chr(0xBB).chr(0xBF);			

            /* Bug Fix CJMOON 2018.02.27  "ID"를 "Id"로 수정 Excel File Open Error로 인함 */
			echo "Id,First Name,Middle Name,Last Name,Card Number,Card Format,Select Type,Access Level,Phone Number,Phone(ext),Cell Phone,E-mail,Threat Level,"
				."UserDefine1,UserDefine2,UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,UserDefine8,UserDefine9,UserDefine10,"
				."UserDefine11,UserDefine12,UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,UserDefine18,UserDefine19,UserDefine20,"
				."Activation Date,Expiration Date,Never Expired,Card Type,Card Status\n";
				
			while (ob_get_level() > 0) {
	            ob_end_flush();
	        }
			
			$LineNo = 1;
            //foreach( $list as $row )
			while($row = $list->fetch(PDO::FETCH_ASSOC))
            {
                    $data = $row['No'] . ',"' 
                    .str_replace('"', '""', $row['FirstName']) . '","' 
                    .str_replace('"', '""', $row['MiddleName']) . '","' 
                    .str_replace('"', '""', $row['LastName']) . '",'
                    .$row['CardNo'].',"'
                    .$row['FormatName'].'",'
                    .($row['SelectType'] == '2' ? 'G' : 'I').',"'
                    .($row['SelectType'] == '2' ? $this->get_groupaccess_str($row['CNo'], $conn) : $this->get_access_str($row['CNo'], $conn)) . '","'
                    .$row['Phone'].'","'
                    .$row['PhoneExt'].'","'
                    .$row['CellPhone'].'","'
                    .$row['Email'].'",'
                    .$arr_threat[$row['ThreatLevel']].',"';

                    $data .= $row['UserDefine1'].'","';
                    $data .= $row['UserDefine2'].'","';
                    $data .= $row['UserDefine3'].'","';
                    $data .= $row['UserDefine4'].'","';
                    $data .= $row['UserDefine5'].'","';
                    $data .= $row['UserDefine6'].'","';
                    $data .= $row['UserDefine7'].'","';
                    $data .= $row['UserDefine8'].'","';
                    $data .= $row['UserDefine9'].'","';
                    $data .= $row['UserDefine10'].'","';
                    $data .= $row['UserDefine11'].'","';
                    $data .= $row['UserDefine12'].'","';
                    $data .= $row['UserDefine13'].'","';
                    $data .= $row['UserDefine14'].'","';
                    $data .= $row['UserDefine15'].'","';
                    $data .= $row['UserDefine16'].'","';
                    $data .= $row['UserDefine17'].'","';
                    $data .= $row['UserDefine18'].'","';
                    $data .= $row['UserDefine19'].'","';
                    $data .= $row['UserDefine20'].'",';

                $data .= ($row['NeverExpire'] == 0 ? @date('Y-m-d', $row['ActDate']) : '') . "," 
                		.($row['NeverExpire'] == 0 ? @date('Y-m-d', $row['ExpDate']) : '') . "," 
                		. $row['NeverExpire'] . ",";

					$data .= $row['CardType'].','; // yhoh 20221007
					$data .= $row['CardStatus']."\n";

					$LineNo = $LineNo + 1;

				echo $data;
				//usleep(10);
				flush();
            }
            
            //echo $data;
        }
        else
        {
            exit;
        }
        $this->log->set_log(NULL, '_exec');
    }

    public function to_array_threat()
    {
        $list = $this->conn->prepare("SELECT * FROM ThreatLevel WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['Level']] = $val['ThreatName'];
        }
        return $arr;
    }

    public function get_A_level_str($No)
    {
        try
        {
            $arr    = array();
            $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE No IN (SELECT AccessLevelNo FROM CardAccessLevel WHERE CardNo = ?) AND Site=?");
            $list->execute(array($No, $_SESSION['spider_site']));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $val )
            {
                $arr[]  = $val['Name'];
            }

            return implode('|', $arr);
        }
        catch(Exception $e)
        {
         return '|';
        }
    }

    // ----------------------------------------------------------------------------------

    public function get_groupaccess_str($No, $conn)
    {
        try
        {
            $arr    = array();

            $list   = $conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
            $list->execute(array($_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $val )
            {
                $arr[]  = $val['AccessLevelNo'];
            }
            $arr_str    = implode(',', $arr);

            $arr    = array();
            $list   = $conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND GroupKind=? AND No IN ($arr_str)");
            $list->execute(array($_SESSION['spider_site'],ConstTable::GROUP_ACCESS_LEVEL));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $val )
            {
                $arr[]  = $val['Name'];
            }

            return implode('|', $arr);
        }
        catch(Exception $e)
        {
         return '|';
        }
    }

    // ----------------------------------------------------------------------------------
    public function get_access_str($No, $conn)
    {
        try
        {        
            $arr    = array();
            $list   = $conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
            $list->execute(array($_SESSION['spider_site'], $No));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $val )
            {
                $arr[]  = $val['AccessLevelNo'];
            }
            $arr_str    = implode(',', $arr);

            $arr    = array();
            $list   = $conn->prepare("SELECT * FROM AccessLevel WHERE Site=? AND No IN ($arr_str)");
            $list->execute(array($_SESSION['spider_site']));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $val )
            {
                $arr[]  = $val['Name'];
            }

            return implode('|', $arr);
        }
        catch(Exception $e)
        {
         return '|';
        }
    }
}