<?php 
function Console_log($data){
    echo "<script>console.log( 'PHP_Console: " . $data . "' );</script>";
}

class dimport extends controller
{
	var $arr_exists    = array('0'=>'Skip', '1'=>'Overwrite');

    // ----------------------------------------------------------------------------------
    public function index()
    {
	    $vars = array();
        $this->display($vars);
    }
    
    public function confirm_pw()
	{
		$this->util->js("show_loading(); $('#form_edit').submit();");
	}

	public function import()
    {
        set_time_limit(0);
        $Exists = $this->input->post('ExistData', '0');
		
        /* 기존의 CSV 타입은 현재는 1개 이므로 구분 없이 처리 한다. */
        /* CSV File의 Upload 및 파일 점검 */
        if( ! is_uploaded_file($_FILES['upload_file']['tmp_name']) ) {
             $this->util->alert($this->lang->dimport->error_upload_file);
             $this->util->redirect("/?c=dimport");
             return FALSE;
        }

        if( substr(strtolower($_FILES['upload_file']['name']), -4) != '.csv' ) {
                $this->util->alert($this->lang->addmsg->error_invalid_filetype);
                $this->util->redirect("/?c=dimport");
                return FALSE;
        }

        /* Data Exists 구분자에 따라 분기 */        
        if($Exists == 0) { 
			/* Skip */
			//코드 엉망이라 못쓴다 삭제 한다 
			//$this->import_skip();
			$this->csv_import(1);
        } else if($Exists == 1) { 
			/* Overwrite */
			//함수 내에 코드 엉망이라 못 쓴다 삭제 한다.
			//$this->import_OverwriteAndFlush();
			$this->csv_import(2);
        }else if($Exists == 2) { 
			/* Flush & Overwrite */
			//함수 내에 코드 엉망이라 못 쓴다 삭제 한다.
			//$this->import_OverwriteAndFlush();
			$this->csv_import(3);
        } else {
	        /* Select Type Error */
            $this->util->redirect("/?c=dimport");
        }
	}


	public function csv_import($import_type)
    {
		$SiteNo = $_SESSION['spider_site'];
        set_time_limit(0);

        $max_user    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2];
        $max_card    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
		
        $arr_threat         		= $this->to_array_threat();
        $arr_accesslevel    		= $this->to_array_accesslevel();
        $arr_accesslevel_group    	= $this->to_array_accesslevel_group();
		$arr_cardformat     		= $this->to_array_cardformat();
		
        $MaxCard = $this->conn->prepare("SELECT MAX(No) from Card WHERE Site=".$SiteNo);
        $MaxCard->execute();
        $MaxCard    = $MaxCard->fetchColumn();

        if (empty($MaxCard)) $MaxCard = 0;

        $MaxAccess = $this->conn->prepare("SELECT MAX(No) from CardAccessLevel WHERE Site=".$SiteNo);
        $MaxAccess->execute();
        $MaxAccess    = $MaxAccess->fetchColumn();
		
        if (empty($MaxAccess)) $MaxAccess = 0;

        $insert_count = 0;
        $update_count = 0;
        $skip_count = 0;

        $user_total    = $this->util->GetRecordCount('User');
        $card_total = $this->util->GetRecordCount('Card');

        $handle = @fopen($_FILES['upload_file']['tmp_name'], 'r');
		
		if($handle == false) 
		{
            $this->util->alert($this->lang->dimport->error_upload_file);
            $this->util->redirect("/?c=dimport");
            return FALSE;
        }

		$this->conn->exec("BEGIN TRANSACTION");

		$line = 1;
		$doc_ver = 0;
		$add_card_count =1;
		$error_check = FALSE;
		$inset_check = FALSE;

		if($import_type==3)//flush & overwrite
		{
			$sth_flush = $this->conn->prepare("DELETE FROM User");
			$sth_flush->executeSilent();
			
			$sth_flush = $this->conn->prepare("DELETE FROM Card");
			$sth_flush->executeSilent();
			
			$sth_flush = $this->conn->prepare("DELETE FROM CardAccessLevel");
			$sth_flush->executeSilent();

			$MaxCard = 0;
		}
	
		while(($row = fgetcsv($handle)) !== false)
		{
			if($error_check==TRUE )
			{
				$inset_check == TRUE;
				break;
			}

			$num = count($row);
			//echo "<p> $num fields in line $line: <br /></p>\n";			
			//빈줄 체크
			$check_null = FALSE;
			for($count_row=0;$count_row<$num;$count_row++)
			{
				// yhoh 20210310
				$row[$count_row] = trim($row[$count_row]);
				if($row[$count_row] != NULL)
				{
					$check_null = TRUE;
				}
			}

			if($check_null == FALSE)
			{
				$line++;
				continue;
			}
		
			if (count($row) > 0)			
			{				
				//row 갯수에 따라 doc 버전 구분
				if($line == 1)
				{
					if ($row[0] == "Id") 
					{
						if(count($row) > 33){ 
							$doc_ver = 3;
						} else if(count($row) > 13) { 
							$doc_ver = 2;
						} else { 
							$doc_ver = 1;
						}
					}
					else//첫째줄이 ID가 아니면 경고 후 종료
					{
						$error_check = TRUE;
						Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[1] \\nID is invalid, Please enter Id');
						break;
					}
				}
				else
				{
					$cardformat="";
					$accesslevel="";
					$check_value=TRUE;
					
					// " -> - 치환//쿼리 포맷 때문 export 에서 치환해야 한다.!!					
					//	str_replace(',', '-', $row[$z]);						

					//ID 확인
					if($row[0]==NULL || !is_numeric($row[0]))
					{
						$error_check = TRUE;
						Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[1] \\nID is invalid, Please enter a value');
						break;
					}
					
					if($row[3]==NULL)
					{
						$error_check = TRUE;
						Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[4] \\nLast Name is invalid, Please enter a value');
						break;
					}

					/*
					$check_id  = $this->util->GetRecordCount("User", " WHERE Site=".$_SESSION['spider_site']." AND No=".$row[0]);
					if($import_type == 1)//ID 중복되면 SKIP
					{
						if($check_id){
							$line++;
							continue;
						}
					}
					*/
					
					$check_id  = $this->util->GetRecordCount("User", " WHERE Site=".$_SESSION['spider_site']." AND No=".$row[0]);
					$check_card = -1; // 카드 2개 이상자 확인
					$check_overwrite = FALSE;
					
					// skip - id와 카드 중복되면 continue 된다
					// overwrite - id와 카드 중복되면 update를 한다.
					// flush&overwrite -> user/card/CardAccessLevel 테이블 삭제 후 overwrite 기능이 수행된다.

					if($check_id > 0)
					{
						if($row[4]!=NULL)
						{
							/*
							if($row[4]!=NULL && is_numeric($row[4].trim()) && $row[4]!='0')
							{
								//카드 넘버에 숫자가 아닌 값이 입력 됬음
								//카드 번호를 숫자로 입력하세요
								Util::alert('--'.$row[4].'--');
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[5] \\n1Enter your card number correctly');
								break;
							}
							*/

							if(preg_match("/[^0-9]/i",$row[4]))
							//if(is_numeric($row[4]))
							{
								//카드 넘버에 숫자가 아닌 값이 입력 됬음
								//카드 번호를 숫자로 입력하세요								
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[5] \\nEnter your card number correctly');
								break;
							}
				
							$check_card = $this->util->GetRecordCount("Card", " WHERE Site=".$_SESSION['spider_site']." AND UserNo=".$row[0]." AND CardNo=".$row[4]);

							if($check_card == 1)//1이면 중복 카드이다
							{
								if($import_type == 1)//SKIP 기능
								{
									//echo "<p> $line - skip 218: <br /></p>\n";
									$line++;
									continue;
								}
								else//오버라이트
								{//중복카드는 업데이트 문을 수행 한다.
									//echo "<p> $line - overwrite check(true) : <br /></p>\n";
									$check_overwrite= TRUE;
								}
							}
						}
						else//카드번호가 null이다
						{
							$line++;
							continue;
						}
					}
					// 4,5,6,7,12,35
					if($row[4]!=NULL || $row[5]!=NULL || $row[6]!=NULL || $row[7]!=NULL || $row[12]!=NULL || $row[35]!=NULL )
					{	
						if($row[4]!=NULL && is_numeric($row[4])) // yhoh 20201124
						//if(preg_match("/[^0-9]/i",$row[4]) && $row[4]!='0' )
						{
							if($row[5]==NULL){
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[6] \\nCard type entry is invalid, Please enter a value');
								break;
							}else{
								$cardformat = array_search($row[5],$arr_cardformat);
								if($cardformat==NULL){
									$error_check = TRUE;
									Util::alert('File format error\\nCSV File Row['.$line.'] : Column:6] \\nCard format input is invalid, Please register Card Format');
									break;
								}
							}

							if($row[6]==NULL){
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[7] \\nSelect type input is invalid, Please enter a value');
								break;
							}
														
							$select_type    = ($row[6] == 'G' ? 2 : 1);

							if($row[7]==NULL){
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[8] \\nAccess level input is invalid, Please enter a value');
								break;
							}else{
								if(strpos($row[7],'|')!==FALSE)
								{
									//echo "<p> strpos in : count($check_acc_arr) <br /></p>\n";
									$check_acc_arr = explode('|', $row[7]);									
									$check_acc_flag = FALSE;

									for( $a=0;$a<count($check_acc_arr);$a++ )
									{
										//echo "<p> strpos in : $check_acc_arr[$a] <br /></p>\n";
										if($select_type == 2){
											$check_acc_val = array_search(trim($check_acc_arr[$a]),$arr_accesslevel_group);
											if($check_acc_val==NULL){
												$check_acc_flag = TRUE;
											}
										}else{
											$check_acc_val = array_search(trim($check_acc_arr[$a]),$arr_accesslevel);
											if($check_acc_val==NULL){
												$check_acc_flag = TRUE;
											}
										}
									}

									if($check_acc_flag == TRUE)
									{
										$error_check = TRUE;
										Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[8] \\nAccess level input is invalid, Please register Access level');
										break;
									}
								}
								else
								{
									if($select_type == 2){
										$accesslevel = array_search($row[7],$arr_accesslevel_group);
										if($accesslevel==NULL){
											$error_check = TRUE;
											Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[8] \\nAccess level input is invalid, Please register Access level');
											break;
										}
									}else{
										$accesslevel = array_search($row[7],$arr_accesslevel);
										if($accesslevel==NULL){
											$error_check = TRUE;
											Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[8] \\nAccess level input is invalid, Please register Access level');
											break;
										}
									}
								}
							}
				
							if($row[12]==NULL){
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[13] \\nThreat Level input is invalid, Please enter a value');
								break;
							}else{
								$threatLevel = array_search($row[12],$arr_threat);
								if($threatLevel==NULL){									
									$error_check = TRUE;
									Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[13] \\nThreat level input is invalid, Please register Threat level');
									break;
								}
							}
							if( $doc_ver > 2 ) 
							{
								if($row[35]==NULL){
									if($row[33]==NULL && $row[34]==NULL)
									{
										$row[35] = 1;
									}else if($row[33]!=NULL && $row[34]!=NULL){
										$row[35] = 0;
									}else if($row[33]!=NULL && $row[34]==NULL){
										$error_check = TRUE;					
										Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[36] \\nNever Expired input is invalid, Please enter a value');
										break;	
									}else if($row[33]==NULL && $row[34]==NULL){
										$error_check = TRUE;					
										Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[36] \\nNever Expired input is invalid, Please enter a value');
										break;
									}else{
										$error_check = TRUE;					
										Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[36] \\nNever Expired input is invalid, Please enter a value');
										break;
									}
								}
							}
						}
						else//카드번호가 숫자가 아님(NULL 일수 있음)
						{
							if($row[4]==NULL){//카드번호가 NULL 인데 카드 포맷과 Access level이 입력되어있음
								if($row[5]!=NULL || $row[7]!=NULL){
									//카드번호를 입력해라
									$error_check = TRUE;
									Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[5] \\nPlease enter your card number');
									break;
								}
							}else{
								//카드 넘버에 숫자가 아닌 값이 입력 됬음
								//카드 번호를 숫자로 입력하세요
								$error_check = TRUE;
								Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[5] \\nEnter your card number correctly');
								break;
							}
						}
						
						if ($max_user <= $user_total) 
						{
							$error_check = TRUE;
							$this->util->alert($this->lang->addmsg->error_limit_over_user);
							break;
						}
						
						//사용자 카드가 2개 이상일때는 card CardAccessLevel 만 등록
						//////////////////////////////////////////////////////////////////////////////////////////////////
						//echo "<p> $line - two card value [$check_card]: <br /></p>\n";

						if($check_id == 0 && $check_card ==-1)
						{
							
							//echo "<p> $line - two card : <br /></p>\n";	
							if($doc_ver > 1) 
							{
								$sth_user = $this->conn->prepare("INSERT INTO User (Site, No, 
								FirstName,MiddleName,LastName,Phone,PhoneExt,
								CellPhone,Email,ThreatLevel,UserDefine1,UserDefine2,
								UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,
								UserDefine8,UserDefine9,UserDefine10,UserDefine11,UserDefine12,
								UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,
								UserDefine18,UserDefine19,UserDefine20) VALUES (".$SiteNo.",?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?)");
								$values = array(
									$row[0],$row[1],$row[2],$row[3],$row[8],
									$row[9],$row[10],$row[11],$threatLevel ,$row[13],
									$row[14],$row[15],$row[16],$row[17],$row[18],
									$row[19],$row[20],$row[21],$row[22],$row[23],
									$row[24],$row[25],$row[26],$row[27],$row[28],
									$row[29],$row[30],$row[31],$row[32]);
							} 
							else 
							{
								 $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?)");
								 $values = array($row[0],$row[1],$row[2],$row[3],$row[8],$row[9],$row[10],$row[11],$threatLevel);
							}
							//Util::alert($values.'///'.$line);
							//Console_log($values);
							$sth_user->executeSilent($values);//user 등록							
							$inset_check = TRUE;
						}
						/////////////////////////////////////////////////////////////////////////////////////////////////////////////
						//overwrite
						//echo "<p> $line - check id[$check_id] card[$check_card] import_type[$import_type] overwrite[$check_overwrite]: <br /></p>\n";
						if($check_id > 0 && $check_card > 0 && $import_type > 1 && $check_overwrite == TRUE)
						{
							//echo "<p> $line - user overwrite in : <br /></p>\n";
							if($doc_ver > 1) 
							{	
								
								$sth_user = $this->conn->prepare("UPDATE User SET FirstName=?,MiddleName=?,LastName=?,Phone=?,PhoneExt=?,
									CellPhone=?,Email=?,ThreatLevel=?,UserDefine1=?,UserDefine2=?,
									UserDefine3=?,UserDefine4=?,UserDefine5=?,UserDefine6=?,UserDefine7=?,
									UserDefine8=?,UserDefine9=?,UserDefine10=?,UserDefine11=?,UserDefine12=?,
									UserDefine13=?,UserDefine14=?,UserDefine15=?,UserDefine16=?,UserDefine17=?,
									UserDefine18=?,UserDefine19=?,UserDefine20=? WHERE Site=".$SiteNo." AND No=?");

								$values = array(
									$row[1],$row[2],$row[3],$row[8],$row[9],
									$row[10],$row[11],$threatLevel ,$row[13],$row[14],
									$row[15],$row[16],$row[17],$row[18],$row[19],
									$row[20],$row[21],$row[22],$row[23],$row[24],
									$row[25],$row[26],$row[27],$row[28],$row[29],
									$row[30],$row[31],$row[32],$row[0]);
							} 
							else 
							{
								 $sth_user = $this->conn->prepare("UPDATE User SET FirstName='?',MiddleName='?',LastName='?',Phone='?',PhoneExt='?',CellPhone='?',Email='?',ThreatLevel='?' WHERE Site=".$SiteNo." AND No='?'");
								 $values = array($row[1],$row[2],$row[3],$row[8],$row[9],$row[10],$row[11],$threatLevel,$row[0]);
							}
							
							$sth_user->executeSilent($values);
							$inset_check = TRUE;
						}
						////////////////////////////////////////////////////////////////////////////////////////////////
						
						//중복카드 overwrite 일때 카드등록을 안한다. 새로운 카드일때
						//card // CardAccessLevel 등록
						if($row[4]!=NULL && $row[5]!=NULL && !($check_id > 0 && $check_card > 0 && $import_type > 1 && $check_overwrite == TRUE))
						{
							//echo "<p> $line - card overwrite in : <br /></p>\n";
							if($row[4] == "0" && $row[5] == "Mobile Credential 36 bit") // yhoh 20201124
								$cardcount = 0;
							else
								$cardcount = $this->util->GetRecordCount("Card", " WHERE CardNo='".$row[4]."' AND CardFormatNo='".array_search($row[5],$arr_cardformat)."'");
							if($cardcount == 0) //Card가 존재하지 않을 경우
							{
								//등록가능 최대 카드갯수 초과여부 확인
								if ($max_card <= $card_total) 
								{
									//$this->conn->exec("ROLLBACK TRANSACTION");
									$this->util->alert($this->lang->addmsg->error_limit_over_card);
									//$this->util->js('history.back();');
									$error_check = TRUE;
									break;
								}

								$MaxCardNo = $MaxCard+$add_card_count;

								if( $doc_ver > 2 ) 
								{
									if($row[35] == 0) 
									{
										$actDate    = $this->to_timestamp($row[33]);
										$expDate    = $this->to_timestamp($row[34], 23, 59, 59);
									} 
									else
									{
										//Util::alert("nulkl");
										$actDate    = '';
										$expDate    = '';
									}
									$CardType = 0;
									if ($row[36] != NULL) $CardType = $row[36];
									$CardStatus = 0;
									if ($row[37] != NULL) $CardStatus = $row[37];

									$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,ActDate,ExpDate,KeyNumber,CardType,CardStatus) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?,?,?)");
									$values   = array($MaxCardNo,$row[4],$row[0],$cardformat,$select_type,$row[35],$actDate,$expDate,NULL,$CardType,$CardStatus);
								} 
								else 
								{
									$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,KeyNumber) VALUES (".$SiteNo.",?,?,?,?,?,?,?)");
									$values   = array($MaxCardNo,$row[4],$row[0],$cardformat,$select_type,'1',NULL);
								}
								
								if ($sth_card->execute($values)) 
								{
									//echo "<p> $line - 1 card no $row[4] : <br /></p>\n";
									$inset_check = TRUE;
									$card_total++;
									$accesslevel = explode('|', $row[7]);
									
									for( $a=0; !empty($accesslevel[$a]); $a++ )
									{
										if( $row[6] == 'G' ) 
										{
											$accno = array_search(trim($accesslevel[$a]),$arr_accesslevel_group);
										}
										else 
										{
											$accno = array_search(trim($accesslevel[$a]),$arr_accesslevel);
										}

										if (!empty($accno) && $accno != " ")
										{
											
											$sth_access = $this->conn->prepare("select No from card where site=".$SiteNo." AND UserNo=".$row[0]." AND CardNo=".$row[4]." AND CardFormatNo=".$cardformat);
											$sth_access->execute();											
											$card_no	= $sth_access->fetchColumn();

											$al_count = $this->conn->prepare("select MAX(No) from CardAccessLevel");
											$al_count->execute();											
											$al_count	= $al_count->fetchColumn();

											$accesscount  = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$_SESSION['spider_site']." AND CardNo=".$card_no." AND AccessLevelNo=".$accno);

											if ($accesscount == 0) 
											{
												
												//echo "<p> $line - MaxCardNo $MaxCardNo card_no $card_no accno $accno: <br /></p>\n";
												$MaxAccess=$MaxAccess+1;
												$sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (".$SiteNo.",?,?,?)");
												$values   = array($al_count+1,$card_no,$accno);
												//echo "<p> $line - MaxCardNo $MaxCardNo card_no $card_no accno $accno: <br /></p>\n";
												$sth_access->executeSilent($values);
											}
											else
											{
												$error_check = TRUE;
												Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[4] \\nDuplicate card number, Please enter a value');
												break;
											}
										}
									}
								}
								
								$add_card_count++;
							}
							else//카드 번호가 중복되었을 때
							{
								//중복카드 skip mode 일때는  skip 한다.
								//echo "<p> $line - SKIP LINE 521 : <br /></p>\n";
								if($import_type==1)
								{
									$line++;
									continue;
								}
								else
								{
									$error_check = TRUE;
									Util::alert('File format error\\nCSV File Row['.$line.'] : The card number is a duplicate. Please check the card number.');
									break;
								}
								//$this->conn->exec("ROLLBACK TRANSACTION");
								//$error_check = TRUE;
								//Util::alert('File format error\\nCSV File Column['.$line.'] : [Row:5] \\nThe card number is a duplicate. Please check the card number.');
								//$this->util->js('history.back();');
								//break;
							}
						}
						else
						{
							//Util::alert("a");
							//echo "<p> $line - card overwrite pass : <br /></p>\n";
							//UPDATE [테이블] SET [열] = '변경할값' WHERE [조건]
							if( $doc_ver > 2 )
							{
								if($row[35] == 0) 
								{
									$actDate    = $this->to_timestamp($row[33]);
									$expDate    = $this->to_timestamp($row[34], 23, 59, 59);
								} 
								else
								{
									$actDate    = ' ';
									$expDate    = ' ';
								}
								$CardType = 0;
								if ($row[36] != NULL) $CardType = $row[36];
								$CardStatus = 0;
								if ($row[37] != NULL) $CardStatus = $row[37];

								$sth_card = $this->conn->prepare("UPDATE Card Set CardFormatNo=?,SelectType=?,NeverExpire=?,ActDate=?,ExpDate=?,KeyNumber=?,CardType=?,CardStatus=? WHERE site=".$SiteNo." AND CardNo=? AND UserNo=?");
								$values   = array($cardformat,$select_type,$row[35],$actDate,$expDate,NULL,$CardType,$CardStatus,$row[4],$row[0]);
							} 
							else 
							{
								$sth_card = $this->conn->prepare("UPDATE Card Set UserNo=?,CardFormatNo=?,SelectType=?,NeverExpire=?,KeyNumber=? WHERE site=".$SiteNo." AND CardNo=?");
								$values   = array($row[0],$cardformat,$select_type,'1',NULL,$row[4]);
							}

							if ($sth_card->execute($values)) 
							{
										$sth_access2 = $this->conn->prepare("select No from card where site=".$SiteNo." AND CardNo=? AND CardFormatNo=?");
										$values3   = array($row[4],$cardformat);
										$sth_access2->execute($values3);
										$card_no2	= $sth_access2->fetchColumn();
										
										$sth_access3 = $this->conn->prepare("Delete FROM CardAccessLevel WHERE CardNo=?");
										$values3   = array($card_no2);
										$sth_access3->execute($values3);
								
										$inset_check = TRUE;
										$card_total++;
										$accesslevel = explode('|', $row[7]);

										for( $a=0; !empty($accesslevel[$a]); $a++ )
										{
											if( $row[6] == 'G' ) 
											{
												$accno = array_search(trim($accesslevel[$a]),$arr_accesslevel_group);
											}
											else 
											{
												$accno = array_search(trim($accesslevel[$a]),$arr_accesslevel);
											}
	
											if (!empty($accno) && $accno != " ")
											{
												
												$sth_access = $this->conn->prepare("select No from card where site=".$SiteNo." AND UserNo=".$row[0]." AND CardNo=".$row[4]." AND CardFormatNo=".$cardformat);
												$sth_access->execute();											
												$card_no	= $sth_access->fetchColumn();

												$al_count = $this->conn->prepare("select MAX(No) from CardAccessLevel");
												$al_count->execute();
												$al_count	= $al_count->fetchColumn();
												
												$accesscount  = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$_SESSION['spider_site']." AND CardNo=".$card_no." AND AccessLevelNo=".$accno);

												if ($accesscount == 0) 
												{
													
													//echo "<p> $line - MaxCardNo $al_count card_no $card_no accno $accno: <br /></p>\n";
													$MaxAccess=$MaxAccess+1;
													$sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (".$SiteNo.",?,?,?)");
													$values   = array($al_count+1,$card_no,$accno);
													$sth_access->executeSilent($values);
													//echo "<p> $line - MaxCardNo $MaxCardNo card_no $card_no accno $accno: <br /></p>\n";
												}
												else
												{
													$error_check = TRUE;
													Util::alert('File format error\\nCSV File Row['.$line.'] : Column:[4] \\nLast Name is invalid, Please enter a value');
													break;
												}

											}
										}
							}
							else
							{
								Util::alert("Insert Error");
							}
							$line++;
							continue;	
						}
					}
					else
					{
						//id와 이름만 등록
						if($doc_ver > 1) 
						{
							$sth_user = $this->conn->prepare("INSERT INTO User (Site, No, 
								FirstName,MiddleName,LastName,Phone,PhoneExt,
								CellPhone,Email,ThreatLevel,UserDefine1,UserDefine2,
								UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,
								UserDefine8,UserDefine9,UserDefine10,UserDefine11,UserDefine12,
								UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,
								UserDefine18,UserDefine19,UserDefine20) VALUES (".$SiteNo.",?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?,
								?,?,?,?,?)");
							$values = array(
								$row[0],$row[1],$row[2],$row[3],$row[8],
								$row[9],$row[10],$row[11],$threatLevel ,$row[13],
								$row[14],$row[15],$row[16],$row[17],$row[18],
								$row[19],$row[20],$row[21],$row[22],$row[23],
								$row[24],$row[25],$row[26],$row[27],$row[28],
								$row[29],$row[30],$row[31],$row[32]);
						} 
						else 
						{
							 $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?)");
							 $values = array($row[0],$row[1],$row[2],$row[3],$row[8],$row[9],$row[10],$row[11],$threatLevel);
						}
						$sth_user->executeSilent($values);//user 등록
						$inset_check = TRUE;
					}
				}
			}

			$line++;
		}//while

		$this->log->set_log(NULL, '_exec');
		@fclose($handle);
		
		if($error_check == TRUE)
		{
			//if($inset_check == TRUE)
			//{
				//echo "<p> error : $line ROLLBACK TRANSACTION: <br /></p>\n";
				$this->conn->exec("ROLLBACK TRANSACTION");
				//$this->util->alert($this->lang->addmsg->error_limit_over_card);
				//Util::alert("ROLLBACK TRANSACTION!");
				$this->util->js('history.back();');
			//}
			//else
			//{
			//	$this->conn->exec("COMMIT TRANSACTION");	
			//}
		}
		else
		{
			$this->conn->exec("COMMIT TRANSACTION");
			exec(SPIDER_COMM." send db");
			$this->util->alert($this->lang->addmsg->user_update_completed);
		}
		
		$this->util->redirect("/?c=dimport");

    }

	public function import_skip2()
    {
		$SiteNo = $_SESSION['spider_site'];
        set_time_limit(0);

        $max_user    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2];
        $max_card    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
		
        $arr_threat         		= $this->to_array_threat();
        $arr_accesslevel    		= $this->to_array_accesslevel();
        $arr_accesslevel_group    	= $this->to_array_accesslevel_group();
        $arr_cardformat     		= $this->to_array_cardformat();

        $MaxCard = $this->conn->prepare("SELECT MAX(No) from Card WHERE Site=".$SiteNo);
        $MaxCard->execute();
        $MaxCard    = $MaxCard->fetchColumn();

        if (empty($MaxCard)) $MaxCard = 0;

        $MaxAccess = $this->conn->prepare("SELECT MAX(No) from CardAccessLevel WHERE Site=".$SiteNo);
        $MaxAccess->execute();
        $MaxAccess    = $MaxAccess->fetchColumn();
		
        if (empty($MaxAccess)) $MaxAccess = 0;

        $insert_count = 0;
        $update_count = 0;
        $skip_count = 0;

        $user_total    = $this->util->GetRecordCount('User');
        $card_total = $this->util->GetRecordCount('Card');

        $handle = @fopen($_FILES['upload_file']['tmp_name'], 'r');
		
        if($handle == false) {
            $this->util->alert($this->lang->dimport->error_upload_file);
            $this->util->redirect("/?c=dimport");
            return FALSE;
        }

        $i = 1;
        $doc_ver    = 1;

        //Database Lock
        //$this->conn->exec("BEGIN TRANSACTION");
		
        //CSV File Reading
		while(($row = fgetcsv($handle)) !== false) 
		{
			if ($row[0] == "Id") {
                if(count($row) > 33){ 
	                $doc_ver = 3;
                } else if(count($row) > 13) { 
	                $doc_ver = 2;
                } else { 
	                $doc_ver = 1;
                } 
                continue;
           }

            if (empty($row) || empty($row[0]) || $row[0] == "") {
                $skip_count = $skip_count+1;
                continue;
            }
           
           //동일 사용자 존재 유무 확인
           $count  = $this->util->GetRecordCount("User", " WHERE Site=".$_SESSION['spider_site']." AND No=".$row[0]);
		   
           /* 기존 동일 사용자가 존재 한다면 무조건 Skip */
		   if($count) 
				continue;

		   /* Card 번호가 Number 유무 체크 */
           if(preg_match("/[^0-9]/i",$row[4])) {
               $this->conn->exec("ROLLBACK TRANSACTION");
               $this->util->alert($this->lang->addmsg->error_user_data_import_failed);
               $this->util->js('history.back();');
               exit;
           }

           $row[1]      = substr(str_replace('""', '"', $row[1]), 0, 20);
           $row[2]      = substr(str_replace('""', '"', $row[2]), 0, 20);
           $row[3]      = substr(str_replace('""', '"', $row[3]), 0, 20);
           $row[7]        = trim($row[7], '"');
		   
		   $threatLevel = array_search($row[12]/* ThreatLevel */, $arr_threat);
		   

           if($threatLevel === FALSE) $threatLevel = array_search('LOW', $arr_threat);

           $select_type    = ($row[6] == 'G' ? 2 : 1);

           /* 최대 사용자 초과 시 Rollback */
           if ($max_user <= $user_total) 
           {
                $this->conn->exec("ROLLBACK TRANSACTION");
                $this->util->alert($this->lang->addmsg->error_limit_over_user);
                $this->util->js('history.back();');
                exit;
           }

           /* 기존 사용자가 존재 하지 않으므로, 신규 추가 */
           if($doc_ver > 1) 
           {
               $sth_user = $this->conn->prepare("INSERT INTO User (Site, No, 
			   FirstName,MiddleName,LastName,Phone,PhoneExt,
			   CellPhone,Email,ThreatLevel,UserDefine1,UserDefine2,
			   UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,
			   UserDefine8,UserDefine9,UserDefine10,UserDefine11,UserDefine12,
			   UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,
			   UserDefine18,UserDefine19,UserDefine20) VALUES (".$SiteNo.",?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?)");
               $values = array(
				   $row[0],$row[1],$row[2],$row[3],$row[8],
				   $row[9],$row[10],$row[11],$threatLevel /* array_search($row[12],$arr_threat) */,$row[13],
				   $row[14],$row[15],$row[16],$row[17],$row[18],
				   $row[19],$row[20],$row[21],$row[22],$row[23],
				   $row[24],$row[25],$row[26],$row[27],$row[28],
				   $row[29],$row[30],$row[31],$row[32]);
           } 
           else 
           {
                $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?)");
                $values = array($row[0],$row[1],$row[2],$row[3],$row[8],$row[9],$row[10],$row[11],$threatLevel /*array_search($row[12],$arr_threat)*/);
		   }

		   //Console_log($values);
           if($sth_user->executeSilent($values))
           {
             	$user_total++;    

				do 
				{
					/* 신규 추가대상 카드 여부 */
					if (empty($row[4])) 
					{
						continue;
					}
				
					/* 등록대상 카드 진행 (카드가 2개 인것을 감한 해야 해야 한다.*/
					$cardcount  = $this->util->GetRecordCount("Card", " WHERE CardNo='".$row[4]."' AND CardFormatNo='".array_search($row[5],$arr_cardformat)."'");
				
					if($cardcount == 0) //Card가 존재하지 않을 경우
					{
						/* 등록가능 최대 카드갯수 초과여부 확인 */
						if ($max_card <= $card_total) 
						{
							$this->conn->exec("ROLLBACK TRANSACTION");
							$this->util->alert($this->lang->addmsg->error_limit_over_card);
							$this->util->js('history.back();');
							exit;
						}

						$CardNo = $MaxCard+$i;
						if( $doc_ver > 2 ) 
						{
							if($row[35] == 0) 
							{
								$actDate    = $this->to_timestamp($row[33]);
								$expDate    = $this->to_timestamp($row[34], 23, 59, 59);
							} 
							else
							{
								$actDate    = '';
								$expDate    = '';
							}
							$CardType = 0;
							if ($row[36] != NULL) $CardType = $row[36];
							$CardStatus = 0;
							if ($row[37] != NULL) $CardStatus = $row[37];

							$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,ActDate,ExpDate,KeyNumber,CardType,CardStatus) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?,?,?)");
							$values   = array($CardNo,$row[4],$row[0],array_search($row[5],$arr_cardformat),$select_type,$row[35],$actDate,$expDate,NULL,$CardType,$CardStatus);
						} 
						else 
						{
							$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,KeyNumber) VALUES (".$SiteNo.",?,?,?,?,?,?,?)");
							$values   = array($CardNo,$row[4],$row[0],array_search($row[5],$arr_cardformat),$select_type,'1',NULL);
						}

						Console_log($values);

						if ($sth_card->executeSilent($values)) 
						{
							$card_total++;

							$accesslevel = explode('|', $row[7]);
							for( $a=0; !empty($accesslevel[$a]); $a++ )    
							{
								if( $row[6] == 'G' ) $accno = array_search($accesslevel[$a],$arr_accesslevel_group);
								else $accno = array_search($accesslevel[$a],$arr_accesslevel);

								if (!empty($accno) && $accno != "") 
								{
									$accesscount  = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$_SESSION['spider_site']." AND CardNo=".$CardNo." AND AccessLevelNo=".$accno);

									if ($accesscount == 0) 
									{
										$MaxAccess=$MaxAccess+1;
										$sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (".$SiteNo.",?,?,?)");
										$values   = array($MaxAccess,$CardNo,$accno);
										$sth_access->executeSilent($values);
									}
								}
							}
						}



					} 
					else 
					{ /* 이미 등록된 카드가 존재 한다면? 
							신규 User Insert 이므로, 중복 카드가 존재 해서는 않된다. */
						$this->conn->exec("ROLLBACK TRANSACTION");
						$this->util->alert($this->lang->addmsg->error_exist_card_number);
						$this->util->js('history.back();');
						exit;
					}

					/** 다음 정보를 Read 후 같은 사용자의 Card라면 반복 등록 */
					$oldUserNo = $row[0];
					$oldRow = ftell($handle);
					
					if(($row = fgetcsv($handle)) == false)
					{
						break;
					}

					if($oldUserNo != $row[0]) 
					{
						fseek($handle, $oldRow);
						break;                    
					}
					$i++;  /* Card Counter */
				}while(true);


           } /* if end */    

        	$i++; /* Card Counter */

        } /* While End */

        $this->log->set_log(NULL, '_exec');
        @fclose($handle);
        //$this->conn->exec("COMMIT TRANSACTION");

        exec(SPIDER_COMM." send db");                
        $this->util->alert($this->lang->addmsg->user_update_completed);
        $this->util->redirect("/?c=dimport");
    }

	public function import_skip()
    {
		$SiteNo = $_SESSION['spider_site'];
        set_time_limit(0);

        $max_user    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2];
        $max_card    = EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
		
        $arr_threat         		= $this->to_array_threat();
        $arr_accesslevel    		= $this->to_array_accesslevel();
        $arr_accesslevel_group    	= $this->to_array_accesslevel_group();
        $arr_cardformat     		= $this->to_array_cardformat();

        $MaxCard = $this->conn->prepare("SELECT MAX(No) from Card WHERE Site=".$SiteNo);
        $MaxCard->execute();
        $MaxCard    = $MaxCard->fetchColumn();

        if (empty($MaxCard)) $MaxCard = 0;

        $MaxAccess = $this->conn->prepare("SELECT MAX(No) from CardAccessLevel WHERE Site=".$SiteNo);
        $MaxAccess->execute();
        $MaxAccess    = $MaxAccess->fetchColumn();
		
        if (empty($MaxAccess)) $MaxAccess = 0;

        $insert_count = 0;
        $update_count = 0;
        $skip_count = 0;

        $user_total    = $this->util->GetRecordCount('User');
        $card_total = $this->util->GetRecordCount('Card');

        $handle = @fopen($_FILES['upload_file']['tmp_name'], 'r');
		
        if($handle == false) {
            $this->util->alert($this->lang->dimport->error_upload_file);
            $this->util->redirect("/?c=dimport");
            return FALSE;
        }

        $i = 1;
        $doc_ver    = 1;

        //Database Lock
        //$this->conn->exec("BEGIN TRANSACTION");
		
        //CSV File Reading
		while(($row = fgetcsv($handle)) !== false) 
		{
			if ($row[0] == "Id") {
                if(count($row) > 33){ 
	                $doc_ver = 3;
                } else if(count($row) > 13) { 
	                $doc_ver = 2;
                } else { 
	                $doc_ver = 1;
                } 
                
                continue;
           }
           //if end

            if (empty($row) || empty($row[0]) || $row[0] == "") {
                $skip_count = $skip_count+1;
                continue;
            }
           
           //동일 사용자 존재 유무 확인
           $count  = $this->util->GetRecordCount("User", " WHERE Site=".$_SESSION['spider_site']." AND No=".$row[0]);
		   
           /* 기존 동일 사용자가 존재 한다면 무조건 Skip */
           if($count) continue;

           /* Card 번호가 Number 유무 체크 */
           if(preg_match("/[^0-9]/i",$row[4])) {
               $this->conn->exec("ROLLBACK TRANSACTION");
               $this->util->alert($this->lang->addmsg->error_user_data_import_failed);
               $this->util->js('history.back();');
               exit;
           }

           $row[1]      = substr(str_replace('""', '"', $row[1]), 0, 20);
           $row[2]      = substr(str_replace('""', '"', $row[2]), 0, 20);
           $row[3]      = substr(str_replace('""', '"', $row[3]), 0, 20);
           $row[7]        = trim($row[7], '"');
           $threatLevel = array_search($row[12]/* ThreatLevel */, $arr_threat);

           if($threatLevel === FALSE) $threatLevel = array_search('LOW', $arr_threat);

           $select_type    = ($row[6] == 'G' ? 2 : 1);

           /* 최대 사용자 초과 시 Rollback */
           if ($max_user <= $user_total) 
           {
                $this->conn->exec("ROLLBACK TRANSACTION");
                $this->util->alert($this->lang->addmsg->error_limit_over_user);
                $this->util->js('history.back();');
                exit;
           }

           /* 기존 사용자가 존재 하지 않으므로, 신규 추가 */
           if($doc_ver > 1) 
           {
               $sth_user = $this->conn->prepare("INSERT INTO User (Site, No, 
			   FirstName,MiddleName,LastName,Phone,PhoneExt,
			   CellPhone,Email,ThreatLevel,UserDefine1,UserDefine2,
			   UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,
			   UserDefine8,UserDefine9,UserDefine10,UserDefine11,UserDefine12,
			   UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,
			   UserDefine18,UserDefine19,UserDefine20) VALUES (".$SiteNo.",?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?,
			   ?,?,?,?,?)");
               $values = array(
				   $row[0],$row[1],$row[2],$row[3],$row[8],
				   $row[9],$row[10],$row[11],$threatLevel /* array_search($row[12],$arr_threat) */,$row[13],
				   $row[14],$row[15],$row[16],$row[17],$row[18],
				   $row[19],$row[20],$row[21],$row[22],$row[23],
				   $row[24],$row[25],$row[26],$row[27],$row[28],
				   $row[29],$row[30],$row[31],$row[32]);
           } 
           else 
           {
                $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?)");
                $values = array($row[0],$row[1],$row[2],$row[3],$row[8],$row[9],$row[10],$row[11],$threatLevel /*array_search($row[12],$arr_threat)*/);
		   }
		   

		   Console_log($values);
           if($sth_user->executeSilent($values))
           {
             	$user_total++;    

				do 
				{
					/* 신규 추가대상 카드 여부 */
					if (empty($row[4])) 
					{
						continue;
					}
				
					/* 등록대상 카드 진행 (카드가 2개 인것을 감한 해야 해야 한다.*/
					$cardcount  = $this->util->GetRecordCount("Card", " WHERE CardNo='".$row[4]."' AND CardFormatNo='".array_search($row[5],$arr_cardformat)."'");
				
					if($cardcount == 0) //Card가 존재하지 않을 경우
					{
						/* 등록가능 최대 카드갯수 초과여부 확인 */
						if ($max_card <= $card_total) 
						{
							$this->conn->exec("ROLLBACK TRANSACTION");
							$this->util->alert($this->lang->addmsg->error_limit_over_card);
							$this->util->js('history.back();');
							exit;
						}

						$CardNo = $MaxCard+$i;
						if( $doc_ver > 2 ) 
						{
							if($row[35] == 0) 
							{
								$actDate    = $this->to_timestamp($row[33]);
								$expDate    = $this->to_timestamp($row[34], 23, 59, 59);
							} 
							else
							{
								$actDate    = '';
								$expDate    = '';
							}
							$CardType = 0;
							if ($row[36] != NULL) $CardType = $row[36];
							$CardStatus = 0;
							if ($row[37] != NULL) $CardStatus = $row[37];

							$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,ActDate,ExpDate,KeyNumber,CardType,CardStatus) VALUES (".$SiteNo.",?,?,?,?,?,?,?,?,?,?,?)");
							$values   = array($CardNo,$row[4],$row[0],array_search($row[5],$arr_cardformat),$select_type,$row[35],$actDate,$expDate,NULL,$CardType,$CardStatus);
						} 
						else 
						{
							$sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,KeyNumber) VALUES (".$SiteNo.",?,?,?,?,?,?,?)");
							$values   = array($CardNo,$row[4],$row[0],array_search($row[5],$arr_cardformat),$select_type,'1',NULL);
						}

						Console_log($values);
						if ($sth_card->executeSilent($values)) 
						{
							$card_total++;
							$accesslevel = explode('|', $row[7]);
							for( $a=0; !empty($accesslevel[$a]); $a++ )    
							{
								if( $row[6] == 'G' ) $accno = array_search($accesslevel[$a],$arr_accesslevel_group);
								else $accno = array_search($accesslevel[$a],$arr_accesslevel);

								if (!empty($accno) && $accno != "") 
								{
									$accesscount  = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$_SESSION['spider_site']." AND CardNo=".$CardNo." AND AccessLevelNo=".$accno);

									if ($accesscount == 0) 
									{
										$MaxAccess=$MaxAccess+1;
										$sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (".$SiteNo.",?,?,?)");
										$values   = array($MaxAccess,$CardNo,$accno);
										$sth_access->executeSilent($values);
									}
								}
							}
						}
					} 
					else 
					{ /* 이미 등록된 카드가 존재 한다면? 
							신규 User Insert 이므로, 중복 카드가 존재 해서는 않된다. */
						$this->conn->exec("ROLLBACK TRANSACTION");
						$this->util->alert($this->lang->addmsg->error_exist_card_number);
						$this->util->js('history.back();');
						exit;
					}
					
					/** 다음 정보를 Read 후 같은 사용자의 Card라면 반복 등록 */
					$oldUserNo = $row[0];
					$oldRow = ftell($handle);
					
					if(($row = fgetcsv($handle)) == false)
					{
						break;
					}

					if($oldUserNo != $row[0]) 
					{
						fseek($handle, $oldRow);
						break;                    
					}
					$i++;  /* Card Counter */
				}while(true);
           } /* if end */    

        	$i++; /* Card Counter */

        } /* While End */

        $this->log->set_log(NULL, '_exec');
        @fclose($handle);
        //$this->conn->exec("COMMIT TRANSACTION");

        exec(SPIDER_COMM." send db");                
        $this->util->alert($this->lang->addmsg->user_update_completed);
        $this->util->redirect("/?c=dimport");
    }

	// 用户数据导入 多card只导入一个修复 20190731
    public function import_OverwriteAndFlush()
    {
	    set_time_limit(0);
	    
	    $sel    = $this->input->post('sel');
        $Exists = $this->input->post('ExistData', '0');
        
		$max_user	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][2];
		$max_card	= EnumTable::$attrModelSpec[$_SESSION['spider_model']][$_SESSION['spider_kind']][4];
        
        if( $sel == 'csv' )
        {
            $arr_threat         = $this->to_array_threat();
            $arr_accesslevel    = $this->to_array_accesslevel();
            $arr_accesslevel_group    = $this->to_array_accesslevel_group();
            $arr_cardformat     = $this->to_array_cardformat();

            if( ! is_uploaded_file($_FILES['upload_file']['tmp_name']) )
            {
                $this->util->alert($this->lang->dimport->error_upload_file);
                $this->util->redirect("/?c=dimport");
                return FALSE;
            }

            if( substr(strtolower($_FILES['upload_file']['name']), -4) != '.csv' )
            {
                $this->util->alert($this->lang->addmsg->error_invalid_filetype);
                $this->util->redirect("/?c=dimport");
                return FALSE;
            }

            $MaxCard = $this->conn->prepare("SELECT MAX(No) from Card WHERE Site=?");
            $MaxCard->execute(array($_SESSION['spider_site']));
            $MaxCard    = $MaxCard->fetchColumn();
            
            if (empty($MaxCard)) $MaxCard = 0;
            
            $MaxAccess = $this->conn->prepare("SELECT MAX(No) from CardAccessLevel WHERE Site=?");
            $MaxAccess->execute(array($_SESSION['spider_site']));
            $MaxAccess    = $MaxAccess->fetchColumn();
            
            if (empty($MaxAccess)) $MaxAccess = 0;
            	
            $insert_count = 0;
            $update_count = 0;
            $skip_count = 0;

			$user_total	= $this->util->GetRecordCount('User');
			$card_total = $this->util->GetRecordCount('Card');

			//$this->conn->exec("BEGIN TRANSACTION");
            
            if ($Exists == 2) {
                $sth_flush = $this->conn->prepare("DELETE FROM User");
                $sth_flush->executeSilent();
                
                $sth_flush = $this->conn->prepare("DELETE FROM Card");
                $sth_flush->executeSilent();
                
                $sth_flush = $this->conn->prepare("DELETE FROM CardAccessLevel");
                $sth_flush->executeSilent();
            }
            
			$handle = @fopen($_FILES['upload_file']['tmp_name'], 'r');
			
			if ($handle) {
				
				$doc_ver = 1;
				$data = array();
				
				while (($row = fgetcsv($handle)) !== false) 
				{
					
					if ($row[0] == "Id") {
						if (count($row) > 33) {
							$doc_ver	= 3;
						} else if(count($row) > 13) {
							$doc_ver	= 2;
						} else {
							$doc_ver	= 1;
						}
						continue;
					}
	                
	                if (empty($row) || empty($row[0]) || $row[0] == "") {
	                	$skip_count = $skip_count+1;
	                	continue;
	                }
	                
                    if (preg_match("/[^0-9]/i",$row[4])) {
                        $this->conn->exec("ROLLBACK TRANSACTION");
                        $this->util->alert($this->lang->addmsg->error_user_data_import_failed);
						$this->util->js('history.back();');
						exit;
                    }
                    
                    $row[1] = substr(str_replace('""', '"', $row[1]), 0, 20);
					$row[2] = substr(str_replace('""', '"', $row[2]), 0, 20);
					$row[3] = substr(str_replace('""', '"', $row[3]), 0, 20);
					$row[7] = trim($row[7], '"');
                    
                    $threatLevel = array_search($row[12]/* ThreatLevel */, $arr_threat);
                    if($threatLevel === FALSE) $threatLevel = array_search('LOW', $arr_threat);
                
					$select_type	= ($row[6] == 'G' ? 2 : 1);
                    
                    $data[$row[0]]['user']['Site'] = $_SESSION['spider_site'];
					$data[$row[0]]['user']['No'] = $row[0];
					$data[$row[0]]['user']['FirstName'] = $row[1];
					$data[$row[0]]['user']['MiddleName'] = $row[2];
					$data[$row[0]]['user']['LastName'] = $row[3];
					$data[$row[0]]['user']['Phone'] = $row[8];
					$data[$row[0]]['user']['PhoneExt'] = $row[9];
					$data[$row[0]]['user']['CellPhone'] = $row[10];
					$data[$row[0]]['user']['Email'] = $row[11];
					$data[$row[0]]['user']['ThreatLevel'] = $threatLevel;
					
		            if($doc_ver > 1){
			            $data[$row[0]]['user']['UserDefine1'] = $row[13];
						$data[$row[0]]['user']['UserDefine2'] = $row[14];
						$data[$row[0]]['user']['UserDefine3'] = $row[15];
						$data[$row[0]]['user']['UserDefine4'] = $row[16];
						$data[$row[0]]['user']['UserDefine5'] = $row[17];
						$data[$row[0]]['user']['UserDefine6'] = $row[18];
						$data[$row[0]]['user']['UserDefine7'] = $row[19];
						$data[$row[0]]['user']['UserDefine8'] = $row[20];
						$data[$row[0]]['user']['UserDefine9'] = $row[21];
						$data[$row[0]]['user']['UserDefine10'] = $row[22];
						$data[$row[0]]['user']['UserDefine11'] = $row[23];
						$data[$row[0]]['user']['UserDefine12'] = $row[24];
						$data[$row[0]]['user']['UserDefine13'] = $row[25];
						$data[$row[0]]['user']['UserDefine14'] = $row[26];
						$data[$row[0]]['user']['UserDefine15'] = $row[27];
						$data[$row[0]]['user']['UserDefine16'] = $row[28];
						$data[$row[0]]['user']['UserDefine17'] = $row[29];
						$data[$row[0]]['user']['UserDefine18'] = $row[30];
						$data[$row[0]]['user']['UserDefine19'] = $row[31];
						$data[$row[0]]['user']['UserDefine20'] = $row[32];
			        }
				    
					if(!empty($row[4])){
						$data[$row[0]]['card'][$row[4]]['Site']	= $_SESSION['spider_site'];
						$data[$row[0]]['card'][$row[4]]['CardNo'] = $row[4];
						$data[$row[0]]['card'][$row[4]]['UserNo'] = $row[0];
						$data[$row[0]]['card'][$row[4]]['CardFormatNo'] = array_search($row[5],$arr_cardformat);
						$data[$row[0]]['card'][$row[4]]['SelectType'] = $select_type;
						$data[$row[0]]['card'][$row[4]]['KeyNumber'] = NULL;
						
						if($doc_ver > 2){
							if($row[35] == 0){
								$actDate = strtotime($row[33]." 00:00:00");
								$expDate = strtotime($row[34]." 23:59:59");
							}else{
								$actDate	= '';
								$expDate	= '';
							}
										
							$data[$row[0]]['card'][$row[4]]['NeverExpire'] = $row[35];
							$data[$row[0]]['card'][$row[4]]['ActDate'] = $actDate;
							$data[$row[0]]['card'][$row[4]]['ExpDate'] = $expDate;
						}
						
						$data[$row[0]]['card'][$row[4]]['accesslevel'] = $row[7];
						$data[$row[0]]['card'][$row[4]]['CardType'] = $row[36];
						$data[$row[0]]['card'][$row[4]]['CardStatus'] = $row[37];
					}
					
					if(count($data[$row[0]]['card']) == 0){
						$data[$row[0]]['card'] = array();
					}
				}
				
				
				foreach ($data as $import) {
					
					$userData = $import['user'];
					
					$UserCount  = $this->util->GetRecordCount("User", " WHERE Site=".$userData['Site']." AND No=".$userData['No']);
					
					if ($UserCount == 0) {
						
						if ($max_user <= $user_total) {
							$this->conn->exec("ROLLBACK TRANSACTION");
							$this->util->alert($this->lang->addmsg->error_limit_over_user);
							$this->util->js('history.back();');
							exit;
						}
						
						if ($doc_ver > 1) {
							
			                $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel,UserDefine1,UserDefine2,UserDefine3,UserDefine4,UserDefine5,UserDefine6,UserDefine7,UserDefine8,UserDefine9,UserDefine10,UserDefine11,UserDefine12,UserDefine13,UserDefine14,UserDefine15,UserDefine16,UserDefine17,UserDefine18,UserDefine19,UserDefine20) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
			                
			                $values = array($userData['Site'],$userData['No'],$userData['FirstName'],$userData['MiddleName'],$userData['LastName'],$userData['Phone'],$userData['PhoneExt'],$userData['CellPhone'],$userData['Email'],$userData['ThreatLevel'],$userData['UserDefine1'],$userData['UserDefine2'],$userData['UserDefine3'],$userData['UserDefine4'],$userData['UserDefine5'],$userData['UserDefine6'],$userData['UserDefine7'],$userData['UserDefine8'],$userData['UserDefine9'],$userData['UserDefine10'],$userData['UserDefine11'],$userData['UserDefine12'],$userData['UserDefine13'],$userData['UserDefine14'],$userData['UserDefine15'],$userData['UserDefine16'],$userData['UserDefine17'],$userData['UserDefine18'],$userData['UserDefine19'],$userData['UserDefine20']);
			                       
						} else {
							
			                $sth_user = $this->conn->prepare("INSERT INTO User (Site,No,FirstName,MiddleName,LastName,Phone,PhoneExt,CellPhone,Email,ThreatLevel) VALUES (?,?,?,?,?,?,?,?,?,?)");
			                
			                $values = array($userData['Site'],$userData['No'],$userData['FirstName'],$userData['MiddleName'],$userData['LastName'],$userData['Phone'],$userData['PhoneExt'],$userData['CellPhone'],$userData['Email'],$userData['ThreatLevel']);
			                
						}
						
						if ( $sth_user->executeSilent($values) ) {
							
							$user_total++;
							
							if(count($import['card']) > 0){
								
								if ($Exists == 1) {
									// delete user card
									$sth_card = $this->conn->prepare("DELETE FROM Card WHERE Site=? AND UserNo=?");
	                                $values   = array($userData['Site'],$userData['No']);
	                                
	                                if (!$sth_card->executeSilent($values)) {
		                                $this->conn->exec("ROLLBACK TRANSACTION");
	                                    $this->util->alert($this->lang->addmsg->error_try_again);
	                                    $this->util->js('history.back();');
	                                    exit;
	                                }
								}
									
								
								foreach ($import['card'] as $card) {
									
									$cardcount = $this->util->GetRecordCount("Card", " WHERE CardNo='".$card['CardNo']."' AND CardFormatNo='".$card['CardFormatNo']."'");
									// add user card
									if ($cardcount == 0) {
										
										if ($max_card <= $card_total) {
											$this->conn->exec("ROLLBACK TRANSACTION");
											$this->util->alert($this->lang->addmsg->error_limit_over_card);
											$this->util->js('history.back();');
											exit;
										}
	
				                    	$cardDataNo = $MaxCard = $MaxCard+1;
				                    	
				                    	if ( $doc_ver > 2 ) {
											
											if ($row[35] == 0) {
												$actDate	= $this->to_timestamp($row[33]);
												$expDate	= $this->to_timestamp($row[34], 23, 59, 59);
											} else {
												$actDate	= '';
												$expDate	= '';
											}
											$CardType = 0;
											if ($row[36] != NULL) $CardType = $row[36];
											$CardStatus = 0;
											if ($row[37] != NULL) $CardStatus = $row[37];
													
					                        $sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,ActDate,ExpDate,KeyNumber,CardType,CardStatus) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)");
					                        $values   = array($card['Site'],$cardDataNo,$card['CardNo'],$card['UserNo'],$card['CardFormatNo'],$card['SelectType'],$card['NeverExpire'],$card['ActDate'],$card['ExpDate'],$card['KeyNumber'],$CardType,$CardStatus);
										} else {
					                        $sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,KeyNumber) VALUES (?,?,?,?,?,?,?,?)");
					                        $values   = array($card['Site'],$cardDataNo,$card['CardNo'],$card['UserNo'],$card['CardFormatNo'],$card['SelectType'],1,$card['KeyNumber']);
										}
										
										if ($sth_card->executeSilent($values)) {
											
											$card_total++;
											
											$accesslevelStr = explode('|', $card['accesslevel']);
											
											for ( $a=0; !empty($accesslevelStr[$a]); $a++ ) {
												
												if ( $card['SelectType'] == '2' ) {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel_group);
												} else {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel);
												}
					                        		
				                        		if (!empty($accno) && $accno != "") {
					                        		
						                        	$accesscount = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$card['Site']." AND CardNo=".$cardDataNo." AND AccessLevelNo=".$accno);
						                        	
							                    	if ($accesscount == 0) {
								                    	
								                    	$MaxAccess = $MaxAccess+1;
								                    	
								                        $sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (?,?,?,?)");
								                        $values = array($card['Site'],$MaxAccess,$cardDataNo,$accno);
								                        
								                        $sth_access->executeSilent($values);
								                    }
								                }
							                }
										}
										
									} else {
										$cardDataNo = $this->util->GetRecordNo("Card", " WHERE CardNo='".$card['CardNo']."' AND CardFormatNo='".$card['CardFormatNo']."'");
				                    	$UpdateCheck = TRUE;
				                    	
						            	if ($Exists == 1) {
						            		$sth_user = $this->conn->prepare("UPDATE Card SET UserNo=?, SelectType=? WHERE CardNo=? AND CardFormatNo=?");
							                $values = array($card['UserNo'],$card['SelectType'],$card['CardNo'],$card['CardFormatNo']);
							                
							                if ( !$sth_user->executeSilent($values) ) {
							                	$UpdateCheck = FALSE;
							                }
						            	}
										
										if ($UpdateCheck == TRUE) {
											
											$accesslevelStr = explode('|', $card['accesslevel']);
											
											for ( $a=0; !empty($accesslevelStr[$a]); $a++ ) {
												
												if ( $card['SelectType'] == '2' ) {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel_group);
												} else {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel);
												}
					                        		
				                        		if (!empty($accno) && $accno != "") {
					                        		
						                        	$accesscount = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$card['Site']." AND CardNo=".$cardDataNo." AND AccessLevelNo=".$accno);
						                        	
							                    	if ($accesscount == 0) {
								                    	
								                    	$MaxAccess = $MaxAccess+1;
								                    	
								                        $sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (?,?,?,?)");
								                        $values = array($card['Site'],$MaxAccess,$cardDataNo,$accno);
								                        
								                        $sth_access->executeSilent($values);
								                        
								                    } else {
									                    
									                    $AccessLevelNo = $this->util->GetRecordNo("CardAccessLevel", " WHERE CardNo='".$cardDataNo."' AND Site='".$card['Site']."'");
									                    
									                    $sth_access = $this->conn->prepare("UPDATE CardAccessLevel SET AccessLevelNo=? where No=?");
								                        $values = array($accno,$AccessLevelNo);
								                        
								                        $sth_access->executeSilent($values);
									                    
								                    }
								                    
								                }
							                }
											
										}
										
									}
									
								}
								
							}
							
							$insert_count = $insert_count+1;
							
						}						
						
					} else {
						
						$UpdateCheck = TRUE;
						
						if ($Exists == 1) {
							
							if ($doc_ver > 1) {
			            		
			            		$sth_user = $this->conn->prepare("UPDATE User SET FirstName=?,MiddleName=?,LastName=?,Phone=?,PhoneExt=?,CellPhone=?,Email=?,ThreatLevel=?,UserDefine1=?,UserDefine2=?,UserDefine3=?,UserDefine4=?,UserDefine5=?,UserDefine6=?,UserDefine7=?,UserDefine8=?,UserDefine9=?,UserDefine10=?,UserDefine11=?,UserDefine12=?,UserDefine13=?,UserDefine14=?,UserDefine15=?,UserDefine16=?,UserDefine17=?,UserDefine18=?,UserDefine19=?,UserDefine20=? WHERE Site=? AND No=?");
				                
				                $values = array($userData['FirstName'],$userData['MiddleName'],$userData['LastName'],$userData['Phone'],$userData['PhoneExt'],$userData['CellPhone'],$userData['Email'],$userData['ThreatLevel'],$userData['UserDefine1'],$userData['UserDefine2'],$userData['UserDefine3'],$userData['UserDefine4'],$userData['UserDefine5'],$userData['UserDefine6'],$userData['UserDefine7'],$userData['UserDefine8'],$userData['UserDefine9'],$userData['UserDefine10'],$userData['UserDefine11'],$userData['UserDefine12'],$userData['UserDefine13'],$userData['UserDefine14'],$userData['UserDefine15'],$userData['UserDefine16'],$userData['UserDefine17'],$userData['UserDefine18'],$userData['UserDefine19'],$userData['UserDefine20'],$userData['Site'],$userData['No']);
				                
							} else {
								
			            		$sth_user = $this->conn->prepare("UPDATE User SET FirstName=?,MiddleName=?,LastName=?,Phone=?,PhoneExt=?,CellPhone=?,Email=?,ThreatLevel=? WHERE Site=? AND No=?");
				                
				                $values = array($userData['FirstName'],$userData['MiddleName'],$userData['LastName'],$userData['Phone'],$userData['PhoneExt'],$userData['CellPhone'],$userData['Email'],$userData['ThreatLevel'],$userData['Site'],$userData['No']);
				                
							}

			                if ( !$sth_user->executeSilent($values) ) {
			                	$UpdateCheck = FALSE;
			                }
			                
			                if ( $UpdateCheck == TRUE && count($import['card']) > 0 ) {
				                
				                if ($Exists == 1) {
									// delete user card
									$sth_card = $this->conn->prepare("DELETE FROM Card WHERE Site=? AND UserNo=?");
	                                $values   = array($userData['Site'],$userData['No']);
	                                
	                                if (!$sth_card->executeSilent($values)) {
		                                $this->conn->exec("ROLLBACK TRANSACTION");
	                                    $this->util->alert($this->lang->addmsg->error_try_again);
	                                    $this->util->js('history.back();');
	                                    exit;
	                                }
								}
									
								foreach ($import['card'] as $card) {
									
									$cardcount = $this->util->GetRecordCount("Card", " WHERE CardNo='".$card['CardNo']."' AND CardFormatNo='".$card['CardFormatNo']."'");
									// add user card
									if ($cardcount == 0) {
										
										if ($max_card <= $card_total) {
											$this->conn->exec("ROLLBACK TRANSACTION");
											$this->util->alert($this->lang->addmsg->error_limit_over_card);
											$this->util->js('history.back();');
											exit;
										}
	
				                    	$cardDataNo = $MaxCard = $MaxCard+1;
				                    	
				                    	if ( $doc_ver > 2 ) {
											
											if ($row[35] == 0) {
												$actDate	= $this->to_timestamp($row[33]);
												$expDate	= $this->to_timestamp($row[34], 23, 59, 59);
											} else {
												$actDate	= '';
												$expDate	= '';
											}
											$CardType = 0;
											if ($row[36] != NULL) $CardType = $row[36];
											$CardStatus = 0;
											if ($row[37] != NULL) $CardStatus = $row[37];
													
					                        $sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,ActDate,ExpDate,KeyNumber,CardType,CardStatus) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)");
					                        $values   = array($card['Site'],$cardDataNo,$card['CardNo'],$card['UserNo'],$card['CardFormatNo'],$card['SelectType'],$card['NeverExpire'],$card['ActDate'],$card['ExpDate'],$card['KeyNumber'],$CardType,$CardStatus);
										} else {
					                        $sth_card = $this->conn->prepare("INSERT INTO Card (Site,No,CardNo,UserNo,CardFormatNo,SelectType,NeverExpire,KeyNumber) VALUES (?,?,?,?,?,?,?,?)");
					                        $values   = array($card['Site'],$cardDataNo,$card['CardNo'],$card['UserNo'],$card['CardFormatNo'],$card['SelectType'],1,$card['KeyNumber']);
										}
										
										if ($sth_card->executeSilent($values)) {
											
											$card_total++;
											
											$accesslevelStr = explode('|', $card['accesslevel']);
											
											for ( $a=0; !empty($accesslevelStr[$a]); $a++ ) {
												
												if ( $card['SelectType'] == '2' ) {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel_group);
												} else {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel);
												}
					                        		
				                        		if (!empty($accno) && $accno != "") {
					                        		
						                        	$accesscount = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$card['Site']." AND CardNo=".$cardDataNo." AND AccessLevelNo=".$accno);
						                        	
							                    	if ($accesscount == 0) {
								                    	
								                    	$MaxAccess = $MaxAccess+1;
								                    	
								                        $sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (?,?,?,?)");
								                        $values = array($card['Site'],$MaxAccess,$cardDataNo,$accno);
								                        
								                        $sth_access->executeSilent($values);
								                    }
								                }
							                }
											
										}
										
									} else {
										
										$cardDataNo = $this->util->GetRecordNo("Card", " WHERE CardNo='".$card['CardNo']."' AND CardFormatNo='".$card['CardFormatNo']."'");
			                		
				                    	$UpdateCheck = TRUE;
				                    	
						            	if ($Exists == 1) {
						            		$sth_user = $this->conn->prepare("UPDATE Card SET UserNo=?, SelectType=? WHERE CardNo=? AND CardFormatNo=?");
							                $values = array($card['UserNo'],$card['SelectType'],$card['CardNo'],$card['CardFormatNo']);
							                
							                if ( !$sth_user->executeSilent($values) ) {
							                	$UpdateCheck = FALSE;
							                }
						            	}
										
										if ($UpdateCheck == TRUE) {
											
											$accesslevelStr = explode('|', $card['accesslevel']);
											
											for ( $a=0; !empty($accesslevelStr[$a]); $a++ ) {
												
												if ( $card['SelectType'] == '2' ) {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel_group);
												} else {
													$accno = array_search($accesslevelStr[$a],$arr_accesslevel);
												}
					                        		
				                        		if (!empty($accno) && $accno != "") {
					                        		
						                        	$accesscount = $this->util->GetRecordCount("CardAccessLevel", " WHERE Site=".$card['Site']." AND CardNo=".$cardDataNo." AND AccessLevelNo=".$accno);
						                        	
							                    	if ($accesscount == 0) {
								                    	
								                    	$MaxAccess = $MaxAccess+1;
								                    	
								                        $sth_access = $this->conn->prepare("INSERT INTO CardAccessLevel (Site,No,CardNo,AccessLevelNo) VALUES (?,?,?,?)");
								                        $values = array($card['Site'],$MaxAccess,$cardDataNo,$accno);
								                        
								                        $sth_access->executeSilent($values);
								                        
								                    } else {
									                    
									                    $AccessLevelNo = $this->util->GetRecordNo("CardAccessLevel", " WHERE CardNo='".$cardDataNo."' AND Site='".$card['Site']."'");
									                    
									                    $sth_access = $this->conn->prepare("UPDATE CardAccessLevel SET AccessLevelNo=? where No=?");
								                        $values = array($accno,$AccessLevelNo);
								                        
								                        $sth_access->executeSilent($values);
									                    
								                    }
								                    
								                }
							                }
											
										}
										
									}
									
								}
				                
				                $update_count = $update_count+1;
			                }
			                
		            	}

					}

				}
				
	            $this->log->set_log(NULL, '_exec');
	            
				$this->util->alert($this->lang->addmsg->user_update_completed);
				
	        } else {
	        	$this->util->alert($this->lang->addmsg->not_data_import_file);
	        }

			@fclose($handle);
			//$this->conn->exec("COMMIT TRANSACTION");

			exec(SPIDER_COMM." send db");
        }

        $this->util->redirect("/?c=dimport");
	    
    }

    public function to_array_threat()
    {
        $list = $this->conn->prepare("SELECT * FROM ThreatLevel WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['Level']] = $val['ThreatName'];
        }
        return $arr;
    }
    
    public function to_array_accesslevel()
    {
        $list = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=?");
        $list->execute(array($_SESSION['spider_site']));
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']] = $val['Name'];
        }
        return $arr;
    }
    
    public function to_array_accesslevel_group()
    {
        $list = $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND GroupKind=?");
        $list->execute(array($_SESSION['spider_site'],ConstTable::GROUP_ACCESS_LEVEL));
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']] = $val['Name'];
        }
        return $arr;
    }
    
    public function to_array_cardformat()
    {
        $list = $this->conn->prepare("SELECT * FROM CardFormat");
        $list->execute();
        $list = $list->fetchAll(PDO::FETCH_ASSOC);

        $arr    = array();
        foreach( $list as $key=>$val)
        {
            $arr[$val['No']] = $val['Name'];
        }
        return $arr;
    }

    // ----------------------------------------------------------------------------------

    public function to_timestamp($date="", $hour=0, $min=0, $sec=0)
    {
        if ($date != "")
        {
        	$timeval = explode('-', trim($date));
        	
        	if (count($timeval) < 3)
        	{
        		return "";
        	}
        		
            $month  = $timeval[1];
            $day    = $timeval[2];
            $year   = $timeval[0];
            return mktime($hour, $min, $sec, $month, $day, $year);
        }
        return $date;
    }

}