<?php

class logapi extends controller
{
    var $arr_plug       = array('0'=>'Off', '1'=>'On');
    var $arr_type    = array('1'=>'HTTP', '2'=>'HTTPS');

   public function index()
    {        
	    $vars = array();
        $this->display($vars);
    }

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM LOGAPI");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT Enabled, EndPoint, Port, Type, Response, NextEnable, NextApiKey, NextLocation, HeartbeatEnable, HeartbeatEndpoint, HeartbeatInterval FROM LOGAPI");
            $list->execute();
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);

            foreach( $list as $key=>$val )
            {                
                $val['TypeStr']       = $this->arr_type[$val['Type']];
                $val['EnabledStr']    = $this->arr_plug[$val['Enabled']];
                $val['NextEnableStr']    = $this->arr_plug[$val['NextEnable']];
                $val['HeartbeatEnableStr']    = $this->arr_plug[$val['HeartbeatEnable']];
                $val['test']    = 1;
                $list[$key] = $val;
            }
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

   public function keygen() {

        $HashKey    = $this->input->post('HashKey', '');
        $authKey = hash_hmac("sha256", time(), $HashKey);
        echo json_encode(array("datagen"=>$authKey));
   }

   public function update()
    {
        $Enabled    = $this->input->post('Enabled', 0);
        $Port       = $this->input->post('Port', 0);        
        $EndPoint   = $this->input->post('EndPoint', '');
        $Type       = $this->input->post('ApiType', '');
        $Response   = $this->input->post('Response', '');
        $NextEnable   = $this->input->post('NextEnable', 0);
        $NextApiKey   = $this->input->post('NextApiKey', '');
        $NextLocation   = $this->input->post('NextLocation', '');
        $HeartbeatEnable   = $this->input->post('HeartbeatEnable', 0);
        $HeartbeatEndpoint   = $this->input->post('HeartbeatEndpoint', '');
        $HeartbeatInterval   = $this->input->post('HeartbeatInterval', 0);

		$sth = $this->conn->prepare("UPDATE LOGAPI SET Enabled=?, Port=?, EndPoint=?, Type=?, Response=?, NextEnable=?, NextApiKey=?, NextLocation=?, HeartbeatEnable=?, HeartbeatEndpoint=?, HeartbeatInterval=?");
        $values = array($Enabled,$Port,$EndPoint, $Type, $Response, $NextEnable, $NextApiKey, $NextLocation, $HeartbeatEnable, $HeartbeatEndpoint, $HeartbeatInterval);
        if( $sth->executeSilent($values))
        {
            exec(SPIDER_COMM." logapi");
            $this->util->alert( $this->lang->common->save_completed );
            $this->util->js("location.href='/?c=logapi';");
        }
        else
        {
            $this->util->alert($this->lang->common->error_update);
        }   
    }
    
}