<?php
class query_report extends controller
{
   public function index()
	{
		$vars['reader'] = json_encode($this->to_reader());
		$vars['dc'] = json_encode($this->to_dc());
		$vars['dl'] = json_encode($this->to_dl());
		$vars['rex'] = json_encode($this->to_rex());
		$vars['dc'] = json_encode($this->to_ai());
		$vars['ai'] = json_encode($this->to_dc());
		$vars['sys'] = json_encode($this->to_sys());
		$this->display($vars);
	}

   public function to_reader(){
		$list	= $this->conn->prepare("SELECT * FROM reader");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['reader_0']	= '-';
		return $re_list;
		
	}
   public function to_dc(){
		$list	= $this->conn->prepare("SELECT * FROM door_contact");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['dc_0']	= '-';
		return $re_list;
		
	}
   public function to_rex(){
		$list	= $this->conn->prepare("SELECT * FROM rex");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['rex_0']	= '-';
		return $re_list;
		
	}
   public function to_ai(){
		$list	= $this->conn->prepare("SELECT * FROM aux_input");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['ai_0']	= '-';
		return $re_list;
		
	}
   public function to_dl(){
		$list	= $this->conn->prepare("SELECT * FROM door_lock");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['dl_0']	= '-';
		return $re_list;
		
	}
   public function to_sys(){
		$list	= $this->conn->prepare("SELECT * FROM power_fault");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val;
		}
		
		$re_list['sys_0']	= '-';
		return $re_list;
		
	}
   public function to_sch(){
		$list	= $this->conn->prepare("SELECT no,name FROM Schedule");
		$list->execute();
		$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		
		foreach( $list as $key=>$val)
		{
			$re_list[$val['No']]	= $val['name'];
		}
		$re_list['sch_0']	= '-';
		$re_list['sch_']	= '-';
		
		return $re_list;
	}
   public function view(){
		$no	= $this->input->post('no');
		echo $no;
	}
	
   public function search(){
	
		$p	= $this->input->get('p');
		$type	= $this->input->get('type');
		for($i=0;$i<count($type);$i++){
			if(!$type_txt){
				$type_txt = $type[$i];
			}else{
				$type_txt = $type_txt.",".$type[$i];
			}
		}
		
		$access	= $this->input->get('access');
		if(count($access) == 1){
			if($access[0] == '400'){
				$acc = "and Status='400'";
			}else{
				$acc = "and Status not in ('400','')";
			}
		}else{
			$acc = "";
		}
		
		$date = $this->input->get('date');
		
		if($date == '1'){
			$t_time = time() - (60*60*24);
//			echo $t_time;
			$date_time = "date > ". $t_time  ;
		}else if($date == '2'){
			$t_time = time() - (60*60*24*7);
//			echo $t_time;
			$date_time = "date > ". $t_time  ;
		}else if($date == '3'){
			$t_time = time() - (60*60*24*7*4);
//			echo $t_time;
			$date_time = "date > ". $t_time  ;
		}else if($date == '4'){
			$st_day = $this->input->get('st_day');
			$ed_day = $this->input->get('ed_day');
			
//			echo $t_time;
			$date_time = "date between strftime('%s','".$st_day."') and strftime('%s','".$ed_day."')";
		}
		
		$list['time'] = $date_time;
		$start_page = ($p * 20) - 20;
		
		
		$count	= $this->conn_log->prepare("select count(*) from log where user_no > 0 and `Type` in (".$type_txt.") and ".$date_time." ".$acc);
		$count->execute();
		$list['row'] = $count->fetchColumn();
		
		$data	= $this->conn_log->prepare("select No,Type,`Where`,text,strftime('%Y-%m-%d %H:%M:%S',datetime(date,'unixepoch'))as dd from log where user_no > 0 and `Type` in (".$type_txt.") and ".$date_time." ".$acc." order by No desc limit ? , 20");
		$data->execute(array($start_page));
		$list['list']	= $data->fetchAll(PDO::FETCH_ASSOC);
		echo json_encode($list);
	}
}