<?php

include APP_DIR.'/libraries/CirciutType1.php';

class report extends controller
{
    var $FieldName1 = "Name";
    var $FieldName2 = "Mean";
    var $FieldName3 = "Floor";
    var $FieldName4 = "Port";
    
	// ----------------------------------------------------------------------------------

   public function index()
	{
	    $vars['attrFloor']      = $this->to_array_floor();
		$this->display($vars);
	}

	// ----------------------------------------------------------------------------------

   public function select_new()
	{
		$table	= $this->input->get('t');
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		switch($table)
		{
			case 'Door' :
			case 'Elevator' :
			case 'AuxInput' :
			case 'AuxOutput' : $this->select_table(); break;
			case 'User' : $this->select_user(); break;
			case 'Card' : $this->select_card(); break;
		}
	}

	// ----------------------------------------------------------------------------------

   public function select_table()
	{
		$table	= $this->input->get('t');
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		if($field == "Description")
			$field = "Mean";

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM `$table` WHERE Site=? AND Disable='0'");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM `$table` WHERE Site=? AND Disable='0' ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM `{$table}` WHERE Site=? AND Disable='0' AND {$field} LIKE ?");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM `{$table}` WHERE Site=? AND Disable='0' AND {$field} LIKE ? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		$attrFloor      = $this->to_array_floor();

		if( $table == 'AuxInput' )
		{
			foreach( $list as $key=>$val )
			{
	            $val['TypeStr']     = CirciutType::$attrs[$val['Type']];
    	        $val['FloorStr']    = $attrFloor[$val['Floor']];
    	        $val['Client']      = $this->get_client($val['HostNo']);
                $list[$key] = $val;
			}

			$columns		= array(
				array('OutputName'=>'No', 'FieldName'=>'No'),
				array('OutputName'=>$this->lang->ainput->Client, 'FieldName'=>'Client'),
				array('OutputName'=>$this->lang->addmsg->Port, 'FieldName'=>'Port'),
				array('OutputName'=>$this->lang->menu->Name, 'FieldName'=>'Name'),
				array('OutputName'=>$this->lang->ainput->Mean, 'FieldName'=>'Mean'),
				array('OutputName'=>$this->lang->ainput->Floor, 'FieldName'=>'FloorStr'),
				array('OutputName'=>$this->lang->ainput->Type, 'FieldName'=>'TypeStr')
			);
		}
		else if( $table == 'AuxOutput' )
		{
			foreach( $list as $key=>$val )
			{
	            $val['FloorStr']    = $attrFloor[$val['Floor']];
	            $val['StateStr']    = EnumTable::$attrState[$val['State']];
	            $val['ModeStr']     = EnumTable::$attrAuxOutMode[$val['Mode']];
	            $val['Client']      = $this->get_client($val['HostNo']);
                $list[$key] = $val;
			}

			$columns		= array(
				array('OutputName'=>'No', 'FieldName'=>'No'),
				array('OutputName'=>$this->lang->aoutput->Client, 'FieldName'=>'Client'),
				array('OutputName'=>$this->lang->aoutput->Port, 'FieldName'=>'Port'),
				array('OutputName'=>$this->lang->aoutput->Name, 'FieldName'=>'Name'),
				array('OutputName'=>$this->lang->aoutput->Mean, 'FieldName'=>'Mean'),
				array('OutputName'=>$this->lang->aoutput->Floor, 'FieldName'=>'FloorStr'),
				array('OutputName'=>$this->lang->aoutput->State, 'FieldName'=>'StateStr'),
				array('OutputName'=>$this->lang->aoutput->Mode, 'FieldName'=>'ModeStr'),
				array('OutputName'=>$this->lang->aoutput->OnTime, 'FieldName'=>'OnTime'),
				array('OutputName'=>$this->lang->aoutput->OffTime, 'FieldName'=>'OffTime'),
				array('OutputName'=>$this->lang->aoutput->Repeat, 'FieldName'=>'Repeat')
			);
		}
		else
		{
			foreach( $list as $key=>$val )
			{
				$val['FloorStr'] = $attrFloor[$val['Floor']];
				$list[$key] = $val;
			}

			$columns		= array(
				array('OutputName'=>'No', 'FieldName'=>'No'),
				array('OutputName'=>$this->lang->report->DoorField1, 'FieldName'=>'Name'),
				array('OutputName'=>$this->lang->report->DoorField2, 'FieldName'=>'Mean'),
				array('OutputName'=>$this->lang->report->DoorField3, 'FieldName'=>'FloorStr'),
				array('OutputName'=>$this->lang->report->DoorField4, 'FieldName'=>'Port')
			);
		}

		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;
		$result['columns']		= $columns;

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------

   public function select_card()
	{
		$table	= $this->input->get('t');
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		if($field == "Description")
			$field = "Mean";

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site WHERE A.Site=?");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? ORDER BY A.No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			if($field == "Name")
				$count	= $this->conn->prepare("SELECT COUNT(*) FROM Card AS A JOIN User AS B ON A.UserNo = B.No WHERE A.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ?");
			else
				$count	= $this->conn->prepare("SELECT COUNT(*) FROM Card AS A JOIN User AS B ON A.UserNo = B.No WHERE A.Site=? AND A.{$field} LIKE ?");
			$count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			if($field == "Name")
				$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ? ORDER BY A.No DESC LIMIT ?, ?");
			else
				$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND A.$field LIKE ? ORDER BY A.No DESC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		$today = date('Y-m-d');

		foreach( $list as $key=>$val )
		{
			$val['CardStatus'] = EnumTable::$attrCardStatus[$val['CardStatus']];
			if($val['NeverExpire'] == 0) {
				if($val['ActDate'] != '0' && $today < date('Y-m-d', $val['ActDate'])) {
					$val['CardStatus'] = $this->lang->card->inactive;
				}
				if($val['ExpDate'] != '0' && $today > date('Y-m-d', $val['ExpDate'])) {
					$val['CardStatus'] = $this->lang->card->expired;
				}
			}
			$list[$key] = $val;
		}

		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;
		$result['columns']		= array(
			array('OutputName'=>$this->lang->report->CardField1, 'FieldName'=>'CardNo'),
			array('OutputName'=>$this->lang->report->CardField5, 'FieldName'=>'CardFormat'),
			array('OutputName'=>$this->lang->report->CardField2, 'FieldName'=>'CardStatus'),
			array('OutputName'=>$this->lang->report->Card_Field1, 'FieldName'=>'No'),
			array('OutputName'=>$this->lang->report->CardField3, 'FieldName'=>'Name'),
			array('OutputName'=>$this->lang->report->CardField4, 'FieldName'=>'Phone')
		);

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------

   public function select_user()
	{
		$table	= $this->input->get('t');
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		if($field == "Description")
			$field = "Mean";

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM User WHERE Site=?");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			//$list	= $this->conn->prepare("SELECT A.UserNo, A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? ORDER BY B.LastName ASC LIMIT ?, ?");
			$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? ORDER BY B.LastName ASC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			if($field == "Name")
				$count	= $this->conn->prepare("SELECT COUNT(*) FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ?");
			else
				$count	= $this->conn->prepare("SELECT COUNT(*) FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.$field LIKE ?");
			$count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			if($field == "Name")
				$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ? ORDER BY B.LastName ASC LIMIT ?, ?");
			else
				$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.$field LIKE ? ORDER BY B.LastName ASC LIMIT ?, ?");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		foreach( $list as $key=>$val )
		{
			$val['CardStatus'] = EnumTable::$attrCardStatus[$val['CardStatus']];
			$val['ImageTag'] = empty($val['ImageFile']) ? '' : '<img src="/user_img/'.$val['ImageFile'].'" width="110" height="130">';
			//$val['ALevelStr'] = $this->get_alevel_str($val['No']);
            $val['ALevelStr']  = $val['SelectType'] == '2' ? $this->get_groupaccess_str($val['No']) : $this->get_access_str($val['No']);
			$list[$key] = $val;
		}

		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;
		$result['columns']		= array(
			array('OutputName'=>$this->lang->report->User_Field1, 'FieldName'=>'UserNo'),
			array('OutputName'=>$this->lang->report->UserField5, 'FieldName'=>'Name'),
			array('OutputName'=>$this->lang->report->UserField6, 'FieldName'=>'CardNo'),
			array('OutputName'=>$this->lang->report->UserField7, 'FieldName'=>'ALevelStr'),
			array('OutputName'=>$this->lang->report->UserField8, 'FieldName'=>'CardStatus'),
			array('OutputName'=>$this->lang->report->UserField9, 'FieldName'=>'ImageTag')
		);

		echo json_encode($result);
	}

    // ----------------------------------------------------------------------------------

   public function get_groupaccess_str($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['AccessLevelNo'];
        }
        $arr_str    = implode(',', $arr);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM GroupTable WHERE Site=? AND GroupKind=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site'],ConstTable::GROUP_ACCESS_LEVEL));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
    }

    // ----------------------------------------------------------------------------------

   public function get_access_str($No)
    {
        $arr    = array();

        $list   = $this->conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['AccessLevelNo'];
        }
        $arr_str    = implode(',', $arr);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
    }

	// ----------------------------------------------------------------------------------

   public function get_alevel_str($No)
	{
        $arr    = array();

        $list   = $this->conn->prepare("SELECT * FROM CardAccessLevel WHERE Site=? AND CardNo = ?");
        $list->execute(array($_SESSION['spider_site'], $No));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['AccessLevelNo'];
        }
        $arr_str    = implode(',', $arr);

        $arr    = array();
        $list   = $this->conn->prepare("SELECT * FROM AccessLevel WHERE Site=? AND No IN ($arr_str)");
        $list->execute(array($_SESSION['spider_site']));
        $list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $val )
        {
            $arr[]  = $val['Name'];
        }

        return implode(',', $arr);
	}

	// ----------------------------------------------------------------------------------

   public function select()
	{
		$table	= $this->input->get('t');
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');
		
		if ($field == "Description")
			$field = "Mean";
		
		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();
		
		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM `$table` WHERE Site=?");
			$count->execute(array($_SESSION['spider_site']));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);
			
			if ($table == "User")
            {
                $list	= $this->conn->prepare("SELECT *, FirstName || ' ' || MiddleName || ' ' || LastName AS Name FROM User WHERE Site=? ORDER BY No DESC LIMIT ?, ?");
            }
            elseif ($table == "Card")
            {
                $list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? ORDER BY A.No DESC LIMIT ?, ?");
                //$list	= $this->conn->prepare("SELECT A.No, A.CardNo, A.CardStatus, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site WHERE A.Site=? ORDER BY A.No DESC LIMIT ?, ?");
            }
            else            
            {
                $list	= $this->conn->prepare("SELECT * FROM `$table` WHERE Site=? ORDER BY No DESC LIMIT ?, ?");
            }
			
			$list->execute(array($_SESSION['spider_site'], $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
		    if ($table == "User")
            {
                if ($field == "Name")
                    $count	= $this->conn->prepare("SELECT COUNT(*) FROM User WHERE Site=? AND FirstName || ' ' || MiddleName || ' ' || LastName LIKE ?");
                else
                    $count	= $this->conn->prepare("SELECT COUNT(*) FROM User WHERE Site=? AND $field LIKE ?");
            }
            elseif ($table == "Card")
            {
                if ($field == "Name")
                    $count	= $this->conn->prepare("SELECT COUNT(*) FROM Card AS A JOIN User AS B ON A.UserNo = B.No WHERE A.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ?");
                else
                    $count	= $this->conn->prepare("SELECT COUNT(*) FROM Card WHERE Site=? AND $field LIKE ?");
            }
            else            
            {
                $count	= $this->conn->prepare("SELECT COUNT(*) FROM `$table` WHERE Site=? AND $field LIKE ?");
            }
            $count->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);
			
			if ($table == "User")
            {
                $list	= $this->conn->prepare("SELECT *, FirstName || ' ' || MiddleName || ' ' || LastName AS Name FROM User WHERE Site=? AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            }
            elseif ($table == "Card")
            {
                if ($field == "Name")
                    $list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND $field LIKE ? ORDER BY A.No DESC LIMIT ?, ?");
                else
                    $list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND A.$field LIKE ? ORDER BY A.No DESC LIMIT ?, ?");
            }
            else
            {
                $list	= $this->conn->prepare("SELECT * FROM `$table` WHERE Site=? AND $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            }
			
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		
		$attrFloor      = $this->to_array_floor();
		
		if ($table == "AuxInput")
		{
		    foreach( $list as $key=>$val )
            {
	            $val['TypeStr']     = CirciutType::$attrs[$val['Type']];
    	        $val['FloorStr']    = $attrFloor[$val['Floor']];
    	        $val['Client']      = $this->get_client($val['HostNo']);
    	        
	            $val['List1'] = $val['Client'];
                $val['List2'] = $val['Port'];
                $val['List3'] = $val['Name'];
                $val['List4'] = $val['Mean'];
                $val['List5'] = $val['FloorStr'];
                $val['List6'] = $val['TypeStr'];
                $list[$key] = $val;
            }
		}
		elseif ($table == "AuxOutput")
		{
		    foreach( $list as $key=>$val )
            {
	            $val['FloorStr']    = $attrFloor[$val['Floor']];
	            $val['StateStr']    = EnumTable::$attrState[$val['State']];
	            $val['ModeStr']     = EnumTable::$attrAuxOutMode[$val['Mode']];
	            $val['Client']      = $this->get_client($val['HostNo']);
            
                $val['List1'] = $val['Client'];
                $val['List2'] = $val['Port'];
                $val['List3'] = $val['Name'];
                $val['List4'] = $val['Mean'];
                $val['List5'] = $val['FloorStr'];
                $val['List6'] = $val['StateStr'];
                $val['List7'] = $val['ModeStr'];
                $val['List8'] = $val['OnTime'];
                $val['List9'] = $val['OffTime'];
                $val['List10'] = $val['Repeat'];
                $list[$key] = $val;
            }
		}
		elseif ($table == "User")
		{
		    foreach( $list as $key=>$val )
            {
                $val['List1'] = $val['Name'];
                $val['List2'] = $val['Phone'];
                $val['List3'] = $val['CellPhone'];
                $val['List4'] = $val['Email'];
                $list[$key] = $val;
            }
		}
		elseif ($table == "Card")
		{
		    foreach( $list as $key=>$val )
            {
                $val['List1'] = $val['CardNo'];
				$val['List2'] = $val['CardFormat'];
                $val['List3'] = EnumTable::$attrCardStatus[$val['CardStatus']];
                $val['List4'] = $val['Name'];
                $val['List5'] = $val['Phone'];
                $list[$key] = $val;
            }
		}
		else
		{
		    foreach( $list as $key=>$val )
            {
                $val['List1'] = $val['Name'];
                $val['List2'] = $val['Mean'];
                $val['List3'] = $attrFloor[$val['Floor']];
                $val['List4'] = $val['Port'];
                $list[$key] = $val;
            }
		}


		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------
   public function to_array_floor()
    {
        $cfloor = $this->conn->prepare("SELECT * FROM Floor WHERE Site=?");
        $cfloor->execute(array($_SESSION['spider_site']));
        $cfloor = $cfloor->fetchAll(PDO::FETCH_ASSOC);

        $arr_floor  = array();
        foreach( $cfloor as $key=>$val)
        {
            $arr_floor[$val['No']]  = $val['Name'];
        }

        return $arr_floor;
    }
    
   public function get_client($HostNo)
    {
        $list   = $this->conn->prepare("SELECT Name FROM Controller WHERE No = ?");
        $list->execute(array($HostNo));
        $name   = $list->fetchColumn();

        return $name;
    }

	// ----------------------------------------------------------------------------------

   public function download()
	{
		$table	= $this->input->post('table');
		$field	= $this->input->post('field');
		$word	= $this->input->post('word');

		switch($table)
		{
			case 'Door' :
			case 'Elevator' :
			case 'AuxInput' :
			case 'AuxOutput' : $this->download_table(); break;
			case 'User' : $this->download_user(); break;
			case 'Card' : $this->download_card(); break;
		}
	}

	// ----------------------------------------------------------------------------------

   public function download_table()
	{
		$table	= $this->input->post('table');
		$field	= $this->input->post('field');
		$word	= $this->input->post('word');

		if($field == "Description")
			$field = "Mean";

		if( empty($field) || empty($word) )
		{
			$list	= $this->conn->prepare("SELECT * FROM `$table` WHERE Site=? AND Disable='0' ORDER BY No DESC");
			$list->execute(array($_SESSION['spider_site']));
		}
		else
		{
			$list	= $this->conn->prepare("SELECT * FROM `{$table}` WHERE Site=? AND Disable='0' AND {$field} LIKE ? ORDER BY No DESC");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
		}

		$attrFloor      = $this->to_array_floor();

		if( $table == 'AuxInput' )
		{
			$filename   = "report_auxinput_" . date("YmdHis") .".csv";

			header("Content-Description: File Transfer");
			header("Content-Type: application/octet-stream");
			header("Content-Disposition: attachment; filename=\"".$filename."\"");
			header("Content-Transfer-Encoding: Binary");
			header("Pragma: no-cache; public");
			header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			header("Expires: 0");

			echo "{$this->lang->ainput->Client},{$this->lang->addmsg->Port},{$this->lang->menu->Name},{$this->lang->ainput->Mean},{$this->lang->ainput->Floor},{$this->lang->ainput->Type}\n";

			while( $row = $list->fetch(PDO::FETCH_ASSOC) )
			{
	            $row['TypeStr']     = CirciutType::$attrs[$row['Type']];
    	        $row['FloorStr']    = $attrFloor[$row['Floor']];
    	        $row['Client']      = $this->get_client($row['HostNo']);

				echo '"'. $row['Client'] . '"'
					.',"'. $row['Port'] . '"'
					.',"'. $row['Name'] . '"'
					.',"'. $row['Mean'] . '"'
					.',"'. $row['FloorStr'] . '"'
					.',"'. $row['TypeStr'] . '"'
					."\n";
			}
		}
		else if( $table == 'AuxOutput' )
		{
			$filename   = "report_auxoutput_" . date("YmdHis") .".csv";

			header("Content-Description: File Transfer");
			header("Content-Type: application/octet-stream");
			header("Content-Disposition: attachment; filename=\"".$filename."\"");
			header("Content-Transfer-Encoding: Binary");
			header("Pragma: no-cache; public");
			header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			header("Expires: 0");

			echo "{$this->lang->ainput->Client},{$this->lang->aoutput->Port},{$this->lang->aoutput->Name},{$this->lang->aoutput->Mean},{$this->lang->aoutput->Floor},{$this->lang->aoutput->State},{$this->lang->aoutput->Mode},{$this->lang->aoutput->OnTime},{$this->lang->aoutput->OffTime},{$this->lang->aoutput->Repeat}\n";

			while( $row = $list->fetch(PDO::FETCH_ASSOC) )
			{
	            $row['FloorStr']    = $attrFloor[$row['Floor']];
	            $row['StateStr']    = EnumTable::$attrState[$row['State']];
	            $row['ModeStr']     = EnumTable::$attrAuxOutMode[$row['Mode']];
	            $row['Client']      = $this->get_client($row['HostNo']);

				echo '"'. $row['Client'] . '"'
					.',"'. $row['Port'] . '"'
					.',"'. $row['Name'] . '"'
					.',"'. $row['Mean'] . '"'
					.',"'. $row['FloorStr'] . '"'
					.',"'. $row['StateStr'] . '"'
					.',"'. $row['ModeStr'] . '"'
					.',"'. $row['OnTime'] . '"'
					.',"'. $row['OffTime'] . '"'
					.',"'. $row['Repeat'] . '"'
					."\n";
			}
		}
		else
		{
			$filename   = "report_" . strtolower($table) . "_" . date("YmdHis") .".csv";

			header("Content-Description: File Transfer");
			header("Content-Type: application/octet-stream");
			header("Content-Disposition: attachment; filename=\"".$filename."\"");
			header("Content-Transfer-Encoding: Binary");
			header("Pragma: no-cache; public");
			header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
			header("Expires: 0");

			echo "{$this->lang->report->DoorField1},{$this->lang->report->DoorField2},{$this->lang->report->DoorField3},{$this->lang->report->DoorField4}\n";

			while( $row = $list->fetch(PDO::FETCH_ASSOC) )
			{
				$row['FloorStr'] = $attrFloor[$row['Floor']];

				echo '"'. $row['Name'] . '"'
					.',"'. $row['Mean'] . '"'
					.',"'. $row['FloorStr'] . '"'
					.',"'. $row['Port'] . '"'
					."\n";
			}
		}
	}

	// ----------------------------------------------------------------------------------

   public function download_card()
	{
		$table	= $this->input->post('table');
		$field	= $this->input->post('field');
		$word	= $this->input->post('word');

		if($field == "Description")
			$field = "Mean";

		if( empty($field) || empty($word) )
		{
			$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? ORDER BY A.No DESC");
			$list->execute(array($_SESSION['spider_site']));
		}
		else
		{
			if($field == "Name")
				$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ? ORDER BY A.No DESC");
			else
				$list	= $this->conn->prepare("SELECT A.CardNo, C.Name AS CardFormat, A.CardStatus, A.No, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.Email, A.ActDate, A.ExpDate, A.NeverExpire FROM Card AS A JOIN User AS B ON A.UserNo=B.No AND A.Site=B.Site LEFT OUTER JOIN CardFormat AS C ON C.No=A.CardFormatNo WHERE A.Site=? AND A.$field LIKE ? ORDER BY A.No DESC");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
		}

		$today = date('Y-m-d');

		$filename   = "report_card_" . date("YmdHis") .".csv";

		header("Content-Description: File Transfer");
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=\"".$filename."\"");
		header("Content-Transfer-Encoding: Binary");
		header("Pragma: no-cache; public");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		header("Expires: 0");

		echo "{$this->lang->report->CardField1},{$this->lang->report->CardField5},{$this->lang->report->CardField2},{$this->lang->report->Card_Field1},{$this->lang->report->CardField3},{$this->lang->report->CardField4}\n";

		while( $row = $list->fetch(PDO::FETCH_ASSOC) )
		{
			$row['CardStatus'] = EnumTable::$attrCardStatus[$row['CardStatus']];
			if($row['NeverExpire'] == 0) {
				if($row['ActDate'] != '0' && $today < date('Y-m-d', $row['ActDate'])) {
					$row['CardStatus'] = $this->lang->card->inactive;
				}
				if($row['ExpDate'] != '0' && $today > date('Y-m-d', $row['ExpDate'])) {
					$row['CardStatus'] = $this->lang->card->expired;
				}
			}

			echo '"'. $row['CardNo'] . '"'
				.',"'. $row['CardFormat'] . '"'
				.',"'. $row['CardStatus'] . '"'
				.',"'. $row['No'] . '"'
				.',"'. $row['Name'] . '"'
				.',"'. $row['Phone'] . '"'
				."\n";
		}
	}

	// ----------------------------------------------------------------------------------

   public function download_user()
	{
		$table	= $this->input->post('table');
		$field	= $this->input->post('field');
		$word	= $this->input->post('word');

		if($field == "Description")
			$field = "Mean";

		if( empty($field) || empty($word) )
		{
			$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? ORDER BY B.LastName ASC");
			$list->execute(array($_SESSION['spider_site']));
		}
		else
		{
			if($field == "Name")
				$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName LIKE ? ORDER BY B.LastName ASC");
			else
				$list	= $this->conn->prepare("SELECT B.No AS UserNo, A.CardNo, A.CardStatus, A.No, A.SelectType, B.FirstName || ' ' || B.MiddleName || ' ' || B.LastName AS Name, B.Phone, B.CellPhone, B.ImageFile FROM User AS B LEFT OUTER JOIN Card AS A ON A.UserNo=B.No AND A.Site=B.Site WHERE B.Site=? AND B.$field LIKE ? ORDER BY B.LastName ASC");
			$list->execute(array($_SESSION['spider_site'], $this->util->parse_search_string($word)));
		}

		$filename   = "report_user_" . date("YmdHis") .".csv";

		header("Content-Description: File Transfer");
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=\"".$filename."\"");
		header("Content-Transfer-Encoding: Binary");
		header("Pragma: no-cache; public");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		header("Expires: 0");

		echo "{$this->lang->report->User_Field1},{$this->lang->report->UserField5},{$this->lang->report->UserField6},{$this->lang->report->UserField7},{$this->lang->report->UserField8}\n";

		while( $row = $list->fetch(PDO::FETCH_ASSOC) )
		{
			$row['CardStatus'] = EnumTable::$attrCardStatus[$row['CardStatus']];
            $row['ALevelStr']  = $row['SelectType'] == '2' ? $this->get_groupaccess_str($row['No']) : $this->get_access_str($row['No']);

			echo '"'. $row['UserNo'] . '"'
				.',"'. $row['Name'] . '"'
				.',"'. $row['CardNo'] . '"'
				.',"'. $row['ALevelStr'] . '"'
				.',"'. $row['CardStatus'] . '"'
				."\n";
		}
	}

    // ----------------------------------------------------------------------------------

}


?>