<?php


include APP_DIR.'/libraries/Uploader.php';


class restore extends controller
{

    // ----------------------------------------------------------------------------------

   public function index()
    {
	    $vars = array();
        $this->display($vars);
    }

    // ----------------------------------------------------------------------------------

   public function confirm_pw()
	{
		$confirm_pw    = $this->input->post('confirm_pw');
		
		// 用户加密 20190731
		if( $_SESSION['spider_type'] == 'spider' )
		{
			$ctrl   = $this->conn->query("SELECT * FROM Controller WHERE ID = ? AND Password = ? AND No = 1");
			//$ctrl->execute(array($_SESSION['spider_id'], $confirm_pw));
			$ctrl->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false)));

			if( !($ctrl = $ctrl->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch, TRUE);
			}
		}
		else
		{
			$webuser    = $this->conn->query("SELECT * FROM WebUser WHERE ID = ? AND Password = ? AND Site = ?");
			//$webuser->execute(array($_SESSION['spider_id'], $confirm_pw, $_SESSION['spider_site']));
			$webuser->execute(array($_SESSION['spider_id'], hash('sha256', $confirm_pw, false), $_SESSION['spider_site']));

			if( !($webuser = $webuser->fetch(PDO::FETCH_ASSOC)) )
			{
				$this->util->alert($this->lang->user->error_login_pw_mismatch, TRUE);
			}
		}

		$this->util->js("show_loading(); $('#form_edit').submit();");
	}

    // ----------------------------------------------------------------------------------

   	public function _exec()
    {   
		//$file = $this->receive();    

        set_time_limit(0);
        
        $sel    = $this->input->post('sel');

		$rt  = "0";
		$msg = $this->lang->common->success_complete_restore;
		
        if( $sel == 'pc' )
        {
            $file = $this->receive();
            if( $file === FALSE )
            {
                $this->util->alert($this->lang->common->fail_complete_restore_pc_file);
                $this->util->redirect("/?c=restore");
                exit;
            }
            $rt = exec(SPIDER_COMM." restore pc '$file'");
            
            if ($rt == "-2")
            	$msg = $this->lang->common->fail_complete_restore_pc_file;
            else if ($rt != "0")
            	$msg = $this->lang->common->fail_complete_restore_pc;
        }
        else if( $sel == 'sd' )
        {
			$file_name    = $this->input->post('file_name');

            $rt = exec(SPIDER_COMM." restore sd {$file_name}");
            
            if ($rt == "-2")
            	$msg = $this->lang->common->fail_complete_restore_sd_file;
            else if ($rt != "0")
            	$msg = $this->lang->common->fail_complete_restore_sd;            	
        }
        else if( $sel == 'ftp' )
        {
			$file_name    = $this->input->post('file_name');

            $rt = exec(SPIDER_COMM." restore ftp");
            
            if ($rt == "-1")
            	$msg = $this->lang->common->fail_ftp_disable;
            else if ($rt != "0")
            	$msg = $this->lang->common->fail_complete_restore_ftp;
		}

	    $this->util->alert($msg);

		@unlink(TMPDATA_URL.'/'.$file);

		if ($rt == "0")
		{
			$this->log->set_log();
			exec(SPIDER_COMM." reboot");
	        $this->util->redirect("/?c=user&m=logout");
		}
		else
		{
			$this->log->set_log('restore', '_execfail');
			$this->util->redirect("/?c=restore");
			exit;
		}
    }

   // ----------------------------------------------------------------------------------
   public function receive()
    {
        if( ! is_uploaded_file($_FILES['upload_file']['tmp_name']) )    return FALSE;

        $uploader                   = new Uploader();
        $uploader->upload_dir       = TMPDATA_URL;
        //$uploader->allowed_types    = 'tar|TAR|gz';
        $uploader->allowed_types    = 'enc';
		$uploader->file_name		= 'restore';

		//Util::alert($_FILES['upload_file']);
        //if( $uploader->do_upload('upload_file', 40960000) )
        if( $uploader->do_upload('upload_file', (1000 * 1024 * 15)) )
        {
            return $uploader->save_file['basename'];
        }
        else
        {
			$this->util->alert( $uploader->get_errors() );
        	$this->util->alert($this->lang->addmsg->error_backup_file);
            return FALSE;
        }
    }

   // ----------------------------------------------------------------------------------
   public function file_list()
    {
		$files = array();
		$output = array();

		exec(SPIDER_COMM." sd_list 0", $output);

		foreach( $output as $line )
		{
			$line = trim($line);
			$name_split = explode('.', $line);

			if( $name_split[(count($name_split) - 1)] == 'enc' ) {
				$files[] = $line;
			}
		}

		echo json_encode($files);
    }

    // ----------------------------------------------------------------------------------
}
