<?php


class rmr extends controller
{

    var $arr_plug       = array('0'=>'Off', '1'=>'On');

    // ----------------------------------------------------------------------------------

   public function index()
    {
        $this->display();
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

		$count  = $this->conn->prepare("SELECT COUNT(*) FROM Rmr");
		$count->execute();
		$count  = $count->fetchColumn();

		$page_config['current_page']    = $page;
		$page_config['total_row']       = $count;
		$pagination->init($page_config);

		$list   = $this->conn->prepare("SELECT * FROM Rmr ORDER BY No DESC LIMIT ?, ?");
		$list->execute(array($pagination->offset, $pagination->row_size));
		$list   = $list->fetchAll(PDO::FETCH_ASSOC);

        foreach( $list as $key=>$val )
        {
            $val['Disable']     = 0;
            $val['DisableStr']  = $this->arr_plug[$val['Disable']];
            $list[$key] = $val;
        }

        $result['field']        = $field;
        $result['word']         = $word;
        $result['page']         = $page;
        $result['view']         = $view;
        $result['pages']        = $pagination->get_pages();
        $result['count']        = $count;
        $result['list']         = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------
    
   public function update()
    {
        $No			= $this->input->post('No');
        $Disable	= $this->input->post('Disable');
        $ServerIP	= $this->input->post('ServerIP', 'rmc.linearcorp.net');
        //$COMPort	= $this->input->post('COMPort', '2000');
        //$TULPort	= $this->input->post('TULPort');
        
		if( $Disable == '1' )
		{
			$sth    = $this->conn->prepare("UPDATE Rmr SET Disable=?,ServerIP=? WHERE No=?");
			$values = array($Disable,$ServerIP,$No);
			$sth    = $this->conn->prepare("UPDATE Rmr SET Disable=?,ServerIP=? WHERE No=?");
			$values = array($Disable,$ServerIP,$No);

			//exec(SPIDER_COMM.' ddns start');
		}
		else
		{
			$Disable = 0;
			$sth    = $this->conn->prepare("UPDATE Rmr SET Disable=? WHERE No=?");
			$values = array($Disable,$No);

			//exec(SPIDER_COMM.' ddns stop');
		}

		if( $sth->execute($values) )
		{
			$this->log->set_log(NULL, 'update');
			$this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
			$this->util->redirect('/?c=rmr');
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
    }

    // ----------------------------------------------------------------------------------
    
   public function send_message()
    {
        $message	= $this->input->post('message');
		$message	= addslashes($message);
		exec(SPIDER_COMM.' ddns message "' . $message .'"');

		$this->util->alert($this->lang->rmr->send);
    }

    // ----------------------------------------------------------------------------------
    
   public function on_emergency()
    {
        $message	= $this->input->post('message');
		$message	= addslashes($message);
		exec(SPIDER_COMM.' ddns er');

		$this->util->alert($this->lang->rmr->send);
    }

    // ----------------------------------------------------------------------------------
}
?>