<?
$condition_fields	= $this->get_condition_fields();
$report_fields	= $this->get_report_fields();

$condition_types	= array
(
	'1'	=> $lang->menu->condition_value_between,
//	'2'	=> $lang->menu->condition_date_between,
//	'3'	=> $lang->menu->condition_time_between,
	'4'	=> $lang->menu->condition_date,
	'10'	=> $lang->menu->condition_date_option,
	'9'	=> $lang->menu->condition_date_between_option,
	'5'	=> $lang->menu->condition_has,
	'6'	=> $lang->menu->condition_has_option,
	'7'	=> $lang->menu->condition_eq,
	'8'	=> $lang->menu->condition_eq_option,
	'11'	=> $lang->menu->condition_not_eq,
	'12'	=> $lang->menu->condition_not_eq_option
);
?>

<script type="text/javascript">
$(function() {
	$.getJSON("/?c=smartreport_set&m=select_condition&No=<?=$row['No']?>", function(items) {
		$.each(items, function(i, item) {
			var add_data = {
				'field':		item.FieldName,
				'fieldname':	$("select[name=create_condition_field]").find("option[value='"+item.FieldName+"']").text(),
				'type':			item.ConditionType,
				'typename':		$("select[name=create_condition_type]").find("option[value='"+item.ConditionType+"']").text(),
				'value':		item.ConstValue
			};
			add_condition(add_data);
		});
	});

	$.getJSON("/?c=smartreport_set&m=select_field&No=<?=$row['No']?>", function(items) {
		$.each(items, function(i, item) {
			var add_data = {
				'field':		item.FieldName,
				'fieldname':	$("select[name=create_field_field]").find("option[value='"+item.FieldName+"']").text(),
				'name':			item.OutputName,
				'size':			item.Size
			};
			add_field(add_data);
		});
	});

	$("#form_edit input[name='StartDate']").DatePicker({
		format			: "m-d-Y",
		date			: "<?=date("m-d-Y")?>",
		current			: "<?=date("m-d-Y")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("#form_edit input[name='StartDate']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("m-d-Y")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates) {
            var element	= $("#form_edit input[name='StartDate']");
            if(element.val() != formated){
                $("#form_edit input[name='StartDate']").val(formated);
                $("#form_edit input[name='StartDate']").DatePickerHide();
                change_condition_value();
            }
		}
	});

	$("#form_edit input[name='EndDate']").DatePicker({
		format			: "m-d-Y",
		date			: "<?=date("m-d-Y")?>",
		current			: "<?=date("m-d-Y")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("#form_edit input[name='EndDate']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("m-d-Y")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates) {
            var element	= $("#form_edit input[name='EndDate']");
            if(element.val() != formated){
                $("#form_edit input[name='EndDate']").val(formated);
                $("#form_edit input[name='EndDate']").DatePickerHide();
                change_condition_value();
            }
		}
	});

	$("#form_edit input[name='Date']").DatePicker({
		format			: "m-d-Y",
		date			: "<?=date("m-d-Y")?>",
		current			: "<?=date("m-d-Y")?>",
		starts			: 0,
		position		: "bottom",
		onBeforeShow	: function() {
			var element	= $("#form_edit input[name='Date']");
			if( element.val() == "" )
				element.DatePickerSetDate("<?=date("m-d-Y")?>", true);
			else
				element.DatePickerSetDate(element.val(), true);
		},
		onChange		: function(formated, dates) {
            var element	= $("#form_edit input[name='Date']");
            if(element.val() != formated){
                $("#form_edit input[name='Date']").val(formated);
                $("#form_edit input[name='Date']").DatePickerHide();
                change_condition_value();
            }
		}
	});

	change_condition_field();
	change_condition_type();
});
</script>

<form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=update" target="frame_exe">
<input type="hidden" name="No" value="<?=$row['No']?>">
    <h2>:: <?=$lang->menu->smartreport_set?></h2>
    <div class="box01">

        <h3><?=$lang->menu->basic?></h3>
        <table class="tbl_view">
        <tr>
            <th width="80"><?=$lang->smartreport_set->name?> *</th>
            <td><?=$this->from->input('Name', $row['Name'])?></td>
        </tr>
        <tr>
            <th><?=$lang->smartreport_set->condition?> *</th>
            <td>
				<?=$this->from->select('create_condition_field', '', $condition_fields, array('onchange'=>'change_condition_field()'))?>
				<?=$this->from->select('create_condition_type', '', $condition_types, array('onchange'=>'change_condition_type()'))?>
				<?=$this->from->input('create_condition_value', '')?>
				<span id="condition_value_between">
					<?=$this->from->input('StartValue', '', array('style'=>'width:80px;', 'onchange'=>'change_condition_value()'))?> ~ <?=$this->from->input('EndValue', '', array('style'=>'width:80px;', 'onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_date_between">
					<?=$this->from->input('StartDate', '', array('class'=>'date', 'style'=>'width:80px;', 'readonly'=>'readonly'))?> ~ <?=$this->from->input('EndDate', '', array('class'=>'date', 'style'=>'width:80px;', 'readonly'=>'readonly'))?>
				</span>
				<span id="condition_time_between">
					<?=$this->from->input('StartHour', '', array('style'=>'width:20px;', 'onchange'=>'change_condition_value()'))?>:<?=$this->from->input('StartMin', '', array('style'=>'width:20px;', 'onchange'=>'change_condition_value()'))?> ~ <?=$this->from->input('EndHour', '', array('style'=>'width:20px;', 'onchange'=>'change_condition_value()'))?>:<?=$this->from->input('EndMin', '', array('style'=>'width:20px;', 'onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_date">
					<?=$this->from->input('Date', '', array('class'=>'date', 'style'=>'width:80px;', 'readonly'=>'readonly'))?>
				</span>
				<span id="condition_eventcode">
					<?=$this->from->select('EventCode', '', $eventcodes, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_logtype">
					<?=$this->from->select('LogType', '', $logtypes, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_reader">
					<?=$this->from->select('Reader', '', $readers, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_doorcontact">
					<?=$this->from->select('DoorContact', '', $doorcontacts, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_doorrex">
					<?=$this->from->select('DoorRex', '', $doorrexs, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_doorlock">
					<?=$this->from->select('DoorLock', '', $doorlocks, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_auxinput">
					<?=$this->from->select('AuxInput', '', $auxinputs, array('onchange'=>'change_condition_value()'))?>
				</span>
				<span id="condition_auxoutput">
					<?=$this->from->select('AuxOutput', '', $auxoutputs, array('onchange'=>'change_condition_value()'))?>
				</span>
				<button type="button" class="add_condition" onclick="add_condition()"><?=$lang->button->add?></button>
				<button type="button" class="ok_condition hide" onclick="ok_condition()"><?=$lang->button->ok?></button>
				<button type="button" class="cancel_condition hide" onclick="cancel_condition()"><?=$lang->button->cancel?></button>
				<div class="space" style="height:5px"></div>
				<table class="tbl_list">
				<tr>
					<th><?=$lang->smartreport_set->fieldname?></th>
					<th><?=$lang->smartreport_set->conditiontype?></th>
					<th><?=$lang->smartreport_set->constvalue?></th>
					<th width="160"></th>
				</tr>
				<tbody id="condition_list_body">
				</tbody>
				</table>
			</td>
        </tr>
        <tr>
            <th><?=$lang->smartreport_set->field?> *</th>
            <td>
				<?=$this->from->select('create_field_field', '', $report_fields)?>
				<?=$this->from->input('create_field_name', '')?>
				<?=$this->from->input('create_field_size', '')?>
				<button type="button" class="add_field" onclick="add_field()"><?=$lang->button->add?></button>
				<button type="button" class="ok_field hide" onclick="ok_field()"><?=$lang->button->ok?></button>
				<button type="button" class="cancel_field hide" onclick="cancel_field()"><?=$lang->button->cancel?></button>
				<div class="space" style="height:5px"></div>
				<table class="tbl_list">
				<tr>
					<th><?=$lang->smartreport_set->fieldname?></th>
					<th><?=$lang->smartreport_set->fieldoutputname?></th>
					<th><?=$lang->smartreport_set->fieldsize?></th>
					<th width="160"></th>
				</tr>
				<tbody id="field_list_body">
				</tbody>
				</table>
			</td>
        </tr>
        </table>

        <div class="button_set">
            <button type="button" onclick="$('#form_edit').submit()"><?=$lang->button->save?></button>&nbsp;&nbsp;
            <button type="button" onclick="$('#edit_section').hide()"><?=$lang->button->cancel?></button>
        </div>
    </div>
</form>
