+<?php


class sms extends controller
{

    var $arr_ip_type    = array('0'=>'DHCP', '1'=>'Static');
    var $arr_d_server   = array('1'=>'dyndns.org');
    var $arr_plug       = array('0'=>'Off', '1'=>'On');

    // ----------------------------------------------------------------------------------

   public function index()
    {
        $this->display();
    }

    // ----------------------------------------------------------------------------------

   public function select()
    {
        $field  = $this->input->get('f');
        $word   = $this->input->get('w');
        $page   = $this->input->get('p', 1);
        $view   = $this->input->get('v');

        $page_config    = $GLOBALS['page_config'];
        $pagination     = new Pagination();

        if( empty($field) || empty($word) )
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM NetworkInfo");
            $count->execute();
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM NetworkInfo ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array($pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }
        else
        {
            $count  = $this->conn->prepare("SELECT COUNT(*) FROM NetworkInfo WHERE $field LIKE ?");
            $count->execute(array("%$word%"));
            $count  = $count->fetchColumn();

            $page_config['current_page']    = $page;
            $page_config['total_row']       = $count;
            $pagination->init($page_config);

            $list   = $this->conn->prepare("SELECT * FROM NetworkInfo WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
            $list->execute(array("%$word%", $pagination->offset, $pagination->row_size));
            $list   = $list->fetchAll(PDO::FETCH_ASSOC);
        }

        foreach( $list as $key=>$val )
        {
            $val['SMSEnableStr']    = $this->arr_plug[$val['SMSEnable']];
            $list[$key] = $val;
        }

        $result['field']    = $field;
        $result['word']     = $word;
        $result['page']     = $page;
        $result['view']     = $view;
        $result['pages']    = $pagination->get_pages();
        $result['count']    = $count;
        $result['list']     = $list;

        echo json_encode($result);
    }

    // ----------------------------------------------------------------------------------

   public function update6()
    {
        $No            = $this->input->post('No');
        $SMSEnable     = $this->input->post('SMSEnable', '0');
        $SMSServer     = $this->input->post('SMSServer');
        $SMSID         = $this->input->post('SMSID');
        $SMSPassword   = $this->input->post('SMSPassword');
        $SMSSendNumber = $this->input->post('SMSSendNumber');
        $SMSTTL        = $this->input->post('SMSTTL', '0');

		$mode         = $this->input->post('mode');
        if ($mode == "save")
        {
	        if( $SMSEnable == '1' )
	        {
	            $sth    = $this->conn->prepare("UPDATE NetworkInfo SET SMSEnable=?,SMSServer=?,SMSID=?,SMSPassword=?,SMSSendNumber=?,SMSTTL=? WHERE No=?");
	            $values = array($SMSEnable,$SMSServer,$SMSID,$SMSPassword,$SMSSendNumber,$SMSTTL,$No);
	        }
	        else
	        {
	            $sth    = $this->conn->prepare("UPDATE NetworkInfo SET SMSEnable=? WHERE No=?");
	            $values = array($SMSEnable,$No);
	            
	        }
	
	        if( $sth->execute($values) )
	        {
	            $this->log->set_log(NULL, 'update');
	            $this->util->js('update_list("'.$No.'");');
                $this->util->alert( $this->lang->common->save_completed );
	            exec(SPIDER_COMM." smtp save");
	            //exec(SPIDER_COMM." send db");
	        }
	        else
	        {
	            $this->util->alert($this->lang->common->error_update);
	        }
	    }
	    else
	    {
	    	exec(SPIDER_COMM." sms test $SMSServer $SMSID $SMSPassword $SMSSendTo $SMSTTL ");    	
			$this->util->alert($this->lang->addmsg->send_test_sms);
	    }
    }
}


?>