<?php


class tinput extends controller
{

	// ----------------------------------------------------------------------------------

   public function index()
	{
		$this->display();
	}

	// ----------------------------------------------------------------------------------

   public function select()
	{
		$field	= $this->input->get('f');
		$word	= $this->input->get('w');
		$page	= $this->input->get('p', 1);
		$view	= $this->input->get('v');

		$page_config	= $GLOBALS['page_config'];
		$pagination		= new Pagination();

		if( empty($field) || empty($word) )
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM TamperInput");
			$count->execute();
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM TamperInput ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}
		else
		{
			$count	= $this->conn->prepare("SELECT COUNT(*) FROM TamperInput WHERE $field LIKE ?");
			$count->execute(array($this->util->parse_search_string($word)));
			$count	= $count->fetchColumn();

			$page_config['current_page']	= $page;
			$page_config['total_row']		= $count;
			$pagination->init($page_config);

			$list	= $this->conn->prepare("SELECT * FROM TamperInput WHERE $field LIKE ? ORDER BY No DESC LIMIT ?, ?");
			$list->execute(array($this->util->parse_search_string($word), $pagination->offset, $pagination->row_size));
			$list	= $list->fetchAll(PDO::FETCH_ASSOC);
		}

		foreach( $list as $key=>$val)
		{
			$val['AlarmStr']	= ($val['Alarm'] == "1" ? 'On' : 'Off');
			$list[$key]	= $val;
		}

		$result['field']		= $field;
		$result['word']			= $word;
		$result['page']			= $page;
		$result['view']			= $view;
		$result['pages']		= $pagination->get_pages();
		$result['count']		= $count;
		$result['list']			= $list;

		echo json_encode($result);
	}

	// ----------------------------------------------------------------------------------

   public function update()
	{
		$No				= $this->input->post('No');
		$Alarm			= $this->input->post('Alarm', '0');
		$Name			= $this->input->post('Name');
		$Mean			= $this->input->post('Mean');

		if( empty($name) )		$this->util->alert( $this->lang->tinput->error_name_required, TRUE );

		$sth	= $this->conn->prepare("UPDATE TamperInput SET Alarm=?,Name=?,Mean=? WHERE No=?");

		$values	= array($Alarm,$Name,$Mean,$No);
		if( $sth->execute($values) )
		{
			$this->log->set_log();
			$this->util->js('update_list("'.$No.'");');
            $this->util->alert( $this->lang->common->save_completed );
		}
		else
		{
			$this->util->alert($this->lang->common->error_update);
		}
	}

	// ----------------------------------------------------------------------------------

   public function delete()
	{
	}

	// ----------------------------------------------------------------------------------

}


?>