<?php
/***********************************************************************************
 * FILE NAME : IntercomImpl.php                                  DESIGN REF : FMCM00
 * 
 * AUTHOR  : CHEOLJOO MOON
 * DATE    : 2019.03.08 (KR, UTC+9)
 * CHANGES :
 *     REF NO  VERSION     DATE        WHO        DETAIL 
 *        1    0.0.1       2019.03.08  CJMOON     Init 
 * 
 * FILE Encoding : UTF-8
 * 
 * DESCRIPTION : Intercom abstract
 *  
 ***********************************************************************************/
 
require_once APP_DIR.'/libraries/Input.php';

abstract class IntercomBaseImpl
{
    public $conn;
    public $conn_log;
    public $net_work;
    public $input;

    /* ================================================================== */    
    /* CLASS 생성자 */    
    public function __construct() {
        $this->conn         = $GLOBALS['conn'];
        $this->conn_log     = $GLOBALS['conn_log'];
        $this->net_work     = $GLOBALS['net_work'];
        $this->input		= new Input();
    }

    /* ================================================================== */    
    /* 소멸자 */    
    public function __destruct() {         
    } 
    
    /* ================================================================== */
    /* SQL Injection Check */
    public function IS_SQLInjection($v)
    {
        $UserInput = preg_replace("/[\r\n\s\t\’\;\”\=\-\-\#\/*]+/","", $v);
        if(preg_match('/(union|select|from|where|update|delete|or)/i', $UserInput)) {
           return TRUE;
        }

        return FALSE;
    }
}

?>