<?php
//ini_set('display_errors', 1);
//define('ROOT_DIR',  '/Users/lxd/private/工具/系统/sicunet/Neptune-php7');
define('ROOT_DIR',  '');
define('BASE_DIR',  ROOT_DIR.'/spider/web');
define('APP_DIR',   BASE_DIR.'/app');

require_once APP_DIR.'/common/config.php';
require_once APP_DIR.'/libraries/DBSession.php';
require_once APP_DIR.'/libraries/Input.php';
$input = new Input();

/* ================================================================== */
header("Pragma: no-cache");
header("Cache-Control: no-cache,must-revalidate,no-store"); 
header('Content-Type:application/json; charset=utf-8');

/* ================================================================== */
/* URL Parser                                                         */
$urlPath = explode('/', parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH));
$apiName = $urlPath[1];

$method = $input->get('m', 'call');

/* ================================================================== */
/* Class File Check (경로 규칙은 호출시 1.0 => /v1.0 )                 */
if(!is_file("./".$apiName.EXT)) {
    header("HTTP/1.0 404 Not Found");
    exit;
}

require_once "./".$apiName.EXT;
$controller = new $apiName();

/* ================================================================== */
/* Method Check                                                       */                             
if(!method_exists($controller, $method)) {    
    header("HTTP/1.0 404 Not Found");
    exit;
}

call_user_func_array(array(&$controller, $method), array());
?>