<?php

class ConstTable
{
    const INDIVIDUAL        	 = '1';
    const GROUP                  = '2';

    const GROUP_CARDHOLDER       = '1';
    const GROUP_DOOR          	 = '2';
    const GROUP_FLOOR         	 = '3';
    const GROUP_SCHEDULE      	 = '4';
    const GROUP_ACCESS_LEVEL     = '5';
    const GROUP_AUXINPUT      	 = '6';
    const GROUP_AUXOUTPUT     	 = '7';
    const GROUP_CLIENT        	 = '8';
    const GROUP_READER           = '9';
    const GROUP_USER          	 = '10';
    const GROUP_ELEVATOR    	 = '11';
    const GROUP_CAMERA    	     = '12';

    const DEVICE_DOOR         	 = '1';
    const DEVICE_ELEVATOR        = '2';
    const DEVICE_AUXINPUT        = '3';
    const DEVICE_AUXOUTPUT       = '4';

	const MODEL_ESSENTIAL    		= '1';
	const MODEL_ELITE    			= '2';
	const MODEL_ENTERPRISE    		= '3';
	const MODEL_CLIENT    			= '4';
	const MODEL_ELITE_CLIENT		= '4';
	const MODEL_ENTERPRISE_CLIENT	= '5';
	const MODEL_ELITE_ELEVATOR		= '6';
    const MODEL_ENTERPRISE_ELEVATOR	= '7';
    const MODEL_GIANT               = '11';
    const MODEL_GIANT_CLIENT        = '12';

	const CONTROLLER_TYPE_ESSENTIAL_1    	 = '1';
	const CONTROLLER_TYPE_ESSENTIAL_2    	 = '2';
	const CONTROLLER_TYPE_ESSENTIAL_3    	 = '3';
	const CONTROLLER_TYPE_ESSENTIAL_4    	 = '4';
	const CONTROLLER_TYPE_ELITE_36    		 = '4';

    const MAX_CONNECT_1		 	= 8;
    const MAX_CONNECT_2			= 16;
    const MAX_CONNECT_3			= 32;
    const MAX_CONNECT_4			= 128;     /* CJMOON ADD 2018.04.02 */

	const MAX_USER_1           	= 1000;
    const MAX_USER_2           	= 20000;
    const MAX_USER_3           	= 60000;
    const MAX_USER_4            = 100000;  /* CJMOON ADD 2018.04.02 */ 

    const MAX_CARD_1           	= 8000;
    const MAX_CARD_2           	= 8000;
    const MAX_CARD_3           	= 120000;
    const MAX_CARD_4            = 120000;  /* CJMOON ADD 2018.04.02 */ 

    const MAX_USERCARD_1       	= 12;
    const MAX_USERCARD_2       	= 120;
    const MAX_USERCARD_3       	= 120;
    const MAX_USERCARD_4        = 120;     /* CJMOON ADD 2018.04.02 */  

    const MAX_CARDFORMAT_1		= 32;
    const MAX_CARDFORMAT_2  	= 32;
    const MAX_CARDFORMAT_3  	= 32;
    const MAX_CARDFORMAT_4  	= 32;      /* CJMOON ADD 2018.04.02 */  

    const MAX_ACCESSLEVEL_1		= 8;
    const MAX_ACCESSLEVEL_2		= 16;
    const MAX_ACCESSLEVEL_3		= 32;
    const MAX_ACCESSLEVEL_4		= 32;      /* CJMOON ADD 2018.04.02 */  

    const MAX_USERDEFINE_1		= 5;
    const MAX_USERDEFINE_2  	= 10;
    const MAX_USERDEFINE_3  	= 20;      
    const MAX_USERDEFINE_4  	= 20;      /* CJMOON ADD 2018.04.02 */  

    const MAX_SCHEDULE_1		= 100;
    const MAX_SCHEDULE_2  		= 512;
    const MAX_SCHEDULE_3  		= 512;
    const MAX_SCHEDULE_4  		= 512;     /* CJMOON ADD 2018.04.02 */  

    const MAX_HOLIDAY_1			= 30;
    const MAX_HOLIDAY_2  		= 60;
    const MAX_HOLIDAY_3  		= 60;
    const MAX_HOLIDAY_4  		= 60;     /* CJMOON ADD 2018.04.02 */

    const MAX_TRANSACTION_1     = 15000;
    const MAX_TRANSACTION_2     = 30000;
    const MAX_TRANSACTION_3    	= 50000;
    const MAX_TRANSACTION_4    	= 50000;  /* CJMOON ADD 2018.04.02 */

    const OPTION_RMR	  		= 0;  /* RMC */
    const OPTION_API            = 1;  /* Open API */
    const OPTION_PARTITION      = 2;  /* SITE */
    const OPTION_WARRANTY       = 3;  /* License Server에서만 사용 (관리 목적 표기) */
    const OPTION_SMART_REPORT   = 4;
    const OPTION_REGION         = 5;
    const OPTION_VIDEOTAG       = 8;   /* Video Tagging */
    const OPTION_NVR	  		= 9;   /* Thumb Dirve NVR */
    const OPTION_SPECO_NVR		= 10;  /* SPECO NVR */
    const OPTION_INTERCOM       = 11;  /* Intercom */
    const OPTION_CBC_NVR        = 12;  /* CBC NVR */
    const OPTION_LOGAPI         = 13;  /* Log API */
    const OPTION_CLOUD          = 14;  /* mobile app link */    
    const OPTION_CREDENTIAL     = 15;  /* mobile credential */    
    const OPTION_DW_SPECTRUM    = 16;  /* DW Spectrum */
    const OPTION_OCCUPANCY      = 17;  /* Occupancy Sensor */
    const OPTION_BURGLAR        = 18;  /* Burglar Alarm */
    const OPTION_TRANSCENDENT_NVR  = 19;  /* Transcendent NVR */
    const OPTION_GEMINI         = 20;  /* Gemini Alarm */
	const OPTION_BADGING        = 80;
    const OPTION_Good2Go        = 21;  /* Good2Go */
}
?>