<?
$session_db = new PDO('sqlite:'.DATABASE_DIR.'/Network.db');

function on_session_start($save_path, $session_name) {
	//error_log($session_name . " ". session_id());
	return true;
}

function on_session_end() {
	// Nothing needs to be done in this function
	// since we used persistent connection.
	return true;
}

function on_session_read($key) {
	global $session_db;

	$list  = $session_db->prepare("SELECT session_data FROM sessions WHERE session_id = ? AND session_expiration > ?");
	$list->execute(array($key, time()));
	if( $row = $list->fetch(PDO::FETCH_ASSOC) )
	{
		return $row['session_data'];
	}
	else
	{
		return '';
	}
}
function on_session_write($key, $val) {
	global $session_db;

	if( $session_db )
	{
		if(!empty($_SESSION['spider_id'])){
			$spider_id = $_SESSION['spider_id'];
		}else{
			$spider_id = '';
		}
		
		$expire = time() + (60 * 60 * 24);
		$list  = $session_db->prepare("SELECT * FROM sessions WHERE session_id = ?");
		$list->execute(array($key));
		if( $row = $list->fetch(PDO::FETCH_ASSOC) )
		{
			$session_db->exec("UPDATE sessions SET session_data='{$val}', session_expiration='{$expire}', user_id='{$spider_id}', user_ip='{$_SERVER['REMOTE_ADDR']}', status=1 WHERE session_id='{$key}'");
		}
		else
		{
			$session_db->exec("INSERT INTO sessions VALUES('{$key}', '{$val}', '{$expire}', '{$spider_id}', '{$_SERVER['REMOTE_ADDR']}', 1)");
		}

		if( $spider_id != '' )
			//$session_db->exec("UPDATE sessions SET status=-1, session_data=session_data||'spider_status|s:2:\"-1\";' WHERE session_id != '{$key}' AND user_id='{$spider_id}'");
			$session_db->exec("UPDATE sessions SET status=-1, session_data='spider_language|s:2:\"en\";spider_status|s:2:\"-1\";' WHERE session_id != '{$key}' AND user_id='{$spider_id}'");
	}
	
	return true;
}

function on_session_destroy($key) {
	global $session_db;

	$session_db->exec("DELETE FROM sessions WHERE session_id='{$key}'");

	return true;
}

function on_session_gc($max_lifetime) 
{
	global $session_db;

	$expire = time();
	$session_db->exec("DELETE FROM sessions WHERE session_expiration < '{$expire}'");
	
	return true;
}

// Set the save handlers
session_set_save_handler("on_session_start", "on_session_end", "on_session_read", "on_session_write", "on_session_destroy", "on_session_gc");
session_start();