<?php
/***********************************************************************************
 * FILE NAME : Log.php                         DESIGN REF : FMCM00
 * 
 * AUTHOR  : CHEOLJOO MOON
 * DATE    : 2018.12.26 (KR, UTC+9)
 * CHANGES :
 *     REF NO  VERSION     DATE        WHO        DETAIL 
 *        1    0.0.1       2018.12.26  CJMOON     Init 
 * 
 * FILE Encoding : UTF-8
 * 
 * DESCRIPTION : Log query
 *  
 ***********************************************************************************/
class Log extends OpenApiBaseImpl
{
        
    public function __construct() {
    }

    public function get() {
        $url = urldecode($_SERVER['REQUEST_URI']);
        $_array = array (
            'errCode' => '0000',
            'errMsg' => 'Sucess',
            'clientIP' => "${_SERVER['REMOTE_ADDR']}",
            'request' => "${url}",
            'method' => "GET",
        );
        
        echo json_encode($_array);
    }

    public function add() {
        $_array = array (
            'errCode' => '0000',
            'errMsg' => 'Sucess',
            'clientIP' => "${_SERVER['REMOTE_ADDR']}",
            'method' => "ADD",
        );
        
        echo json_encode($_array);
    }

    public function update() {
        $_array = array (
            'errCode' => '0000',
            'errMsg' => 'Sucess',
            'clientIP' => "${_SERVER['REMOTE_ADDR']}",
            'request' => "${_SERVER['REQUEST_URI']}",
            'method' => "UPDATE",            
        );
        
        echo json_encode($_array);
    }

    public function delete() {
        $_array = array (
            'errCode' => '0000',
            'errMsg' => 'Sucess',
            'clientIP' => "${_SERVER['REMOTE_ADDR']}",
            'request' => "${_SERVER['REQUEST_URI']}",
            'method' => "DELETE",
        );
        
        echo json_encode($_array);
    }

}
?>