<div id="location">
<?
echo $lang->menu->dvr.'&nbsp;&gt;&nbsp;'.$lang->menu->dvr_viewer;
?>
	<button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button>
</div>

<script language="javascript">

var dvr_list = <?=$dvr_list?>;
var dvr_info = <?=$dvr_info?>;
var liveconnect = 0;
var searchconnect = 0;

$(function() 
{
	if($.browser.msie != true) {
		alert('<?=$lang->addmsg->only_supported_ie?>');
	}

	for(i=0;i<dvr_list.length;i++)
	{
		$("#dvr_list").append("<option value='"+dvr_list[i]['No']+"'>"+dvr_list[i]['Name']+"</option>")
	}
	$("#form_dvr input:radio[name='DVRMode']").filter("input[value='0']").prop("checked", true);
	enable_mode();
	
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
			return;
	document.getElementById('ACSSDK').setControlRect( 704,550 );
	document.getElementById('ACSSDK').setDBClickScreen(1);
	
	$("input[name='GotoDate']").DatePicker({
        format          : "m-d-Y",
        date            : "<?=date("m-d-Y")?>",
        current         : "<?=date("m-d-Y")?>",
        starts          : 0,
        position        : "bottom",
        onBeforeShow    : function() {
            var element = $("input[name='GotoDate']");
            if( element.val() == "" )
                element.DatePickerSetDate("<?=date("m-d-Y")?>", true);
            else
                element.DatePickerSetDate(element.val(), true);
        },
        onChange        : function(formated, dates){
            var element = $("input[name='GotoDate']");
            if( element.val() != formated ){
                $("input[name='GotoDate']").val(formated);
                $("input[name='GotoDate']").DatePickerHide();
            }
        }
    });

	document.getElementById('ACSSDK').setDBClickScreen(1);
	document.getElementById('ACSSDK').setControlRect( 704,550 );
	window.setTimeout(function() { document.getElementById('ACSSDK').setControlRect( 704,550 ); }, 1000);
});

function dvr_change(no)
{
	$.getJSON('/?c=<?=$this->class?>&m=select_dvr',{no:no},function(data)
	{
        dvr_info = data['dvr_info'];
    });
    enable_mode();
}

function enable_mode()
{
    if( $("#form_dvr input:radio[name='DVRMode']:checked").val() == '0' )      
    {
		$("#live_section").show();
    	$("#search_section").hide();
    	
    	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') != false )
			document.getElementById('ACSSDK').showTimeTable=false;
    }
    else
    {
		$("#search_section").show();
    	$("#live_section").hide();
    	
    	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') != false )
			document.getElementById('ACSSDK').showTimeTable=true;
    }
    disconnectSite();
}


/*
 * setScreenMode 
 * @param _mode : 1,4,9,16 valid value
 *
*/

function	setScreenMode( _mode )
{
		if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
			return;
		document.getElementById('ACSSDK').setScreenMode( _mode );
}

/*
 * set control size(width, height) 
 * @param _width 
 * @param _height
 *
*/

function	setControlRect( _width , _height )
{
		if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
			return;
		document.getElementById('ACSSDK').setControlRect( _width , _height );
}

/*
 * open/close channel  
 *  
 *
*/

function	openCloseChannel( channelObj, ch )
{
		if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
			return;
			
		 
			var channels = document.getElementById(channelObj);
			
		
		if( channels.checked )
		{
			document.getElementById('ACSSDK').openChannel( ch);
		}
		else
		{
			document.getElementById('ACSSDK').closeChannel( ch);
		}
}

/*
 * live connect
 *
*/
function	connectSite()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if (liveconnect == 1)
		disconnectSite();
		
	liveconnect = 1;
	
	var channels = document.getElementsByName("channel");
	var ch = 0;

	for( i = 0 ; i < channels.length ; i++)
	{
		if(  channels[i].checked == true )
			ch |= 1 << i;
	}

	document.getElementById('ACSSDK').setDBClickScreen(1);
	
	document.getElementById('ACSSDK').connect( dvr_info['IP'], dvr_info['LivePort'], dvr_info['HttpID'], dvr_info['HttpPassword'], ch );
}

/*
 * search connect
 *
*/
function	searchConnectSite()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if (searchconnect == 1)
		disconnectSite();
	
	searchconnect = 1;
		
	var channels = document.getElementsByName("channel");
	var ch = 0;
	
	for( i = 0 ; i < channels.length ; i++)
	{
		if(  channels[i].checked == true )
			ch |= 1 << i;
	}

	document.getElementById('ACSSDK').setDBClickScreen(1);
		
	document.getElementById('ACSSDK').searchConnect( dvr_info['IP'], dvr_info['SearchPort'], dvr_info['HttpID'], dvr_info['HttpPassword'], ch );
}

function disconnectSite()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	liveconnect = 0;		
	searchconnect = 0;
	document.getElementById('ACSSDK').disconnectAll();
}

/*
 * show/time timetable
 *
*/

function showTimeTable( obj )
{
	
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
	if( obj.checked)
		document.getElementById('ACSSDK').showTimeTable=true;
	else
		document.getElementById('ACSSDK').showTimeTable=false;
}

/*
 * request PTZ
 *
*/
function requestPTZ(start , ptzCmd )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if(start == true){
			document.getElementById('ACSSDK').requestPTZStart(ptzCmd);
	}
	else{
			document.getElementById('ACSSDK').requestPTZStop(ptzCmd);
	}
}

/*
 * requestpreset
 *
*/
function requestPreset(presetCmd )
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if(presetCmd==0){
			document.getElementById('ACSSDK').requestPreset(document.getElementById('presetno').value);
	}
	else{
			document.getElementById('ACSSDK').requestPresetSet(document.getElementById('presetno').value);
	}
}

function searchGoto()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	var dst;
	
	if( document.getElementById('dst').checked )
		dst = true;
	else
		dst = false;
		
	var searchdate = $("input[name='GotoDate']").val();
	var smonth  = searchdate.substr(0, 2);
    var sday    = searchdate.substr(3, 2);
    var syear   = searchdate.substr(6, 4);	
    var covdate = syear+smonth+sday;
		
	document.getElementById('ACSSDK').gotoTime( covdate, document.getElementById('searchtime').value, dst  );

}

function setAudioEnable(obj)
{
	
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if(obj.checked == true){
		document.getElementById('ACSSDK').enableAudio=true;
	}
	else{
		document.getElementById('ACSSDK').enableAudio=false;
	}
}

function setTwoWayAudioEnable(obj)
{
	
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	if(obj.checked == true){
		document.getElementById('ACSSDK').enableTwowayAudio=true;
	}
	else{
		document.getElementById('ACSSDK').enableTwowayAudio=false;
	}
}

function requestPlayMode(playMode)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	var speed = document.getElementById('ACSSDK').requestPlaymode( playMode );
}

function doPrint()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	document.getElementById('ACSSDK').printCurImage();
}

function exportJpeg()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	document.getElementById('ACSSDK').jpegExportToPath(document.getElementById('jpgpath').value);
}

function exportMov()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	document.getElementById('ACSSDK').movieExportToPath(document.getElementById('movpath').value);
}

function startEventServer()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	document.getElementById('ACSSDK').startEventServer(dvr_info['EventPort']);
	
}

function stopEventServer()
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;
		
	document.getElementById('ACSSDK').stopEventServer();
	
}

function setMaxScreen(max)
{
	if( ActiveXInstalled('ACSSDK.ACSSDKControl.1') == false )
		return;

	document.getElementById('ACSSDK').setScreenMode( max );
	//document.getElementById('ACSSDK').maxCh = max;
}

function ActiveXInstalled(ProgId)
{
	var isInstall = false;
	
	try
	{
		var obj = new ActiveXObject(ProgId);
		if (obj) return true;
	}
	catch (e)
	{
		return false;
	}

	return false;
}
</script>

<BODY oncontextmenu="return false;">
<div class="box01">
	<form id="form_dvr">
	    <table>
	        <tr>
	        	<div>
	                <th width="80" class="floor">&nbsp;&nbsp;<?=$lang->dvr_setup->DVR?> *</th>
	                <td width="1" class="floor">:</td>
		            <td>&nbsp;&nbsp;<select id="dvr_list" onchange="dvr_change(this.value)"></select></td>
		            <td class="floor"><?=$this->from->radio('DVRMode', '', EnumTable::$attrDVRMode, '&nbsp;&nbsp;&nbsp;&nbsp;', array('onclick'=>'enable_mode()'))?></td>
		        </div>
	        </tr>
	    </table>
	</form>
</div>  
<div class="space" style="height:5px"></div>
<div class="box01">
	<table>
		<tr>
			<td>
<object classid="CLSID:67815DA3-EC08-41e0-AE60-92E5935EE8FB"
        width="600"
        height="400"
        id="ACSSDK"
        codebase="WebACS.cab#version=1,0,1,0" >
</object>

<script language="javascript" for="ACSSDK" event="loginfailEvent(_failmsg , _failcode)">
alert('<?=$lang->dvr_setup->dvr_connect_fail?>');
</script>

			</td>
		</tr>
	</table>
</div>
<div class="space" style="height:5px"></div>
<div class="box01">
	<table style="table-layout:fixed">
		<tr>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel1"  value="0" onclick="openCloseChannel(this.id,0);" checked="true">CH.1</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel2"  value="1" onclick="openCloseChannel(this.id,1);" checked="true">CH.2</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel3"  value="2" onclick="openCloseChannel(this.id,2);" checked="true">CH.3</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel4"  value="3" onclick="openCloseChannel(this.id,3);" checked="true">CH.4</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel5"  value="0" onclick="openCloseChannel(this.id,4);" checked="true">CH.5</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel6"  value="1" onclick="openCloseChannel(this.id,5);" checked="true">CH.6</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel7"  value="2" onclick="openCloseChannel(this.id,6);" checked="true">CH.7</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel8"  value="3" onclick="openCloseChannel(this.id,7);" checked="true">CH.8</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel9"   value="0" onclick="openCloseChannel(this.id,8);" checked="true">CH.9</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel10"  value="1" onclick="openCloseChannel(this.id,9);" checked="true">CH.10</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel11"  value="2" onclick="openCloseChannel(this.id,10);" checked="true">CH.11</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel12"  value="3" onclick="openCloseChannel(this.id,11);" checked="true">CH.12</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel13" 	value="0" onclick="openCloseChannel(this.id,12);" checked="true">CH.13</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel14"  value="1" onclick="openCloseChannel(this.id,13);" checked="true">CH.14</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel15"  value="2" onclick="openCloseChannel(this.id,14);" checked="true">CH.15</td>
			<td class="td_small2"><input type="checkbox" name="channel" id="channel16"  value="3" onclick="openCloseChannel(this.id,15);" checked="true">CH.16</td>
		</tr>
	</table>
</div>
<div class="box01">
	<table style="table-layout:fixed">&nbsp;
		<input type="button" name="1mode"  		value="1mode" 	OnClick="javascript:setScreenMode(1);" />
		<input type="button" name="4mode"  		value="4mode" 	OnClick="javascript:setScreenMode(4);" />
		<input type="button" name="9mode"  		value="9mode"	OnClick="javascript:setScreenMode(9);" />
		<input type="button" name="16mode"  	value="16mode"	OnClick="javascript:setScreenMode(16);" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<!-- <input type="button" name="1max"  		value="1max" 	OnClick="javascript:setMaxScreen(1);" />
		<input type="button" name="4max"  		value="4max" 	OnClick="javascript:setMaxScreen(4);" />
		<input type="button" name="9max"  		value="9max" 	OnClick="javascript:setMaxScreen(9);" />
		<input type="button" name="16max"  		value="16max" 	OnClick="javascript:setMaxScreen(16);" /> -->
	</table>
	<table style="table-layout:fixed">&nbsp;
		<input type="button" name="704X5760"	value="704X576"	OnClick="javascript:setControlRect(704,576);" />	
		<input type="button" name="352X288"  	value="352X288"	OnClick="javascript:setControlRect(352,288);" />		
		<input type="button" name="startEventServer"  	value="Start Event" 	OnClick="javascript:startEventServer();" />
		<input type="button" name="stopEventServer"  	value="Stop Event" 	OnClick="javascript:stopEventServer();" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<input class="floor" type="checkbox" 	name="speak" 	id="speak" 	value="0" onclick="setAudioEnable(this)"><label width="120">&nbsp;Audio</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<input class="floor" type="checkbox"	name="twoway" 	id="twoway" value="0" onclick="setTwoWayAudioEnable(this)"><label width="75">&nbsp;Two-way</label>
	</table>
	<table style="table-layout:fixed">&nbsp;
		<input type="button" name="print"   	value="print"	OnClick="javascript:doPrint();" />	
	    <input type="edit"   name="jpegpath"    id="jpgpath" value=""/><input type="button" name="jpegexport"  value="jpegexport" size="10"	OnClick="javascript:exportJpeg();" />
		<input type="edit"   name="movpath"     id="movpath" value=""/><input type="button" name="movexport"  value="movexport"	size="10" OnClick="javascript:exportMov();" />
	</table>
</div>
<div id="live_section" class="hide">
	<div class="space" style="height:5px"></div>
	<h4><?=$lang->dvr_setup->Live?></h4>
    <table class="tbl_view" style="table-layout:fixed">
	    <td colspan="1" rowspan="3" width="75">
	    	<table>
				<tr>
	            	<td><button type="button" onclick="javascript:connectSite();"><?=$lang->dvr_setup->Connect?></button></td>
				<tr>
			    </tr>	            	
			        <td><button type="button" onclick="javascript:disconnectSite();"><?=$lang->dvr_setup->Disconnect?></button></td>
			    </tr>
            </table>
        </td>
		<td colspan="3" rowspan="3" width="235" style="border:1px solid #e1e1e1;">
	        <table>
				<tr>
					<td><input type="button" name="lefttop"  	value="leftop" OnMouseDown="javascript:requestPTZ(true, 5);"  OnMouseUp="javascript:requestPTZ(false,5);" /></td>
					<td><input type="button" name="top"  	value="top" 	OnMouseDown="javascript:requestPTZ(true, 1);"  OnMouseUp="javascript:requestPTZ(false,1);" /></td>
					<td><input type="button" name="righttop"  	value="righttop" 	OnMouseDown="javascript:requestPTZ(true, 6);"  OnMouseUp="javascript:requestPTZ(false,4);" /></td>
				</tr>
				<tr>
					<td><input type="button" name="left"  	value="lef" 	OnMouseDown="javascript:requestPTZ(true, 3);"  OnMouseUp="javascript:requestPTZ(false,3);" /></td>
					<td><input type="button" name=""  	value="" 	OnClick="" /></td>
					<td><input type="button" name="right"  	value="right" 	OnMouseDown="javascript:requestPTZ(true, 4);"  OnMouseUp="javascript:requestPTZ(false,4);" /></td>
				</tr>
				<tr>
					<td><input type="button" name="lefbottom"  	value="lefbottom" OnMouseDown="javascript:requestPTZ(true, 7);"  OnMouseUp="javascript:requestPTZ(false,7);" /></td>
					<td><input type="button" name="bottom"  	value="bottom" 	OnMouseDown="javascript:requestPTZ(true, 2);"  OnMouseUp="javascript:requestPTZ(false,2);" /></td>
					<td><input type="button" name="rightbottom"  	value="rightbottom" 	OnMouseDown="javascript:requestPTZ(true, 8);"  OnMouseUp="javascript:requestPTZ(false,4);" /></td>
				</tr>
			</table>
	    </td>
	    <td colspan="2" rowspan="3" width="150" style="border:1px solid #e1e1e1;">
   	        <table>
				<tr>
					<td><input class=btn80 type="button" name="zoomtele"  	value="zoomin" OnMouseDown="javascript:requestPTZ(true, 13);"  OnMouseUp="javascript:requestPTZ(false,13);" /></td>
					<td><input class=btn80 type="button" name="zoomwide"  	value="zoomout" 	OnMouseDown="javascript:requestPTZ(true, 14);"  OnMouseUp="javascript:requestPTZ(false,14);" /></td>
				</tr>
				<tr>
					<td><input class=btn80 type="button" name="focusnear"  	value="focusnear" 	OnMouseDown="javascript:requestPTZ(true, 11);"  OnMouseUp="javascript:requestPTZ(false,11);" /></td>					
					<td><input class=btn80 type="button" name="focusfar"  	value="focusfar" 	OnMouseDown="javascript:requestPTZ(true, 12);"  OnMouseUp="javascript:requestPTZ(false,12);" /></td>
				</tr>
			</table>
	    </td>				
	    <td colspan="2" rowspan="3" width="150" style="border:1px solid #e1e1e1;">
   	        <table>
				<tr>
					<td><?=$lang->dvr_setup->PresetNo?></td>
					<td width="60"><input type="edit" name="presetno"  id="presetno" value="0" size="7"/></td>
				</tr>
				<tr>
					<td><input class=btn80 type="button" name="presetgo"  	value="presetgo" 	OnClick="javascript:requestPreset(0);" /></td>
					<td><input class=btn80 type="button" name="presetset"  	value="presetset" 	OnClick="javascript:requestPreset(1);" /></td>
				</tr>
			</table>
	    </td>
    </table>	
</div>
<div id="search_section" class="hide">
	<div class="space" style="height:5px"></div>
	<h4><?=$lang->dvr_setup->Search?></h4>
    <table class="tbl_view">
		<td colspan="1" rowspan="3" width="75">
	    	<table>
				<tr>
	            	<td><button type="button" onclick="javascript:searchConnectSite();"><?=$lang->dvr_setup->Connect?></button></td>
				<tr>
			    </tr>	            	
			        <td><button type="button" onclick="javascript:disconnectSite();"><?=$lang->dvr_setup->Disconnect?></button></td>
			    </tr>
            </table>
        </td>    
	   	<td>
		   	<table>
				<tr>
			        <td colspan="5" rowspan="1">
			        	<input type="button" name="first" value="|<"	OnClick="javascript:requestPlayMode(1044);"/>
						<input type="button" name="rw"  	value="<<"	OnClick="javascript:requestPlayMode(1045);"/>
						<input type="button" name="rplay" value="<"	OnClick="javascript:requestPlayMode(1046);"/>
						<input type="button" name="pause" value="||"	OnClick="javascript:requestPlayMode(1047);"/>
						<input type="button" name="play"  value=">"	OnClick="javascript:requestPlayMode(1048);"/>
						<input type="button" name="ff"  	value=">>"	OnClick="javascript:requestPlayMode(1049);"/>
						<input type="button" name="last"  value=">|"	OnClick="javascript:requestPlayMode(1050);"/>
					</td>
				</tr>
				<tr>
					<td width="150">Date</td>
					<td width="1">:</td>
					<td><?=$this->from->input('GotoDate', '', array('class'=>'date'))?></td>
					<td colspan="1" rowspan="3">
						<input type="button" name="gotoBtn"  value="gotoBtn"	OnClick="javascript:searchGoto();" />
					<td>
				</tr>
				<tr>
					<td width="150">Time(hhmmss)</td>
					<td width="1">:</td>
					<td><input class=btn80 type="edit" name="searhctime" id="searchtime" value="000000" /></td>
				</tr>
				<tr>
					<td width="150">DST</td>
					<td width="1">:</td>
					<td><input type="checkbox" name="dst" id="dst" 	value="0"/></td>
				<tr>
			</table>
	    </td>
    </table>
</div>

<script language="javascript" for="ACSSDK" event="receiveEvent(ip,_ch, _date, _time, _type, _sensor )">

	eventlog = ip;
	eventlog += " ch.";
	
	for(i=0; i < 16; i++)
	{
		if( ((1<<i) & _ch) != 0 )
		{
			eventlog += " ";
			eventlog += (i+1);
		}
	}
	
	eventlog += " ";
	eventlog += _date;
	eventlog += " ";
	eventlog += _time;
	
	eventlog += " ";
	
	eventlog += " <b>Event</b>";
	
	if(0x01 == (_type & 0x01))
	{
		eventlog +=" Video Loss";
	}
	if(0x02 == (_type & 0x02))
	{
		eventlog +=" Sensor";
	}
	if(0x04 == (_type & 0x04))
	{
		eventlog +=" Motion Detection";
	}
	if(0x08 == (_type & 0x08))
	{
		eventlog +=" Record Failure";
	}
	if(0x10 == (_type & 0x10))
	{
		eventlog +=" Disk Full";
	}
	if(0x20 == (_type & 0x20))
	{
		eventlog +="/ S.M.A.R.T(Temparature)";
		
		
	}
	if(0x40 == (_type & 0x40))
	{
		eventlog +=" S.M.A.R.T(Bad Sector)";
		
		
		
	}
	if(0x80 == (_type & 0x80))
	{
		eventlog +=" S.M.A.R.T(HDD Usage)";
		
		
	}
	if(0x100 == (_type & 0x100))
	{
		eventlog +=" Admin PW Changed";
	}
	if(0x200 == (_type & 0x200))
	{
		eventlog +=" System Start";
	}
	if(0x400 == (_type & 0x400))
	{
		eventlog +=" System Start(WATCHDOG)";
	}
	if(0x800 == (_type & 0x800))
	{
		if(0x01 == ((_ch) & 0x01) )
		{
			eventlog +=" Log In";
		}
		else
		{
			eventlog +=" Log Out";
		}
		
	}
	if(0xF000 == (_type & 0xF000))
	{
		eventlog +=" Network Disconnected";
	}
	
	eventlog += " <b>sensor</b> ";
	for(i=0; i < 16; i++)
	{
		if( ((1<<i) & _sensor) != 0 )
			eventlog += (i+1);
	}
	
	eventlog +="<br>";
	

	document.getElementById('log').innerHTML += eventlog;
</script>

</BODY>

