<!DOCTYPE html>
<html lang="en">
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Expires" CONTENT="-1">
<meta charset="utf-8">

<title><?=SPIDER_TITLE?></title>
<link rel="shortcut icon" href="<?=IMG_URL?>/neptune.ico">
<link rel="stylesheet" href="./css/common.css" type="text/css" />
<!--<script type="text/javascript" src="<?=JS_URL?>/jquery-1.5.1.min.js" charset="utf-8"></script>-->
<script type="text/javascript" src="./js/jquery-3.4.1.min.js" charset="utf-8"></script>
<script type="text/javascript" src="./js/tvt/jquery.cookie.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/spark-md5.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/sha1.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/common.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/ocxPlugin1.js" type="text/javascript"></script>

<script language="javascript" for="VideoPlugin" event="NotifyResultToJs(strXMLFormat, lStrLen)">
    VideoPluginNotify.dispatch('ocxNotify', strXMLFormat);
</script>
<script>
	var urlBase = '' // nvr 请求地址
    var SERVER_IP = ""; // nvr ip
    var userName = "";
    var password = "";
    var VideoPlugin = null;
	var chlList = [];
	var chlName = "<?=$channel['Name']?>";
	chlName = chlName.replace(/Channel/g, "");
	chlName = chlName.replace(/\s+/g,"");
	var model = '<?=$mode?>';
	var chlStartTime = '<?=date("Y-m-d H:i:s",$log['Date'])?>';
	var chlEndTime = '<?=date("Y-m-d H:i:s",(int)$log['Date']+60)?>';
	
	tvtPlay('<?=$nvr['IP']?>','<?=$nvr['DeliverRecord']?>','<?=$nvr['HttpID']?>','<?=$nvr['HttpPassword']?>');
	
    function tvtPlay(ip,port,name,pw){
	    if(port == ''){
		    urlBase = "/tvt.php?u="+ip+"/";
	    }else{
		    urlBase = "/tvt.php?u="+ip+":"+port+"/";
	    }
	    
	    SERVER_IP = ip;
	    userName = name;
	    password = pw;
	    
	    $.cookie('sessionId', null)
    
		login(userName, password, function () {
			iniVideoPlugin();
			getChlList();
			bindEvent();
		});
    }
    
    function login(userName, password, cb) {
		
		console.log("login");
		
		var auInfo = CharsetHelper.Encode64($.trim(userName) + ":" + $.trim(password));
		
		doLogin(auInfo, {
			userName: userName,
			password: CharsetHelper.Encode64($.trim(password))
		}, cb);
	}
	
	function doLogin(auInfo, userInfo, cb) {
		var sendXml = RequestUtil.GetRequestHeader("doLogin") + "<content>" + 
		"<userName><![CDATA[" + userInfo.userName + "]]></userName>" + 
		"<password><![CDATA[" + userInfo.password + "]]></password></content>" + 
		RequestUtil.GetRequestEnd();
		
		RequestUtil.Request({
			url: "doLogin",
			data: sendXml,
			checkCommonErrorSwitch: false
		}).done(function (result) {
			
			if ($("response>status", result).text() == "success") {
				
				console.log("login success");
				
				var sessionId = $("response>content>sessionId", result).text();
				
				if (sessionId.indexOf("{") !== -1 || sessionId.lastIndexOf("}") !== -1) {
					sessionId = sessionId.substring(sessionId.indexOf("{") + 1, sessionId.indexOf("}"))
				}
				
				webSession('sessionId', sessionId, true);
				$.cookie('sessionId', sessionId);
				webSession('auInfo_N9K', auInfo);
				webSession("userId", $("response>content>userId", result).text());
				webSession("rwKey", $("response>content>rwKey", result).text());
				webSession("adminName", $("response>content>adminName", result).text() || "admin");
				
				if (typeof cb === "function") {
					cb();
				}
			}
		});
	}
	
	function iniVideoPlugin() {
		
		console.log("loading video");
		
		if (VideoPlugin) {
			return VideoPlugin;
		}

		VideoPlugin = LoadPlugin($("#screen"), "VideoPlugin");
		handleOCXNotify();

		if (VideoPlugin) {
			if(document.getElementById("VideoPlugin").hasOwnProperty('ExecuteCmd')){
				//$("#refresh_nvr").show();
				$(".screen").show();
				videoPluginLoginForStandard(VideoPlugin)
				var sendInitialXML = OCX_XML_Initial('Interactive', 'VideoPluginNotify', "Live");
				VideoPlugin.ExecuteCmd(sendInitialXML, sendInitialXML.length);
			}else{
		    	//alert("Please install the plug-in");
				//window.open("/js/tvt/src/WebClient_VPPlugin_v4.exe");
				$('#screen').html("<div class='box01' id='downlaod_area' style='text-align:center; width:100%; height:100%; background-color: ivory;'> <a href='/js/tvt/src/WebClient_VPPlugin_v4.exe' target='_download'>Please click here to download and install the plug-in. </a></div>");
	    	}
		}
	}
	
	function handleOCXNotify() {
		VideoPluginNotify.on('ocxNotify', function (strXMLFormat) {
			//renderResponse(strXMLFormat)
			console.log(strXMLFormat);
		});
	}
	
	function getChlList() {
		
		console.log("loading Chl List");
		
		RequestUtil.GetChlList({
			nodeType: "chls",
			requireField: ["name", "winIndex", "chlIndex", "chlType"]
		}).done(function (result) {
			if ($("response>status", result).text() == "success") {
				$("select[name='nvr_list']").html('')
				chlList = [];
				
				$("response>content>item", result).each(function (i, ele) {
					var $ele = $(ele);
					var id = $ele.attr("id");
					var name = $(">name", $ele).text();
					var winIndex = ($(">winIndex", $ele).text() || i) * 1;
		
					chlList.push({
						id: id,
						value: name,
						chlIndex: $(">chlIndex", $ele).text(),
						chlType: $(">chlType", $ele).text(),
						winIndex: winIndex
					});
					
					console.log("chlList item id:"+id+" ; name:"+name);
				});
				
				setTimeout(function(){
					palySplit(1);
				},3000);
				
			}
		});
	}
	
	function Preview(chlId, chlName) {
		if(model == 'PlayBack'){
			var sendXML = OCX_XML_SetPluginModel("Interactive","Playback");
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			console.log(sendXML);
			handleOCXNotify();
			
			var chlIdList = [chlId];
			var chlNameList = [chlName];
			var winIndexList = [0];
			var eventList = ["MOTION","SCHEDULE","SENSOR","MANUAL","INTELLIGENT","POS"];
			var sendXML = OCX_XML_SearchRec("RecPlay", chlStartTime, chlEndTime, winIndexList, chlIdList, chlNameList, eventList);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			console.log(sendXML);
			handleOCXNotify();
			console.log("PlayBack video "+chlId);
		}else{
			var sendXML = OCX_XML_SetViewChannelID(chlId, chlName);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			console.log("play video "+chlId);
		}
	}

	function bindEvent() {
		// fullscreen
		$('#fullscreen').off().on('click', function () {
			var sendXML = OCX_XML_FullScreen();
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
		});
		
		// stop preview
		$('#stopPreview').off().on('click', function () {
			var sendXML = OCX_XML_SetScreenMode(1);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			sendXML = OCX_XML_StopPreview(0);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
		});
		
		$('#playPreview').off().on('click', function () {
			//Preview(chlList[chlNo].id, chlList[chlNo].value);
			palySplit(1);
		});
	
		// split screen
		$('.split-btn').off().on('click', function () {
			var splitCount = $(this).attr('data-split') * 1;
			var sendXML = OCX_XML_SetScreenMode(splitCount);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			
			for (var i = 0; i < splitCount; i++) {
				var sendXML = OCX_XML_SelectScreen(i);
				VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
				if(chlList.hasOwnProperty(i)){
					Preview(chlList[i].id, chlList[i].value, true);
				}
			}
			
			//renderRequest(sendXML)
		});
	
		// set volume
		$('#volumeTrack').off().on('change', function () {
			var vol = $(this).val()
			var sendXML = OCX_XML_SetVolume(vol);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
		});
	}
	
	function palySplit(splitCount){
		var sendXML = OCX_XML_SetScreenMode(splitCount);
		VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
		
		for (var i = 0; i < splitCount; i++) {
			var sendXML = OCX_XML_SelectScreen(i);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			
			id = "{0000000"+chlName+"-0000-0000-0000-000000000000}";
			name = "";
			
			for(var k in chlList){
				if(chlList[k].id == id){
					name = chlList[k].value;
				}
			}
			
			if(name == ""){
				name = "IPC#"+(i+1);
			}
			
			console.log("play split video item "+id);
			console.log("play split video item "+name);
			
			Preview(id, name);
		}
	}
	
	function refreshNvr() {
		chlNo = chlNo - 1;
				
		if(i<=chlNo){
			Preview(chlList[chlNo].id, chlList[chlNo].value);
		}
	}
</script>
</head>

<body border="0" style="margin: 0; padding: 0; background:#d0d0d0" oncontextmenu="return false;">
	<div class="box01" style="padding: 10px; display: none;">
		<table width="100%">
	        <tr>
        		<td width="10px"></td>
                <th width="120px">
	                Nvr *: <?=$nvr['Name']?>
	            </td>
                <td width="10px"></td>
	            <th width="120px">
	                Door *: Door <?=$channel['DoorNo']?>
	            </td>
				<td style="color: #ffffff;vertical-align:middle;">
					<button style="display: none;float: right;" id="refresh_nvr" type="button" onclick="refreshNvr()">Refresh</button>
				</td>
				<td width="10px"></td>				
	        </tr>
	    </table>
	</div>
	
	<div id="screen" style="margin:0px auto;padding: 10px;width:530px;height:305px;position: relative;"></div>

	<div class="box01 screen" style="margin:20px auto;width:530px;display: none;">
		<table>
			<tr>
				<td>
					<button id="playPreview" style="margin-left:10px;float: left;" type="button">Play</button>
					<!--<button id="stopPreview" style="margin-left:10px;float: left;" type="button">Stop</button>-->
				</td>
				<td>
					<div class="volume-wrap" style="text-align: center;">
					<!--<div class="volume-wrap" style="margin-left:50px;float: left;">-->
	                    <label for="volumeTrack">Volume</label>
	                    <input id="volumeTrack" style="width:240px;" type="range" value="50">
	                </div>
				</td>
				<td>
					
					<button id="fullscreen" style="margin-right:15px;float: right;" type="button">Fullscreen</button>
				</td>
			</tr>
		</table>
	</div>
</body>
</html>