<div id="location">
	<?=$lang->menu->nvr.'&nbsp;&gt;&nbsp;'.$lang->menu->nvr_viewer;?>
	<!-- <button class="btn_help" onclick="openHelp('<?=$this->class?>', '<?=$lang->_lang?>')">Help</button> -->
</div>

<script type="text/javascript" src="./js/tvt/jquery.cookie.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/spark-md5.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/sha1.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/common.js" type="text/javascript"></script>
<script type="text/javascript" src="./js/tvt/ocxPlugin.js" type="text/javascript"></script>

<script language="javascript" for="VideoPlugin" event="NotifyResultToJs(strXMLFormat, lStrLen)">
    VideoPluginNotify.dispatch('ocxNotify', strXMLFormat);
</script>



<script>
    var urlBase = '' // nvr 请求地址
    var SERVER_IP = ""; // nvr ip
    var userName = "";
    var password = "";
    var VideoPlugin = null;
	var chlList = [];
	var splitnum = 0;
	
    function tvtPlay(ip,port,name,pw){
	    if(port == ''){
		    urlBase = "/tvt.php?u="+ip+"/";
	    }else{
		    urlBase = "/tvt.php?u="+ip+":"+port+"/";
	    }

	    SERVER_IP = ip;
	    userName = name;
	    password = pw;
	    
	    $.cookie('sessionId', null)
    
		login(userName, password, function () {
			iniVideoPlugin();
			getChlList();
			bindEvent();
		});
    }


	function ActiveXPlay()
	{
		
		ActiveXVideoPlugin();
	}

    
    function login(userName, password, cb) {
		
		console.log("login");
		
		var auInfo = CharsetHelper.Encode64($.trim(userName) + ":" + $.trim(password));
		
		doLogin(auInfo, {
			userName: userName,
			password: CharsetHelper.Encode64($.trim(password))
		}, cb);
	}
	
	function doLogin(auInfo, userInfo, cb) {
		var sendXml = RequestUtil.GetRequestHeader("doLogin") + "<content>" + 
		"<userName><![CDATA[" + userInfo.userName + "]]></userName>" + 
		"<password><![CDATA[" + userInfo.password + "]]></password></content>" + 
		RequestUtil.GetRequestEnd();
		
		RequestUtil.Request({
			url: "doLogin",
			data: sendXml,
			checkCommonErrorSwitch: false
		}).done(function (result) {
			
			if ($("response>status", result).text() == "success") {
				
				console.log("login success");
				
				var sessionId = $("response>content>sessionId", result).text();
				
				if (sessionId.indexOf("{") !== -1 || sessionId.lastIndexOf("}") !== -1) {
					sessionId = sessionId.substring(sessionId.indexOf("{") + 1, sessionId.indexOf("}"))
				}
				
				webSession('sessionId', sessionId, true);
				$.cookie('sessionId', sessionId);
				webSession('auInfo_N9K', auInfo);
				webSession("userId", $("response>content>userId", result).text());
				webSession("rwKey", $("response>content>rwKey", result).text());
				webSession("adminName", $("response>content>adminName", result).text() || "admin");
				
				if (typeof cb === "function") {
					cb();
				}
			}
		});
	}
	
	function iniVideoPlugin() {
		
		console.log("loading video");
		
		if (VideoPlugin) {
			return VideoPlugin;
		}

		VideoPlugin = LoadPlugin($("#screen"), "VideoPlugin");
		handleOCXNotify();

		if (VideoPlugin) {
			if(document.getElementById("VideoPlugin").hasOwnProperty('ExecuteCmd')){
				//$("#refresh_nvr").show();
				$(".screen").show();
				videoPluginLoginForStandard(VideoPlugin)
				var sendInitialXML = OCX_XML_Initial('Interactive', 'VideoPluginNotify', "Live");
				VideoPlugin.ExecuteCmd(sendInitialXML, sendInitialXML.length);
			}else{
		    	//alert("Please install the plug-in");
				//window.open("/js/tvt/src/WebClient_VPPlugin_v4.exe");
				$('#screen').html("<div class='box01' id='downlaod_area' style='text-align:center; width:100%; height:100%; background-color: ivory;'> <a href='/js/tvt/src/WebClient_VPPlugin_v4.exe' target='_download'>Please click here to download and install the plug-in. </a></div>");
	    	}
		}
	}

	function ActiveX_check(ProgId)
	{
		
		var isInstall = false;
		try {
			var obj = new ActiveXObject(ProgId);
			if (obj)
			{
			 return true;
			}
		} catch (e) {
			return false;
		} 
		return false;
	}

	function ActiveXVideoPlugin() {	
		
		$('#screen').html("<div class='box01' id='downlaod_area' style='text-align:center; width:100%; height:100%; background-color: ivory;'> <a href='/js/ax/VideoControl.exe' target='_download'>Please click here to download and install the plug-in. </a></div>");
	}
	
	function handleOCXNotify() {
		VideoPluginNotify.on('ocxNotify', function (strXMLFormat) {
			//renderResponse(strXMLFormat)
		});
	}
	
	function getChlList() {
		
		console.log("loading Chl List");
		
		RequestUtil.GetChlList({
			nodeType: "chls",
			requireField: ["name", "winIndex", "chlIndex", "chlType"]
		}).done(function (result) {
			if ($("response>status", result).text() == "success") {
				chlList = [];
		
				$("response>content>item", result).each(function (i, ele) {
					var $ele = $(ele);
					var id = $ele.attr("id");
					var name = $(">name", $ele).text();
					var winIndex = ($(">winIndex", $ele).text() || i) * 1;
		
					chlList.push({
						id: id,
						value: name,
						chlIndex: $(">chlIndex", $ele).text(),
						chlType: $(">chlType", $ele).text(),
						winIndex: winIndex
					});
					
					console.log("chlList item id:"+id+" ; name:"+name);
				});
				
				setTimeout(function(){
					
					palySplit(splitnum);
					
				},3000);
				
			}
		});
	}
	
	function Preview(chlId, chlName) {
		var sendXML = OCX_XML_SetViewChannelID(chlId, chlName);
		VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
	}

	function bindEvent() {
		// fullscreen
		$('#fullscreen').off().on('click', function () {
			var sendXML = OCX_XML_FullScreen();
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
		});
	
		// split screen
		$('.split-btn').off().on('click', function () {
			var splitCount = $(this).attr('data-split') * 1;
			
			palySplit(splitCount);
			
			//renderRequest(sendXML)
		});
	
		// set volume
		$('#volumeTrack').off().on('change', function () {
			var vol = $(this).val()
			var sendXML = OCX_XML_SetVolume(vol);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
		});
		
		// stop preview
		$('#stopPreview').off().on('click', function () {
			//var sendXML = OCX_XML_SetScreenMode(1);
			//VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
			var sendXML = OCX_XML_StopPreview(2);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			//renderRequest(sendXML)
		});
	}
	
	function palySplit(splitCount){		
		var sendXML = OCX_XML_SetScreenMode(splitCount);
		VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
		
		for (var i = 0; i < splitCount; i++) {
			var sendXML = OCX_XML_SelectScreen(i);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			
			id = "{0000000"+(i+1)+"-0000-0000-0000-000000000000}";
			name = "";
			
			for(var k in chlList){
				if(chlList[k].id == id){
					name = chlList[k].value;
				}
			}
			
			if(name == ""){
				name = "IPC#"+(i+1);
			}
			
			Preview(id, name, true);
			
			console.log("play split video item "+id);
			console.log("play split video item "+name);
			console.log("play split video item "+i);
		}
	}
	
	function refreshNvr() 
	{
		var sendXML = OCX_XML_SetScreenMode(splitnum);
		VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
		
		for (var i = 0; i < splitnum; i++) {
			var sendXML = OCX_XML_SelectScreen(i);
			VideoPlugin.ExecuteCmd(sendXML, sendXML.length);
			Preview(chlList[i].id, chlList[i].value);
			console.log("play video");
		}
	}
	
</script>

<script type="text/javascript">
// 권한 체크해서 등록 페이지 호출을 재정의 함.
<? if( $this->is_auth(35, 1) != TRUE) { ?>
function open_new() {
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

<? if( $this->is_auth(35, 2) != TRUE) { ?>
function open_edit() {
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

<? if( $this->is_auth(35, 2) != TRUE) { ?>
function delete_form() {
	alert("<?=$this->lang->user->error_not_permission?>");
}
<? } ?>

// yhoh 20210322
function load_list() {
    $.getJSON(
        "/?c=" + _class + "&m=select",
        function (data) {
            _data = data;

			var buttonnvr = document.getElementById('buttonnvr');
			buttonnvr.click();
        }
    );
}

$(document).ready(function() {
	load_list();
});

function button_stop(){
	var player = document.getElementById('ViewPlayer');	
	player.MethodPauseAll();
}

function button_full(){	
	var player = document.getElementById('ViewPlayer');	
	player.MethodSetFullScreen(1);
	//player.MethodSetScreenPage(1);
	//player.MethodCaptureImage(2);

}

function activex_error()
{	
	$("#form_nvr").hide();
	$("#popup_play").hide();
	$("#popup_Plugin").show();
	$('#popup_Plugin').html("<div class='box01' id='popup_Plugin' style='text-align:center; width:100%; height:640px; background-color: ivory;'> <a href='/js/ax/VideoControl.exe' target='_download'>Please click here to download and install the plug-in. </a></div>");
}

/* NVR CAMERA 화면  표시 */
function button_nvr() {	
	var nIdx = $("select[name='nvr_list'] option").index($("select[name='nvr_list'] option:selected"));
	// yhoh 20210309
	if (nIdx >= 0 && nIdx < _data.count)
	{
		$("#screen").html('');
		CameraDisplayMode(_data.list[nIdx].MaxChannel,nIdx,_data.list[nIdx].Type);
	}
}

function button_setview(viewcnt) 
{	
	
	Xplayer = document.getElementById('ViewPlayer');

	if(Xplayer == null)
	{
		alert("Please run Play first.");
	}
	else
	{
		Xplayer.MethodSetScreenMode(viewcnt);
	}
}

function button_Prev()
{
	Xplayer = document.getElementById('ViewPlayer');

	if(Xplayer == null)
	{
		alert("Please run Play first.");
	}
	else
	{
		var max_page = Xplayer.MethodGetMaxPage();
		if(max_page == 1)
		{
			alert("This is the first view.");
		}
		else
		{
			//현재 페이지
			var current_page = Xplayer.MethodGetScreenPage()
			if(current_page == 1)
			{
				alert("This is the first view.");
			}
			else
			{
				//셋팅 페이지
				Xplayer.MethodSetScreenPage(current_page-1);
			}
		}
	}
}

function button_Next()
{
	Xplayer = document.getElementById('ViewPlayer');

	if(Xplayer == null)
	{
		alert("Please run Play first.");
	}
	else
	{
		var max_page = Xplayer.MethodGetMaxPage();
		if(max_page == 1)
		{
			alert("This is the last view.");
		}
		else
		{
			//현재 페이지
			var current_page = Xplayer.MethodGetScreenPage()
			if(current_page == max_page)
			{
				alert("This is the last view.");
			}
			else
			{
				//셋팅 페이지
				Xplayer.MethodSetScreenPage(current_page+1);
			}
		}
	}
}


/* PLUGIN DOWN LOAD */
function InsertPluginDownload() {
$('#screen').html("<div class='box01' id='downlaod_area' style='text-align:center; width:100%; height:100%; background-color: ivory;'>" +			      
				  "<a href='http://update.remote-manager.net/vlc/vlc-3.0.7.1-win32.msi' target='_download'>" +
				  "Please click here to download and install the plug-in. </a></div>");
}

/* 화면 배치관련 정보 */
var enumDisplayMode = Object.freeze({"DIV_1X1":1, "DIV_2X2":2, "DIV_3X3":3,"DIV_4X4":4 });
var emunDisplayPixel = { '1':{'width':'240px;', 'height':'100%;'},'2':{'width':'240px;', 'height':'323px;'},'3':{'width':'240px;', 'height':'215px;'},'4':{'width':'240px;', 'height':'161px;'},};

/* 각 CAMERA 영역 표시 */
function CameraDisplayMode(cameraCnt, nIdx, Type) {

	
	/* //vlc player
	$('#CameraLayer').remove();
 	$('#screen').append("<table class='aa' id='CameraLayer'  align='center' style='width:100%;height:100%;' border='1' ></table>");
	
	 var k = 1;
	 for(i=0;i<cameraCnt;i++) {
		$('#CameraLayer').append("<tr class='aa' id='tr"+i+"' border='1' style='width:100%;height:100%;'></tr>");
		for(j=0;j<cameraCnt;j++) {
			$('#tr'+i).append("<td class='aa' id='td"+i+j+"' border='1' style='width:"+emunDisplayPixel[cameraCnt].width+"height:"+emunDisplayPixel[cameraCnt].height+"'></td>");
			AddPlayer(cameraCnt, "td"+i+j);
			if(_data.list[nIdx].Id==='') {
				 Play("td"+i+j,'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+k, _data.list[nIdx].Type);
			}			
			else {
				Play("td"+i+j,'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+k, _data.list[nIdx].Type);
			}
			
			k++;
		}
	 }
	

	//	for(j=0;j<cameraCnt;j++) {
	//		$('#tr'+i).append("<td id='td"+i+j+"' width='100%' height='100%' border='1'></td>");
		//AddPlayer("td"+i+j);
		
	//		$('#td'+i+j).append("<td id='btn"+i+j+"'></td>");
	//			$("#btn"+i+j).append("<button type='button' value='Play' onClick=Play('td"+i+j+"',Camera.td"+i+j+")>");
	//			$("#btn"+i+j).append("<INPUT type=submit value='Stop' onClick=Stop('td"+i+j+"')>");
	//			$("#btn"+i+j).append("<INPUT type=submit value='Full Screen' onClick=FullScreen('td"+i+j+"')>");
	//			$("#btn"+i+j).append("<INPUT type=submit value='Snapshot' onClick=Snapshot('td"+i+j+"')>");			
	//		}
	*/
	
	//Active X player
	//$('#CameraLayer').remove();	
	//$('#screen').append("<table id='CameraLayer'  align='center' style='width:100%;height:100%;' border='1' ></table>");
	//$('#CameraLayer').append("<tr id='tr' border='1' style='width:100%;height:100%;'></tr>");
	//$('#tr').append("<td id='td' border='1' style='width:"+emunDisplayPixel[cameraCnt].width+"height:"+emunDisplayPixel[cameraCnt].height+"'></td>");
	//$('#tr').append("<td id='td' border='1' style='width:100% height:100%'></td>");
	//$('#td').html("<OBJECT name='ViewPlayer' ID='ViewPlayer' style='width:100%;height:100%;' CLASSID='clsid:15D512E4-49C9-4B83-B254-69AADB8F79EC'></OBJECT>");

	
	Xplayer = document.getElementById('ViewPlayer');
	Xplayer.MethodSetMaxCameraCount(cameraCnt);
	

	if( 1 == cameraCnt){		Xplayer.MethodSetScreenMode(1);	}
	else if( 4 == cameraCnt){	Xplayer.MethodSetScreenMode(2); }
	else if( 9 == cameraCnt){	Xplayer.MethodSetScreenMode(3);	}
	else if( 16 == cameraCnt){	Xplayer.MethodSetScreenMode(4);	}
	else{						Xplayer.MethodSetScreenMode(4);	}

	var Protocol = "TCP";	
	for(i=0;i<cameraCnt;i++)
	{	
		var URL;
		if(Type == 1) // Thumb Drive NVR
		{
			if(_data.list[nIdx].Id==='')
				URL = 'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
			else
				URL = 'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
		}
		else if(Type == 2 || Type == 5) //  2:Speco NVR, 5:Transcendent NVR
		{
			if(_data.list[nIdx].Id==='')
				URL = 'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
			else
				URL = 'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
		}
		else if(Type == 3) // CBC NVR
		{
			if(_data.list[nIdx].Id==='')
				URL = 'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/live/main'+i;
			else
				URL = 'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/live/main'+i;
		}
		else if(Type == 4) // DW Spectrum
		{
			if(_data.list[nIdx].Id==='')
				URL = 'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/'+_data.list[nIdx].CameraIds[i+1];
			else
				URL = 'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/'+_data.list[nIdx].CameraIds[i+1];
		}
		else // Thumb Drive NVR
		{
			if(_data.list[nIdx].Id==='')
				URL = 'rtsp://'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
			else
				URL = 'rtsp://'+_data.list[nIdx].HttpID+':'+_data.list[nIdx].HttpPassword+'@'+_data.list[nIdx].IP+':'+_data.list[nIdx].LivePort+'/chID='+(i+1);
		}
 		Xplayer.MethodSetRTSP(i+1, "CH "+(i+1) , URL, Protocol == 0);
	}
	Xplayer.MethodSetScreenPage(1);
	Xplayer.MethodPlayAll();
}

function view_setting(value)
{	
	//$('#CameraLayer').remove();
	button_nvr();		
}


/** CAMERA Plugin Insert */
function AddPlayer(cameraCnt, ch) 
{
	$('#'+ch).html("<OBJECT id='player_"+ch+"' classid='clsid:9BE31822-FDAD-461B-AD51-BE1D1C159921' "+
			   "codebase='http://download.videolan.org/pub/vlc/3.0.7.1/win32/vlc-3.0.7.1-win32.exe' "+
			   "events='True'>" +
			   "<embed type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' text='Waiting for video' version='VideoLAN.VLCPlugin.2' id='player_"+ch+"' style='width:"+emunDisplayPixel[cameraCnt].width+"height:"+emunDisplayPixel[cameraCnt].height+"'/>" +
				"<param name='bgcolor' value='#000033' />" +
				"<param name='toolbar' value='True' />" +
			   "<param name='Visible' value='True' />" +
				"<param name='ShowDisplay' value='True'/> "+
				"<param name='AutoLoop' value='False' />"+
				"<param name='AutoPlay' value='False' />	"+		
				"</OBJECT>");

$('#player_'+ch).css("width","100%");
$('#player_'+ch).css("height","100%");	


document.getElementById('player_'+ch).playlist.clear();



}

/** Live Play **/
function Play(targetCamera, rtspURL, modelType) {
	
	//alert(rtspURL);
	var player=document.getElementById('player_'+targetCamera);	

    if(modelType == 2) {
		var options = new Array("rtsp-tcp"); /* Normal NVR Model */
		rtspURL = rtspURL+'&streamType=main';
	}
	else {
		//var options = new Array(":no-overlay"); /* SICUNET NVR */
		var options = new Array("rtsp-tcp");
	}
	
	player.playlist.clear();
	player.playlist.add(rtspURL," ",options);
	player.playlist.play();
	
}

/* Plugin 설치 여부 확인 */
function checkPluginInstalled() {	
  try {
	var pluginObj = new ActiveXObject("VideoLAN.VLCPlugin.2");
	//alert(pluginObj);
	if(pluginObj) {
//		CameraDisplayMode(4);
	} else {

		InsertPluginDownload();
	}
  } catch(e) { 

	InsertPluginDownload();
//	  InsertPluginDownload(); 
//	  alert("IE에서 ActiveX 필터링 끄기 해야 함. URL 입력창 끝에 Icon 확인"); 
//	  CameraDisplayMode(2);
	}
}

checkPluginInstalled();

</script>

<script for="player_td01" event="Click()" type="text/javascript">


	var player=document.getElementById('player_td01');
	if(player.video.fullscreen) {
		player.video.toggleFullscreen();
	}
</script>

<div class="box01" style="padding: 10px;">
<form id="form_nvr">
	    <table width="100%">
	        <tr>
	        	<div>	        		
	                <th width="50" class="floor" style="vertical-align:middle;">&nbsp;&nbsp;<?=$lang->nvr_viewer->nvr?> *</th>
	                <td width="10" class="floor" style="vertical-align:middle;">:</td>
	                <td width="10px"></td>
		            <td style="vertical-align:middle;"><td><?=$this->from->select('nvr_list', '', $nvrList , array('style'=>'width:220px;','onchange'=>'view_setting(this.value);'))?></td></td>
					<td style="padding: 0 0 0 10px;color: #ffffff;vertical-align:middle;display: none;"><?=$this->from->radio('viewtype', '0', EnumTable::$attrDVRMode, '&nbsp;&nbsp;&nbsp;&nbsp;')?></td>
					<td style="color: #ffffff;vertical-align:middle;">
						<!--<button type="button" onclick="button_nvr();">Play</button>   
						<button type="button" onclick="button_stop();">Stop</button>
						<button type="button" onclick="button_full();">FullScreen</button>
						<button style="display: none;" id="refresh_nvr" type="button" onclick="refreshNvr()">Refresh</button>-->
					</td>					
		        </div>
	        </tr>
	    </table>
</form>
</div>

<!--<OBJECT TYPE="application/x-oleobject" CODEBASE="Version=1.0" id="ViewPlayer" onError="activex_error()" CLASSID="CLSID:15D512E4-49C9-4B83-B254-69AADB8F79EC" WIDTH=100% HEIGHT=100%>
<div style="margin:12px auto; background-color:#EFEFEF; width:1024px;"></div>-->

<div  style="padding: 10px; 10px 10px 10px;">
<table id="popup_play" width="100%">
<tr>
      <td>
       <div id="Player" style="width:100%;height:300px;margin-top:5px;">
				<OBJECT TYPE="application/x-oleobject" CODEBASE="./SicuControl.ocx#version=1,0,1,1" id="ViewPlayer" onError="activex_error()" CLASSID="CLSID:15D512E4-49C9-4B83-B254-69AADB8F79EC" WIDTH="100%" HEIGHT="640px">
                    <param name='bgcolor' value='#000033' />
                    <param name='toolbar' value='True'/>
                    <param name='Visible' value='True' />
                    <param name='ShowDisplay' value='True'/>
                    <param name='AutoLoop' value='False' />
                    <param name='AutoPlay' value='False' />	
                    </OBJECT>
                    
					<button id='buttonnvr' type="button" onclick="button_nvr();" style="margin-top:10px;">Play</button>   
					<button id='stop' type="button" onclick="button_stop();" style="margin-top:10px;">Stop</button>

					<button id='btn1' onclick="button_setview(1);" style="width:30px;margin-left:1px;margin-top:10px;" type="button">1</button>
					<button id='btn2' onclick="button_setview(2);" style="width:30px;margin-top:10px;" type="button">4</button>
					<button id='btn3' onclick="button_setview(3);" style="width:30px;margin-top:10px;" type="button">9</button>	   
					<button id='btn4' onclick="button_setview(4);" style="width:30px;margin-top:10px;" type="button">16</button>	  
					<button id='full' type="button" onclick="button_full();" style="margin-top:10px;">FullScreen</button>
					<button id='next' onclick="button_Next();" style="width:80px;float:right;margin-right:1px;margin-top:10px;" type="button">Next</button>
					<button id='prev' onclick="button_Prev();" style="width:80px;float:right;margin-right:5px;margin-top:10px;" type="button">Prev</button>
       </div>  
       </td> 
</tr>
</table>

<!--
<div id='screen' class='noclass' style="padding: 15px;width:1060px;height:650px;position: relative;"></div>
<div class="box01 screen" style="margin:20px 0;display: none;">
	<table>
		<tr>
			<td width="33.33%">
				<button class="split-btn" data-split="1" style="margin-left:15px;" type="button">1</button>
				<button class="split-btn" data-split="4" style="margin-left:15px;" type="button">4</button>
				<button class="split-btn" data-split="9" style="margin-left:15px;" type="button">9</button>
				<button class="split-btn" data-split="16" style="margin-left:15px;" type="button">16</button>
			</td>
			<td width="33.33%">
				<div class="volume-wrap" style="text-align: center;">
                    <label for="volumeTrack">Volume</label>
                    <input id="volumeTrack" type="range" value="50">
                </div>
			</td>
			<td width="33.33%">
				<button id="stopPreview" style="margin-right:15px;float: right;display: none;" type="button">Stop Preview</button>
				<button id="fullscreen" style="margin-right:15px;float: right;" type="button">Fullscreen</button>
			</td>
		</tr>
	</table>
</div>
-->

<!-- 더이상 사용하지 않음.
 <div class="box01" >
	<table>
	<tr>
		<td width="0px" style="margin-top:20px;"></td>
		<td>
		<button id='btn1' onclick="CameraDisplayMode(1);" style="width:30px;margin-left:15px;" type="button">1</button>
		<button id='btn2' onclick="CameraDisplayMode(2);" style="width:30px" type="button">4</button>
		<button id='btn3' onclick="CameraDisplayMode(3);" style="width:30px" type="button">9</button>	   
		<button id='btn4' onclick="CameraDisplayMode(4);" style="width:30px" type="button">16</button>	   
		</td>
		<td style="text-align:right;">
		<button onclick="Play('td00','rtsp://b1.dnsdojo.com:1935/live/sys3.stream');" style="width:80px;margin-right:18px;" type="button">Full Screen</button>
		</td>
	</tr>
	</table>
 </div>
 -->

 <!--
 <div class="box01" >
	<table>
	<tr>
		<td width="0px" style="margin-top:20px;"></td>
		<td>
		<button id='btn1' onclick="button_setview(1);" style="width:30px;margin-left:15px;" type="button">1</button>
		<button id='btn2' onclick="button_setview(2);" style="width:30px" type="button">4</button>
		<button id='btn3' onclick="button_setview(3);" style="width:30px" type="button">9</button>	   
		<button id='btn4' onclick="button_setview(4);" style="width:30px" type="button">16</button>	   
		</td>
		<td style="text-align:right;">-->
		<!--<button onclick="Play('td00','rtsp://b1.dnsdojo.com:1935/live/sys3.stream');" style="width:80px;margin-right:18px;" type="button">Full Screen</button>-->
		<!--<button id='btn4' onclick="button_Prev();" style="width:80px;margin-right:3px;" type="button">Prev</button>
		<button id='btn3' onclick="button_Next();" style=width:80px;margin-right:30px;" type="button">Next</button>		
		</td>
	</tr>
	</table>
 </div>-->

<table id="popup_Plugin" width="100%" style='display：none;'>
<tr>
      <td>
       
</tr>
</table>

 <!--<iframe id="_download" src="" style="display:none;"></iframe>-->