<style>
#contents {float:left; border:0; margin:0 0 16px 0; }
#view_section h3 {padding-left: 10px; background-color: #b5b5b7; color: #181b29; border-top: 2px solid #464a58; box-sizing: border-box; font-family: Noto-Sans-Bold-UI; height: 30px; vertical-align: middle;}
</style>

<script>
var fileSize = 0;
var logStart = 0;

// liu 보안
function checkUpdateFile(byId, maxSize)
{   
    var node = document.getElementById(byId);
    
    if (node.type == "file") {
        var sFileName = node.value;
        if (sFileName.length > 0) {
            
            if (sFileName.substr(sFileName.length - 2, 2).toLowerCase() != "gz") {
                node.value = "";
                alert("<?=$this->lang->user->error_file_extensions?>" + ": .gz");
                return false;
            }
        }
    }
    
    var sFileName = node.value;
    var iFileSize = node.files[0].size;
    
    if( iFileSize > maxSize ){
        node.value = "";
        alert("<?=$this->lang->user->error_file_size?> " + iFileSize + " (<?=$lang->menu->max?> : " + maxSize +")");
        return false;
    }
}

function getTxt()
{
	if (logStart == 0)
		return;
		
	$.ajax({
		url:'upgrade.log',
		success: function (data) {
			//parse your data here//you can split into lines using data.split('\n')//an use regex functions to effectively parse it
			//$("#logSelect").append(data);
			$("#dateTime").html(Date());
			var rows=data.split("\n");
			if (fileSize==0) {// when file open for first time
				fileSize=rows;
				jQuery.each(rows, function(i,val) {
					$("#logSelect").append("</br>"+val);
				});
			}
			else
			{ // file already opened
				if(fileSize <rows) {
					//$("#logSelect").html(data);
					$("#logSelect").html("");
					jQuery.each(rows, function(i,val) {
						$("#logSelect").append("</br>"+val);
					});
					fileSize=rows;
				}
				else
				{
					$("#logSelect").append(" * ");
				}
			}
		},
		complete:function() {
		}
	});
}

function submit_send()
{
	$('#form_edit').find('input[name="confirm_pw"]').val($('#form_send').find('input[name="confirm_pw"]').val());
	$.modal.close();
	show_loading();
	$('#form_edit').submit();
}

function confirm_send()
{
	$('#form_send').find('input[name="confirm_pw"]').val('');
	$('#form_edit').find('input[name="confirm_pw"]').val('');
	confirm_dialog("<?=$this->lang->common->update_warning_message?>");
}

function confirm_dialog(message, callback) {
	$('#confirm-dialog').modal({
		closeHTML: "<a href='#' title='Close' class='modal-close'>x</a>",
		position: ["20%",],
		overlayId: 'confirm-overlay',
		containerId: 'confirm-container', 
		onShow: function (dialog) {
			var modal = this;

			$('.message', dialog.data[0]).append(message);
		}
	});
}

</script>

<!-- modal content -->
<div id='confirm-dialog'>
	<form id="form_send" method="post" action="/?c=<?=$this->class?>&m=_exe" onsubmit="show_loading(); submit_send(); return false;">
	<div class='header'><span></span></div>
	<div class='message'></div>
	<div style="margin-left:10px;">
		<?=$lang->user->Password?> *:
		<input type="password" name="confirm_pw" value="">
	</div>
	<div class='buttons'>
		<button type="button" onclick="logStart=1; getTxt(); submit_send();" class="yes"><?=$lang->button->ok?></button>
		<button type="button" onclick="$.modal.close()"><?=$lang->button->close?></button>
	</div>
	</form>
</div>

<div style="height:35px;background:#181b2a;width:1103px;" >
    <table class="box01">
	<button class="btn_close" onclick="<?=$_SERVER['HTTP_REFERER']?>"><a href="<?=$_SERVER['HTTP_REFERER']?>" style="color:#ffffff; text-decoration: none;">X</a></button>
	</table>
</div>

<div id="edit_section">
	<h2>:: <?=$lang->menu->update?></h2>
	<div class="update-location">
			<img src="/img/menu/icon_info.png" valign="absmiddle">
			<span id="update-location-text"><?=$lang->menu->update?></span>
	</div>
	<br/>
	<div class="box01">
	<form id="form_edit" method="post" action="/?c=<?=$this->class?>&m=_exec" enctype="multipart/form-data" target="_self">
		<input type="hidden" name="confirm_pw" value="">
		<h3>Client</h3>
		<table class="tbl_view">
		<tr>
			<th width="180">Installed Software Version</th>
			<td width="1">:</td>
            <td><?= $VersionStr ?></td>
		</tr>
		<tr>
			<th width="120"><?=$lang->menu->updatetype?></th>
			<td width="1">:</td>
			<td>
				<input type="radio" name="sel" value="pc" onclick="$('#file_layer').show()" /> <?=$lang->menu->userpc?> &nbsp; &nbsp; &nbsp;
				<input type="radio" name="sel" value="sd" onclick="$('#file_layer').hide()" /> <?=$lang->menu->sdcard?> &nbsp; &nbsp; &nbsp;
				<input type="radio" name="sel" value="ftp" checked onclick="$('#file_layer').hide()" /> <?=$lang->menu->updatesev?> (<?=$lang->common->last_version?> : <?= $LastVersionStr ?>)&nbsp; &nbsp; &nbsp;
			</td>
		</tr>
		<tr id="file_layer" class="hide">
			<th width="150"><?=$lang->menu->file?></th>
			<td width="1">:</td>
			<td>
				<!-- liu 보안 -->
				<input type="file" id="upload_file" name="upload_file" accept=".gz" size="65" onchange="checkUpdateFile('upload_file', 1024 * 1024 * 100)" />
			</td>
		</tr>
		</table>
		<div class="button_set">
			<button type="button" onclick="confirm_send();"><?=$lang->menu->update?></button>
		</div>
	</form>
	</div>
</div>


