<?php
include("back_end_funct.php");
if(isset($_POST["layout_name"])) layout_back_end();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
    <head>
<!--
    <link rel="stylesheet" type="text/css" href="<?php echo css;?>common.css"/>
<?php if($_ENV["NEPTUNE_MODE"] === "NEPTUNE") { ?>
<link rel="shortcut icon" href="../img/neptune.ico">
<link rel="stylesheet" href="<?php echo css;?>neptune_logo.css" type="text/css" />
<?php } else if ($_ENV["NEPTUNE_MODE"] === "SPECO"){?>
<link rel="shortcut icon" href="../img/speco.ico">
<link rel="stylesheet" href="<?php echo css;?>speco_logo.css" type="text/css" />
<?php } else {?>
<link rel="shortcut icon" href="../img/emerge.ico">
<link rel="stylesheet" href="<?php echo css;?>linear_logo.css" type="text/css" />
<?php } ?>
-->

    <link rel="stylesheet" href="<?=CSS_URL?>/common.css" type="text/css" />
    <link rel="shortcut icon" href="<?=SPIDER_LOGO_ICO?>">
    <link rel="stylesheet" href="<?=SPIDER_LOGO_CSS?>" type="text/css" />
    <link rel="stylesheet" href="<?=SPIDER_COLOR_CSS?>" type="text/css" />

    <script type="text/javascript">
        var fieldcnt = 0;  

        function addfields(){
            var fieldorder = getFiledCnt();
            var chld =  document.createElement('tr');
            chld.innerHTML = "<div id='fielddv"+fieldorder+"'><td>Field ID*<br><input type='text' id='fieldn"+fieldorder+"' name='name[]' value='FieldName"+fieldorder+"' readonly /></td>"+
            "<td>X Position*<br><input type='text'  id='fieldx"+fieldorder+"' name='x[]' class='inp' onKeypress = 'digit_check();' style='IME-MODE:disabled;' /></td>"+
            "<td>Y Position*<br><input type='text'  id='fieldy"+fieldorder+"' name='y[]'class='inp' onKeypress = 'digit_check();' style='IME-MODE:disabled;'/></td>"+
            "<td>Max number of characters*<br><input type='text'  id='fieldm"+fieldorder+"' name='maxln[]' class='inp' onKeypress = 'digit_check();' style='IME-MODE:disabled;'/></td><div>";
            document.getElementById('badge').appendChild(chld);
            
            window.resizeTo(820, document.getElementById('contents').scrollHeight+120);
        }
        
        function delfields(){
            if( fieldcnt == 0 ) return;
            var child = document.getElementById("fielddv"+fieldcnt);
            var parent = child.parentNode;
            parent.innerHTML = "";
            fieldcnt = fieldcnt-1;
            
            window.resizeTo(820, document.getElementById('contents').scrollHeight+120);
        }
          
        
        function digit_check(){
            if(event.keyCode < 45 || event.keyCode > 57) 
              event.returnValue = false;
        }
          
        function getFiledCnt(){
            fieldcnt++;
            return fieldcnt;
        }
        
        function selectlayout(value){
        
            var xmlDoc=null;
            
            
            if (window.XMLHttpRequest)
            {// code for IE7+, Firefox, Chrome, Opera, Safari
                xmlhttp=new XMLHttpRequest();
            }
            else
            {// code for IE6, IE5
                xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
            }
            xmlhttp.open("GET", "/badging/layout/" + value ,false);
            xmlhttp.send();
            xmlDoc=xmlhttp.responseXML;
            

            if (xmlDoc!=null)
            {
                console.log(xmlDoc);
                fieldcnt = 0;
                
                var bg = document.getElementById('badge');
                while(bg.firstChild){
                    bg.removeChild(bg.firstChild);
                }
                
                window.resizeTo(820, document.getElementById('contents').scrollHeight+120);
                
                var oriNodes = xmlDoc.getElementsByTagName("orientations");
                if( oriNodes[0].getElementsByTagName("orientation")[0].childNodes[0].nodeValue == "L" )
                {
                    document.getElementById("orientland").checked = true;
                }
                else{
                    document.getElementById("orientpotr").checked = true;
                }
                
                var logoNodes = xmlDoc.getElementsByTagName("logo");
                document.getElementsByName("logox")[0].value = logoNodes[0].getElementsByTagName("x")[0].childNodes[0].nodeValue.replace("px","");
                document.getElementsByName("logoy")[0].value = logoNodes[0].getElementsByTagName("y")[0].childNodes[0].nodeValue.replace("px","");
                document.getElementsByName("logowidth")[0].value = logoNodes[0].getElementsByTagName("width")[0].childNodes[0].nodeValue.replace("px","");
                document.getElementsByName("logoheight")[0].value = logoNodes[0].getElementsByTagName("height")[0].childNodes[0].nodeValue.replace("px","");
                
                var picNodes = xmlDoc.getElementsByTagName("picture");
                document.getElementsByName("pictx")[0].value = picNodes[0].getElementsByTagName("x")[0].childNodes[0].nodeValue.replace("px","");
                document.getElementsByName("picty")[0].value = picNodes[0].getElementsByTagName("y")[0].childNodes[0].nodeValue.replace("px","");
                
                var filedNodes = xmlDoc.getElementsByTagName("fields");
                for (var i = 0; i < filedNodes.length; i++ ){   
                    addfields();
                    
                    document.getElementById("fieldn"+fieldcnt).value = filedNodes[i].getElementsByTagName("name")[0].childNodes[0].nodeValue;
                    document.getElementById("fieldx"+fieldcnt).value = filedNodes[i].getElementsByTagName("x")[0].childNodes[0].nodeValue.replace("px","");    
                    document.getElementById("fieldy"+fieldcnt).value = filedNodes[i].getElementsByTagName("y")[0].childNodes[0].nodeValue.replace("px","");    
                    document.getElementById("fieldm"+fieldcnt).value = filedNodes[i].getElementsByTagName("max")[0].childNodes[0].nodeValue;    
                }
            }  
        }  
        
        function checkimgFileValidator(byId, maxSize)
        {   
            var _validFileExtensions = [".jpg", ".jpeg", ".bmp", ".png"];  
            var node = document.getElementById(byId);
            
            if (node.type == "file") {
                var sFileName = node.value;
                if (sFileName.length > 0) {
                    var blnValid = false;
                    
                    for (var j = 0; j < _validFileExtensions.length; j++) {
                        var sCurExtension = _validFileExtensions[j];
                        if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) {
                            blnValid = true;
                            break;
                        }
                    }
                    
                    if (!blnValid) {
                        node.value = "";
                        alert("Invalid file extensions. Allowed : .jpg, .jpeg, .bmp, .png");
                        return false;
                    }
                }
            }
            
            var sFileName = node.value;
            var iFileSize = node.files[0].size;
            
            if( iFileSize > maxSize ){
                node.value = "";
                alert("Invalid file size " + iFileSize + "(MAX : " + maxSize +")");
                return false;
            }
        }        
        
        function itemCheck(){
            if( document.getElementsByName("lgbg")[0].value )
            {

                if( !document.getElementsByName("logowidth")[0].value ){
                    alert("Error Logo Width Required");
                    return false;  
                }
                
                if( !document.getElementsByName("logoheight")[0].value ){
                    alert("Error Logo height Required");
                    return false;  
                }
            
                if( !document.getElementsByName("logox")[0].value ){
                    alert("Error Logo X Position Required");
                    return false;  
                }

                if( !document.getElementsByName("logoy")[0].value ){
                    alert("Error Logo Y Position Required");
                    return false;  
                }   
            }
            
            if( !document.getElementsByName("pictx")[0].value ){
                alert("Error Picture X Position Required");
                return false;  
            }

            if( !document.getElementsByName("picty")[0].value ){
                alert("Error Picture Y Position Required");
                return false;  
            }
              
            for (var i = 1; i <= fieldcnt; i++ )
            {

                if( !document.getElementById("fieldx"+i).value ){
                    alert("Error Field X Position Required");
                    return false;
                }
                if( !document.getElementById("fieldy"+i).value ){
                    alert("Error Field Y Position Required");
                    return false;
                }
                if( !document.getElementById("fieldm"+i).value ||
                     document.getElementById("fieldm"+i).value == 0 ){
                    alert("Error Field Max number of characters Required");
                    return false;
                }
            }
            
            return true;
        }
        
        function SubmitCheck(){
              
            document.form_new.action = "";
            document.form_new.target = "";
            
            if( !document.getElementsByName("layout_name")[0].value ){
                alert("Error Layout Name Required");
                return false;  
            }
            
            if( itemCheck() == true ){            
                document.form_new.submit();      
            }
        }
        
        function previewfunc(){
            
            if( itemCheck() == true ){            
                window.open("","LayoutPreview", "top=100, left=500, width=430, height=330, resizable=no, status=no, toolbar=no, scrollbars=no");
                document.form_new.action = "Layout_preview.php";
                document.form_new.target = "LayoutPreview";
                document.form_new.submit();      
            }
        }
        
    </script>

    </head>
    <body style ="background-image : none;" OnLoad="form_new.layout_name.focus();">
        <div id="contents" style="margin:0">
        <div id="location">Badging Layout</div>
        <div id="new_section" class="hide" style="display: block;">

    <h2></h2>
    <form id="form_new" method="POST" name="form_new" enctype="multipart/form-data">
    <div class="box01">
        <h3>Badge Layout Module</h3>
        <table class="tbl_view">
            <tbody>
                <tr>
                    <td>Select Layout</td>
                    <td>
                        <select id="tpl" name="tpl" onchange="selectlayout(this.value);">
                            <option value=''>.xml</option>
                            <?php gettpl(LAYOUT_DIR);?>
                        </select>
                    </td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Layout Name*</td>
                    <td><input id="name" name="layout_name" type="text"/></td>
                    <td></td>
                    <td></td>
                    
                </tr>
                
                <tr>
                    <td>Badge Orientation</td>
                    <td><input checked="true" name="orientation" type="radio" value="L" id="orientland">Landscape</td> 
                    <td><input name="orientation" type="radio" value="P" id="orientpotr"/>Potrait</td>
                    <td></td>
                </tr>
                
                <tr>
                    <td>Background file</td>
                    <td><div id="changebg"><input name="bg" type="file" accept="image/*" id="upload_bg" onchange="checkimgFileValidator('upload_bg', 150*1024)" /></div></td>
                    <td></td>
                    <td></td>
                </tr>
                
                <tr>
                    <td>Logo Position</td>
                
                    <td>Logo Width<br>
                        <input type="text" name="logowidth" onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    <br/>
                        Logo Height<br>
                        <input type="text" name="logoheight" onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    </td>
                    <td>X Position<br>
                        <input type="text" name="logox" class="inp"  onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    <br/>
                        Y Position<br>
                        <input type="text" name="logoy" class="inp"  onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    </td>
                </tr>
                
                <tr>
                    <td>Logo file</td>
                    <td><div id="changelogo"><input name="lgbg" type="file" accept="image/*" id="upload_logo" onchange="checkimgFileValidator('upload_logo', 150*1024)" /></div></td>
                    <td></td>
                    <td></td>
                </tr>
                
                <tr>
                    <td>Picture<br>(100pxX130px)</td>
                    <td> X Position<br>
                        <input type="text" name="pictx" class="inp"  onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    </td>
                    <td> Y Position<br>
                        <input type="text" name="picty" class="inp"  onKeypress = "digit_check();" style="IME-MODE:disabled;"/>
                    </td>
                    <td></td>
                </tr>
                <tr>
                    <td colspan="4">
                        <table id="badge"></table>																			
                    </td>
                </tr>																					
            </tbody>
        </table>
        </form>
        </div>
        <div class="button_set">
            <!--<button  type="button" class="btn_large" name="cr" onclick="document.form_new.submit();" >Post</button>-->
            <button type="button" class="btn_large" name="cr" onclick="SubmitCheck();" >Save</button>
            <button type="button" class="btn_large" onclick="addfields();">+Add Fields</button>
            <button type="button" class="btn_large" onclick="delfields();">-Del Fields</button>
            <button type="button" class="btn_large" onclick="previewfunc();">Preview</button>
        </div>
        
    </body>
</html>
