<?php
//ini_set('display_errors', 1);

// ---------------------------------------------------------------------------------- 
define('ROOT_DIR',  '');
define('BASE_DIR',  ROOT_DIR.'/spider/web');
define('APP_DIR',   BASE_DIR.'/app');

// ----------------------------------------------------------------------------------

// 전역 설정
include APP_DIR.'/common/config.php';
include APP_DIR.'/libraries/DBSession.php';
// 기본 controller 정의
include APP_DIR.'/common/controller.php';

// 공통 라이브러리
include APP_DIR.'/libraries/Input.php';
include APP_DIR.'/libraries/Form.php';
include APP_DIR.'/libraries/Util.php';
include APP_DIR.'/libraries/Pagination.php';
include APP_DIR.'/libraries/Log.php';
include APP_DIR.'/libraries/Language.php';

// ----------------------------------------------------------------------------------

$input = new Input();
$from = new Form();

$class  = $input->get('c', 'layout');
$method = $input->get('m', 'index');

include APP_DIR.'/controllers/'.$class.EXT;

$controller = new $class;
//여기
call_user_func_array( array(&$controller, $method), array() );
//session_write_close();

?>