<?php
define('ROOT_DIR',  '');
define('BASE_DIR',  ROOT_DIR.'/spider/web');
define('APP_DIR',   BASE_DIR.'/app');

// ----------------------------------------------------------------------------------

// 전역 설정
	include APP_DIR.'/common/config.php';
// ----------------------------------------------------------------------------------
	include ROOT_DIR.'/spider/web/app/libraries/Util.php';
	include ROOT_DIR.'/spider/web/app/libraries/DBSession.php';

    // liu 보안
	if(!empty($_SESSION['spider_status'])){
	    $spider_status = $_SESSION['spider_status'];
	}else{
	    $spider_status = '';
	}
	
	if( $spider_status == '-1' )
	{
		exit;
	}
	
	if( empty($_SESSION['spider_id']) ) {
		exit;
	}



$l_db = new PDO('sqlite:'.ROOT_DIR.'/tmp/SpiderDB/Spider.db');
if(!$l_db)
{
    echo "error";
    exit;
}

$thr = $l_db->prepare("SELECT A.ThreatStatus, B.ThreatName FROM Threat AS A JOIN ThreatLevel AS B ON A.Site=B.Site AND A.ThreatStatus=B.Level Where A.Site=?");
$thr->execute(array($_SESSION['spider_site']));
$threat = $thr->fetch(PDO::FETCH_ASSOC);

if(!$threat)
{
    $threat = array('ThreatStatus' => 0, 'ThreatName' => 'OFF');
}

echo json_encode($threat);
